<?php
add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sidebars
		$of_sidebars 	= array();
		global $default_sidebars;
		if($default_sidebars){
			foreach( $default_sidebars as $key => $_sidebar ){
				$of_sidebars[$_sidebar['id']] = $_sidebar['name'];
			}
		}

		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}
		
		//default value for logo and favor icon
		$df_logo_images_uri = get_stylesheet_directory_uri(). '/images/logo.png';
		$df_logo_images_uri_light = get_stylesheet_directory_uri(). '/images/logo-light.png';
		$df_background_images_uri_light = get_stylesheet_directory_uri(). '/images/background-2.png';
		$df_icon_images_uri = get_stylesheet_directory_uri(). '/images/favicon.ico'; 
		
		$df_payment_images_1_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_visa.png';
		$df_payment_images_2_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_master_card.png'; 		
		$df_payment_images_3_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_american.png'; 		
		$df_payment_images_4_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_paypal.png';
		$df_payment_images_5_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_skrill.png'; 		
		$df_payment_images_6_uri = get_stylesheet_directory_uri(). '/images/media/icon_payment_visa.png';
		///background footer 
		$df_bg_third_footer_widget = get_stylesheet_directory_uri(). '/images/media/bg-footer.jpg';
		
		//Feedback button
		$df_feedback_button_images_uri = get_stylesheet_directory_uri(). '/images/feedback.png';

		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		$default_font_size = array(	
			"10px"
			,"11px"
			,"12px"
			,"13px"
			,"14px"
			,"15px"
			,"16px"
			,"17px"
			,"18px"
			,"19px"
			,"20px"
			,"21px"
			,"22px"
			,"23px"
			,"24px"
			,"25px"
			,"26px"
			,"27px"
			,"28px"
			,"29px"
			,"30px"		
			,"31px"
			,"32px"
			,"33px"
			,"34px"
			,"35px"
			,"36px"
			,"37px"
			,"38px"
			,"39px"	
			,"40px"	
			,"41px"
			,"42px"
			,"43px"
			,"44px"
			,"45px"
			,"46px"
			,"47px"
			,"48px"
			,"49px"	
			,"50px"		
		);
		
		$faces = array('Arial'=>'Arial',
					'Advent Pro'=>'Advent Pro',
					'Open Sans'=>'Open Sans',
					'Verdana'=>'Verdana, Geneva',
					'Trebuchet'=>'Trebuchet',
					'Georgia' =>'Georgia',
					'Times New Roman'=>'Times New Roman',
					'Tahoma, Geneva'=>'Tahoma, Geneva',
					'Palatino'=>'Palatino',
					'Helvetica'=>'Helvetica' );
										
		$url =  ADMIN_DIR . 'assets/images/';	

		$default_font_size = array_combine($default_font_size, $default_font_size);
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


if (!function_exists('getAnimationtype')){
	function getAnimationtype(){
		$animation_types = array(
			"bounce"=>"bounce",
			"flash"=>"flash",
			"pulse"=>"pulse",
			"rubberBand"=>"rubberBand",
			"shake"=>"shake",
			"swing"=>"swing",
			"tada"=>"tada",
			"wobble"=>"wobble",

			"bounceIn"=>"bounceIn",
			"bounceInDown"=>"bounceInDown",
			"bounceInLeft"=>"bounceInLeft",
			"bounceInRight"=>"bounceInRight",
			"bounceInUp"=>"bounceInUp",
			"bounceOut"=>"bounceOut",
			"bounceOutDown"=>"bounceOutDown",
			"bounceOutLeft"=>"bounceOutLeft",
			"bounceOutRight"=>"bounceOutRight",
			"bounceOutUp"=>"bounceOutUp",

			"fadeIn"=>"fadeIn",
			"fadeInDown"=>"fadeInDown",
			"fadeInDownBig"=>"fadeInDownBig",
			"fadeInLeft"=>"fadeInLeft",
			"fadeInLeftBig"=>"fadeInLeftBig",
			"fadeInRight"=>"fadeInRight",
			"fadeInRightBig"=>"fadeInRightBig",
			"fadeInUp"=>"fadeInUp",
			"fadeInUpBig"=>"fadeInUpBig",

			"fadeOut"=>"fadeOut",
			"fadeOutDown"=>"fadeOutDown",
			"fadeOutDownBig"=>"fadeOutDownBig",
			"fadeOutLeft"=>"fadeOutLeft",
			"fadeOutLeftBig"=>"fadeOutLeftBig",
			"fadeOutRight"=>"fadeOutRight",
			"fadeOutRightBig"=>"fadeOutRightBig",
			"fadeOutUp"=>"fadeOutUp",
			"fadeOutUpBig"=>"fadeOutUpBig",

			"flip"=>"flip",
			"flipInX"=>"flipInX",
			"flipInY"=>"flipInY",
			"flipOutX"=>"flipOutX",
			"flipOutY"=>"flipOutY",

			"lightSpeedIn"=>"lightSpeedIn",
			"lightSpeedOut"=>"lightSpeedOut",

			"rotateIn"=>"rotateIn",
			"rotateInDownLeft"=>"rotateInDownLeft",
			"rotateInDownRight"=>"rotateInDownRight",
			"rotateInUpLeft"=>"rotateInUpLeft",
			"rotateInUpRight"=>"rotateInUpRight",

			"rotateOut"=>"rotateOut",
			"rotateOutDownLeft"=>"rotateOutDownLeft",
			"rotateOutDownRight"=>"rotateOutDownRight",
			"rotateOutUpLeft"=>"rotateOutUpLeft",
			"rotateOutUpRight"=>"rotateOutUpRight",

			"slideInDown"=>"slideInDown",
			"slideInLeft"=>"slideInLeft",
			"slideInRight"=>"slideInRight",
			"slideOutLeft"=>"slideOutLeft",
			"slideOutRight"=>"slideOutRight",
			"slideOutUp"=>"slideOutUp",

			"hinge"=>"hinge",
			"rollIn"=>"rollIn",
			"rollOut"=>"rollOut",
		);
		
		return $animation_types;
	}
}
		
/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

/***************** TODO : GENERAL ****************/					


global $of_options,$wd_google_fonts;

$of_options = array();
					
$of_options[] = array( 	"name" 		=> "General Settings",
						"type" 		=> "heading"
				);						

				
$of_options[] = array( 	"name" 		=> "Theme Style"
						,"desc" 	=> ""
						,"id" 		=> "introduction_light_theme"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Theme Style</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
				
$of_options[] = array( 	"name" 		=> "Theme Style"
						,"desc" 	=> ""
						,"id" 		=> "wd_dark_light_button"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on"		=> "Light Theme"
						,"off"		=> "Dark Theme"
						,"type" 	=> "switchs"
				);
				
$of_options[] = array( 	"name" 		=> "Logo image - Dark"
						,"desc" 	=> "Change your logo."
						,"id" 		=> "wd_logo"
						,"std"		=> $df_logo_images_uri
						,"type" 	=> "upload"
				);

$of_options[] = array( 	"name" 		=> "Logo image - Light"
						,"desc" 	=> "Change your logo."
						,"id" 		=> "wd_logo_light"
						,"std"		=> $df_logo_images_uri_light
						,"type" 	=> "upload"
				);
				
$of_options[] = array( 	"name" 		=> "Favor icon image"
						,"desc" 	=> "Accept ICO files"
						,"id" 		=> "wd_icon"
						,"std" 		=> $df_icon_images_uri
						,"type" 	=> "media"
				);
				
$of_options[] = array( 	"name" 		=> "Text Logo"
						,"desc" 	=> "Text Logo"
						,"id" 		=> "wd_text_logo"
						,"std" 		=> "Gameworld Theme"
						,"type" 	=> "text"
				);

$of_options[] = array( 	"name" 		=> "Background image"
						,"desc" 	=> "Change your background for Light Theme."
						,"id" 		=> "wd_background_light"
						,"std"		=> $df_background_images_uri_light
						,"type" 	=> "upload"
				);

				
				

/*************** Config image size ****************/
$of_options[] = array( 	"name" 		=> "Image Size Section"
						,"desc" 	=> ""
						,"id" 		=> "introduction_image_size"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Image Size Section</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Blog Thumbnail Size"
						,"desc" 	=> "Thumbnail width. In px, default value: 1140"
						,"id" 		=> "wd_blog_thumb_width"
						,"std" 		=> "1140"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height.In px, default value: 337"
						,"id" 		=> "wd_blog_thumb_height"
						,"std" 		=> "337"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> "Related Post Thumbnail Size"
						,"desc" 	=> "Thumbnail width. In px, default value: 280"
						,"id" 		=> "wd_related_post_thumb_width"
						,"std" 		=> "280"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height.In px, default value: 175"
						,"id" 		=> "wd_related_post_thumb_height"
						,"std" 		=> "175"
						,"type" 	=> "text" 
				);

				
$of_options[] = array( 	"name" 		=> "Custom Product Thumbnail Size"
						,"desc" 	=> "Thumbnail width. Use in custom product shortcode. <br /> In px, default value: 400"
						,"id" 		=> "wd_custom_product_thumb_width"
						,"std" 		=> "400"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height. <br />In px, default value: 400"
						,"id" 		=> "wd_custom_product_thumb_height"
						,"std" 		=> "400"
						,"type" 	=> "text" 
				);
				
$of_options[] = array( 	"name" 		=> "Product Tini Thumbnail Size"
						,"desc" 	=> "Thumbnail width. Use in widget, product gallery.<br /> In px, default value: 80"
						,"id" 		=> "wd_product_tini_thumb_width"
						,"std" 		=> "80"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height. In px, default value: 80"
						,"id" 		=> "wd_product_tini_thumb_height"
						,"std" 		=> "80"
						,"type" 	=> "text" 
				);
				
$of_options[] = array( 	"name" 		=> "Shortcode Blog Thumbnail Size"
						,"desc" 	=> "Thumbnail width. In px, default value: 500"
						,"id" 		=> "wd_shortcode_blog_thumb_width"
						,"std" 		=> "500"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height. In px, default value: 268"
						,"id" 		=> "wd_shortcode_blog_thumb_height"
						,"std" 		=> "268"
						,"type" 	=> "text" 
				);
				
$of_options[] = array( 	"name" 		=> "Testimonial Thumbnail Size"
						,"desc" 	=> "Thumbnail width. In px, default value: 94"
						,"id" 		=> "wd_testimonial_thumb_width"
						,"std" 		=> "50"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height. In px, default value: 94"
						,"id" 		=> "wd_testimonial_thumb_height"
						,"std" 		=> "50"
						,"type" 	=> "text" 
				);
				
/*$of_options[] = array( 	"name" 		=> "Feature Thumbnail Size"
						,"desc" 	=> "Thumbnail width. In px, default value: 320"
						,"id" 		=> "wd_feature_thumb_width"
						,"std" 		=> "320"
						,"type" 	=> "text" 
				);
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height. In px, default value: 50"
						,"id" 		=> "wd_feature_thumb_height"
						,"std" 		=> "50"
						,"type" 	=> "text" 
				);*/
/************ Config Feedback Button **************/
$of_options[] = array( 	"name" 		=> "Right Sidebar Feedback Section"
						,"desc" 	=> ""
						,"id" 		=> "introduction_right_sidebar"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Right Sidebar Feedback Section</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	
$of_options[] = array( 	"name" 		=> "Show Feedback Button"
						,"desc" 	=> "Show/Hide Feedback Button on Right"
						,"id" 		=> "wd_show_feedback_button"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);			

$of_options[] = array( 	"name" 		=> "Feedback Button Image"
						,"desc" 	=> "Change your Feedback button image."
						,"id" 		=> "wd_feedback_button_image"
						,"std"		=> $df_feedback_button_images_uri
						,"fold"		=> "wd_show_feedback_button"
						,"type" 	=> "upload"
				);
		
$of_options[] = array( 	"name" 		=> "Feedback Dialog Content"
						,"desc" 	=> 'You can use the contact form 7 shortcode : [contact-form-7 id="Your form ID" title="Your title"]'
						,"id" 		=> "wd_feedback_dialog_content"
						,"std" 		=> '[contact-form-7 id="465" title="Contact form"]'
						,"fold"		=> "wd_show_feedback_button"
						,"type" 	=> "textarea"
						
				);


/* RIGHT TO LEFT */				
$of_options[] = array( 	"name" 		=> "Right To Left"
						,"desc" 	=> ""
						,"id" 		=> "wd_right_to_left_intro"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Right To Left</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	

$of_options[] = array( 	"name" 		=> "Enable Right To Left"
						,"desc" 	=> "Enable/Disable Right To Left"
						,"id" 		=> "wd_enable_right_to_left"
						,"on"		=> "Enable"
						,"off"		=> "Disable"
						,"std" 		=> 0
						,"type" 	=> "switch"
				);				


/************************************************************************************************************/



				

/***************** TODO : STYLE ****************/					
				
$of_options[] = array( 	"name" 		=> "Styling Options"
						,"type" 	=> "heading"
				);

$of_options[] = array( 	"name" 		=> "Enable Preview"
						,"desc" 	=> ""
						,"id" 		=> "wd_preview_panel"
						,"std" 		=> 0
						,"type" 	=> "switch"
				);
				
$of_options[] = array( 	"name" 		=> "Enable NiceScroll"
						,"desc" 	=> "Enable Nice Scroll Bar on the right browsers"
						,"id" 		=> "wd_nicescroll"
						,"std" 		=> 0
						,"type" 	=> "switch"
				);

/*$of_options[] = array( 	"name" 		=> "Enable Back Product Images"
						,"desc" 	=> "Enable Back Product Images"
						,"id" 		=> "wd_effect_product"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);*/
				
$of_options[] = array( 	"name" 		=> "Layout Style"
						,"desc" 	=> ""
						,"id" 		=> "wd_layout_styles"
						,"std" 		=> "wide"
						,"type" 	=> "select"
						,"options"	=> array("wide","box")
				);
				
$of_options[] = array( 	"name" 		=> "Date Format"
						,"desc" 	=> "Syntax in <a target='_blank' href='http://codex.wordpress.org/Formatting_Date_and_Time'>here</a>"
						,"id" 		=> "wd_date_format"
						,"std" 		=> "l, M d Y g:iA"
						,"type" 	=> "text"		
					);
				
$of_options[] = array( 	"name" 		=> "Theme Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_them_color"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Theme Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);					
				
		
$of_options[] = array( 	"name" 		=> "Theme Primary Scheme Color"
						,"desc" 	=> "Background color of Feedback,Calendar header, Logo. 
										Hover Color of Link text, Category title, Shopping cart text, Remove button in cart table"
						,"id" 		=> "wd_theme_color_primary"
						,"std" 		=> "#a0a0a0"
						,"type" 	=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Theme Secondary Scheme Color"
						,"desc" 	=> "Color of accordion heading.
										Background Hover Color of Submit button in shop table, Search button, link in Navigation tab.
										Border color of Logout button, Reply button"
						,"id" 		=> "wd_theme_color_secondary"
						,"std" 		=> "#1e1e1e"
						,"type" 	=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Main Content Background Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_main_content_background"
						,"std" 		=> "#ffffff"
						,"type" 	=> "color"
				);
									

$of_options[] = array( 	"name" 		=> "Text Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_text_color"
						,"std" 		=> "#646464"
						,"type" 	=> "color"
				);

$of_options[] = array( 	"name" 		=> "Link Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_link_color"
						,"std" 		=> "#12b3cb"
						,"type" 	=> "color"
				);		

$of_options[] = array( 	"name" 		=> "Link Hover Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_link_color_hover"
						,"std" 		=> "#ea5210"
						,"type" 	=> "color"
				);
/**************************************** SLIDESHOW **********************************************/
				
				
/* ***********************************************************************************************/		
$of_options[] = array( 	"name" 		=> "Header Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_header_color_scheme"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Header Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);			
$of_options[] = array( 	"name" 		=> "Top Header Background"
						,"desc" 	=> ""
						,"id" 		=> "wd_header_top_background"
						,"std" 		=> "#000000"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Top Header Top Text Color"
						,"desc" 	=> "Color of the text, the link in header top"
						,"id" 		=> "wd_header_top_text_color"
						,"std" 		=> "#969696"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Top Header Text Hover Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_header_top_text_hover"
						,"std" 		=> "#ffffff"
						,"type" 	=> "color"
				);			
				
				
				
/* ***********************************************************************************************/					

$of_options[] = array( 	"name" 		=> "Menu Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_menu"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Menu Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);					
				
$of_options[] = array( 	"name" 		=> "Header Menu Background Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_background"
						,"std" 		=> "#af2909"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Header Menu Background Hover Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_background_hover"
						,"std" 		=> "#d66620"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Header Menu Border Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_border"
						,"std" 		=> "#ea5212"
						,"type" 	=> "color"
				);			
$of_options[] = array( 	"name" 		=> "Header Menu Border Color Hover"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_border_hover"
						,"std" 		=> "#f4913a"
						,"type" 	=> "color"
				);				

		
$of_options[] = array( 	"name" 		=> "Text Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_text_color"
						,"std" 		=> "#ffffff"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Text Hover Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_menu_text_color_hover"
						,"std" 		=> "#ffffff"
						,"type" 	=> "color"
				);

/* ***********************************************************************************************/
				
$of_options[] = array( 	"name" 		=> "Sub Menu Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_submenu"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Sub Menu Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);									
		
$of_options[] = array( 	"name" 		=> "Sub Text Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_sub_menu_text_color"
						,"std" 		=> "#a0a0a0"
						,"type" 	=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Sub Text Hover Color "
						,"desc" 	=> ""
						,"id" 		=> "wd_sub_menu_text_color_hover"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Background Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_sub_menu_background"
						,"std" 		=> "#000"
						,"type" 	=> "color"
				);					
			


/* ***********************************************************************************************/
$of_options[] = array( 	"name" 		=> "Woocommerce Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_cart"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Woocommerce Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	
				
$of_options[] = array( 	"name" 		=> "Product Name Color"
						,"desc" 	=> "Wpdance"
						,"id" 		=> "wd_product_name_color"
						,"std" 		=> "#12b3cb"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Product Name Hover Color"
						,"desc" 	=> "Wpdance"
						,"id" 		=> "wd_product_name_hover"
						,"std" 		=> "#ea5210"
						,"type" 	=> "color"
				);

$of_options[] = array( 	"name" 		=> "Price Text Color"
						,"desc" 	=> "Regular price color of External/Affiliate product"
						,"id" 		=> "wd_price_color"
						,"std" 		=> "#1e1e1e"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Price Old Text Color"
						,"desc" 	=> "Regular price color of External/Affiliate product"
						,"id" 		=> "wd_old_price_color"
						,"std" 		=> "#808080"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Sale Price Text Color"
						,"desc" 	=> "Sale price color of External/Affiliate product"
						,"id" 		=> "wd_sale_price_color"
						,"std" 		=> "#a92e0a"
						,"type" 	=> "color"
				);

				
			
$of_options[] = array( 	"name" 		=> "Border Color"
						,"desc" 	=> "Table border, Product border Hover Color, input border,... "
						,"id" 		=> "wd_border_color"
						,"std" 		=> "#e6e6e6"
						,"type" 	=> "color"
				);	
				
$of_options[] = array( 	"name" 		=> "Border Hover Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_border_color_hover"
						,"std" 		=> "#aaaaaa"
						,"type" 	=> "color"
				);
/* ***********************************************************************************************/			
$of_options[] = array( 	"name" 		=> "Button"
						,"desc" 	=> ""
						,"id" 		=> "introduction_cart"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\"> Button Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	
				
$of_options[] = array( 	"name" 		=> "Button Background Color Default"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_background_default"
						,"std" 		=> "#f9f9f9"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Button Text Color Default"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_text_default"
						,"std" 		=> "#787878"
						,"type" 	=> "color"
				);		
$of_options[] = array( 	"name" 		=> "Button Border Color Default"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_border_default"
						,"std" 		=> "#e6e6e6"
						,"type" 	=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Button Background Color 1"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_background_1"
						,"std" 		=> "#2f2f2f"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Button Text Color 1"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_text_1"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);		
$of_options[] = array( 	"name" 		=> "Button Border Color 1"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_border_1"
						,"std" 		=> "#000"
						,"type" 	=> "color"
				);

$of_options[] = array( 	"name" 		=> "Button Background Color 2"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_background_2"
						,"std" 		=> "#b0340b"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Button Text Color 2"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_text_2"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);		
$of_options[] = array( 	"name" 		=> "Button Border Color 2"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_border_2"
						,"std" 		=> "#982909"
						,"type" 	=> "color"
				);

$of_options[] = array( 	"name" 		=> "Button Background Color 3"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_background_3"
						,"std" 		=> "#48b8c2"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Button Text Color 3"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_text_3"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);		
$of_options[] = array( 	"name" 		=> "Button Border Color 3"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_border_3"
						,"std" 		=> "#2f99a6"
						,"type" 	=> "color"
				);				

$of_options[] = array( 	"name" 		=> "Button Background Color 4"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_background_4"
						,"std" 		=> "#7abc48"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Button Text Color 4"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_text_4"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);		
$of_options[] = array( 	"name" 		=> "Button Border Color 4"
						,"desc" 	=> ""
						,"id" 		=> "wd_button_border_4"
						,"std" 		=> "#65a73e"
						,"type" 	=> "color"
				);	

/* ***********************************************************************************************/

$of_options[] = array( 	"name" 		=> "Product Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_cart"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Product Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	

				
$of_options[] = array( 	"name" 		=> "Rating Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_rating_color"
						,"std" 		=> "#c8c8c8"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Rating Color - Rated"
						,"desc" 	=> ""
						,"id" 		=> "wd_rating_color_star"
						,"std" 		=> "#e1400c"
						,"type" 	=> "color"
				);					
$of_options[] = array( 	"name" 		=> "Tabs background"
						,"desc" 	=> ""
						,"id" 		=> "wd_tabs_background"
						,"std" 		=> "#1e1e1e"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Tabs text"
						,"desc" 	=> ""
						,"id" 		=> "wd_tabs_text"
						,"std" 		=> "#a0a0a0"
						,"type" 	=> "color"
				);	
$of_options[] = array( 	"name" 		=> "Tabs text Active"
						,"desc" 	=> ""
						,"id" 		=> "wd_tabs_text_active"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
);				 
$of_options[] = array( 	"name" 		=> "Tabs background Hover"
						,"desc" 	=> ""
						,"id" 		=> "wd_tabs_background_hover"
						,"std" 		=> "#000"
						,"type" 	=> "color"
				);					 
				
/* ************************************************** SIDEBAR ***************************************************/
$of_options[] = array( 	"name" 		=> "Sidebar Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_sidebar_color_scheme"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Sidebar Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Heading Title Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_heading_title_widget_background"
						,"std" 		=> "#000"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Heading Title Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_heading_title_widget_color"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);


/* ****************************************************************************************************************/
$of_options[] = array( 	"name" 		=> "Footer Color Scheme"
						,"desc" 	=> ""
						,"id" 		=> "introduction_footer_color_scheme"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Footer Color Scheme</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Footer Midder Background Color"
						,"desc" 	=> "Set background color for Fourth, Fifth, Sixth Footer Widget Area"
						,"id" 		=> "wd_footer_middle_background"
						,"std" 		=> "#242124"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer End Background Color"
						,"desc" 	=> "Set background color bottom"
						,"id" 		=> "wd_footer_end_background"
						,"std" 		=> "#252225"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Heading Text Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_footer_heading"
						,"std" 		=> "#47cbde"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Text Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_footer_text"
						,"std" 		=> "#a0a0a0"
						,"type" 	=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Link Color"
						,"desc" 	=> ""
						,"id" 		=> "wd_footer_link_color"
						,"std" 		=> "#a0a0a0"
						,"type" 	=> "color"
				);				
$of_options[] = array( 	"name" 		=> "Footer Link Color Hover"
						,"desc" 	=> ""
						,"id" 		=> "wd_footer_link_hover_color"
						,"std" 		=> "#fff"
						,"type" 	=> "color"
				);			

						
				
				
/***************** TODO : TYPO ****************/		

$of_options[] = array( 	"name" 		=> "Typography"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-typography.gif"
				);
		
$of_options[] = array( 	"name" 		=> "Body Font"
						,"desc" 	=> ""
						,"id" 		=> "introduction_bodyfont"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Body Font Options.</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);				
					
$of_options[] = array( 	"name" 		=> "Body font with Google font"
						,"desc" 	=> "Using google font for your body font"
						,"id" 		=> "wd_body_font_googlefont_enable"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on" 		=> "Family Font"
						,"off" 		=> "Google Font"
						,"type" 	=> "switchs"
				);
					
$of_options[] = array( 	"name" 		=> "Body Font"
						,"desc" 	=> "Specify the body font properties.Using in case google font disabled"
						,"id" 		=> "wd_body_font_family"
						,"position"	=> "left"
						,"fold"		=> "wd_body_font_googlefont_enable"
						,"std" 		=> "Arial"
						,"type" 	=> "select"
						,"options"	=> $faces
				);					
									
					
$of_options[] = array( 	"name" 		=> "Body Google Font"
						,"desc" 	=> "This font going to overwrite the default font."
						,"id" 		=> "wd_body_font_googlefont"
						,"position"	=> "right"
						,"std" 		=> "Roboto"
						,"type" 	=> "select_google_font"
						,"fold"		=> "wd_body_font_googlefont_enable"
						,"preview" 	=> array(
										"text" => "This is my body font preview!"
										,"size" => "30px"
						)
						,"options" 	=> $wd_google_fonts
				);		

/* ================================= Body second font ==================================== */
$of_options[] = array( 	"name" 		=> "Body Second Font"
						,"desc" 	=> ""
						,"id" 		=> "introduction_bodysecondfont"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Body Second Font Options.</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);				
					
$of_options[] = array( 	"name" 		=> "Body second font with Google font"
						,"desc" 	=> "Using google font for your body second font"
						,"id" 		=> "wd_body_second_font_googlefont_enable"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on" 		=> "Family Font"
						,"off" 		=> "Google Font"
						,"type" 	=> "switchs"
				);
					
$of_options[] = array( 	"name" 		=> "Body Second Font"
						,"desc" 	=> "Specify the body second font properties.Using in case google font disabled"
						,"id" 		=> "wd_body_second_font_family"
						,"position"	=> "left"
						,"fold"		=> "wd_body_second_font_googlefont_enable"
						,"std" 		=> "Arial"
						,"type" 	=> "select"
						,"options"	=> $faces
				);					
									
					
$of_options[] = array( 	"name" 		=> "Body Second Google Font"
						,"desc" 	=> "This font going to overwrite the default font."
						,"id" 		=> "wd_body_second_font_googlefont"
						,"position"	=> "right"
						,"std" 		=> "Roboto"
						,"type" 	=> "select_google_font"
						,"fold"		=> "wd_body_second_font_googlefont_enable"
						,"preview" 	=> array(
										"text" => "This is my body second font preview!"
										,"size" => "30px"
						)
						,"options" 	=> $wd_google_fonts
				);	
	
				
		
/* =============================== Menu font ====================================== */			
$of_options[] = array( 	"name" 		=> "Menu Font"
						,"desc" 	=> ""
						,"id" 		=> "introduction_menufont"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Menu Font Options.</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);	
				
$of_options[] = array( 	"name" 		=> "Menu font with Google font"
						,"desc" 	=> "Using google font for your top menu font"
						,"id" 		=> "wd_menu_font_googlefont_enable"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on" 		=> "Family Font"
						,"off" 		=> "Google Font"
						,"type" 	=> "switchs"
				);
					
$of_options[] = array( 	"name" 		=> "Menu Font"
						,"desc" 	=> "Specify the menu font properties.Using in case google font disabled"
						,"id" 		=> "wd_menu_fontfamily"
						,"position"	=> "left"
						,"fold"		=> "wd_menu_font_googlefont_enable"
						,"std" 		=> "Arial"
						,"type" 	=> "select"
						,"options"	=> $faces
				);					
					
$of_options[] = array( 	"name" 		=> "Menu Google Font Select"
						,"desc" 	=> "This font going to overwrite the default font."
						,"id" 		=> "wd_menu_font_googlefont"
						,"std" 		=> "Roboto"
						,"position"	=> "right"
						,"type" 	=> "select_google_font"
						,"fold"		=> "wd_menu_font_googlefont_enable"
						,"preview" 	=> array(
										"text" => "This is my menu font preview!"
										,"size" => "30px"
						)
						,"options" 	=> $wd_google_fonts
				);	
/* ======================================= Submenu font ================================================ */
$of_options[] = array( 	"name" 		=> "Sub Menu Font"
						,"desc" 	=> ""
						,"id" 		=> "introduction_submenufont"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Sub Menu Font Options.</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Font with Google font"
						,"desc" 	=> "Using google font for your sub menu font"
						,"id" 		=> "wd_sub_menu_font_googlefont_enable"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on" 		=> "Family Font"
						,"off" 		=> "Google Font"
						,"type" 	=> "switchs"
				);
					
$of_options[] = array( 	"name" 		=> "Sub Menu Default Font"
						,"desc" 	=> "Specify the Sub menu font properties.Using in case google font disabled"
						,"id" 		=> "wd_sub_menu_fontfamily"
						,"std" 		=> 'Arial'
						,"position"	=> "left"
						,"fold"		=> "wd_sub_menu_font_googlefont_enable"
						,"type" 	=> "select"
						,"options"	=> $faces
				);					
					
$of_options[] = array( 	"name" 		=> "Sub Menu Google Font Select"
						,"desc" 	=> "This font going to overwrite the default font."
						,"id" 		=> "wd_sub_menu_font_googlefont"
						,"std" 		=> "Roboto"
						,"position"	=> "right"
						,"type" 	=> "select_google_font"
						,"fold"		=> "wd_sub_menu_font_googlefont_enable"
						,"preview" 	=> array(
										"text" => "This is my Sub menu font preview!"
										,"size" => "30px"
						)
						,"options" 	=> $wd_google_fonts
				);	
/* ===================================== Price font =============================================== */				
$of_options[] = array( 	"name" 		=> "Price Font"
						,"desc" 	=> ""
						,"id" 		=> "introduction_pricefont"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Price Font Options.</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Price Font with Google font"
						,"desc" 	=> "Using google font for your price font"
						,"id" 		=> "wd_price_font_googlefont_enable"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on" 		=> "Family Font"
						,"off" 		=> "Google Font"
						,"type" 	=> "switchs"
				);
					
$of_options[] = array( 	"name" 		=> "Price Default Font"
						,"desc" 	=> "Specify the price font properties.Using in case google font disabled"
						,"id" 		=> "wd_price_fontfamily"
						,"std" 		=> 'Arial'
						,"position"	=> "left"
						,"fold"		=> "wd_price_font_googlefont_enable"
						,"type" 	=> "select"
						,"options"	=> $faces
				);					
					
$of_options[] = array( 	"name" 		=> "Price Google Font Select"
						,"desc" 	=> "This font going to overwrite the default font."
						,"id" 		=> "wd_price_font_googlefont"
						,"std" 		=> "Roboto"
						,"position"	=> "right"
						,"type" 	=> "select_google_font"
						,"fold"		=> "wd_price_font_googlefont_enable"
						,"preview" 	=> array(
										"text" => "This is my price font preview!"
										,"size" => "30px"
						)
						,"options" 	=> $wd_google_fonts
				);	

/***************** TODO : STYLE HEADER ****************/					
				
$of_options[] = array( 	"name" 		=> "Header style"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);			

$of_options[] = array( 	"name" 		=> "Header Top Left"
						,"desc" 	=> ""
						,"id" 		=> "introduction_header"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Header top info</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);		

$of_options[] = array( 	"name" 		=> "Header Text 1"
						,"desc" 	=> "Change your text."
						,"id" 		=> "wd_text_shipping"
						,"std" 		=> 'Welcome To Game World'
						,"type" 	=> "text"
				);
$of_options[] = array( 	"name" 		=> "Header Text 2"
						,"desc" 	=> "The text in top search box."
						,"id" 		=> "wd_text_top_search"
						,"std" 		=> '<span>Cusromer Support</span> 1800-000-GameWorld<a href="#">Chat with us</a>'
						,"type" 	=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Using Sticky Menu"
						,"desc" 	=> "Using Sticky Menu on site"
						,"id" 		=> "wd_sticky_menu"
						,"on"		=> "Enable"
						,"off"		=> "Disable"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
				

/***************** TODO : STYLE FOOTER ****************/
$of_options[] = array( 	"name" 		=> "Footer style"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);

$of_options[] = array( 	"name" 		=> "Show First Footer Widget Area"
						,"desc" 	=> "Show/Hide First Footer Widget Area"
						,"id" 		=> "wd_show_first_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Show Second Footer Widget Area"
						,"desc" 	=> "Show/Hide Second Footer Widget Area"
						,"id" 		=> "wd_show_second_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	
$of_options[] = array( 	"name" 		=> "Show Third Footer Widget Area(Footer Subscrible)"
						,"desc" 	=> "Show/Hide Third Footer Widget Area"
						,"id" 		=> "wd_show_third_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
/*$of_options[] = array( 	"name" 		=> "Background Show Third Footer Widget Area"
						,"desc" 	=> "Change your Background Show Third Footer Widget Area."
						,"id" 		=> "wd_bg_third_footer_widget_area"
						,"std"		=> $df_bg_third_footer_widget
						,"type" 	=> "upload");
$of_options[] = array( 	"name" 		=> "Show Fourth Footer Widget Area"
						,"desc" 	=> "Show/Hide Fourth Footer Widget Area"
						,"id" 		=> "wd_show_fourth_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Show Fifth Footer Widget Area"
						,"desc" 	=> "Show/Hide Fifth Footer Widget Area"
						,"id" 		=> "wd_show_fifth_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);

$of_options[] = array( 	"name" 		=> "Show Sixth Footer Widget Area"
						,"desc" 	=> "Show/Hide Sixth Footer Widget Area"
						,"id" 		=> "wd_show_sixth_footer_widget_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
				
$of_options[] = array( 	"name" 		=> "Show End Footer Area"
						,"desc" 	=> "Show/Hide End Footer Area (Copyright and Payment)"
						,"id" 		=> "wd_show_end_footer_area"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	*/	
$of_options[] = array( 	"name" 		=> "Copyright Section"
						,"desc" 	=> ""
						,"id" 		=> "introduction_custom_copyright"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Copyright Section</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);				
				
$of_options[] = array( 	"name" 		=> "Footer Copyright"
						,"desc" 	=> "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]"
						,"id" 		=> "footer_text"
						,"std" 		=> '&copy; 2014 WooCommerce Game Store Theme. All Rights Reverved.'
						,"type" 	=> "textarea"
				);

/*$of_options[] = array( 	"name" 		=> "Footer Social Icon"
						,"desc" 	=> ""
						,"id" 		=> "introduction_header"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Footer Social icon</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);

$of_options[] = array( 	"name" 		=> "Enable Facebook"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_facebook"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);

$of_options[] = array( 	"name" 		=> "Facebook"
						,"desc" 	=> "Change your Facebook ID."
						,"id" 		=> "wd_facebook_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_facebook"
						,"type" 	=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Enable Twitter"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_twitter"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);
				
$of_options[] = array( 	"name" 		=> "Twitter"
						,"desc" 	=> "Change your Twitter ID."
						,"id" 		=> "wd_twitter_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_twitter"
						,"type" 	=> "text"
				);
$of_options[] = array( 	"name" 		=> "Enable Flickr"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_flickr"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);
$of_options[] = array( 	"name" 		=> "Flickr"
						,"desc" 	=> "Change your Flickr ID."
						,"id" 		=> "wd_flickr_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_flickr"
						,"type" 	=> "text"
				);
$of_options[] = array( 	"name" 		=> "Enable Google"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_google"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);
$of_options[] = array( 	"name" 		=> "Google"
						,"desc" 	=> "Change your Google ID."
						,"id" 		=> "wd_google_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_google"
						,"type" 	=> "text"
				);
$of_options[] = array( 	"name" 		=> "Enable Rss"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_rss"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);
$of_options[] = array( 	"name" 		=> "Rss"
						,"desc" 	=> "Change your Rss ID."
						,"id" 		=> "wd_rss_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_rss"
						,"type" 	=> "text"
				);
$of_options[] = array( 	"name" 		=> "Enable Vimeo"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_vimeo"
						,"std" 		=> 1
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
						);
$of_options[] = array( 	"name" 		=> "Vimeo"
						,"desc" 	=> "Change your Vimeo ID."
						,"id" 		=> "wd_vimeo_id"
						,"std" 		=> ''
						,"fold"		=> "wd_enable_vimeo"
						,"type" 	=> "text"
				);*/
				
$of_options[] = array( 	"name" 		=> "Footers animation"
						,"desc" 	=> "Enable/Disable animation in footer items"
						,"id" 		=> "wd_show_footer_animation"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
global $wd_effect_arg;
$wd_effect_arg = getAnimationtype();
$of_options[] = array( 	"name" 		=> "Animation type"
						,"desc" 	=> "Specify the effect when hover main menu"
						,"id" 		=> "wd_footer_animation_type"
						,"position" => "left"
						,"std" 		=> "fadeInDown"
						,"fold"		=> "wd_show_footer_animation"
						,"type" 	=> "select"
						,"options"	=> $wd_effect_arg
				);
				
$of_options[] = array( 	"name" 		=> "Animation Timeout"
						,"desc" 	=> "Thumbnail height.<br /> Min: 5, max: 48, step: 1, default value: 30"
						,"id" 		=> "wd_footer_animation_timeout"
						,"std" 		=> "600"
						,"min" 		=> "100"
						,"step"		=> "100"
						,"max" 		=> "3000"
						,"fold"		=> "wd_show_footer_animation"
						,"type" 	=> "sliderui" 
				);	
				
$of_options[] = array( 	"name" 		=> "Payment icon"
						,"desc" 	=> ""
						,"id" 		=> "introduction_checkout"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Payment icon</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);

$of_options[] = array( 	"name" 		=> "Show Payment"
						,"desc" 	=> "Show/Hide Payment"
						,"id" 		=> "wd_show_payment"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
				
$of_options[] = array( 	"name" 		=> "Show Payment Heading"
						,"desc" 	=> "Show/Hide Payment Heading"
						,"id" 		=> "wd_show_payment_heading"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);
				
$of_options[] = array( 	"name" 		=> "Payment Heading"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_heading"
						,"std"		=> __('Payment access', 'wpdance')
						,"fold"		=> "wd_show_payment_heading"
						,"type" 	=> "text"
				);

$of_options[] = array( 	"name" 		=> "Show Payment image 1"
						,"desc" 	=> "Show/Hide Payment image 1"
						,"id" 		=> "wd_show_payment_image_1"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);				
$of_options[] = array( 	"name" 		=> "Payment image 1"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_1"
						,"std"		=> $df_payment_images_1_uri
						,"fold"		=> "wd_show_payment_image_1"
						,"type" 	=> "upload"
				);		
$of_options[] = array( 	"name" 		=> "Show Payment image 2"
						,"desc" 	=> "Show/Hide Payment image 2"
						,"id" 		=> "wd_show_payment_image_2"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);					
$of_options[] = array( 	"name" 		=> "Payment image 2"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_2"
						,"std"		=> $df_payment_images_2_uri
						,"fold"		=> "wd_show_payment_image_2"
						,"type" 	=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Show Payment image 3"
						,"desc" 	=> "Show/Hide Payment image 3"
						,"id" 		=> "wd_show_payment_image_3"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	
$of_options[] = array( 	"name" 		=> "Payment image 3"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_3"
						,"fold"		=> "wd_show_payment_image_3"
						,"std"		=> $df_payment_images_3_uri
						,"type" 	=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Show Payment image 4"
						,"desc" 	=> "Show/Hide Payment image 4"
						,"id" 		=> "wd_show_payment_image_4"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	
$of_options[] = array( 	"name" 		=> "Payment image 4"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_4"
						,"std"		=> $df_payment_images_4_uri
						,"fold"		=> "wd_show_payment_image_4"
						,"type" 	=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Show Payment image 5"
						,"desc" 	=> "Show/Hide Payment image 5"
						,"id" 		=> "wd_show_payment_image_5"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	
$of_options[] = array( 	"name" 		=> "Payment image 5"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_5"
						,"fold"		=> "wd_show_payment_image_5"
						,"std"		=> $df_payment_images_5_uri
						,"type" 	=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Show Payment image 6"
						,"desc" 	=> "Show/Hide Payment image 6"
						,"id" 		=> "wd_show_payment_image_6"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	
$of_options[] = array( 	"name" 		=> "Payment image 6"
						,"desc" 	=> "Change your image."
						,"id" 		=> "wd_payment_image_6"
						,"fold"		=> "wd_show_payment_image_6"
						,"std"		=> $df_payment_images_6_uri
						,"type" 	=> "upload"
				);

/***************** TODO : Menu ****************/		

$of_options[] = array( 	"name" 		=> "Menu Options"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "slider-control.png"
				);
					
$of_options[] = array( 	"name" 		=> "Mega Menu"
						,"desc" 	=> ""
						,"id" 		=> "introduction_mega_menu"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Mega Menu</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
$of_options[] = array( 	"name" 		=> "Menu Thumbnail Size"
						,"desc" 	=> "Thumbnail width.<br /> Min: 5, max: 48, step: 1, default value: 16"
						,"id" 		=> "wd_menu_thumb_width"
						,"std" 		=> "16"
						,"min" 		=> "5"
						,"step"		=> "1"
						,"max" 		=> "48"
						,"type" 	=> "sliderui" 
				);
				
$of_options[] = array( 	"name" 		=> ""
						,"desc" 	=> "Thumbnail height.<br /> Min: 5, max: 48, step: 1, default value: 16"
						,"id" 		=> "wd_menu_thumb_height"
						,"std" 		=> "16"
						,"min" 		=> "5"
						,"step"		=> "1"
						,"max" 		=> "48"
						,"type" 	=> "sliderui" 
				);		

$of_options[] = array( 	"name" 		=> "Mega Menu Widget Area"
						,"desc" 	=> "Number Widget Area Available.<br /> Min: 1, max: 30, step: 1, default value: 5"
						,"id" 		=> "wd_menu_num_widget"
						,"std" 		=> "5"
						,"min" 		=> "1"
						,"step"		=> "1"
						,"max" 		=> "30"
						,"type" 	=> "sliderui" 
				);				
$of_options[] = array( 	"name" 		=> "Main Menu"
						,"desc" 	=> ""
						,"id" 		=> "introduction_main_menu"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Main Menu</h3>"
						,"icon" 	=> true
						,"type" 	=> "info"
				);
/*$of_options[] = array( 	"name" 		=> "Show Search Form"
						,"desc" 	=> "Show/Hide Search Form in Main Menu"
						,"id" 		=> "wd_menu_show_search_form"
						,"std" 		=> 1
						,"type" 	=> "switch"
				);	*/
$of_options[] = array( 	"name" 		=> "Sub Menu Show Effect"
						,"desc" 	=> "Specify the effect when hover main menu"
						,"id" 		=> "wd_sub_menu_show_effect"
						,"position" => "left"
						,"std" 		=> "dropdown"
						,"type" 	=> "select"
						,"options"	=> array(
							"dropdown" => "Dropdown"
							,"bottom_to_top" => "Bottom To Top"
							/*,"left_to_right" => "Left To Right"
							,"right_to_left" => "Right To Left"*/
						)
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Show Duration"
						,"desc" 	=> "Input duration to show sub menu. In ms"
						,"id" 		=> "wd_sub_menu_show_duration"
						,"std" 		=> "200"
						,"type" 	=> "text"
					);

/***************** TODO : Quickshop ****************/		

/**
 * Check if WD Quickshop is active
 **/

if ( in_array( 'wd_quickshop/wd_quickshop.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

	$df_qs_images_uri = get_stylesheet_directory_uri(). '/images/quickshop.png'; 

	$of_options[] = array( 	"name" 		=> "Quickshop Options"
							,"type" 	=> "heading"
							,"icon"		=> ADMIN_IMAGES . "icon-settings.png"
					);			

	$of_options[] = array( 	"name" 		=> "Product Title"
							,"desc" 	=> "Show/hide product title"
							,"id" 		=> "wd_qs_product_title"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product Label"
							,"desc" 	=> "Show/hide product label"
							,"id" 		=> "wd_qs_product_label"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product Availability"
							,"desc" 	=> "Show/hide product availability"
							,"id" 		=> "wd_qs_product_availability"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product SKU"
							,"desc" 	=> "Show/hide product sku"
							,"id" 		=> "wd_qs_product_sku"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product Rating"
							,"desc" 	=> "Show/hide product rating"
							,"id" 		=> "wd_qs_product_rating"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product Short Description"
							,"desc" 	=> "Show/hide product short description"
							,"id" 		=> "wd_qs_product_short_description"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
	$of_options[] = array( 	"name" 		=> "Product Add To Cart"
							,"desc" 	=> "Show/hide product add to cart"
							,"id" 		=> "wd_qs_product_add_to_cart"
							,"std" 		=> 1
							,"on" 		=> "Show"
							,"off" 		=> "Hide"
							,"type" 	=> "switch"
					);
		
}

		
				
/***************** TODO : Advertisement ****************/		

/*$of_options[] = array( 	"name" 		=> "Advertisement"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-edit.png"
				);
				
$of_options[] = array( 	"name" 		=> "Enable Advertisement"
						,"desc" 	=> ""
						,"id" 		=> "wd_enable_advertisement"
						,"std" 		=> 0
						,"folds"	=> 1
						,"on"		=> "yes"
						,"off"		=> "no"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Advertisement Code"
						,"desc" 	=> "Input Html/Js Advertisement Code."
						,"id" 		=> "wd_advertisement_code"
						,"std" 		=> '<div class="wd-shipping"><a style="color:#00387f" class="shipping" href="#">Free shipping for over $200.00 orders</a><a style="color:#c30005" class="gifts" href="#">Gifts for over $100 orders </a></div>
<ul class="menu-advertisment">
										<li><a href="#">$5 DVDs</a></li>
										<li><a href="#">$10 Blu-ray Discs</a></li>
										<li><a href="#">Preorders</a></li>
										<li><a class="wd-important" href="#">Deals</a></li>
										</ul>'
						,"fold"		=> "wd_enable_advertisement"
						,"type" 	=> "textarea"
				);	
				
				
	*/
/***************** TODO : Integration ****************/	
			
$of_options[] = array( 	"name" 		=> "Integration"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-add.png"
				);			
	
$of_options[] = array( 	"name" 		=> "Top Blog Details Codes"
						,"desc" 	=> "Quickly add some html/css to top of blog details by adding it to this block."
						,"id" 		=> "wd_top_blog_code"
						,"std" 		=> ""
						,"type" 	=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Bottom Blog Details Codes"
						,"desc" 	=> "Quickly add some html/css to bottom of blog details by adding it to this block."
						,"id" 		=> "wd_bottom_blog_code"
						,"std" 		=> ""
						,"type" 	=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Before Body End Code"
						,"desc" 	=> "Quickly add some html/css adding it to this block."
						,"id" 		=> "wd_before_body_end_code"
						,"std" 		=> ""
						,"type" 	=> "textarea"
				);				
	
$of_options[] = array( 	"name" 		=> "Google Analytic Code"
						,"desc" 	=> "Quickly add some html/css adding it to this block."
						,"id" 		=> "wd_google_analytic_code"
						,"std" 		=> ""
						,"type" 	=> "textarea"
				);	
/*	
$of_options[] = array( 	"name" 		=> "Custom CSS"
						,"desc" 	=> "Quickly add some CSS to your theme by adding it to this block."
						,"id" 		=> "wd_custom_css"
						,"std" 		=> ""
						,"type" 	=> "textarea"
				);
*/	
/***************** TODO : Shop Shortcode Slider Options ****************/	
$of_options[] = array( 	"name" 		=> "Shop Shortcode Slider"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "slider-control.png"
				);	
$of_options[] = array( 	"name" 		=> "Slide Speed on PC"
						,"desc" 	=> "In ms, default is 800"
						,"id" 		=> "wd_shop_slider_slide_speed_pc"
						,"std" 		=> "800"
						,"type" 	=> "text"
					);
$of_options[] = array( 	"name" 		=> "Slide Speed on Mobile"
						,"desc" 	=> "In ms, default is 200"
						,"id" 		=> "wd_shop_slider_slide_speed_mobile"
						,"std" 		=> "200"
						,"type" 	=> "text"
					);
$of_options[] = array( 	"name" 		=> "Scroll Per Page"
						,"desc" 	=> "Enable/Disable scroll per page"
						,"id" 		=> "wd_shop_slider_scroll_per_page"
						,"std" 		=> 0
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Rewind Navigation"
						,"desc" 	=> "Enable/Disable Slide to First Item"
						,"id" 		=> "wd_shop_slider_rewind_nav"
						,"std" 		=> 1
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Rewind Speed"
						,"desc" 	=> "In ms, default is 800"
						,"id" 		=> "wd_shop_slider_rewind_speed"
						,"std" 		=> "800"
						,"fold" 	=> "wd_shop_slider_rewind_nav"
						,"type" 	=> "text"
					);
$of_options[] = array( 	"name" 		=> "Auto Play"
						,"desc" 	=> "Enable/Disable Auto Play"
						,"id" 		=> "wd_shop_slider_auto_play"
						,"std" 		=> 0
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Stop on hover"
						,"desc" 	=> "Enable/Disable Stop autoplay on mouse hover"
						,"id" 		=> "wd_shop_slider_stop_on_hover"
						,"std" 		=> 0
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"fold" 	=> "wd_shop_slider_auto_play"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Mouse Drag"
						,"desc" 	=> "Enable/Disable Mouse Drag"
						,"id" 		=> "wd_shop_slider_mouse_drag"
						,"std" 		=> 0
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Touch Drag"
						,"desc" 	=> "Enable/Disable Touch Drag"
						,"id" 		=> "wd_shop_slider_touch_drag"
						,"std" 		=> 1
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);
					
								
/***************** TODO : Product Category Options ****************/							
$of_options[] = array( 	"name" 		=> "Product Category"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
$of_options[] = array( 	"name" 		=> "Category Columns"
						,"id" 		=> "wd_prod_cat_column"
						,"std" 		=> "4"
						,"type" 	=> "select"
						,"mod"		=> "mini"
						,"options" 	=> array(2,3,4,5,6)
				);
$of_options[] = array( 	"name" 		=> "The Number Of Products Per Page"
                        ,"desc" 	=> "Set the number of products per page"
                        ,"id" 		=> "wd_prod_cat_per_page"
                        ,"std" 		=> 12
                        ,"type" 	=> "text"
        );	

$of_options[] = array( 	"name" 		=> "Category Layout"
						,"desc" 	=> "Select main content and sidebar alignment. Choose between 1, 2 column layout."
						,"id" 		=> "wd_prod_cat_layout"
						,"std" 		=> "0-1-1"
						,"type" 	=> "images"
						,"options" 	=> array(
							'0-1-0' 	=> $url . '1col.png'
							,'0-1-1' 	=> $url . '2cr.png'
							,'1-1-0' 	=> $url . '2cl.png'
							,'1-1-1' 	=> $url . '3cm.png'
						)
				);								

$of_options[] = array( 	"name" 		=> "Left Sidebar"
						,"id" 		=> "wd_prod_cat_left_sidebar"
						,"std" 		=> "product-category-widget-area-left"
						,"type" 	=> "select"
						//,"mod"		=> "mini"
						,"options" 	=> $of_sidebars
				);

$of_options[] = array( 	"name" 		=> "Right Sidebar"
						,"id" 		=> "wd_prod_cat_right_sidebar"
						,"std" 		=> "product-category-widget-area-right"
						,"type" 	=> "select"
						//,"mod"		=> "mini"
						,"options" 	=> $of_sidebars
				);
$of_options[] = array( 	"name" 		=> "Enable Effect Product Image"
						,"desc" 	=> "Yes/no - enable effect product image"
						,"id" 		=> "wd_prod_cat_image_effect"
						,"std" 		=> 1
						,"on" 		=> "Yes"
						,"off" 		=> "No"
						,"type" 	=> "switch"
				);			
$of_options[] = array( 	"name" 		=> "Product Rating"
						,"desc" 	=> "Show/hide Product Rating"
						,"id" 		=> "wd_prod_cat_rating"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Product Categories"
						,"desc" 	=> "Show/hide Product Categories"
						,"id" 		=> "wd_prod_cat_categories"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Product Title"
						,"desc" 	=> "Show/hide Product Title"
						,"id" 		=> "wd_prod_cat_title"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Product Sku"
						,"desc" 	=> "Show/hide Product Sku"
						,"id" 		=> "wd_prod_cat_sku"
						,"std" 		=> 0
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
				
/*$of_options[] = array( 	"name" 		=> "Product Discription on Grid Mode"
						,"desc" 	=> "Show/hide Discription on Grid Mode"
						,"id" 		=> "wd_prod_cat_disc_grid"
						,"std" 		=> 0
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);	
				
$of_options[] = array( 	"name" 		=> "Product Discription on List Mode"
						,"desc" 	=> "Show/hide Product Discription on List Mode"
						,"id" 		=> "wd_prod_cat_disc_list"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);*/
				
$of_options[] = array( 	"name" 		=> "Product Price"
						,"desc" 	=> "Show/hide Product Price"
						,"id" 		=> "wd_prod_cat_price"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Product Add To Cart"
						,"desc" 	=> "Show/hide Product Add To Cart Button"
						,"id" 		=> "wd_prod_cat_add_to_cart"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);			
$of_options[] = array( 	"name" 		=> "Label Image - Sale"
                        ,"desc" 	=> ""
                        ,"id" 		=> "wd_prod_cat_sale_label_url"
                        ,"std" 		=> ''
                        ,"type" 	=> "upload"
        );
		
$of_options[] = array( 	"name" 		=> "Label Position"
						,"desc" 	=> "Select position for label on product thumbnail."
						,"id" 		=> "wd_prod_cat_label_position"
						,"std" 		=> "label-bottom-right"
						,"type" 	=> "images"
						,"options" 	=> array(
							'label-none' 	=> $url . 'label-none.png'
							,'label-top-left' 	=> $url . 'label-top-left.png'
							,'label-top-right' 	=> $url . 'label-top-right.png'
							,'label-bottom-left' 	=> $url . 'label-bottom-left.png'
							,'label-bottom-right' 	=> $url . 'label-bottom-right.png'
						)
				);

$of_options[] = array( 	"name" 		=> "Label Image - HOT"
                        ,"desc" 	=> ""
                        ,"id" 		=> "wd_prod_cat_hot_label_url"
                        ,"std" 		=> ''
                        ,"type" 	=> "upload"
        );
		
$of_options[] = array( 	"name" 		=> "Label Position - HOT"
						,"desc" 	=> "Select position for label on product thumbnail."
						,"id" 		=> "wd_prod_cat_label_hot_position"
						,"std" 		=> "label-top-left"
						,"type" 	=> "images"
						,"options" 	=> array(
							'label-none' 	=> $url . 'label-none.png'
							,'label-top-left' 	=> $url . 'label-top-left.png'
							,'label-top-right' 	=> $url . 'label-top-right.png'
							,'label-bottom-left' 	=> $url . 'label-bottom-left.png'
							,'label-bottom-right' 	=> $url . 'label-bottom-right.png'
						)
				);
				
/***************** TODO : Product Details Options ****************/	
$of_options[] = array( 	"name" 		=> "Product Details"
						,"type" 		=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);		

$of_options[] = array( 	"name" 		=> "Product Layout"
						,"desc" 	=> "Select main content and sidebar alignment. Choose between 1, 2 column layout."
						,"id" 		=> "wd_prod_layout"
						,"std" 		=> "0-1-0"
						,"type" 	=> "images"
						,"options" 	=> array(
							'0-1-0' 	=> $url . '1col.png'
							,'0-1-1' 	=> $url . '2cr.png'
							,'1-1-0' 	=> $url . '2cl.png'
							,'1-1-1' 	=> $url . '3cm.png'
						)
				);	
				
$of_options[] = array( 	"name" 		=> "Left Sidebar"
						,"id" 		=> "wd_prod_left_sidebar"
						,"std" 		=> "product-widget-area-left"
						,"type" 	=> "select"
						//,"mod"		=> "mini"
						,"options" 	=> $of_sidebars
				);	
$of_options[] = array( 	"name" 		=> "Right Sidebar"
						,"id" 		=> "wd_prod_right_sidebar"
						,"std" 		=> "product-widget-area-right"
						,"type" 	=> "select"
						//,"mod"		=> "mini"
						,"options" 	=> $of_sidebars
				);				

$of_options[] = array( 	"name" 		=> "Product Image"
						,"desc" 	=> "Show/hide Product Image"
						,"id" 		=> "wd_prod_image"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Product Cloud-zoom"
						,"desc" 	=> "Show/hide Product Cloud-zoom"
						,"id" 		=> "wd_prod_cloudzoom"
						,"std" 		=> 1
						,"on" 		=> "Enable"
						,"off" 		=> "Disable"
						,"type" 	=> "switch"
				);	

$of_options[] = array( 	"name" 		=> "Product Label"
						,"desc" 	=> "Show/hide Product Label"
						,"id" 		=> "wd_prod_label"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
	

$of_options[] = array( 	"name" 		=> "Product Title"
						,"desc" 	=> "Show/hide Product Title"
						,"id" 		=> "wd_prod_title"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"
				);

/*$of_options[] = array( 	"name" 		=> "Product Sku"
						,"desc" 	=> "Show/hide Product Sku"
						,"id" 		=> "wd_prod_sku"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);*/
$of_options[] = array( 	"name" 		=> "Product Rating"
						,"desc" 	=> "Show/hide Product Rating"
						,"id" 		=> "wd_prod_rating"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);			
$of_options[] = array( 	"name" 		=> "Product Review"
						,"desc" 	=> "Show/hide Product Review"
						,"id" 		=> "wd_prod_review"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
	

/*$of_options[] = array( 	"name" 		=> "Product Availability"
						,"desc" 	=> "Show/hide Product Availability"
						,"id" 		=> "wd_prod_availability"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);*/
	

$of_options[] = array( 	"name" 		=> "Product AddToCart Button"
						,"desc" 	=> "Show/hide Product AddToCart Button"
						,"id" 		=> "wd_prod_cart"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);


$of_options[] = array( 	"name" 		=> "Product Price"
						,"desc" 	=> "Show/hide Product Price"
						,"id" 		=> "wd_prod_price"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);


$of_options[] = array( 	"name" 		=> "Product Short Desc"
						,"desc" 	=> "Show/hide Product Short Desc"
						,"id" 		=> "wd_prod_shortdesc"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);



$of_options[] = array( 	"name" 		=> "Product Meta(Tags,Categories) "
						,"desc" 	=> "Show/hide Product Meta(Tags,Categories) "
						,"id" 		=> "wd_prod_meta"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"type" 	=> "switch"
				);
	

$of_options[] = array( 	"name" 		=> "Product Related Products"
						,"desc" 	=> "Show/hide Product Related Products"
						,"id" 		=> "wd_prod_related"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"
				);
	
$of_options[] = array( 	"name" 		=> "Related Product Title"
						,"id" 		=> "wd_prod_related_title"
						,"std" 		=> __('Related products','wpdance')
						,"fold" 	=> "wd_prod_related"
						,"type" 	=> "text"
				);			
/*				
$of_options[] = array( 	"name" 		=> "Related Product Number"
						,"desc" 	=> "Number of related products"
						,"id" 		=> "wd_prod_related_num"
						,"std" 		=> 6
						,"fold" 	=> "wd_prod_related"
						,"type" 	=> "select"
						,"mod"		=> "mini"
						,"options" 	=> array(3,4,5,6,7,8,9)
				);	*/		
$of_options[] = array( 	"name" 		=> "Product Upsell"
						,"desc" 	=> "Show/hide Product Upsell"
						,"id" 		=> "wd_prod_upsell"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"
				);			
$of_options[] = array( 	"name" 		=> "Upsell Product Title"
						,"id" 		=> "wd_prod_upsell_title"
						,"std" 		=> __('You May Also Like','wpdance')
						,"fold" 	=> "wd_prod_upsell"
						,"type" 	=> "text"
				);			
			
$of_options[] = array( 	"name" 		=> "Product Share"
						,"desc" 	=> "Show/hide Product Social Sharing"
						,"id" 		=> "wd_prod_share"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"
				);
/*$of_options[] = array( 	"name" 		=> "Product Share"
						,"id" 		=> "wd_prod_share_title"
						,"std" 		=> __('Share thist','wpdance')
						,"fold" 	=> "wd_prod_share"
						,"type" 	=> "text"
				);	

$of_options[] = array( 	"name" 		=> "Product Sharing Code"
						,"id" 		=> "wd_prod_share_code"
						,"std" 		=> "Share This"
						,"fold" 	=> "wd_prod_share"
						,"type" 	=> "textarea"
				);
*/
$of_options[] = array( 	"name" 		=> "Ship & Return Box"
						,"desc" 	=> "Show/hide Ship & Return Box"
						,"id" 		=> "wd_prod_ship_return"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds" 	=> 1
						,"type" 	=> "switch"
				);

$of_options[] = array( 	"name" 		=> "Show Ship & Return Box Title"
						,"id" 		=> "wd_prod_ship_return_title"
						,"std" 		=> ""
						,"fold" 	=> "wd_prod_ship_return"
						,"type" 	=> "text"
				);

$of_options[] = array( 	"name" 		=> "Show Ship & Return Box Content"
						,"id" 		=> "wd_prod_ship_return_content"
						,"std" 		=> '<div class="wd-bottom-banner-left col-sm-12"><a class="wd-effect"><img title="banner" alt="banner" src="http://demo2.wpdance.com/imgs/wp_gameworld/ads_1.jpg" /></a></div><div class="wd-bottom-banner-right col-sm-12"><a class="wd-effect"><img title="banner" alt="banner" src="http://demo2.wpdance.com/imgs/wp_gameworld/ads_2.jpg" /></a></div>'
						,"fold" 	=> "wd_prod_ship_return"
						,"type" 	=> "textarea"
				);
								
$of_options[] = array( 	"name" 		=> "Product Tabs"
						,"desc" 	=> "Show/hide Product Tabs"
						,"id" 		=> "wd_prod_tabs"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"
				);	
	
$of_options[] = array( 	"name" 		=> "Product Custom Tab"
						,"desc" 	=> "Show/hide Product Custom Tab"
						,"id" 		=> "wd_prod_customtab"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"fold"		=> "wd_prod_tabs"
						,"type" 	=> "switch"
				);			
		
$of_options[] = array( 	"name" 		=> "Product Custom Tab Title"
						,"id" 		=> "wd_prod_customtab_title"
						,"std" 		=> __('Custom Tab','wpdance')
						,"fold" 	=> "wd_prod_customtab"
						,"type" 	=> "text"
				);

$of_options[] = array( 	"name" 		=> "Product Custom Tab Content"
						,"id" 		=> "wd_prod_customtab_content"
						,"std" 		=> "custom contents goes here"
						,"fold" 	=> "wd_prod_customtab"
						,"type" 	=> "textarea"
				);		


/***************** TODO : Blog Options ****************/	
$of_options[] = array( 	"name" 		=> "Blog Options"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
$of_options[] = array( 	"name" 		=> "Blog Time"
						,"desc" 	=> "Show/hide Time"
						,"id" 		=> "wd_blog_time"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);

$of_options[] = array( 	"name" 		=> "Blog Time Format"
						,"desc" 	=> "Syntax in <a target='_blank' href='http://codex.wordpress.org/Formatting_Date_and_Time'>here</a>"
						,"id" 		=> "wd_blog_time_format"
						,"std" 		=> "l, M d Y g:iA"
						,"fold" 	=> "wd_blog_time"
						,"type" 	=> "text"		
					);
					
$of_options[] = array( 	"name" 		=> "Blog Categories"
						,"desc" 	=> "Show/hide Categories"
						,"id" 		=> "wd_blog_categories"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);
				
$of_options[] = array( 	"name" 		=> "Blog Author"
						,"desc" 	=> "Show/hide Author"
						,"id" 		=> "wd_blog_author"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		


/*$of_options[] = array( 	"name" 		=> "Blog Sharing"
						,"desc" 	=> "Show/hide Sharing"
						,"id" 		=> "wd_blog_sharing"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);	
	
$of_options[] = array( 	"name" 		=> "Blog Tags"
						,"desc" 	=> "Show/hide Tags"
						,"id" 		=> "wd_blog_tags"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);	
*/	
			

				
$of_options[] = array( 	"name" 		=> "Blog Comment Number"
						,"desc" 	=> "Show/hide Comment Number"
						,"id" 		=> "wd_blog_comment_number"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Excerpt"
						,"desc" 	=> "Show/hide Excerpt"
						,"id" 		=> "wd_blog_excerpt"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Thumbnail"
						,"desc" 	=> "Show/hide Thumbnail"
						,"id" 		=> "wd_blog_thumbnail"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Read More"
						,"desc" 	=> "Show/hide Read More"
						,"id" 		=> "wd_blog_readmore"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);							

/***************** TODO : Blog Details ****************/
	
$of_options[] = array( 	"name" 		=> "Blog Details"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
/*$of_options[] = array( 	"name" 		=> "Blog Categories"
						,"desc" 	=> "Show/hide Categories"
						,"id" 		=> "wd_blog_details_categories"
						,"std" 		=> 0
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);*/
				
/*$of_options[] = array( 	"name" 		=> "Blog Author"
						,"desc" 	=> "Show/hide Author"
						,"id" 		=> "wd_blog_details_author"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);	*/

$of_options[] = array( 	"name" 		=> "Blog Time"
						,"desc" 	=> "Show/hide Time"
						,"id" 		=> "wd_blog_details_time"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Tags"
						,"desc" 	=> "Show/hide Tags"
						,"id" 		=> "wd_blog_details_tags"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);
$of_options[] = array( 	"name" 		=> "Blog Thumbnail"
						,"desc" 	=> "Show/hide Thumbnail"
						,"id" 		=> "wd_blog_details_thumbnail"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);							
$of_options[] = array( 	"name" 		=> "Blog Comment"
						,"desc" 	=> "Show/hide Comment"
						,"id" 		=> "wd_blog_details_comment"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);
$of_options[] = array( 	"name" 		=> "Blog Social Sharing"
						,"desc" 	=> "Show/hide Social Sharing"
						,"id" 		=> "wd_blog_details_socialsharing"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Author Box"
						,"desc" 	=> "Show/hide Author Box"
						,"id" 		=> "wd_blog_details_authorbox"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);		
$of_options[] = array( 	"name" 		=> "Blog Related Posts"
						,"desc" 	=> "Show/hide Related Posts"
						,"id" 		=> "wd_blog_details_related"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);			

$of_options[] = array( 	"name" 		=> "Blog Related Label"
						,"desc" 	=> "Related Label"
						,"id" 		=> "wd_blog_details_relatedlabel"
						,"std" 		=> __("Related Posts","wpdance")
						,"fold"		=> "wd_blog_details_related"
						,"type" 	=> "text"		
					);					
$of_options[] = array( 	"name" 		=> "Blog Comment List"
						,"desc" 	=> "Show/hide Comment List"
						,"id" 		=> "wd_blog_details_commentlist"
						,"std" 		=> 1
						,"on" 		=> "Show"
						,"off" 		=> "Hide"
						,"folds"	=> 1
						,"type" 	=> "switch"		
					);						
				
$of_options[] = array( 	"name" 		=> "Blog Comment List Label"
						,"desc" 	=> "Comment List Label"
						,"id" 		=> "wd_blog_details_commentlabel"
						,"std" 		=> __("Comment","wpdance")
						,"fold"		=> "wd_blog_details_commentlist"
						,"type" 	=> "text"		
					);					
/***************** TODO : Backup Options ****************/

$of_options[] = array( 	"name" 		=> "Backup Options"
						,"type" 	=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-backup.png"
				);
				
$of_options[] = array( 	"name" 		=> "Backup and Restore Options"
						,"id" 		=> "of_backup"
						,"std" 		=> ""
						,"type" 	=> "backup"
						,"desc" 	=> 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.'
				);
				
$of_options[] = array( 	"name" 		=> "Transfer Theme Options Data"
						,"id" 		=> "of_transfer"
						,"std" 		=> ""
						,"type" 	=> "transfer"
						,"desc" 	=> 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".'
				);
				
/***************** TODO : Documentation ****************/				
				
$of_options[] = array( 	"name" 		=> "Documentation"
						,"type" 		=> "heading"
						,"icon"		=> ADMIN_IMAGES . "icon-docs.png"
				);
				
$of_options[] = array( 	"name" 		=> "Docs #1"
						,"desc" 		=> ""
						,"id" 		=> "introduction"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Welcome to the Options Framework demo.</h3>
							This is a slightly modified version of the original options framework by Devin Price with a couple of aesthetical improvements on the interface and some cool additional features. If you want to learn how to setup these options or just need general help on using it feel free to visit my blog at <a href=\"http://aquagraphite.com/2011/09/29/slightly-modded-options-framework/\">AquaGraphite.com</a>"
						,"icon" 		=> true
						,"type" 		=> "info"
				);	

$of_options[] = array( 	"name" 		=> "Docs #2"
						,"desc" 		=> ""
						,"id" 		=> "introduction"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Welcome to the Options Framework demo.</h3>
							This is a slightly modified version of the original options framework by Devin Price with a couple of aesthetical improvements on the interface and some cool additional features. If you want to learn how to setup these options or just need general help on using it feel free to visit my blog at <a href=\"http://aquagraphite.com/2011/09/29/slightly-modded-options-framework/\">AquaGraphite.com</a>"
						,"icon" 		=> true
						,"type" 		=> "info"
				);	


$of_options[] = array( 	"name" 		=> "Docs #3"
						,"desc" 		=> ""
						,"id" 		=> "introduction"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Welcome to the Options Framework demo.</h3>
							This is a slightly modified version of the original options framework by Devin Price with a couple of aesthetical improvements on the interface and some cool additional features. If you want to learn how to setup these options or just need general help on using it feel free to visit my blog at <a href=\"http://aquagraphite.com/2011/09/29/slightly-modded-options-framework/\">AquaGraphite.com</a>"
						,"icon" 		=> true
						,"type" 		=> "info"
				);	

$of_options[] = array( 	"name" 		=> "Docs #4"
						,"desc" 		=> ""
						,"id" 		=> "introduction"
						,"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Welcome to the Options Framework demo.</h3>
							This is a slightly modified version of the original options framework by Devin Price with a couple of aesthetical improvements on the interface and some cool additional features. If you want to learn how to setup these options or just need general help on using it feel free to visit my blog at <a href=\"http://aquagraphite.com/2011/09/29/slightly-modded-options-framework/\">AquaGraphite.com</a>"
						,"icon" 		=> true
						,"type" 		=> "info"
				);					
				
	}//End function: of_options()
}//End chack if function exists: of_options()

function get_google_font(){
	//$url = "https://www.googleapis.com/webfonts/v1/webfonts?sort=alpha";
	$url = "https://www.googleapis.com/webfonts/v1/webfonts?key=AIzaSyAP4SsyBZEIrh0kc_cO9s90__r2oCJ8Rds&sort=alpha";
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_REFERER, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	$result = curl_exec($ch);
	curl_close($ch);
	return ($result);
}
?>
