<?php 

	/* MENU PHONE */
	
	add_action( 'wd_before_header', 'wd_mobile_header_open_div', 1 );
	
	add_action( 'wd_before_header', 'wd_print_toggle_menu', 2 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_menu_control', 3 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_bar_wrapper', 4 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_menu_search', 5 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_logo', 6 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_menu_cart', 8 );	
	
	add_action( 'wd_before_header', 'wd_mobile_header_menu_user', 7 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_close_div', 9 );
	
	add_action( 'wd_before_header', 'wd_mobile_header_close_div', 10 );
	
	
	function wd_print_toggle_menu(){
	?>		
	
	<div class="toggle-menu-wrapper visible-xs" style="background: #333333;">
		<div class="toggle-menu-control-close"><span></span></div>
		<?php 
		if( has_nav_menu( 'mobile' ) ){ 
			wp_nav_menu( array( 'container_class' => 'mobile-main-menu toggle-menu','theme_location' => 'mobile' ) ); 
		}
		else{
			wp_nav_menu( array( 'container_class' => 'mobile-main-menu toggle-menu','theme_location' => 'primary' ) ); 
		}
		?>
	</div>
	
	<?php
	}	
	
	add_filter( 'woocommerce_variable_sale_price_html', 'wc_wc20_variation_price_format', 10, 2 );
	add_filter( 'woocommerce_variable_price_html', 'wc_wc20_variation_price_format', 10, 2 );
	function wc_wc20_variation_price_format( $price, $product ) {
		// Main Price
		$prices = array( $product->get_variation_price( 'min', true ), $product->get_variation_price( 'max', true ) );
		//$price = $prices[0] !== $prices[1] ? sprintf( __( 'From: %1$s', 'woocommerce' ), wc_price( $prices[0] ) ) : wc_price( $prices[0] );
		$price = wc_price( $prices[0] ) . ' - ' .wc_price( $prices[1] );
		// Sale Price
		$prices = array( $product->get_variation_regular_price( 'min', true ), $product->get_variation_regular_price( 'max', true ) );
		sort( $prices );
		//$saleprice = $prices[0] !== $prices[1] ? sprintf( __( 'From: %1$s', 'woocommerce' ), wc_price( $prices[0] ) ) : wc_price( $prices[0] );
		$saleprice = wc_price( $prices[0] ) . ' - ' .wc_price( $prices[1] );
	 
		if ( $price !== $saleprice ) {
			$price = '<del>' . $saleprice . '</del> <ins>' . $price . '</ins>';
		}
		return $price;
	}
	
	
	//add_filter("widget_title", "wd_add_icon_to_widget_title");
	function wd_add_icon_to_widget_title($title){
		return '<span class="wd_wg_icon glyphicon glyphicon-plus"></span>' . $title;
	}
	
	if(!function_exists ('wd_mobile_header_bar_wrapper')){
		function wd_mobile_header_bar_wrapper(){
			global $wd_mega_menu_config_arr;
	?>	
		<div class="phone-header-bar-wrapper visible-xs">
		<div class="toggle-menu-control-open"><?php if( isset($wd_mega_menu_config_arr) && isset($wd_mega_menu_config_arr['menu_text']) && strlen( trim($wd_mega_menu_config_arr['menu_text']) ) > 0 ){ echo $wd_mega_menu_config_arr['menu_text']; } ?></div>
	<?php
		}
	}	
	
	if(!function_exists ('wd_mobile_header_open_div')){
		function wd_mobile_header_open_div(){
	?>	
		<div class="phone-header visible-xs">
	<?php
		}
	}	

	if(!function_exists ('wd_mobile_header_menu_control')){
		function wd_mobile_header_menu_control(){
			global $wd_mega_menu_config_arr;
	?>			
		
	<?php		
		}
	}	
	
	function wd_content($limit) {
	  $content = explode(' ', get_the_content(), $limit);
	  if (count($content)>=$limit) {
		array_pop($content);
		$content = implode(" ",$content).'...';
	  } else {
		$content = implode(" ",$content);
	  }	
	  $content = preg_replace('/\[.+\]/','', $content);
	  $content = apply_filters('the_content', $content); 
	  $content = str_replace(']]>', ']]&gt;', $content);
	  echo $content;
	}
	function wd_excerpt($limit) {
	  $excerpt = explode(' ', get_the_excerpt(), $limit);
	  if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...';
	  } else {
		$excerpt = implode(" ",$excerpt);
	  }
	  $excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	  $excerpt = apply_filters('the_content', $excerpt);
	  echo $excerpt;
	}
	
	if(!function_exists ('wd_mobile_header_menu_user')){
		function wd_mobile_header_menu_user(){
			$myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
			$myaccount_page_url = "#";
			if ( $myaccount_page_id ) {
				$myaccount_page_url = get_permalink( $myaccount_page_id );
			}	

	?>
			<div class="wd_mobile_account">
				<?php if(!is_user_logged_in()):?>
					
					<a class="sign-in-form-control" href="<?php echo esc_url($myaccount_page_url);?>" title="<?php _e('Log in/Sign up','wpdance');?>">
						<span><?php _e('Log in / Sign up','wpdance');?></span>
					</a>
					<span class="visible-xs login-drop-icon"></span>			
				<?php else:?>		
					<a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php _e('My Account','wpdance'); ?>">
						<?php _e('My Account','wpdance'); ?>
					</a>	
				<?php endif;?>
			</div>
	<?php
		}
	}	

	if(!function_exists ('wd_mobile_header_menu_cart')){
		function wd_mobile_header_menu_cart(){
	?>	
		<div class="mobile_cart_container visible-xs">
			<div class="mobile_cart">
			<?php
				if( in_array( "woocommerce/woocommerce.php", apply_filters( 'active_plugins', get_option( 'active_plugins' )  ) ) ){
				$_cart_size_id = "cart_size_value_head-".rand();
				$cart_size_title = __('View your shopping bag','wpdance');
				?>
				
				<span class="cart_size">
					<a href="<?php echo esc_url( wc_get_cart_url() );?>" title="<?php echo esc_attr( $cart_size_title );?>">
						<span class="ic-bag"></span>
					
					<span class="cart_size_value_head" id="<?php echo esc_attr($_cart_size_id); ?>">
						<span class="cart_text"><?php _e('My Cart','wpdance');?></span>
						<span class="cart_item">
							<span class="num_item">
								<?php 
								$number = WC()->cart->cart_contents_count;
								if( $number < 10 && $number != 0 )
									echo '0'.$number;
								else
									echo $number;
								?>
							</span>
						</span>
					</span>
					</a>
				</span>
				
				<?php } ?>
			</div>
		</div>	
	<?php					
		}
	}		

	if(!function_exists ('wd_mobile_header_menu_search')){
		function wd_mobile_header_menu_search(){
			get_search_form();	
		}
	}

	if(!function_exists ('wd_mobile_header_logo')){
		function wd_mobile_header_logo(){
			theme_logo();
		}
	}
	
	if(!function_exists ('wd_mobile_header_close_div')){
		function wd_mobile_header_close_div(){
	?>	
	<div style="clear:both"></div>
	</div>
	<?php
		}
	}		
	/* END MENU PHONE */
	
	add_action( 'wd_header_init', 'wd_print_header_head', 10 );
	if(!function_exists ('wd_print_header_head')){
		function wd_print_header_head(){
	?>		<?php global $smof_data;?>
			<div class="yith-woocompare-open hidden"><a href="javascript: void(0)"></a></div>
			<div class="header-top hidden-xs">
			
				<div class="header-top-container container">
					
					<div class="left-header-top-content col-sm-6">
						<?php if($smof_data['wd_text_shipping'] !==""): ?>
							<div class="shipping-text"><?php echo $smof_data['wd_text_shipping'] ?></div>
						<?php endif; ?>
					</div>
					
					
					<div class="right-header-top-content col-sm-18">
						<!-- WIDGET SOCIAL -->
						<div class="shopping-cart header-top-right-box shopping-cart-wrapper">
							<?php echo wd_tini_cart();?>
						</div>
						<div class="header-top-right-box header-bottom-wishlist">
						<?php echo wd_tini_account();//TODO : account form goes here?>	
						</div>
						<div class="header-top_right_text header-top-right-box">			
							<?php
							if ( is_active_sidebar( 'header-top-widget-area-right' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'header-top-widget-area-right' ); ?>
							</ul>
							<?php endif; ?>
						</div>
						<!-- END WIDGET SOCIAL -->
					</div>
					<div style="clear:both"></div>
				</div>
				<div style="clear:both"></div>
			</div><!-- end header top -->
			<div style="clear:both"></div>
			
		<?php	
		}	
	}
	
	
	add_action( 'wd_header_init', 'wd_print_header_body', 20 );
	if(!function_exists ('wd_print_header_body')){
		function wd_print_header_body(){
		global $smof_data, $page_datas;
	?>	
			<div class="header-middle hidden-xs">
				<div class="header-middle-content container">
					<!-- LOGO -->
					
					<div class="left-header-middle-content">
						<div class="header-logo">						 
						<?php theme_logo();?>
						</div>
						<!-- EFFECT LOGO -->
						<div class="header_search">
							<p class="text_top_search">
								<?php 
								echo ($smof_data['wd_text_top_search'] && $smof_data['wd_text_top_search'] != '')?
									$smof_data['wd_text_top_search'] : '<span>Cusromer Support</span> 1800-000-GameWorld';
								?>
							</p>
							<?php echo wd_get_search_form(); ?>
						</div>
						<!-- END EFFECT LOGO -->
					</div>
					
					
				</div>
			</div><!-- end .header-middle -->	
			<?php wp_reset_query();?>			
			<script type="text/javascript">
                var _enable_sticky_menu = <?php echo (int) $smof_data['wd_sticky_menu']; ?>;
				var _sticky_menu_class = '<?php echo ( isset($page_datas) && ($page_datas['page_layout']=='box'))?"wd_box":""; ?>';
		    </script>
	<?php	
		}	
	}

	add_action( 'wd_header_init', 'wd_print_header_footer', 30 );
	if(!function_exists ('wd_print_header_footer')){
		function wd_print_header_footer(){
			global $smof_data;
	?>	
		<div class="header-bottom">
			<div class="header-bottom-content container">
			<!-- HEADER MENU -->
				<div class="nav">
					<?php 
						if ( has_nav_menu( 'primary' ) ) {
							wp_nav_menu( array( 'container_class' => 'main-menu pc-menu wd-mega-menu-wrapper','theme_location' => 'primary','walker' => new WD_Walker_Nav_Menu() ) );
						}else{
							wp_nav_menu( array( 'container_class' => 'main-menu pc-menu wd-mega-menu-wrapper','theme_location' => 'primary' ) );
						}
					?>
					<ul class="more_menu">
						<li class="more_menu_item">
							<a class="header-menu-more">More <span class="glyphicon glyphicon-plus"></span></a>
							<div class="menu_more_nav sub-menu">
							<?php 
								if ( has_nav_menu( 'primary' ) ) {
									wp_nav_menu( array( 'container_class' => 'main-menu pc-menu wd-mega-menu-wrapper','theme_location' => 'primary','walker' => new WD_Walker_Nav_Menu() ) );
								}else{
									wp_nav_menu( array( 'container_class' => 'main-menu pc-menu wd-mega-menu-wrapper','theme_location' => 'primary' ) );
								}
							?>
							</div>
						</li>
					</ul>
					
					
				</div>
			<!-- END HEADER MENU -->
			<?php if(is_page() && isset($page_datas['header_widget_hide']) && absint($page_datas['header_widget_hide']) == 0 ) :?>
						<div class="static_header">
							<?php
								if ( is_active_sidebar( 'header-widget-area' ) ) : ?>
								<ul class="xoxo">
									<?php dynamic_sidebar( 'header-widget-area' ); ?>
								</ul>
							<?php endif; ?>
						</div>
						<?php endif;?>
			
			</div>			
		</div><!-- end .header-bottom -->
		<div style="clear:both"></div>
		<script type="text/javascript">
			var _sub_menu_show_effect = '<?php echo isset($smof_data['wd_sub_menu_show_effect'])?$smof_data['wd_sub_menu_show_effect']:'dropdown'; ?>';
			var _sub_menu_show_duration = <?php echo (isset($smof_data['wd_sub_menu_show_duration']) && (int)$smof_data['wd_sub_menu_show_duration']>0)?(int)$smof_data['wd_sub_menu_show_duration']:'200'; ?>;
		</script>
		<?php
		}	
	}	
	
	
	add_action( 'wd_bofore_main_container', 'wd_print_inline_script', 10 );
	if(!function_exists ('wd_print_inline_script')){
		function wd_print_inline_script(){
	?>	
		<script type="text/javascript">
			_ajax_uri = '<?php echo admin_url('admin-ajax.php');?>';
			_on_phone = <?php echo WD_IS_MOBILE === true ? 1 : 0 ;?>;
			_on_tablet = <?php echo WD_IS_TABLET === true ? 1 : 0 ;?>;
			//if(navigator.userAgent.indexOf(\"Mac OS X\") != -1)
			//	console.log(navigator.userAgent);
			<?php 
				global $smof_data;
				if(isset($smof_data['wd_nicescroll']) && $smof_data['wd_nicescroll'] == 1) :
			?>
			var obj_nice_scroll = jQuery("html").niceScroll({cursorcolor:"#000"});
			jQuery("#"+obj_nice_scroll.id).find("div:first").css({"width":"6px"});
			<?php endif; ?>
			jQuery('.menu li').each(function(){
				if(jQuery(this).children('.sub-menu').length > 0) jQuery(this).addClass('parent');
			});
		</script>
	<?php
		}
	}
	add_action( 'wd_bofore_main_container', 'wd_print_top_content_widget_area', 15 );
	if(!function_exists ('wd_print_top_content_widget_area')) {
		function wd_print_top_content_widget_area(){
			global $smof_data;
			if ( is_active_sidebar( 'top-content-widget-area' ) ) :
			if(isset($smof_data['wd_enable_top_content_widget_area']) && (int) $smof_data['wd_enable_top_content_widget_area']==0)
				return;
			?>
				<div class="wd_top_content_widget_area_wrapper">
					<div class="wd_top_content container">
						<ul class="xoxo">
							<?php dynamic_sidebar( 'top-content-widget-area' ); ?>
						</ul>
					</div>
				</div>		
			<?php 
			endif;
		}
	}
	
	add_action( 'wd_bofore_main_container', 'wd_print_ads_block', 20 );
	if(!function_exists ('wd_print_ads_block')){
		function wd_print_ads_block(){
			global $page_datas;
	?>	
			<div class="header_ads_wrapper">
				<?php 
					if( !is_home() && !is_front_page() ){
						if( !is_page() ){
							printHeaderAds();
						}else{
							if( isset($page_datas['hide_ads']) && absint($page_datas['hide_ads']) == 0 )
								printHeaderAds();
						}					
					}						
				?>
			</div>
	<?php
		}
	}	
	
	
	//add_action( 'wd_before_body_end', 'wd_before_body_end_widget_area', 10 );
	if(!function_exists ('wd_before_body_end_widget_area')){
		function wd_before_body_end_widget_area(){
	?>
		<div class="container body-end">
				<div class="body-end-widget-area">
					<?php
						if ( is_active_sidebar( 'body-end-widget-area' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'body-end-widget-area' ); ?>
							</ul>
						<?php endif; ?>						
				</div><!-- end #footer-first-area -->
		</div>	
	
		<?php wp_reset_query();?>
	
	<?php
		}
	}	

	add_action( 'wd_footer_init', 'wd_footer_init_widget_area_1', 10 );
	if(!function_exists ('wd_footer_init_widget_area_1')){
		function wd_footer_init_widget_area_1(){
			global $smof_data;
			if( isset($smof_data['wd_show_first_footer_widget_area']) && (int) $smof_data['wd_show_first_footer_widget_area'] == 0){
				return;
			}
			
	?>	
	<?php if(isset($smof_data['wd_show_footer_animation']) && (int) $smof_data['wd_show_footer_animation'] == 1 ) {
			$wd_footer_animate_class = "no-animated";
			$wd_footer_animate_data = 'data-animate="'.$smof_data['wd_footer_animation_type'].'" data-delay="'.$smof_data['wd_footer_animation_timeout'].'"';
		} else {
			$wd_footer_animate_class = '';
			$wd_footer_animate_data = "";
		}
		?>
		<?php //if( !wp_is_mobile() ): ?>
			<div class="first-footer-widget-area">
				<div class="container">
					<div class="first-footer-widget-area-1 col-sm-24 <?php echo esc_attr($wd_footer_animate_class);?>" <?php echo $wd_footer_animate_data;?>>
						<?php if ( is_active_sidebar( 'first-footer-widget-area-1' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'first-footer-widget-area-1' ); ?>
							</ul>
						<?php endif; ?>
					</div>							
				</div>
			</div>
			<?php wp_reset_query();?>
		<?php //endif; ?>	
		
	<?php
		}
	}
	
	add_action( 'wd_footer_init', 'wd_footer_init_widget_area_2', 20 );
	if(!function_exists ('wd_footer_init_widget_area_2')){
		function wd_footer_init_widget_area_2(){
			global $smof_data;
			if( isset($smof_data['wd_show_second_footer_widget_area']) && (int) $smof_data['wd_show_second_footer_widget_area'] == 0){
				return;
			}
	?>	
		<?php if(isset($smof_data['wd_show_footer_animation']) && (int) $smof_data['wd_show_footer_animation'] == 1 ) {
			$wd_footer_animate_class = "no-animated";
			$wd_footer_animate_data = 'data-animate="'.$smof_data['wd_footer_animation_type'].'" data-delay="'.$smof_data['wd_footer_animation_timeout'].'"';
		} else {
			$wd_footer_animate_class = '';
			$wd_footer_animate_data = "";
		}
		?>
			<div class="second-footer-widget-area">
				<div class="container">
					<div class="row">
					<div class="second-footer-widget-area-title col-sm-24 <?php echo esc_attr($wd_footer_animate_class);?>" <?php echo $wd_footer_animate_data;?>>
						<?php if ( is_active_sidebar( 'second-footer-widget-area-title' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'second-footer-widget-area-title' ); ?>
							</ul>
						<?php endif; ?>
					</div>
					<div class="second-footer-widget-area-1 col-sm-8 <?php echo esc_attr($wd_footer_animate_class);?>" <?php echo $wd_footer_animate_data;?>>
						<?php if ( is_active_sidebar( 'second-footer-widget-area-1' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'second-footer-widget-area-1' ); ?>
							</ul>
						<?php endif; ?>
					</div>
					<div class="second-footer-widget-area-2 col-sm-8 <?php echo esc_attr($wd_footer_animate_class);?>" <?php echo $wd_footer_animate_data;?>>
						<?php if ( is_active_sidebar( 'second-footer-widget-area-2' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'second-footer-widget-area-2' ); ?>
							</ul>
						<?php endif; ?>
					</div>
					<div class="second-footer-widget-area-3 col-sm-8 <?php echo esc_attr($wd_footer_animate_class);?>" <?php echo $wd_footer_animate_data;?>>
						<?php if ( is_active_sidebar( 'second-footer-widget-area-3' ) ) : ?>
							<ul class="xoxo">
								<?php dynamic_sidebar( 'second-footer-widget-area-3' ); ?>
							</ul>
						<?php endif; ?>
					</div>
				</div>
				</div>
			</div>
			<?php wp_reset_query();?>
		
	<?php
		}
	}

	add_action( 'wd_footer_init', 'wd_footer_init_widget_area_3', 30 );
	if(!function_exists ('wd_footer_init_widget_area_3')){
		function wd_footer_init_widget_area_3(){
			global $smof_data;
			if( isset($smof_data['wd_show_third_footer_widget_area']) && (int) $smof_data['wd_show_third_footer_widget_area'] == 0){
				return;
			}
			
			
	?>
		<?php if(isset($smof_data['wd_show_footer_animation']) && (int) $smof_data['wd_show_footer_animation'] == 1 ) {
			$wd_footer_animate_class = "no-animated";
			$wd_footer_animate_data = 'data-animate="'.$smof_data['wd_footer_animation_type'].'" data-delay="'.$smof_data['wd_footer_animation_timeout'].'"';
		} else {
			$wd_footer_animate_class = '';
			$wd_footer_animate_data = "";
		}
		?>
			<div class="third-footer-widget-area">
				<div class="container">
					<div class="third-footer-header-box">
						<div class="third-footer-widget-area-1 col-sm-24">
							<?php
								if ( is_active_sidebar( 'third-footer-widget-area-1' ) ) : ?>
									<ul class="xoxo">
										<?php dynamic_sidebar( 'third-footer-widget-area-1' ); ?>
									</ul>
							<?php endif; ?>								
						</div>
						<div class="third-footer-widget-area-2 col-sm-24 ">
							<?php
								if(isset($smof_data['footer_text']) && $smof_data['footer_text']!=='') {
									$copyright_class = ' class="col-sm-5 copy-right"';
									$footer_fore_class = ' class="col-sm-19"';
								} else {
									$copyright_class = ' style="display:none"';
									$footer_fore_class = ' class="col-sm-24"';
								}
							?>
							<div <?php echo $copyright_class;?>>
								<?php 
								echo do_shortcode(stripslashes($smof_data['footer_text'])); ?>
							</div>
							<div <?php echo $footer_fore_class;?>>
								<div class="col-sm-24">
									<?php
										if ( is_active_sidebar( 'third-footer-widget-area-2' ) ) : ?>
											<ul class="xoxo">
												<?php dynamic_sidebar( 'third-footer-widget-area-2' ); ?>
											</ul>
									<?php endif; ?>	
								</div>
								<div class="col-sm-15">
									<?php
									if ( is_active_sidebar( 'third-footer-widget-area-3' ) ) : ?>
										<ul class="xoxo">
											<?php dynamic_sidebar( 'third-footer-widget-area-3' ); ?>
										</ul>
									<?php endif; ?>	
								</div>
								<div class="col-sm-9">
									<?php
										if ( is_active_sidebar( 'third-footer-widget-area-4' ) ) : ?>
										<ul class="xoxo">
											<?php dynamic_sidebar( 'third-footer-widget-area-4' ); ?>
										</ul>
									<?php endif; ?>	
									
									<?php if((int)$smof_data['wd_show_payment'] == 1 ): ?>
										<div class="payment_service">
											<?php if( strlen($smof_data['wd_payment_heading']) > 0 && (int)$smof_data['wd_show_payment_heading'] == 1 ): ?>
											<h2 class="widgettitle"><?php echo esc_html($smof_data['wd_payment_heading']); ?></h2>
											<?php endif; ?>
											<ul>
											<li><?php if( strlen($smof_data['wd_payment_image_1']) > 0 && (int)$smof_data['wd_show_payment_image_1'] == 1 ): ?>
												<a href="#"><img alt="payment 1" title ="payment 1" src="<?php echo esc_url($smof_data['wd_payment_image_1']); ?>" /></a>
											<?php endif; ?></li>
											<li><?php if( strlen($smof_data['wd_payment_image_2']) > 0 && (int)$smof_data['wd_show_payment_image_2'] == 1 ): ?>
												<a href="#"><img alt="payment 2" title ="payment 2" src="<?php echo esc_url($smof_data['wd_payment_image_2']); ?>" /></a>
											<?php endif; ?></li>
											<li><?php if( strlen($smof_data['wd_payment_image_3']) > 0 && (int)$smof_data['wd_show_payment_image_3'] == 1 ): ?>
												<a href="#"><img alt="payment 3" title="payment 3" src="<?php echo esc_url($smof_data['wd_payment_image_3']); ?>" /></a>
											<?php  endif; ?></li>
											<li><?php if( strlen($smof_data['wd_payment_image_4']) > 0 && (int)$smof_data['wd_show_payment_image_4'] == 1 ): ?>
												<a href="#"><img alt="payment 4" title="payment 4" src="<?php echo esc_url($smof_data['wd_payment_image_4']); ?>" /></a>
											<?php endif; ?></li>
											<li><?php if( strlen($smof_data['wd_payment_image_5']) > 0 && (int)$smof_data['wd_show_payment_image_5'] == 1 ): ?>
												<a href="#"><img alt="payment 5" title="payment 5" src="<?php echo esc_url($smof_data['wd_payment_image_5']); ?>" /></a>
											<?php endif; ?></li>
											<li><?php if( strlen($smof_data['wd_payment_image_6']) > 0 && (int)$smof_data['wd_show_payment_image_6'] == 1 ): ?>
												<a href="#"><img alt="payment 6" title="payment 6" src="<?php echo esc_url($smof_data['wd_payment_image_6']); ?>" /></a>
											<?php endif; ?></li>
											</ul>
										</div>
									<?php endif; ?>
								</div>
							</div>
							
						</div>
						
					</div>
					
				</div>
				
			</div>
			<?php wp_reset_query();?>	
		
	<?php
		}
	}
	

	add_action( 'wd_before_footer_end', 'wd_before_body_end_content', 10 );
	if(!function_exists ('wd_before_body_end_content')){
		function wd_before_body_end_content(){
			global $smof_data;
			$_content = stripslashes($smof_data['wd_feedback_dialog_content']);
			if( strlen($_content) > 0 ){
				if( isset( $smof_data['wd_show_feedback_button'] ) && absint($smof_data['wd_show_feedback_button'])==1):
					$df_feedback_button_images_uri = get_stylesheet_directory_uri(). '/images/feedback.png';
					$style_inline_feedback_button = "style='background-image: url(".$df_feedback_button_images_uri."); background-repeat: no-repeat;'";
					if(isset($smof_data['wd_feedback_button_image']) && strlen($smof_data['wd_feedback_button_image']) > 0) $style_inline_feedback_button = "style='background-image: url(".$smof_data['wd_feedback_button_image']."); background-repeat: no-repeat;'";
					?>
					<div id="feedback" class="hidden-xs">
						<a <?php echo $style_inline_feedback_button; ?> class="feedback-button wd-prettyPhoto" href="#<?php if (strlen($_content) > 0) {  ?>wd_contact_content<?php } ?>" ></a>
					</div>
					<?php
				endif;?>
				<div class="contact_form hidden-xs hidden" >
					<div class="contact_form_inner" style="overflow:hidden;" id="wd_contact_content"><?php echo do_shortcode($_content);?></div>
				</div>
				<?php
			}
			
			if(!wp_is_mobile()): ?>
				<div id="to-top" class="scroll-button">
					<a class="scroll-button" href="javascript:void(0)" title="<?php _e('Back to Top','wpdance');?>"></a>
				</div>
			<?php endif;
		}
		
	}
	
	add_filter('comment_text', 'comment_text_func');
	function comment_text_func($content){
		return "&ldquo;".$content."&rdquo;";
	}
	/*--------------------------------------------------------------------------------------*/
	/* 						Update Quick View Product Price 								*/
	/*--------------------------------------------------------------------------------------*/
	
    add_filter( 'wcml_multi_currency_is_ajax',  'wd_quick_view_price_curency' );
    function wd_quick_view_price_curency(){
    	add_filter('woocommerce_currency', 'wd_currency_filter'); 
    	add_filter('get_post_metadata', 'wd_product_price_filter',10,5);
    }
	function wd_currency_filter($currency) {     
        $currency = apply_filters('wcml_price_currency', $currency);
        return apply_filters('wcml_client_currency',$currency);
    }
    function wd_product_price_filter($null, $object_id, $meta_key, $single){
        global $sitepress;
        global $woocommerce_wpml;
        $client_currency = $woocommerce_wpml->multi_currency_support->get_client_currency();
        static $no_filter = false;
                
        if(empty($no_filter) && in_array(get_post_type($object_id), array('product', 'product_variation'))){
            
            $price_keys = array(
                '_price', '_regular_price', '_sale_price', 
                '_min_variation_price', '_max_variation_price',                
                '_min_variation_regular_price', '_max_variation_regular_price',
                '_min_variation_sale_price', '_max_variation_sale_price');
            
            if(in_array($meta_key, $price_keys)){
                $no_filter = true;
                
                // exception for products migrated from before WCML 3.1 with independent prices
                // legacy prior 3.1
                $original_object_id = apply_filters( 'translate_object_id',$object_id, get_post_type($object_id), false, $sitepress->get_default_language());
                $ccr = get_post_meta($original_object_id, '_custom_conversion_rate', true);
                if(in_array($meta_key, array('_price', '_regular_price', '_sale_price')) && !empty($ccr) && isset($ccr[$meta_key][$client_currency])){                    
                    $price_original = get_post_meta($original_object_id, $meta_key, $single);
                    $price = $price_original * $ccr[$meta_key][$client_currency];
                    
                }else{
                        
                    // normal filtering                    
                    // 1. manual prices
                    $manual_prices = wd_get_product_custom_prices($object_id, $client_currency);
                    
                    if($manual_prices && !empty($manual_prices[$meta_key])){
                        
                        $price = $manual_prices[$meta_key];
                        
                    }else{
                    // 2. automatic conversion
                        $price = get_post_meta($object_id, $meta_key, $single);
                        $price = apply_filters('wcml_raw_price_amount', $price );
                        
                    }
                    
                }
                
                
                $no_filter = false;
            }
            
        }


        return !empty($price) ? $price : $null;    	
    }

    function wd_get_product_custom_prices($product_id, $currency = false){
        global $wpdb, $sitepress, $woocommerce_wpml;
        
        $distinct_prices = false;
        
        /*if(empty($currency)){
            $currency = $this->get_client_currency();
        }*/
        
        $original_product_id = $product_id;
        $post_type = get_post_type($product_id);
        $product_translations = $sitepress->get_element_translations($sitepress->get_element_trid($product_id, 'post_'.$post_type), 'post_'.$post_type);
        foreach($product_translations as $translation){
            if( $translation->original ){
                $original_product_id = $translation->element_id;
                break;
            }
        }
        
        $product_meta = get_post_custom($original_product_id);
        
        $custom_prices = false;
        
        if(!empty($product_meta['_wcml_custom_prices_status'][0])){
        
            $prices_keys = array(
                '_price', '_regular_price', '_sale_price', 
                '_min_variation_price', '_max_variation_price',                
                '_min_variation_regular_price', '_max_variation_regular_price',
                '_min_variation_sale_price', '_max_variation_sale_price');
            
            foreach($prices_keys as $key){
                
                if(!empty($product_meta[$key . '_' . $currency][0])){
                    $custom_prices[$key] = $product_meta[$key . '_' . $currency][0];
                }
                
            }
        
        }
        
        if(!isset($custom_prices['_price'])) return false;
        
        $current__price_value = $custom_prices['_price'];
        
        // update sale price
        if(!empty($custom_prices['_sale_price'])){
            
            if(!empty($product_meta['_wcml_schedule_' . $currency][0])){
                // custom dates
                if(!empty($product_meta['_sale_price_dates_from_' . $currency][0]) && !empty($product_meta['_sale_price_dates_to_' . $currency][0])){
                    if(current_time('timestamp') > $product_meta['_sale_price_dates_from_' . $currency][0] && current_time('timestamp') < $product_meta['_sale_price_dates_to_' . $currency][0]){
                        $custom_prices['_price'] = $custom_prices['_sale_price'];
                    }else{
                        $custom_prices['_price'] = $custom_prices['_regular_price'];
                    }
                }else{
                    $custom_prices['_price'] = $custom_prices['_sale_price'];
                }
                
            }else{
                // inherit
                if(!empty($product_meta['_sale_price_dates_from'][0]) && !empty($product_meta['_sale_price_dates_to'][0])){
                    if(current_time('timestamp') > $product_meta['_sale_price_dates_from'][0] && current_time('timestamp') < $product_meta['_sale_price_dates_to'][0]){
                        $custom_prices['_price'] = $custom_prices['_sale_price'];
                    }else{
                        $custom_prices['_price'] = $custom_prices['_regular_price'];
                    }
                }else{
                    $custom_prices['_price'] = $custom_prices['_sale_price'];
                }
            }
            
        }
        
        if($custom_prices['_price'] != $current__price_value){
            update_post_meta($product_id, '_price_' . $currency, $custom_prices['_price']);
        }
        
        // detemine min/max variation prices        
        if(!empty($product_meta['_min_variation_price'])){
            
            static $product_min_max_prices = array();
            
            if(empty($product_min_max_prices[$product_id])){
                
                // get variation ids
                $variation_ids = $wpdb->get_col($wpdb->prepare("SELECT ID FROM {$wpdb->posts} WHERE post_parent = %d", $product_id));
                
                // variations with custom prices
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key='_wcml_custom_prices_status'",join(',', $variation_ids)));
                foreach($res as $row){
                    $custom_prices_enabled[$row->post_id] = $row->meta_value;
                }
                
                // REGULAR PRICES
                // get custom prices
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key='_regular_price_" . $currency . "'",join(',', $variation_ids)));
                foreach($res as $row){
                    $regular_prices[$row->post_id] = $row->meta_value;
                }
                
                // get default prices (default currency)
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key='_regular_price'",join(',', $variation_ids)));
                foreach($res as $row){
                    $default_regular_prices[$row->post_id] = $row->meta_value;
                }
                
                // include the dynamic prices
                foreach($variation_ids as $vid){
                    if(empty($regular_prices[$vid]) && isset($default_regular_prices[$vid])){
                        $regular_prices[$vid] = apply_filters('wcml_raw_price_amount', $default_regular_prices[$vid] );
                    }
                }
                
                // SALE PRICES
                // get custom prices
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key=%s",join(',', $variation_ids),'_sale_price_'.$currency));
                foreach($res as $row){
                    $custom_sale_prices[$row->post_id] = $row->meta_value;
                }
                
                // get default prices (default currency)
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key='_sale_price' AND meta_value <> ''",join(',', $variation_ids)));
                foreach($res as $row){
                    $default_sale_prices[$row->post_id] = $row->meta_value;
                }
                
                // include the dynamic prices
                foreach($variation_ids as $vid){
                    if(empty($sale_prices[$vid]) && isset($default_sale_prices[$vid])){
                        $sale_prices[$vid] = apply_filters('wcml_raw_price_amount', $default_sale_prices[$vid]);
                    }
                }
                
                
                // PRICES
                // get custom prices
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key=%s",join(',', $variation_ids),'_price_'.$currency));
                foreach($res as $row){
                    $custom_prices_prices[$row->post_id] = $row->meta_value;
                }
                
                // get default prices (default currency)
                $res = $wpdb->get_results($wpdb->prepare("SELECT post_id, meta_value FROM {$wpdb->postmeta} WHERE post_id IN(%s) AND meta_key='_price'",join(',', $variation_ids)));
                foreach($res as $row){
                    $default_prices[$row->post_id] = $row->meta_value;
                }
                
                // include the dynamic prices
                foreach($variation_ids as $vid){
                    if(empty($custom_prices_prices[$vid]) && isset($default_prices[$vid])){
                        $prices[$vid] = apply_filters('wcml_raw_price_amount', $default_prices[$vid]);
                    }
                }
                
                if(!empty($regular_prices)){
                    $product_min_max_prices[$product_id]['_min_variation_regular_price'] = min($regular_prices);
                    $product_min_max_prices[$product_id]['_max_variation_regular_price'] = max($regular_prices);
                }
                
                if(!empty($sale_prices)){
                    $product_min_max_prices[$product_id]['_min_variation_sale_price'] = min($sale_prices);
                    $product_min_max_prices[$product_id]['_max_variation_sale_price'] = max($sale_prices);
                }
                
                if(!empty($prices)){
                    $product_min_max_prices[$product_id]['_min_variation_price'] = min($prices);
                    $product_min_max_prices[$product_id]['_max_variation_price'] = max($prices);
                }
                
                
            }
            
            if(isset($product_min_max_prices[$product_id]['_min_variation_regular_price'])){
                $custom_prices['_min_variation_regular_price'] = $product_min_max_prices[$product_id]['_min_variation_regular_price'];                    
            }
            if(isset($product_min_max_prices[$product_id]['_max_variation_regular_price'])){
                $custom_prices['_max_variation_regular_price'] = $product_min_max_prices[$product_id]['_max_variation_regular_price'];                    
            }

            if(isset($product_min_max_prices[$product_id]['_min_variation_sale_price'])){
                $custom_prices['_min_variation_sale_price'] = $product_min_max_prices[$product_id]['_min_variation_sale_price'];                    
            }
            if(isset($product_min_max_prices[$product_id]['_max_variation_sale_price'])){
                $custom_prices['_max_variation_sale_price'] = $product_min_max_prices[$product_id]['_max_variation_sale_price'];                    
            }

            if(isset($product_min_max_prices[$product_id]['_min_variation_price'])){
                $custom_prices['_min_variation_price'] = $product_min_max_prices[$product_id]['_min_variation_price'];                    
            }
            if(isset($product_min_max_prices[$product_id]['_max_variation_price'])){
                $custom_prices['_max_variation_price'] = $product_min_max_prices[$product_id]['_max_variation_price'];                    
            }
        }
        
        return $custom_prices; 
        
    }
	/*--------------------------------------------------------------------------------------*/
    /* 									End Update 											*/
   	/*--------------------------------------------------------------------------------------*/

?>