<?php

if ( ! function_exists( 'wd_tini_account' ) ) {
	function wd_tini_account(){
		$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
		if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
			return 'Woocommerce Plugin do not active';
		}
		global $woocommerce;
		$myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
		if ( $myaccount_page_id ) {
			$myaccount_page_url = get_permalink( $myaccount_page_id );
			$login_url = esc_url(get_permalink( $myaccount_page_id ));
			$register_url = $login_url;
			$profile_url = $login_url;
		}
		else{
			$myaccount_page_url = get_site_url().'/my-account';
			$login_url = esc_url(get_permalink( $myaccount_page_id ));
			$register_url = $login_url;
			$profile_url = $login_url;
		}
		ob_start();
		
		$_user_logged = is_user_logged_in();
		
		?>
		<?php do_action( 'wd_before_tini_account' ); ?>
		
		
		<div class="wd_tini_account_wrapper">
			<div class="wd_tini_account_control">
			
				<a href="<?php echo esc_url($myaccount_page_url);?>" title="<?php esc_attr_e('My Account','wpdance');?>">
					<span><?php echo ($_user_logged) ? esc_html__('My Account','wpdance') :  esc_html__('Login','wpdance'); ?></span>					
				</a>	
			
			</div>
			<div class="form_drop_down drop_down_container">
				<?php if( !$_user_logged ): ?>
					<div class="form_wrapper">				
						<div class="form_wrapper">				
							<div class="form_wrapper_body">
								<?php
								$args = array(
									//'redirect' => admin_url()
									'redirect' => $profile_url
									,'form_id' => 'loginform-custom'
									,'label_username' => __( 'User or Email','wpdance' )
									,'label_password' => __( 'Password','wpdance' )
									,'label_remember' => __( '','wpdance' )
									,'label_log_in' => __( 'Login','wpdance' )
									,'remember' => false
								);
								wp_login_form( $args );
								?>
								
							</div>
							<div class="form_wrapper_footer">
								<a href="<?php echo esc_url($myaccount_page_url); ?>"><?php esc_html_e('CREATE NEW ACCOUNT','wpdance');?></a>
							</div>
						</div>	
					</div>	
				<?php else: ?>	
					<div class="my_account_wrapper text-right"><a href="<?php echo $url = esc_url(admin_url( 'profile.php', 'https' )); ?>" title="<?php _e('My Account','wpdance');?>"><?php esc_html_e('My Account','wpdance');?></a></div>
					<div class="logout_wrapper text-right"><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" title="<?php esc_attr_e('Logout','wpdance');?>"><?php esc_html_e('Logout','wpdance');?></a></div>
				<?php
					endif
				?>
			</div>
		</div>
		<?php do_action( 'wd_after_tini_account' ); ?>
<?php
		$tini_account = ob_get_clean();
		return $tini_account;
	}
}

if ( ! function_exists( 'wd_update_tini_account' ) ) {
	function wd_update_tini_account() {
		die($_tini_account_html = wd_tini_account());
	}
}

if( ! function_exists ( 'wd_redirect_login_fail' ) ){
    function wd_redirect_login_fail(){
        $myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
        if ( $myaccount_page_id ) {
            $myaccount_page_url = get_permalink( $myaccount_page_id );
            wp_redirect($myaccount_page_url);
        }
    }
}
if( ! function_exists ('wd_redirect_logout') ){
    function wd_redirect_logout(){
        if( isset($_GET['loggedout']) && $_GET['loggedout'] == 'true' ){
            $myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
            if ( $myaccount_page_id ) {
                $myaccount_page_url = get_permalink( $myaccount_page_id );
                wp_redirect($myaccount_page_url);
            }
        }
    }
}

if( isset($_POST, $_POST['log'], $_POST['pwd']) ){
	add_filter( 'authenticate', 'wd_custom_authenticate_username_password', 30, 3);
}
function wd_custom_authenticate_username_password( $user, $username, $password )
{
    if ( function_exists('is_a') && is_a($user, 'WP_User') ) { return $user; }
    if ( empty($username) || empty($password) )
    {
        $error = new WP_Error();
        $user  = new WP_Error('authentication_failed', __('<strong>ERROR</strong>: Invalid username or incorrect password.', 'wpdance' ));

        return $error;
    }
}

add_action('wp_ajax_update_tini_account', 'wd_update_tini_account');
add_action('wp_ajax_nopriv_update_tini_account', 'wd_update_tini_account');
if( isset($_POST['redirect_to']) && strpos($_POST['redirect_to'],'wp-admin') === false ){
	add_action('wp_login_failed','wd_redirect_login_fail');
}
add_action('init','wd_redirect_logout');

?>