<?php
if ( ! function_exists( 'wd_tini_cart' ) ) {
	function wd_tini_cart(){
		$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
		if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
			return;
		}
		global $woocommerce;
		$_cart_empty = sizeof( WC()->cart->get_cart() ) > 0 ? false : true ;
		
		ob_start();
		
		?>
		<?php do_action( 'wd_before_tini_cart' ); ?>
		<div class="wd_tini_cart_wrapper">
			<div class="wd_tini_cart_control ">
				
				<span class="cart_size">
					
					<span class="cart_size_value_head">
						<a href="<?php echo esc_url( wc_get_cart_url() );?>" title="<?php esc_attr_e('View your shopping bag','wpdance');?>">
							<span><?php esc_html_e('my cart','wpdance');?> </span>
						</a>
						<?php echo WC()->cart->cart_contents_count . ' item - ' . WC()->cart->get_cart_total();?>
					</span>
				</span>
				
			</div>
			
			
			
			<div class="cart_dropdown drop_down_container">
				
				<?php if ( !$_cart_empty ) : ?>
					<div class="dropdown_footer">
						<h3 class="cart_dropdown_title"><a href="<?php echo esc_url( wc_get_cart_url() );?>"><?php esc_html_e('My cart','wpdance');?></a> </h3>
						<p class="items">
							<?php printf( esc_html__("There is %d items in your shopping cart", 'wpdance'), WC()->cart->cart_contents_count );?> 
						</p>
						<p class="total"><?php esc_html_e( 'Cart Subtotal', 'wpdance' ); ?>: <?php echo WC()->cart->get_cart_subtotal(); ?></p>

						<?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>
						
						<p>
							<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="btn type-3 checkout"><?php esc_html_e( 'Checkout', 'wpdance' ); ?></a>
						</p>
						
					</div>
				<?php endif; ?>
				
				
				<?php if ( !$_cart_empty ) : ?>
				<div class="dropdown_body">
					<h2 class="cart-body-title"><?php esc_html_e("Recently added items", 'wpdance')?></h2>
					<ul class="cart_list product_list_widget">
							
							<?php
								$_cart_array = WC()->cart->get_cart();
								$_index = 0;
							?>
							
							<?php foreach ( $_cart_array as $cart_item_key => $cart_item ) :
								
								$_product = $cart_item['data'];

								// Only display if allowed
								if ( ! apply_filters('woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) || ! $_product->exists() || $cart_item['quantity'] == 0 )
									continue;

								// Get price
								$product_price = get_option( 'woocommerce_tax_display_cart' ) == 'excl' ? wc_get_price_excluding_tax($_product) : wc_get_price_including_tax($_product);

								$product_price = apply_filters( 'woocommerce_cart_item_price_html', wc_price( $product_price ), $cart_item, $cart_item_key );
								?>

								<li class="<?php echo $_cart_li_class = ($_index == 0 ? "first" : ($_index == count($_cart_array) - 1 ? "last" : "")) ?>">
									<a class="cs_img_cart" href="<?php echo esc_url( get_permalink( $cart_item['product_id'] ) ); ?>">
										<?php echo $_product->get_image('shop_thumbnail'); ?>
									</a>
									<div class="cart_item_wrapper">	
										
										<a class="wd_cart_title" href="<?php echo esc_url( get_permalink( $cart_item['product_id'] ) ); ?>">
											<?php echo $_product->get_title(); ?>
										</a>
										<div class="wd_cart_item_categories">
										<?php echo wc_get_product_category_list($_product->get_id())
;?>	
										</div>
											<?php echo apply_filters( 'woocommerce_widget_cart_item_quantity', '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'],$product_price ) . '</span>', $cart_item, $cart_item_key ); ?>
											<?php
												echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf('<a href="%s" class="remove" title="%s"><span class="glyphicon glyphicon-remove"></span></a>', esc_url( wc_get_cart_remove_url($cart_item_key) ), __( 'Remove this item', 'wpdance' ) ), $cart_item_key );
										?>
									</div>
								</li>

								<?php $_index++; ?>
								
							<?php endforeach; ?>
					</ul><!-- end product list -->
				</div>
				<?php else: ?>
				<div class="size_empty">
					<?php _e('You have no items in your shopping cart.','wpdance');?>
				</div>
				<?php endif; ?>
				
				
				
				
			</div>
		</div>
		<?php do_action( 'wd_after_tini_cart' ); ?>
<?php
		$tini_cart = ob_get_clean();
		return $tini_cart;
	}
}

if ( ! function_exists( 'wd_update_tini_cart' ) ) {
	function wd_update_tini_cart() {
		die($_tini_cart_html = wd_tini_cart());
	}
}

add_action('wp_ajax_update_tini_cart', 'wd_update_tini_cart');
add_action('wp_ajax_nopriv_update_tini_cart', 'wd_update_tini_cart');

?>
