<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Oswad Market
 * @since WD_Responsive
 */

get_header(); ?>
		
		<div id="container">
			<div id="content" class="container page-template blog-detail-temp single-blog">
						
						<div class="slideshow-wrapper main-slideshow">
							<div class="slideshow-sub-wrapper">
								<?php
									do_action('wd_before_slider', 'full');
								?>
							</div>
						</div>
						<?php wd_show_breadcrumbs(); ?>
			
				<div id="main">
					<div class="col-sm-19">
						<div class="main-content container">
							
							<div class="single-content">
								<?php	
									if(have_posts()) : while(have_posts()) : the_post(); 
									global $post,$smof_data;
									$sticky = (is_sticky())?" sticky":"";
									?>
										<div <?php post_class("single-post".$sticky);?>>
											<?php echo stripslashes($smof_data['wd_top_blog_code']);?>
														
											<?php edit_post_link( __( 'Edit', 'wpdance' ), '<span class="wd-edit-link hidden-phone">', '</span>' ); ?>	
											
											
											
											<div class="post-title">
												<h2 class="heading-title">
													<a class="post-title heading-title" href="#"><?php the_title(); ?></a></h2>
												<div class="single-navigation clearfix">
													<?php previous_post_link('%link', "<span class='glyphicon glyphicon-chevron-left'></span>"); ?>
													<?php next_post_link('%link', "<span class='glyphicon glyphicon-chevron-right'></span>"); ?>
												</div>
											</div>
											<div class="post-info-meta">												
												
												<?php if( absint($smof_data['wd_blog_details_time']) == 1 ) : ?>
													<span class="date-time">
														<?php echo get_the_date(get_option('date_format_blog'));
														?>
													</span>
												<?php endif; ?>	
											</div>
											<?php if ( (int) $smof_data['wd_blog_details_thumbnail'] == 1 ): ?>
											<div class="blog-detail-content">
												<div class="thumbnail">
													<?php 
														$video_url = get_post_meta( $post->ID, THEME_SLUG.'url_video', true);
														if( $video_url!= ''){
															echo get_embbed_video( $video_url, 280, 246 );
														}
														else{
															?>
															<div class="image">
																<a class="thumb-image" href="<?php the_permalink() ; ?>">
																<?php 
																	if ( has_post_thumbnail() ) {
																		the_post_thumbnail('blog_thumb',array('class' => 'thumbnail-blog'));
																		//the_post_thumbnail('blog_thumb',array('class' => 'thumbnail-effect-2'));
																	} 			
																?>	
																</a>
																
															</div>
															<?php
														}
													?>	
												</div>
											<?php endif; ?>
											
												<div class="post-info-content">
													
													<div class="short-content"><?php the_content(); ?></div>
													
													<?php wp_link_pages(); ?>
																																				
												</div>
											
											</div>
											
											<div class="tags_social">
											<?php if( absint($smof_data['wd_blog_details_tags']) == 1 ) : ?>
												<?php if ( is_object_in_taxonomy( get_post_type(), 'post_tag' ) ) : // Hide tag text when not supported ?>
												<?php
													/* translators: used between list items, there is a space after the comma */
													$tags_list = get_the_tag_list( '', __( '', 'wpdance' ) );
													if ( $tags_list ):
													?>
														<div class="tags">
															<span class="tag-title"><?php _e('Tags','wpdance');?></span>
															<span class="tag-links">
																<?php printf( __( '<span class="%1$s"></span> %2$s', 'wpdance' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list );
																$show_sep = true; ?>
															</span>
														</div>
													<?php endif; // End if $tags_list ?>
												<?php endif; // End if is_object_in_taxonomy( get_post_type(), 'post_tag' ) ?>
											<?php endif; ?>	
											<?php if( absint($smof_data['wd_blog_details_socialsharing']) == 1 ) : ?>
												<div class="share_list">
													<!-- WIDGET SOCIAL -->
													<?php wd_template_social_sharing(); ?>
												</div>
											<?php endif;?>
											</div>

											
											<div class="post-footer-info">
												<?php if( $smof_data['wd_blog_comment_number'] == 1 ) : ?>
													<span class="comments-count">
														<span class="glyphicon glyphicon-comment"></span> <span class="number"><?php $comments_count = wp_count_comments($post->ID); echo absint($comments_count->approved); ?></span><?php _e(' comment(s)','wpdance'); ?>
													</span>
												<?php endif;?>	
												<?php if( $smof_data['wd_blog_author'] == 1 ) : ?>
													<span class="author">
														<i class="fa fa-calendar"></i> <?php _e("Posted by ","wpdance"); ?>
														<?php the_author_posts_link(); ?> 
													</span>
												<?php endif;?>
												
												<?php if ( is_object_in_taxonomy( get_post_type(), 'category' )) : ?>
												
												<?php
													
													if( $smof_data['wd_blog_categories'] == 1 ){
														$categories_list = get_the_category_list( __( ', ', 'wpdance' ) );
															if ( $categories_list ):
														?>
														<span class="cat-links">
															<i class="fa fa-list-ul"></i> <?php _e("Posted on","wpdance"); ?>
															<?php printf( __( '<span class="%1$s"></span> %2$s', 'wpdance' ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );?>
														</span>
														<?php endif; // End if categories 
													}
														?>
													
													
												<?php endif; ?>
												<!-- end categories -->
															
											</div>
										
										
										<?php echo stripslashes($smof_data['wd_bottom_blog_code']);?>
										</div>
										<div class="clear"></div>
										
										
										
										<?php if( absint($smof_data['wd_blog_details_authorbox']) == 1 ) : ?>
											<div id="entry-author-info">
												<div class="author-inner">
													<div id="author-description">
														<h3 class="author-title"><?php _e('About The Author', 'wpdance');?></h3>
														<div id="author-avatar" class="image-style">
															<div class="thumbnail">
																<img alt="my custom gravatar" src="<?php echo esc_url( get_template_directory_uri() ) . '/images/mycustomgravatar.jpg'?>" />
															</div>
														</div><!-- #author-avatar -->		
														<div class="author-desc">
															<span class="author-name"><?php the_author_posts_link();?></span>
															<div class="description"><?php the_author_meta( 'description' ); ?></div>
															<?php //$roles = get_user_by('id',$post->post_author)->roles; ?> 
															<!-- - <span class="role"> <?php echo isset($roles[0])?$roles[0]:''; ?> </span> - -->
															<div class="view-author-post">
																<?php esc_attr_e('View all posts by', 'wpdance');?> <?php the_author_posts_link();?>
															</div>
														</div>
													</div><!-- #author-description -->
													
												</div><!-- #author-inner -->
											</div><!-- #entry-author-info -->
										<?php endif; ?>	
										
										<?php if( absint($smof_data['wd_blog_details_related']) == 1 ) : ?>
											<?php 
												get_template_part( 'templates/related_posts' );
											?>
										<?php endif;?>
										
										<?php comments_template( '', true );?>
										
									<?php						
									endwhile;
									endif;	
									wp_reset_query();
								?>	
							</div>
						</div>
					</div>
					
					<div id="right-sidebar" class="col-sm-5 right-sidebar blog-sidebar dark">
						<div class="right-sidebar-content container">
						<?php
							if ( is_active_sidebar( 'blog-widget-area-right' ) ) : ?>
								<ul class="xoxo">
									<?php dynamic_sidebar( 'blog-widget-area-right' ); ?>
								</ul>
						<?php
							else:
							if ( is_active_sidebar( 'primary-widget-area-left' ) ) { ?>
							
								<ul class="xoxo">
									<?php dynamic_sidebar( 'primary-widget-area-left' ); ?>
								</ul>
						<?php 
							}
							endif; ?>
						</div>
					</div><!-- end right sidebar -->	

					
				</div>
							
				
			</div><!-- #content -->
			
		</div><!-- #container -->
<?php get_footer(); ?>