<?php

// ! File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }


// Removing shortcodes
vc_remove_element("vc_button");
vc_remove_element("vc_button2");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");


//***********************************************************************
// Row
//***********************************************************************
vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => __( "Minimum height", "wpdance" ),
	"param_name" => "min_height",
	"description" => __( "You can use pixels (px) or percents (%).", "wpdance" )
));
vc_add_param("vc_row", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __( "Hidden on Phones", "wpdance" ),
	"param_name" => "hide_on_phone",
	"value" => array(
		"" => "true"
	)
));
vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __( "Type", "wpdance" ),
	"param_name" => "type",
	"value" => array(
		"Default" => "",
		"Fit the content" => "wd_full-width"	
	),
	/*"dependency" => Array('element' => "row_type", 'value' => array('section'))*/
));

//***********************************************************************
// Column Text
//***********************************************************************
vc_add_param("vc_column_text", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __( "Align", "wpdance" ),
	"param_name" => "align",
	"value" => array(
		"" => "",
		"Left" => "left",
		"Center" => "center",
		"Right" => "right"
	)
));

vc_add_param("vc_column", array(
	"type" => "checkbox",
	"class" => "",
	"heading" => __( "Animate", "wpdance"),
	"value" => array(__( "Use Animate?" , "wpdance") => "show_animate" ),
	"param_name" => "show_animate",
	"description" => "",
));
vc_add_param("vc_column", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __( "Animate Type", "wpdance" ),
	"param_name" => "animate_type",
	"value" => getAnimationtype(),
	"dependency" => Array('element' => "show_animate", 'value' => array('show_animate'))
));
vc_add_param("vc_column", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Animated Time", "wpdance" ),
	"value" => "600",
	"param_name" => "animate_time",
	"description" => "",
	"dependency" => Array('element' => "show_animate", 'value' => array('show_animate'))
));


//***********************************************************************
// Separator
//***********************************************************************

//Get current values stored in the style param in "Separator" element
$param = WPBMap::getParam('vc_separator', 'style');
//Append new value to the 'value' array
$param['type'] = 'dropdown';
$param['value'] = array(
		"New" => "new",
		"Border" => "",
		"Dashed" => "dashed",
		"Dotted" => "dotted",
		"Double" => "double"
	);
//Finally "mutate" param with new values
WPBMap::mutateParam('vc_separator', $param);

vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Thickness (px)", "wpdance" ),
	"param_name" => "thickness",
	"value" => "",
	"description" => ""
));
vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Top Margin (px)", "wpdance" ),
	"param_name" => "up",
	"value" => "",
	"description" => ""
));
vc_add_param("vc_separator", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Bottom Margin (px)", "wpdance" ),
	"param_name" => "down",
	"value" => "",
	"description" => ""
));


//***********************************************************************
// Single image
//***********************************************************************
vc_add_param("vc_single_image", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => __( "Widget title color", "wpdance" ),
	"param_name" => "title_color",
	"value" => ""
));
vc_add_param("vc_single_image", array(
	"type" => "textarea_html",
	"class" => "",
	"heading" => __( "Text below the image", "wpdance" ),
	"param_name" => "img_description",
	"value" => "",
	"description" => "Enter text which will be used as description. Leave blank if no description is needed."
));
vc_add_param("vc_single_image", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Button text", "wpdance" ),
	"param_name" => "img_button",
	"value" => "",
	"description" => "Enter text which will be used as button text. Leave blank if no button is needed."
));
vc_add_param("vc_single_image", array(
	"type" => "attach_images",
	"class" => "",
	"heading" => __( "Label", "wpdance" ),
	"param_name" => "label",
	"value" => "",
	"description" => ""
));
vc_add_param("vc_single_image", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Label size", "wpdance" ),
	"param_name" => "label_size",
	"value" => "",
	"description" => "Enter image size. Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'thumbnail' size."
));


//***********************************************************************
// Default button
//***********************************************************************
/*vc_add_param("vc_button", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Margin (px)"),
	"param_name" => "margin",
	"value" => "",
	"description" => __("Margin (top right bottom left - 5px 5px 5px 5px)")
));*/


//***********************************************************************
// Default button 2
//***********************************************************************
/*vc_add_param("vc_button2", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __("Margin (px)"),
	"param_name" => "margin",
	"value" => "",
	"description" => __("Margin (top right bottom left - 5px 5px 5px 5px)")
));*/


//***********************************************************************
// Pie chart
//***********************************************************************

//Get current values stored in the color param in "Pie chart" element
$param = WPBMap::getParam('vc_pie', 'color');
//Append new value to the 'value' array
$param['value'] = '#f7f7f7';
$param['type'] = 'colorpicker';
//Finally "mutate" param with new values
WPBMap::mutateParam('vc_pie', $param);

// add appearance dropdown
vc_add_param("vc_pie", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => __( "Appearance", "wpdance" ),
	"admin_label" => true,
	"param_name" => "appearance",
	"value" => array(
		"Pie chart (default)" => "default",
		"Counter" => "counter"
	),
	"description" => ""
));

// add custom color selector
vc_add_param("vc_pie", array(
	"type" => "colorpicker",
	"heading" => __( "Bar color", "wpdance" ),
	"param_name" => "color",
	"value" => '#f7f7f7',
	"description" => ''
));

// add Pie Chart Line Width
vc_add_param("vc_pie", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Pie Chart Line Width (px)", "wpdance" ),
	"param_name" => "line_width",
	"value" => "",
	"description" => "Width of the bar line in px.",
	"dependency" => Array('element' => "appearance", 'value' => array('default'))
));
// add pie size
vc_add_param("vc_pie", array(
	"type" => "textfield",
	"class" => "",
	"heading" => __( "Size (px)", "wpdance" ),
	"param_name" => "size",
	"value" => ""
));


//***********************************************************************
// Progress bar
//***********************************************************************
vc_add_param("vc_progress_bar", array(
	"type" => "colorpicker",
	"heading" => __( "Values color", "wpdance" ),
	"param_name" => "color",
	"value" => '#ffffff',
	"description" => ''
));


// **********************************************************************// 
// ! Register New Element: Awesome Icon
// **********************************************************************//
$icon_box_params = array(
	'name' => 'Awesome Icon',
	'base' => 'wd_icon',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Title", "wpdance" ),
			"param_name" => "title",
			"value" => "",
			"description" => "blank if you don't want to display"
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Size", "wpdance" ),
			"param_name" => "size",
			"value" => array(
				"Tiny" => "fa-lg",
				"Small" => "fa-2x",
				"Medium" => "fa-3x",	
				"Large" => "fa-4x",
				"Very Large" => "fa-5x"	
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Custom Size (px)", "wpdance" ),
			"param_name" => "custom_size",
			"value" => ""
		),
		array(
			"type" => "wd_icon",
			"class" => "",
			"heading" => __( "Icon", "wpdance" ),
			"param_name" => "icon",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Type", "wpdance" ),
			"param_name" => "type",
			"value" => array(
				"Normal" => "normal",
				"Circle" => "circle",
				"Square" => "square"	
			),
			"description" => ""
		),
		/*array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Position"),
			"param_name" => "position",
			"value" => array(
				"Normal" => "",
				"Left" => "left",
				"Center" => "center",
				"Right" => "right"	
			),
			"description" => ""
		),*/
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Border", "wpdance" ),
			"param_name" => "border",
			"value" => array(
				"Yes" => "yes",
				"No" => "no"	
			),
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Border Color", "wpdance"),
			"param_name" => "border_color",
			"description" => __( "Only for Square type", "wpdance" ),
			"dependency" => Array('element' => "type", 'value' => array('square'))
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Icon Color", "wpdance" ),
			"param_name" => "icon_color",
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Background Color", "wpdance" ),
			"param_name" => "background_color",
			"description" => "",
			"dependency" => Array('element' => "type", 'value' => array('square','circle'))
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Margin (px)", "wpdance" ),
			"param_name" => "margin",
			"description" => __( "Margin (top right bottom left - 5px 5px 5px 5px)", "wpdance" )
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Distance (px)", "wpdance"),
			"param_name" => "distance",
			"description" => __( "For example: 10", "wpdance" )
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __( "CSS Animation", "wpdance"),
			"param_name" => "css_animation",
			"value" => array(
				"No" => "",
				"Top to bottom" => "top-to-bottom",
				"Bottom to top" => "bottom-to-top",
				"Left to right" => "left-to-right",
				"Right to left" => "right-to-left",
				"Appear from center" => "appear"
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Link", "wpdance" ),
			"param_name" => "link",
			"value" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __( "Target", "wpdance" ),
			"param_name" => "target",
			"value" => array(
				"Self" => "_self",
				"Blank" => "_blank",
				"Parent" => "_parent"	
			),
			"description" => ""
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __( "Enable tooltip", "wpdance" ),
			"param_name" => "enable_tooltip",
			"value" => array(
				"" => "false"
			)
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __( "Tooltip title", "wpdance" ),
			"param_name" => "tooltip_title",
			"value" => "",
			"dependency" => array(
				"element" => "enable_tooltip",
				"not_empty" => true
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __( "Tooltip direction", "wpdance" ),
			"param_name" => "tooltip_direction",
			"value" => array(
				"Left" => "left",
				"Top" => "top",
				"Bottom" => "bottom",
				"Right" => "right"
			),
			"dependency" => array(
				"element" => "enable_tooltip",
				"not_empty" => true
			)
		),
		array(
			"type" => "textfield",
			"heading" => __( "Extra class name", "wpdance" ),
			"param_name" => "class",
			"description" => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance" )
		)
	)
);  
vc_map($icon_box_params);


// **********************************************************************// 
// ! Register New Element: Bar Chart shortcode
// **********************************************************************//
vc_map( array(
		"name" => __( "Bar Chart", "wpdance" ),
		"base" => "wd_bar_chart",
		"icon" => "icon-wpb-wpdance",
		"category" => __( 'by WPDance', "wpdance" ),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Width", "wpdance" ),
				"param_name" => "width",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Height", "wpdance" ),
				"param_name" => "height",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Custom Color", "wpdance" ),
				"param_name" => "custom_color",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Scale steps", "wpdance" ),
				"param_name" => "scalesteps",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Scale step width", "wpdance" ),
				"param_name" => "scalestepwidth",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Labels", "wpdance" ),
				"param_name" => "labels",
				"value" => __( "Label 1 | Label 2 | Label 3", "wpdance" )
			),
			array(
				"type" => "exploded_textarea",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Content", "wpdance" ),
				"param_name" => "chart",
				"value" => "#eb005d|Legend One|1|5|10 \n #80c5d2|Legend Two|3|7|20 \n #f07d6f|Legend Three|10|2|34",
				"description" => "Input chart values here. Divide values with linebreaks (Enter). Example: #eb005d|Legend One|1|5|10"
			)
		)
) );



// **********************************************************************// 
// ! Register New Element: Call to Action
// **********************************************************************//
vc_map( array(
		"name" => __( "Call to Action", "wpdance"),
		"base" => "wd_action",
		"category" => __( 'by WPDance', "wpdance"),
		"icon" => "icon-wpb-wpdance",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __( "Type", "wpdance" ),
				"param_name" => "type",
				"value" => array(
					"Normal" => "normal",
					"With Border" => "with_border"
				),
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Background Color", "wpdance"),
				"param_name" => "background_color",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Border Color", "wpdance"),
				"param_name" => "border_color",
				"description" => "",
				"dependency" => array(
					"element" => "type",
					"value" => array(
						"with_border"
					)
				)
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Border Style", "wpdance"),
				"param_name" => "border_style",
				"description" => "",
				"value" => array(
					"Border" => "",
					"Dashed" => "dashed",
					"Dotted" => "dotted",
					"Double" => "double"
				),
				"dependency" => array(
					"element" => "type",
					"value" => array(
						"with_border"
					)
				)
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Border Color", "wpdance"),
				"param_name" => "border_color",
				"description" => "",
				"dependency" => array(
					"element" => "type",
					"value" => array(
						"with_border"
					)
				)
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Border Width (in px)", "wpdance"),
				"param_name" => "border_width",
				"description" => "",
				"value" => "1",
				"dependency" => array(
					"element" => "type",
					"value" => array(
						"with_border"
					)
				)
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Border Radius (in px)", "wpdance"),
				"param_name" => "border_radius",
				"description" => "",
				"value" => "",
				"dependency" => array(
					"element" => "type",
					"value" => array(
						"with_border"
					)
				)
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Link", "wpdance"),
				"param_name" => "link",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Link Target", "wpdance"),
				"param_name" => "target",
				"value" => array(
					"" => "",
					"Self" => "_self",
					"Blank" => "_blank",	
					"Parent" => "_parent"	
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Link Text", "wpdance"),
				"param_name" => "link_text",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Link Text Color", "wpdance"),
				"param_name" => "link_text_color",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Link Background Color", "wpdance"),
				"param_name" => "link_background_color",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Link Size", "wpdance"),
				"param_name" => "link_size",
				"value" => array(
					"Default" => "default",
					"Small" => "small",
					"Big" => "big",
					"Extra" => "extra"
				),
				"description" => ''
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "content",
				"value" => "<p>".__("I am test text for Call to Action.", "wpdance")."</p>",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Align", "wpdance"),
				"param_name" => "align",
				"value" => array(
					"Left" => "left",
					"Center" => "center",
					"Right" => "right"
				),
				"description" => ''
			)
		)
) );


// **********************************************************************// 
// ! Register New Element: Code
// **********************************************************************//
$code_params = array(
	"name" => __("Code", "wpdance"),
	"base" => "wd_code",
	"icon" => "icon-wpb-wpdance",
	"category" => __('by WPDance', "wpdance"),
	"allowed_container_element" => 'vc_row',
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => __("Title", "wpdance"),
			"param_name" => "title",
			"description" => ''
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"class" => "",
			"heading" => __("Type", "wpdance"),
			"param_name" => "type",
			"value" => array(
				"HTML" => "html",
				"Text" => "text"	
			),
			"description" => ""
		),
		array(
			"type" => "textarea_raw_html",
			"holder" => "",
			"class" => "",
			"heading" => __("Content", "wpdance"),
			"param_name" => "content",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"heading" => __("Extra class name", "wpdance"),
			"param_name" => "class",
			"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)
);
vc_map($code_params);


// **********************************************************************// 
// ! Register New Element: Counter
// **********************************************************************//
vc_map( array(
		"name" => __("Counter", "wpdance"),
		"base" => "wd_counter",
		"category" => __('by WPDance', "wpdance"),
		"icon" => "icon-wpb-wpdance",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Widget title", "wpdance"),
				"param_name" => "title",
				"description" => "Enter text which will be used as widget title. Leave blank if no title is needed."
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"admin_label" => true,
				"heading" => __("Counter value", "wpdance"),
				"param_name" => "value",
				"description" => "Input integer value for label"
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Counter value start", "wpdance"),
				"param_name" => "init",
				"description" => "Input integer value for label. If empty 0 will be used"
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Units", "wpdance"),
				"param_name" => "units",
				"description" => "Enter measurement units (if needed) Eg. %, px, points, etc."
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Color", "wpdance"),
				"param_name" => "color",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Size (in px)", "wpdance"),
				"param_name" => "size",
				"description" => ""
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => __("Caption", "wpdance"),
				"param_name" => "caption",
				"value" => "",
				"description" => "Enter text which will be used as widget caption. Leave blank if no caption is needed."
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Extra class name", "wpdance"),
				"param_name" => "class",
				"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
			)
		)
) );


// **********************************************************************// 
// ! Register New Element: Custom Text
// **********************************************************************//
$customtext_params = array(
	"name" => __("Custom Text", "wpdance"),
	"base" => "wd_custom_text",
	"icon" => "icon-wpb-wpdance",
	"category" => __('by WPDance', "wpdance"),
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font family", "wpdance"),
			"param_name" => "font_family",
			"value" => __("Oswald", "wpdance")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font size", "wpdance"),
			"param_name" => "font_size",
			"value" => "15"
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Line height", "wpdance"),
			"param_name" => "line_height",
			"value" => "26"
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font Style", "wpdance"),
			"param_name" => "font_style",
			"value" => array(
				"Normal" => "normal",
				"Italic" => "italic"	
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Text Align", "wpdance"),
			"param_name" => "text_align",
			"value" => array(
				"Left" => "left",
				"Center" => "center",
				"Right" => "right"	
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font weight", "wpdance"),
			"param_name" => "font_weight",
			"value" => "300"
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Color", "wpdance"),
			"param_name" => "color",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Text decoration", "wpdance"),
			"param_name" => "text_decoration",
			"value" => array(
				"None" => "none",
				"Underline" => "underline",
				"Overline" => "overline",
				"Line Through" => "line-through"	
			),
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background Color", "wpdance"),
			"param_name" => "background_color",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Padding (px)", "wpdance"),
			"param_name" => "padding",
			"value" => "0"
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Margin (px)", "wpdance"),
			"param_name" => "margin",
			"value" => "0",
			"description" => __("Margin (top right bottom left - 5px 5px 5px 5px)", "wpdance")
		),
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Content", "wpdance"),
			"param_name" => "content",
			"value" => "<p>content content content</p>",
			"description" => ""
		)
	)
);
vc_map( $customtext_params );


// **********************************************************************// 
// ! Register New Element: Feedburner Subscription
// **********************************************************************//
vc_map( array(
		"name" => __("Feedburner Subscription", "wpdance"),
		"base" => "wd_feedburner",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Feedburner ID", "wpdance"),
				"param_name" => "feedburner",
				"value" => "",
				"description" => ""
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "intro",
				"value" => "Sign-up for our newsletter. We promise only send good news!",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Default text", "wpdance"),
				"param_name" => "text",
				"value" => "Subscribe",
				"description" => ""
			),
			
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Box border", "wpdance"),
				"param_name" => "box_border",
				"description" => ""
			),
			
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => __("Show button", "wpdance"),
				"param_name" => "show_button",
				"value" => array(
					"" => "false"
				)
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => __("Button text", "wpdance"),
				"param_name" => "button_text",
				"value" => "",
				"dependency" => array(
					"element" => "show_button",
					"not_empty" => true
				)
			),
			
			// Style
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Button size", "wpdance"),
				"param_name" => "button_size",
				"value" => array(
					"Default button" => "default",
					"Small button" => "small",
					"Big button" => "big",
					"Extra button" => "extra"
				),
				"description" => '',
				"dependency" => array(
					"element" => "show_button",
					"not_empty" => true
				)
			),
			
			// Fluid width
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => __("Fluid width", "wpdance"),
				"param_name" => "button_fluid",
				"value" => array(
					"" => "true"
				),
				"dependency" => array(
					"element" => "show_button",
					"not_empty" => true
				)
			),

			// Button style
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Button style", "wpdance"),
				"param_name" => "button_style",
				"value" => array(
					"White" => "white",
					"Red" => "red",
					"Orange" => "orange",
					"Yellow" => "yellow",
					"Green" => "green",
					"Aquamarine" => "aquamarine",
					"Aqua" => "aqua",
					"Azure" => "azure",
					"Dark purple" => "dark_purple",
					"Purple" => "purple",
					"Pink" => "pink",
					"Black" => "black",
					"Custom color" => "custom"
				),
				"description" => '',
				"dependency" => array(
					"element" => "show_button",
					"not_empty" => true
				)
			),
			
			// with Background
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("With background", "wpdance"),
				"param_name" => "isbackground",
				"value" => array(
					"With background" => "yes",
					"No background" => "no"
				),
				"description" => '',
				"dependency" => array(
					"element" => "button_style",
					"value" => array(
						"red",
						"orange",
						"yellow",
						"green",
						"aquamarine",
						"aqua",
						"azure",
						"dark_purple",
						"purple",
						"pink",
						"black",
						"white"
					)
				)
			),
			
			// Custom button color
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Button color", "wpdance"),
				"param_name" => "custom_color",
				"description" => "",
				"dependency" => array(
					"element" => "style",
					"value" => array(
						"custom"
					)
				)
			),
			
			// Custom button background color
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Button background color", "wpdance"),
				"param_name" => "custom_background_color",
				"description" => "",
				"dependency" => array(
					"element" => "style",
					"value" => array(
						"custom"
					)
				)
			),
			
			// Custom button border color
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Button border color", "wpdance"),
				"param_name" => "custom_border_color",
				"description" => "",
				"dependency" => array(
					"element" => "style",
					"value" => array(
						"custom"
					)
				)
			)
		)
) );


// **********************************************************************// 
// ! Register New Element: Gap
// **********************************************************************//
vc_map( array(
	"name" => __("Gap", "wpdance"),
	"base" => "wd_gap",
	"icon" => "icon-wpb-wpdance",
	"category" => __('by WPDance', "wpdance"),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap height", "wpdance"),
			"admin_label" => true,
			"param_name" => "height",
			"value" => "10",
			"description" => __("In pixels.", "wpdance")
		)
	)
) );


// **********************************************************************// 
// ! Register New Element: Line Graph shortcode
// **********************************************************************//
vc_map( array(
		"name" => __("Line Graph", "wpdance"),
		"base" => "wd_line_graph",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => __("Type", "wpdance"),
				"param_name" => "type",
				"value" => array(
					"" => "",
					"Rounded edges" => "rounded",
					"Sharp edges" => "sharp"	
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Width", "wpdance"),
				"param_name" => "width",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Height", "wpdance"),
				"param_name" => "height",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"holder" => "div",
				"class" => "",
				"heading" => __("Custom Color", "wpdance"),
				"param_name" => "custom_color",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Scale steps", "wpdance"),
				"param_name" => "scalesteps",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Scale step width", "wpdance"),
				"param_name" => "scalestepwidth",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Labels", "wpdance"),
				"param_name" => "labels",
				"value" => __("Label 1 | Label 2 | Label 3", "wpdance")
			),
			array(
				"type" => "exploded_textarea",
				"holder" => "div",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "graph",
				"value" => "#eb005d|Legend One|1|5|10 \n #80c5d2|Legend Two|3|7|20 \n #f07d6f|Legend Three|10|2|34",
				"description" => "Input graph values here. Divide values with linebreaks (Enter). Example: #eb005d|Legend One|1|5|10"
			)
		)
) );


// **********************************************************************// 
// ! Register New Element: Our Project
// **********************************************************************//
$our_project_params = array(
	'name' => 'Our Project',
	'base' => 'wd_our_project',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
		  'type' => 'textfield',
		  "heading" => __("Project name", "wpdance"),
		  "param_name" => "name"
		),
		array(
		  'type' => 'attach_image',
		  "heading" => __("Image", "wpdance"),
		  "param_name" => "img"
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Image size", "wpdance"),
		  "param_name" => "img_size",
		  "description" => __("Enter image size. Example: 'thumbnail', 'medium', 'large', 'full' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'thumbnail' size.", "wpdance")
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Link URL", "wpdance"),
			"param_name" => "link",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Open link in", "wpdance"),
			"param_name" => "target_blank",
			"value" => array(
				"Same window" => "false",
				"New window" => "true"
			),
			"description" => ""
		),
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"heading" => __("Project information", "wpdance"),
			"param_name" => "content",
			"value" => __("Project description", "wpdance")
		),
		array(
			"type" => "dropdown",
			"heading" => __("Display Type", "wpdance"),
			"param_name" => "type",
			"value" => array( 
				"", 
				__("Vertical", "wpdance") => 1,
				__("Horizontal", "wpdance") => 2
			)
		),
		array(
			"type" => "textfield",
			"heading" => __("Extra class name", "wpdance"),
			"param_name" => "class",
			"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)
);  
vc_map($our_project_params);


// **********************************************************************// 
// ! Register New Element: Pie Chart 2 (Pie)
// **********************************************************************//
vc_map( array(
		"name" => __("Pie Chart (Pie)", "wpdance"),
		"base" => "wd_pie_chart2",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Title", "wpdance"),
				"param_name" => "title",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Style", "wpdance"),
				"param_name" => "style",
				"value" => array(
					"Default" => "",
					"3D" => "3d",
					'Donut' => 'donut'
				)
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Legend position", "wpdance"),
				"param_name" => "pos_legend",
				"value" => array(
					__("Hide", "wpdance") => "hide",
					__("Right", "wpdance") => "right",
					__("Top", "wpdance") => "top",
					__("Bottom", "wpdance") => "bottom",
				)
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Width", "wpdance"),
				"param_name" => "width",
				"description" => "Example: 100%, 400px, auto,..."
			),
			array(
				"type" => "textfield",
				"class" => "",
				"admin_label" => true,
				"heading" => __("Height", "wpdance"),
				"param_name" => "height",
				"description" => "Example: 400px, auto,..."
			),
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Background", "wpdance"),
				"param_name" => "background",
				"description" => ""
			),
			array(
				"type" => "exploded_textarea",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "pie",
				"value" => "15|0|Legend 1, 35|0.1|Legend 2, 50|0.2|Legend 3, 13|0.1|Legend 4, 25|0.0|Legend 5, 22|0.1|Legend 6",
				"description" => "Input pie values here. Divide values with linebreaks (Enter). Example: 15|0.1|Legend 1"
			),
		)
) );


// **********************************************************************// 
// ! Register New Element: Pie Chart 2 (Pie)
// **********************************************************************//
vc_map( array(
		"name" => __("WD - Line Chart", "wpdance"),
		"base" => "wd_line_chart",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Title", "wpdance"),
				"param_name" => "title",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Style", "wpdance"),
				"param_name" => "style",
				"value" => array(
					"Default" => "",
					"Curving" => "curving"
				)
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Legend position", "wpdance"),
				"param_name" => "pos_legend",
				"value" => array(
					__("Hide", "wpdance") => "hide",
					__("Right", "wpdance") => "right",
					__("Top", "wpdance") => "top",
					__("Bottom", "wpdance") => "bottom",
				)
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Width", "wpdance"),
				"param_name" => "width",
				"description" => "Example: 100%, 400px, auto,..."
			),
			array(
				"type" => "textfield",
				"class" => "",
				"admin_label" => true,
				"heading" => __("Height", "wpdance"),
				"param_name" => "height",
				"description" => "Example: 400px, auto,..."
			),
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Background", "wpdance"),
				"param_name" => "background",
				"description" => ""
			),
			array(
				"type" => "exploded_textarea",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "pie",
				"value" => "15|0|Legend 1, 35|0.1|Legend 2, 50|0.2|Legend 3, 13|0.1|Legend 4, 25|0.0|Legend 5, 22|0.1|Legend 6",
				"description" => "Input pie values here. Divide values with linebreaks (Enter). Example: 15|0.1|Legend 1"
			),
		)
) );



// **********************************************************************// 
// ! Register New Element: Column Chart
// **********************************************************************//
vc_map( array(
		"name" => __("WD - Columns Chart", "wpdance"),
		"base" => "wd_column_chart",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Title", "wpdance"),
				"param_name" => "title",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"admin_label" => true,
				"class" => "",
				"heading" => '',
				"param_name" => "chart_type",
				"value" => array(
					__("Bar chart", "wpdance") => "true",
				)
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Legend position", "wpdance"),
				"param_name" => "pos_legend",
				"value" => array(
					__("Hide", "wpdance") => "hide",
					__("Right", "wpdance") => "right",
					__("Top", "wpdance") => "top",
					__("Bottom", "wpdance") => "bottom",
				)
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Width", "wpdance"),
				"param_name" => "width",
				"description" => "Example: 100%, 400px, auto,..."
			),
			array(
				"type" => "textfield",
				"class" => "",
				"admin_label" => true,
				"heading" => __("Height", "wpdance"),
				"param_name" => "height",
				"description" => "Example: 400px, auto,..."
			),
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Background", "wpdance"),
				"param_name" => "background",
				"description" => ""
			),
			array(
				"type" => "exploded_textarea",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "pie",
				"value" => "'Year'|'Sales'|'Expenses'|'Profit','2014'|1000|400|200, '2015'|1170|460|250, '2016'|660|1120|300, '2017'|1030|540|350",
				"description" => "Input pie values here. Divide values with linebreaks (Enter). Example: 15|0.1|Legend 1"
			),
		)
) );

// **********************************************************************// 
// ! Register New Element: Table Chart
// **********************************************************************//
vc_map( array(
		"name" => __("WD - Geo Chart", "wpdance"),
		"base" => "wd_geo_chart",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Type", "wpdance"),
				"param_name" => "type",
				"value" => array(
					__("Region Geocharts", "wpdance") => "region",
					__("Marker Geocharts", "wpdance") => "marker",
				)
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Countrie", "wpdance"),
				"param_name" => "countrie",
				'value'		=> 'IT',
				"description" => "Apply for Marker Geocharts"
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Width", "wpdance"),
				"param_name" => "width",
				"description" => "Example: 100%, 400px, auto,..."
			),
			array(
				"type" => "colorpicker",
				"class" => "",
				"heading" => __("Background", "wpdance"),
				"param_name" => "background",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"class" => "",
				"admin_label" => true,
				"heading" => __("Colors", "wpdance"),
				"param_name" => "colors",
				"description" => "Divide values by commas (,). Example: blue, #ff000"
			),
			array(
				"type" => "exploded_textarea",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "data",
				"value" => "'Country'|'Popularity','Germany'|200,'United States'|300,'Brazil'|400,'Canada'|500,'France'|600,'RU'|700,'VietNam'|320,'CN'|422",
				"description" => "Input Geo data values here. Divide values with linebreaks (Enter). Example: 'Brazil'|400"
			),
		)
) );

// **********************************************************************// 
// ! Register New Element: Table Chart
// **********************************************************************//
vc_map( array(
		"name" => __("WD - Table Chart", "wpdance"),
		"base" => "wd_table_chart",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"allowed_container_element" => 'vc_row',
		"params" => array(
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Title", "wpdance"),
				"param_name" => "title",
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"class" => "",
				"admin_label" => true,
				"heading" => '',
				"param_name" => "show_rownumber",
				"value" => array(
					__("Show row number", "wpdance") => "true",
				)
			),
			array(
				"type" => "exploded_textarea",
				"class" => "",
				"heading" => __("Content", "wpdance"),
				"param_name" => "data",
				"value" => "addColumn|Name|string,addColumn|Salary|number,addColumn|Full Time Employee|boolean, 'Mike'|{v: 10000;f: '$10.000'}|true, 'Jim'|{v:8000;f: '$8.000'}|false, 'Alice'|{v: 12500;f: '$12.500'}|true, 'Bob'|{v: 7000;f: '$7.000'}|true",
				"description" => "Input table data values here. Divide values with linebreaks (Enter). Example: addColumn|Name|string"
			),
		)
) );


// **********************************************************************// 
// ! Register New Element: Single product
// **********************************************************************//
$product_params = array(
	'name' => 'Custom products',
	'base' => 'custom_products',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
		  "type" => "textfield",
		  "heading" => __("Products ID", "wpdance"),
		  "param_name" => "ids",
		  "description" => __('Divide values by commas (,)', "wpdance")
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Products SKU", "wpdance"),
		  "param_name" => "skus",
		  "description" => __('Divide values by commas (,)', "wpdance")
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show title", "wpdance"),
			"param_name" => "show_title",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show price", "wpdance"),
			"param_name" => "show_price",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show Add to cart", "wpdance"),
			"param_name" => "show_add_to_cart",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show Rating", "wpdance"),
			"param_name" => "show_rating",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show Label", "wpdance"),
			"param_name" => "show_label",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
			"type" => "dropdown",
			"admin_label" => true,
			"heading" => __("Show Categories", "wpdance"),
			"param_name" => "show_categories",
			"value" => array(
				__("Yes", "wpdance") => "1",
				__("No", "wpdance") => "0",
			)
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Extra class name", "wpdance"),
		  "param_name" => "class",
		  "description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)

);  
vc_map($product_params);




// **********************************************************************// 
// ! Register New Element: Single product
// **********************************************************************//
$product_params = array(
	'name' => 'WD - Banner',
	'base' => 'banner',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
		  "type" => "textfield",
		  "heading" => __("Title", "wpdance"),
		  "param_name" => "title",
		  "value"		=> __("Your title", "wpdance"),
		  "description" => ""
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Link URL", "wpdance"),
		  "param_name" => "link_url",
		  "value"		=> '#',
		  "description" => ''
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Background URL", "wpdance"),
		  "param_name" => "bg_image",
		  "description" => ''
		),
		array(
		  "type" => "colorpicker",
		  "heading" => __("Background color", "wpdance"),
		  "param_name" => "bg_color",
		  "description" => ''
		),
		array(
		  "type" => "colorpicker",
		  "heading" => __("Background color hover", "wpdance"),
		  "param_name" => "bg_hover",
		  "description" => ''
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Height", "wpdance"),
		  "param_name" => "height",
		  "description" => __('Example: 150px', "wpdance")
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Background text image", "wpdance"),
		  "param_name" => "bg_text",
		  "description" => ''
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Margin bottom", "wpdance"),
		  "param_name" => "position_text_bottom",
		  'value'	=> '0px',
		  "description" => __('Example: 30px', "wpdance")
		),
		array(
		  "type" => "textfield",
		  "heading" => __("Extra class name", "wpdance"),
		  "param_name" => "class",
		  "description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)

);  
vc_map($product_params);


// **********************************************************************// 
// ! Register New Element: Single product
// **********************************************************************//
/*$product_params = array(
	'name' => 'WD Banner',
	'base' => 'banner',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
	array(
		"type" => "textfield",
		"heading" => __("Title"),
		"param_name" => "title",
		"value" => __("Your title"),
	),
	array(
		"type" => "textfield",
		"heading" => __("Height"),
		"param_name" => "height",
		"value" => "150px",
	),
	array(
		"type" => "textfield",
		"heading" => __("Ads link"),
		"param_name" => "link_url",
		"description" => __('Example: 150px')
	),
	array(
		"type" => "textfield",
		"heading" => __("Background image link"),
		"param_name" => "bg_image"
	),
	array(
		"type" => "colorpicker",
		"class" => "",
		"heading" => __("Background Color"),
		"param_name" => "bg_color",
		"description" => ""
	),
	array(
		"type" => "colorpicker",
		"class" => "",
		"heading" => __("Background hover Color"),
		"param_name" => "bg_hover",
		"description" => ""
	),
	array(
		"type" => "textfield",
		"heading" => __("Text image link"),
		"param_name" => "bg_text"
	),
	array(
		"type" => "textfield",
		"heading" => __("Text position"),
		"param_name" => "position_text_bottom"
	),
	array(
		"type" => "dropdown",
		"class" => "",
		"heading" => __("Show label"),
		"param_name" => "show_label",
		"value" => array(
			"No" => "no",
			"Yes" => "yes"	
		),
		"description" => ""
	),
  )

);  
vc_map($product_params);*/


// **********************************************************************// 
// ! Register New Element: SoundCloud
// **********************************************************************//
$audio_params = array(
	"name" => __("SoundCloud", "wpdance"),
	"base" => "wd_soundcloud",
	"icon" => "icon-wpb-wpdance",
	"category" => __('by WPDance', "wpdance"),
	"allowed_container_element" => 'vc_row',
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Title", "wpdance"),
			"param_name" => "title",
			"value" => '',
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("URL", "wpdance"),
			"param_name" => "url",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Width", "wpdance"),
			"param_name" => "width",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Height", "wpdance"),
			"param_name" => "height",
			"value" => "",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Comments", "wpdance"),
			"param_name" => "comments",
			"value" => array(
				"No" => "false",
				"Yes" => "true"	
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Auto play", "wpdance"),
			"param_name" => "auto_play",
			"value" => array(
				"No" => "false",
				"Yes" => "true"	
			),
			"description" => ""
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Color", "wpdance"),
			"param_name" => "color",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"heading" => __("Extra class name", "wpdance"),
			"param_name" => "class",
			"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)
);
vc_map($audio_params);


// **********************************************************************// 
// ! Register New Element: Static Blocks
// **********************************************************************//
$staticblocks_params = array(
	'name' => 'Static Blocks',
	'base' => 'wd_staticblocks',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
			"type" => "colorpicker",
			"class" => "",
			"heading" => __("Color", "wpdance"),
			"param_name" => "color"
		),
		array(
			"type" => "textfield",
			"heading" => __("Limit", "wpdance"),
			"param_name" => "limit",
			"description" => __('How many testimonials to show? Enter number.', "wpdance")
		),
		array(
			"type" => "dropdown",
			"heading" => __("Display type", "wpdance"),
			"param_name" => "type",
			"value" => array( 
			  "", 
			  __("Slider", "wpdance") => 'slider',
			  __("Grid", "wpdance") => 'grid'
			)
		),
		array(
			"type" => "dropdown",
			"heading" => __("Auto play", "wpdance"),
			"param_name" => "autoslide",
			"value" => array( 
			  "", 
			  __("Yes", "wpdance") => '1',
			  __("No", "wpdance") => '0'
			),
			"dependency" => Array('element' => "type", 'value' => array('slider'))
		),
		array(
			"type" => "textfield",
			"heading" => __("Interval", "wpdance"),
			"param_name" => "interval",
			"description" => __('Interval between slides. In milliseconds. Default: 10000', "wpdance"),
			"dependency" => Array('element' => "autoslide", 'value' => array('1'))
		),
		array(
			"type" => "dropdown",
			"heading" => __("Show Control Navigation", "wpdance"),
			"param_name" => "navigation",
			"dependency" => Array('element' => "type", 'value' => array('slider')),
			"value" => array( 
			  "", 
			  __("Hide", "wpdance") => false,
			  __("Show", "wpdance") => true
			)
		),
		array(
			"type" => "wd_taxonomy",
			"taxonomy" => "wd_staticblocks_category",
			"class" => "",
			"heading" => __("Category", "wpdance"),
			"admin_label" => true,
			"param_name" => "category",
			"value" => "",
			"description" => __('Display testimonials from category.', "wpdance")
		),
		array(
			"type" => "textfield",
			"heading" => __("Extra class name", "wpdance"),
			"param_name" => "class",
			"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
		)
	)

);  
vc_map($staticblocks_params);



// ! Team
vc_map( array(
	"name" => __("Team", "wpdance"),
	"base" => "wd_team",
	"icon" => "icon-wpb-wpdance",
	"category" => __('by WPDance', "wpdance"),
	"params" => array(

		// Terms
		array(
			"type" => "wd_taxonomy",
			"taxonomy" => "wd_team_category",
			"class" => "",
			"heading" => __("Categories", "wpdance"),
			"admin_label" => true,
			"param_name" => "category"
		),

		// Appearance
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Appearance", "wpdance"),
			"param_name" => "type",
			"value" => array(
				"Masonry" => "masonry",
				"Grid" => "grid"
			),
			"description" => ''
		),

		// Gap
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Gap between team members (px)", "wpdance"),
			"description" => __("Team member paddings (e.g. 5 pixel padding will give you 10 pixel gaps between team members)", "wpdance"),
			"param_name" => "padding",
			"value" => "20"
		),

		// Column width
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Column target width (px)", "wpdance"),
			"param_name" => "column_width",
			"value" => "370"
		),

		// 100% width
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => __("100% width", "wpdance"),
			"param_name" => "full_width",
			"value" => array(
				"" => "true",
			)
		),

		// Number of posts
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => __("Number of team members to show", "wpdance"),
			"param_name" => "number",
			"value" => "12",
			"description" => __("(Integer)", "wpdance")
		),

		// Order by
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order by", "wpdance"),
			"param_name" => "orderby",
			"value" => array(
				"Date" => "date",
				"Author" => "author",
				"Title" => "title",
				"Slug" => "name",
				"Date modified" => "modified",
				"ID" => "id",
				"Random" => "rand"
			),
			"description" => __("Select how to sort retrieved posts.", "wpdance")
		),

		// Order
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => __("Order way", "wpdance"),
			"param_name" => "order",
			"value" => array(
				"Descending" => "desc",
				"Ascending" => "asc"
			),
			"description" => __("Designates the ascending or descending order.", "wpdance")
		)
	)
) );



if(class_exists('WD_Shortcode')) {
	
	if(shortcode_exists('recent_blogs')) {
		$recent_post_params = array(
			"name" => __("WD - Recent Post", "wpdance"),
			"base" => "recent_blogs",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => 'Recent Posts',
			"params" => array(
				
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Number", "wpdance"),
					"param_name" => "number_posts",
					"value" => "4",
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show title", "wpdance"),
					"param_name" => "title",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ""
				),
				
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show thumbnail", "wpdance"),
					"param_name" => "thumbnail",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show meta", "wpdance"),
					"param_name" => "meta",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show excerpt", "wpdance"),
					"param_name" => "excerpt",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show tag", "wpdance"),
					"param_name" => "tag",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Excerpt words", "wpdance"),
					"param_name" => "excerpt_words",
					"value" => '20',
					"description" => ''
				),
			)
		);
		vc_map( $recent_post_params );
	}


	if(shortcode_exists('wd_button')) {
		$button_params = array(
			"name" => __("WD - Button", "wpdance"),
			"base" => "wd_button",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => 'Buttons',
			"params" => array(
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Text", "wpdance"),
					"param_name" => "content",
					"admin_label" => true,
					"value" => "button",
					"description" => ''
				),
				// Link Url
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Link URL", "wpdance"),
					"param_name" => "link",
					"value" => "",
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Type", "wpdance"),
					"param_name" => "type",
					"admin_label" => true,
					"value" => array(
						'Largest' => 'largest'
						,'Large' => 'large'
						,'Medium' => 'medium'
						,'Small' => 'small'
						,'Mini' => 'mini'
					),
					"description" => ''
				),
				
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Size", "wpdance"),
					"param_name" => "size",
					"value" => 'auto',
					"admin_label" => true,
					"description" => __("Ex: auto, 25%, 300px, ...", "wpdance")
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __('Icon class', "wpdance"),
					"param_name" => "icon",
					"value" => '',
					"description" => __("Get icon class in <a href='http://getbootstrap.com/components/'>http://getbootstrap.com/components/</a>", "wpdance")
				),
				
				array(
					"type" => "colorpicker",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Text Color", "wpdance"),
					"param_name" => "color",
					"description" => ""
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Icon Color", "wpdance"),
					"param_name" => "color_icon",
					"description" => ""
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Background Color", "wpdance"),
					"param_name" => "background",
					"description" => ""
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Border Color", "wpdance"),
					"param_name" => "border",
					"description" => ""
				),
			)
		);
		vc_map( $button_params );

	}
	
	// **********************************************************************// 
	// ! Register New Element: Awesome Icon
	// **********************************************************************//
	$icon_box_params = array(
		'name' => 'Awesome Icon',
		'base' => 'wd_icon',
		'icon' => 'icon-wpb-wpdance',
		'category' => 'by WPDance',
		'params' => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Title", "wpdance"),
				"param_name" => "title",
				"value" => "",
				"description" => "blank if you don't want to display"
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Size", "wpdance"),
				"param_name" => "size",
				"value" => array(
					"Tiny" => "fa-lg",
					"Small" => "fa-2x",
					"Medium" => "fa-3x",	
					"Large" => "fa-4x",
					"Very Large" => "fa-5x"	
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Custom Size (px)", "wpdance"),
				"param_name" => "custom_size",
				"value" => ""
			),
			array(
				"type" => "wd_icon",
				"class" => "",
				"heading" => __("Icon", "wpdance"),
				"param_name" => "icon",
				"value" => "",
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Type", "wpdance"),
				"param_name" => "type",
				"value" => array(
					"Normal" => "normal",
					"Circle" => "circle",
					"Square" => "square"	
				),
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Border", "wpdance"),
				"param_name" => "border",
				"value" => array(
					"Yes" => "yes",
					"No" => "no"	
				),
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Border Color", "wpdance"),
				"param_name" => "border_color",
				"description" => __("Only for Square type", "wpdance"),
				"dependency" => Array('element' => "type", 'value' => array('square'))
			),
			array(
				"type" => "colorpicker",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Icon Color", "wpdance"),
				"param_name" => "icon_color",
				"description" => ""
			),
			array(
				"type" => "colorpicker",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Background Color", "wpdance"),
				"param_name" => "background_color",
				"description" => "",
				"dependency" => Array('element' => "type", 'value' => array('square','circle'))
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Margin (px)", "wpdance"),
				"param_name" => "margin",
				"description" => __("Margin (top right bottom left - 5px 5px 5px 5px)", "wpdance")
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Distance (px)", "wpdance"),
				"param_name" => "distance",
				"description" => __("For example: 10", "wpdance")
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("CSS Animation", "wpdance"),
				"param_name" => "css_animation",
				"value" => array(
					"No" => "",
					"Top to bottom" => "top-to-bottom",
					"Bottom to top" => "bottom-to-top",
					"Left to right" => "left-to-right",
					"Right to left" => "right-to-left",
					"Appear from center" => "appear"
				),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Link", "wpdance"),
				"param_name" => "link",
				"value" => ""
			),
			array(
				"type" => "dropdown",
				"admin_label" => true,
				"class" => "",
				"heading" => __("Target", "wpdance"),
				"param_name" => "target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent"	
				),
				"description" => ""
			),
			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => __("Enable tooltip", "wpdance"),
				"param_name" => "enable_tooltip",
				"value" => array(
					"" => "false"
				)
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => __("Tooltip title", "wpdance"),
				"param_name" => "tooltip_title",
				"value" => "",
				"dependency" => array(
					"element" => "enable_tooltip",
					"not_empty" => true
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Tooltip direction", "wpdance"),
				"param_name" => "tooltip_direction",
				"value" => array(
					"Left" => "left",
					"Top" => "top",
					"Bottom" => "bottom",
					"Right" => "right"
				),
				"dependency" => array(
					"element" => "enable_tooltip",
					"not_empty" => true
				)
			),
			array(
				"type" => "textfield",
				"heading" => __("Extra class name", "wpdance"),
				"param_name" => "class",
				"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
			)
		)
	);  
	vc_map($icon_box_params);
	
	
	if(shortcode_exists('wd_alert')) {
		$button_params = array(
			"name" => __("WD - Alert", "wpdance"),
			"base" => "wd_alert",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => 'Alerts',
			"params" => array(
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Style", "wpdance"),
					"param_name" => "style",
					"admin_label" => true,
					"value" => array(
						'Success' => 'success'
						,'Info' => 'info'
						,'Warning' => 'warning'
						,'Danger' => 'danger'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Width", "wpdance"),
					"param_name" => "al_width",
					"value" => array(
						'12/12' => '24'
						,'11/12' => '22'
						,'10/12' => '20'
						,'9/12'  => '18'
						,'8/12'  => '16'
						,'7/12'  => '14'
						,'6/12'  => '12'
						,'5/12'  => '10'
						,'4/12'  => '8'
						,'3/12'  => '6'
						,'2/12'  => '4'
						,'1/12'  => '2'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Position", "wpdance"),
					"param_name" => "al_align",
					"value" => array(
						'Left' => 'left'
						,'Center' => 'center'
						,'Right' => 'right'
					),
					"description" => ''
				),
				array(
					"type" => "textarea_html",
					"class" => "",
					"heading" => __("Text", "wpdance"),
					"param_name" => "content",
					"value" => "Alert content",
					"description" => ''
				),
				
				array(
					"type" => "checkbox",
					"class" => "",
					"heading" => '',
					"param_name" => "close",
					"admin_label" => true,
					"value" => array(
						__("Close button", "wpdance") => "true"
					)
				),
				
			)
		);
		vc_map( $button_params );

	}
	
	
	if(shortcode_exists('label')) {
		$button_params = array(
			"name" => __("WD - Label", "wpdance"),
			"base" => "label",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => 'Labels',
			"params" => array(
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Text", "wpdance"),
					"param_name" => "content",
					"admin_label" => true,
					"value" => "Label",
					"description" => ''
				),
				// Link Url
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Type", "wpdance"),
					"param_name" => "type",
					"admin_label" => true,
					"value" => array(
						'Default' 	=> 'default'
						,'Primary' 	=> 'primary'
						,'Success' 	=> 'success'
						,'Info' 	=> 'info'
						,'Warning' 	=> 'warning'
						,'Danger' 	=> 'danger'
					),
					"description" => ''
				),
			)
		);
		vc_map( $button_params );

	}
	
	if(shortcode_exists('recent_product_by_categories_slider')) {
		$arg = array(
			'number'	=> 0
			,'hide_empty'	=> true
			,'orderby'    => 'name'
			,'order'      => 'desc'
		);
		$categories = get_terms('product_cat');
		$options = array();
		$options['-All-'] = '';
		foreach($categories as $cat){
			$key = $cat->name;
			$options[$key] = $cat->slug;
		}
	
		$recent_product_by_categories_slider = array(
			"name" => __("WD - Recent Product By Categories Slider", "wpdance"),
			"base" => "recent_product_by_categories_slider",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => '',
			"params" => array(
				
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Heading", "wpdance"),
					"param_name" => "title",
					"value" => "Recent Products",
					"description" => ''
				),
				
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Columns", "wpdance"),
					"param_name" => "columns",
					"value" => '4',
					"description" => ''
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Limit", "wpdance"),
					"param_name" => "per_page",
					"value" => '8',
					"description" => __("Limit number of products", "wpdance")
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Category Slug", "wpdance"),
					"param_name" => "cat_slug",
					"value" => $options,
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show Nav", "wpdance"),
					"param_name" => "show_nav",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Show Pagination", "wpdance"),
					"param_name" => "show_short_content",
					"value" => array(
						'Yes' => 'yes'
						,'No' => 'no'
					),
					"description" => ''
				),
			)
		);
		vc_map( $recent_product_by_categories_slider );
	}
	
	if(shortcode_exists('tooltip')) {
		$button_params = array(
			"name" => __("WD - Tooltip", "wpdance"),
			"base" => "tooltip",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"show_settings_on_create"	=> true,
			'description' => '',
			"params" => array(
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => __("Text", "wpdance"),
					"param_name" => "content",
					"admin_label" => true,
					"value" => "Content",
					"description" => ''
				),
				array(
					"type" => "textfield",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Tooltip Content", "wpdance"),
					"param_name" => "tooltip_cont",
					"value" => "Tooltip Content",
					"description" => ''
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Style", "wpdance"),
					"param_name" => "style",
					"admin_label" => true,
					"value" => array(
						'top' 	=> 'top'
						,'bottom' 	=> 'bottom'
						,'left' 	=> 'left'
						,'right' 	=> 'right'
					),
					"description" => ''
				),
			)
		);
		vc_map( $button_params );

	}
	
	
	
	
	
	
	
	if(shortcode_exists('wd_platform_game')) {
		
		$wd_woo_category_products_params = array(
			"name" => __(" WD - Platform Game", "wpdance"),
			"base" => "wd_platform_game",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"params" => array(
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Title", "wpdance"),
					"param_name" 	=> "title",
					"value" 		=> '',
					"description" 	=> ""
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Style", "wpdance"),
					"param_name" => "style",
					"value" => array(
						"Style 1" => "t-1",
						"Style 2" => "t-2",
						"Style 3" => "t-3",
					)
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Big Thumbnail", "wpdance"),
					"param_name" 	=> "thumb1",
					"value" 		=> '',
					"description" 	=> ""
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Smaill Thumbnail", "wpdance"),
					"param_name" 	=> "thumb2",
					"value" 		=> '',
					"description" 	=> ""
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Price", "wpdance"),
					"param_name" 	=> "price",
					"value" 		=> '',
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Trademark", "wpdance"),
					"param_name" 	=> "trademark",
					"value" 		=> '',
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop all", "wpdance"),
					"param_name" 	=> "shop_text",
					"value" 		=> __("Shop all", "wpdance"),
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop all - link", "wpdance"),
					"param_name" 	=> "shop_link",
					"value" 		=> '#',
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop platform", "wpdance"),
					"param_name" 	=> "platform_text",
					"value" 		=> __("Shop platform", "wpdance"),
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop platform - link", "wpdance"),
					"param_name" 	=> "platform_link",
					"value" 		=> '#',
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop Accessories", "wpdance"),
					"param_name" 	=> "access_text",
					"value" 		=> __("Shop Accessories", "wpdance"),
					"description" 	=> "ex: $200.00"
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop Accessories link", "wpdance"),
					"param_name" 	=> "access_link",
					"value" 		=> '#',
					"description" 	=> ""
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop dolor sit amet", "wpdance"),
					"param_name" 	=> "dolor_text",
					"value" 		=> __("Shop dolor sit amet", "wpdance"),
				),
				array(
					"type" 			=> "textfield",
					"class" 		=> "",
					"heading" 		=> __("Shop dolor sit amet - link", "wpdance"),
					"param_name" 	=> "dolor_link",
					"value" 		=> '#',
					"description" 	=> ""
				),
				array(
					"type" => "textfield",
					"heading" => __("Extra class name", "wpdance"),
					"param_name" => "class",
					"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', "wpdance")
				)
				
			)
		);

		vc_map( $wd_woo_category_products_params );
	}
	
	
	if(shortcode_exists('wd_heading')) {
		vc_map( array(
			"name" => __("WD - Heading", "wpdance"),
			"base" => "wd_heading",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"params" => array(
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Size", "wpdance"),
					"param_name" => "size",
					"admin_label" => true,
					"holder" => "",
					"value" => array(
						"H1" => "h1",
						"H2" => "h2",
						"H3" => "h3",
						"H4" => "h4",
						"H5" => "h5",
						"H6" => "h6"
					),
					"description" => ''
				),
				array(
					"type" => "textfield",
					"class" => "",
					"admin_label" => true,
					"heading" => __("Text", "wpdance"),
					"description" => "",
					"param_name" => "content",
					"value" => "Heading"
				),
				
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Type", "wpdance"),
					"param_name" => "type",
					"value" => array(
						"Type 1" => "type-1",
						"Type 2" => "type-2",
					),
					"description" => ''
				), 
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Transparent", "wpdance"),
					"param_name" => "trans",
					"value" => array(
						"Yes" => "trans_",
						"No" => "bg_color",
					),
					"description" => ''
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"heading" => __("Color", "wpdance"),
					"param_name" => "color",
					"value" => "#000000"
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"heading" => __("Background", "wpdance"),
					"param_name" => "background",
					"value" => "#ffffff"
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"heading" => __("Boder color", "wpdance"),
					"param_name" => "border_color",
					"value" => "#696969"
				),
			)
		) );
	}
	
	
	
	/*  ------------------------------------------------    */
}




// **********************************************************************// 
// ! Register New Element: Testimonials
// **********************************************************************//
/*$testimonials_params = array(
	'name' => 'Testimonials',
	'base' => 'testimonials',
	'icon' => 'icon-wpb-wpdance',
	'category' => 'by WPDance',
	'params' => array(
		array(
			"type" => "textfield",
			"heading" => __("Widget title"),
			"param_name" => "heading",
			"description" => __("Blank if you don't want to display")
		),
		array(
			"type" => "textfield",
			"heading" => __("Limit"),
			"param_name" => "limit",
			"description" => __('How many testimonials to show? Enter number.')
		),
		array(
			"type" => "dropdown",
			"heading" => __("Display type"),
			"param_name" => "type",
			"value" => array( 
			  "", 
			  __("Slider") => 'slider',
			  __("Grid") => 'grid'
			)
		),
		array(
			"type" => "textfield",
			"heading" => __("Interval"),
			"param_name" => "interval",
			"description" => __('Interval between slides. In milliseconds. Default: 10000'),
			"dependency" => Array('element' => "type", 'value' => array('slider'))
		),
		array(
			"type" => "dropdown",
			"heading" => __("Show Control Navigation"),
			"param_name" => "navigation",
			"dependency" => Array('element' => "type", 'value' => array('slider')),
			"value" => array( 
			  "", 
			  __("Hide") => 0,
			  __("Show - Center") => 1,
			  __("Show - Top") => 2
			)
		),
		array(
			"type" => "dropdown",
			"heading" => __("Image type"),
			"param_name" => "image",
			"value" => array(
				"Default" => "",
				"Circle" => "circle",
				"Rounded" => "rounded"
			),
			"description" => ""
		),
		array(
			"type" => "wd_taxonomy",
			"taxonomy" => "testimonial-category",
			"class" => "",
			"heading" => __("Category"),
			"admin_label" => true,
			"param_name" => "category",
			"value" => "",
			"description" => __('Display testimonials from category.')
		),
		array(
			"type" => "textfield",
			"heading" => __("Extra class name"),
			"param_name" => "class",
			"description" => __('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.')
		)
	)

);
vc_map($testimonials_params);
*/


if(function_exists("is_woocommerce")){

	if(shortcode_exists('wd_woo_category_products')) {
		$args = array(
			'taxonomy'     => 'product_cat',
			'orderby'      => 'name',
			'order'        => 'ASC',
			'hierarchical' => 0,
			'title_li'     => '',
			'hide_empty'   => 0,
		);
		$categories = get_categories( $args );
		$option = array();
		$option["All system"] = '';
		foreach($categories as $cat) {
			$option[$cat->name] = $cat->slug;
		}
		$wd_woo_category_products_params = array(
			"name" => __(" WD - Products Category", "wpdance"),
			"base" => "wd_woo_category_products",
			"icon" => "icon-wpb-wpdance",
			"category" => __('by WPDance', "wpdance"),
			"params" => array(
				array(
					"type" 			=> "dropdown",
					"class" 		=> "",
					"heading" 		=> __("Cat-slug", "wpdance"),
					"param_name" 	=> "slug",
					'admin_label'	=> true,
					"value" 		=> $option,
					"description" 	=> ""
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Number", "wpdance"),
					'admin_label'	=> true,
					"param_name" => "number",
					"value" => array(
						'3 Product' => '3',
						'4 Product' => '4',
						'5 Product' => '5',
						'6 Product' => '6',
						'7 Product' => '7'
					),
					"description" => ""
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Order by", "wpdance"),
					"param_name" => "orderby",
					"value" => array(
						"Date" => "date",
						"Price" => "price",
						"Random" => "random",
						"Rate" => "rate",
						"Sales" => "sales"	
					)
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Sorting order", "wpdance"),
					"param_name" => "order",
					"value" => array(
						"DESC" => "desc",
						"ASC" => "asc"
					)
				),
				array(
					"type" => "checkbox",
					"class" => "",
					"heading" => '',
					"param_name" => "template",
					'admin_label'	=> true,
					"value" => array(
						__("Widget template", "wpdance") => "widget",
					)
				),
				array(
					"type" => "checkbox",
					"class" => "",
					"heading" => '',
					'admin_label'	=> true,
					"param_name" => "bg_style",
					"value" => array(
						__("Use background", "wpdance") => "bg_style",
					)
				),
				
			)
		);

		vc_map( $wd_woo_category_products_params );
	}


	// **********************************************************************// 
	// ! Register New Element: WooCommerce Products
	// **********************************************************************//

	
	
	
	$woo_products_params = array(
		"name" => __("WooCommerce Products", "wpdance"),
		"base" => "wd_woo_products",
		"icon" => "icon-wpb-wpdance",
		"category" => __('by WPDance', "wpdance"),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => __("Widget title", "wpdance"),
				"param_name" => "title",
				"value" => "",
				"description" => ""
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => __("Number", "wpdance"),
				"param_name" => "number",
				"value" => "5",
				"description" => "Number of products to show"
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Show", "wpdance"),
				"param_name" => "show",
				"value" => array(
					"All Products" => "",
					"Featured Products" => "featured",
					"On-sale Products" => "onsale"	
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Order by", "wpdance"),
				"param_name" => "orderby",
				"value" => array(
					"Date" => "date",
					"Price" => "price",
					"Random" => "random",
					"Sales" => "sales"	
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Sorting order", "wpdance"),
				"param_name" => "order",
				"value" => array(
					"DESC" => "desc",
					"ASC" => "asc"
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Hide free products", "wpdance"),
				"param_name" => "hide_free",
				"value" => array(
					"No" => "0",
					"Yes" => "1"
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __("Show hidden products", "wpdance"),
				"param_name" => "show_hidden",
				"value" => array(
					"No" => "0",
					"Yes" => "1"
				)
			)
		)
	);

	vc_map( $woo_products_params );




}

?>