<?php

// **********************************************************************// 
// ! Animated counter
// **********************************************************************// 

if(!function_exists('wd_counter_shortcode')) {
    function wd_counter_shortcode($atts, $content = null) {
        $default_atts = array(
            "title"         => "", 
            "value"         => 100, 
            "init"          => 1, 
            "units"         => "", 
            "color"         => "", 
            "size"          => "", 
            "caption"       => "", 
            "class"          => ""
        );
        
        extract(shortcode_atts($default_atts, $atts));
		
		$style = '';
		if($color != '' || $size != ''){
			$style .= ' style="';
			
			if($color != '')
				$style .= 'color:'.$color.';';
				
			if($size != '')
				$style .= 'font-size:'.$size.'px;line-height:'.($size-5).'px;';
			
			$style .= '"';
		}
		
		$style1 = '';
		if($color != ''){
			$style1 .= ' style="';
			
			if($color != '')
				$style1 .= 'color:'.$color.';';
			
			$style1 .= '"';
		}
        
        $html = '<div class="counter_wrapper">';
        $html .= '<div class="vc_counter_value font_heading '.$class.'"'.$style.'>';
		$html .= '<strong class="animated-counter" data-value='.$value.'>'.$init.'</strong>'.$units;
		$html .= '</div>';
		
		if($title != '')
			$html .= '<div class="counter_title"'.$style1.'>'.$title.'</div>';
			
		if($caption != '')
			$html .= '<div class="counter_caption">'.$caption.'</div>';
			
		$html .= '</div>';        
		
        return $html;
    }
}
//add_shortcode('wd_counter', 'wd_counter_shortcode');


// **********************************************************************// 
// ! Call to Action shortcode
// **********************************************************************// 

if (!function_exists('wd_action_shortcode')) {
	function wd_action_shortcode($atts, $content = null) {
		extract(shortcode_atts(array("type"=>"","background_color"=>"","border_color" => "","border_style" => "","border_width" => "","border_radius" => "","link" => "","target" => "","link_text" => "","link_text_color" => "","link_background_color" => "","link_size" => "","align" => ""), $atts));
		$html =  "<div class='call_to_action ".$type."'";
		$html .= " style='";
		if($background_color != ""){
			$html .= "background-color: {$background_color};";
		}
		if($border_color != ""){
			$html .= "border-color: {$border_color};";
		}
		if($border_style != ""){
			$html .= "border-style: {$border_style};";
		}
		if($border_width != ""){
			$html .= "border-width: {$border_width}px;";
		}
		if($border_radius != ""){
			$html .= "border-radius: {$border_radius}px;";
		}
		$html .= "'";
		$html .= ">";

		$html .= "<div class='text-".$align." clearfix'><div class='callout'>".$content."</div>";
		$html .= "<a class='btn btn-over-red btn-background-yes btn-".$link_size."' href='".esc_url($link)."' target='".esc_attr($target)."' style='";
		if($link_text_color != "" || $link_background_color != ""){
			if($link_text_color != ""){
				$html .= "color: $link_text_color;";
			}
			if($link_background_color != ""){
				$html .= " background-color: $link_background_color;";
			}
		}
		$html .= "'>".$link_text."</a></div>";

		$html .= "</div>";
	  return $html;
	}
}
//add_shortcode('wd_action', 'wd_action_shortcode');


// **********************************************************************// 
// ! Our Project
// **********************************************************************// 

function wd_our_project_shortcode($atts, $content = null) {
	$a = shortcode_atts(array(
		'class' => '',
		'type' => 1,
		'name' => '',
		'content' => '',
		'link' => '',
		'target_blank' => '',
		'img' => '',
		'img_src' => '',
		'img_size' => '280x220'
	), $atts);

	$src = '';

	$img_size = explode('x', $a['img_size']);

	$width = $img_size[0];
	$height = $img_size[1];

	if($a['img'] != '') {
		$src = wd_get_image($a['img'], $width, $height);
	}elseif ($a['img_src'] != '') {
		$src = do_shortcode($a['img_src']);
	}

	if ($a['content'] != '') {
		$content = $a['content'];
	}

	$link = $a['link'] ? esc_url($a['link']) : '#';
	
	$html = '';
	$span = 12;
	$html .= '<div class="our-project project-type-'.$a['type'].' '.$a['class'].'">';

		if($a['type'] == 2) {
			$html .= '<div class="row-fluid">';
		}
		if($src != ''){

			if($a['type'] == 2) {
				$html .= '<div class="col-sm-6">';
				$span = 6;
			}
			$html .= '<div class="project-image">';
				$html .= '<a class="wd-effect" title="'.esc_attr($a['name']).'" href="' . esc_url($link) . '"' . ($a['target_blank'] ? ' target="_blank"' : '').'><img src="'.esc_url($src).'" alt="'.esc_attr($a['name']).'" /></a>';
			$html .= '</div>';
			$html .= '<div class="clear"></div>';
			if($a['type'] == 2) {
				$html .= '</div>';
			}		      
		}

	
		if($a['type'] == 2) {
			$html .= '<div class="col-sm-'.$span.'">';
		}
		$html .= '<div class="member-details">';
			if($a['name'] != ''){
				$html .= '<h5 class="member-name"><a href="' . esc_url($link) . '"' . ($a['target_blank'] ? ' target="_blank"' : '').'>'.$a['name'].'</a></h5>';
			}
			$html .= do_shortcode($content);
		$html .= '</div>';

		if($a['type'] == 2) {
				$html .= '</div>';
			$html .= '</div>';
		}
	$html .= '</div>';
	
	
	return $html;
}
//add_shortcode('wd_our_project', 'wd_our_project_shortcode');



// **********************************************************************// 
// ! Single product
// **********************************************************************// 

function wd_single_post_shortcode($atts, $content = null) {
    $a = shortcode_atts( array(
        'title' => '',
        'id' => 0,
        'sku' => '',
        'class' => ''
    ), $atts);
	
	if ( ! isset( $atts['id'] ) && ! isset( $atts['sku'] ) ) return '';

	$args = array(
		'posts_per_page' 		=> 1,
		'post_type'				=> 'product',
		'post_status' 			=> 'publish',
		'ignore_sticky_posts'	=> 1,
		'no_found_rows' 		=> 1
	);

	if ( isset( $atts['sku'] ) ) {
		$args['meta_query'][] = array(
			'key'     => '_sku',
			'value'   => $atts['sku'],
			'compare' => '='
		);
	}

	if ( isset( $atts['id'] ) ) {
		$args['p'] = $atts['id'];
	}

	$single_product = new WP_Query( $args );

	ob_start();

	while ( $single_product->have_posts() ) : $single_product->the_post(); global $product; wp_enqueue_script( 'wc-single-product' ); ?>

		<div class="single-product">
			<?php
				remove_action( 'woocommerce_after_single_product_summary', 'wd_upsell_display', 15 );
				remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
			?>
			<?php wc_get_template_part( 'content', 'single-product' ); ?>
			<?php
				add_action( 'woocommerce_after_single_product_summary', 'wd_upsell_display', 15 );
				add_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
			?>
		</div>

	<?php endwhile; // end of the loop.

	wp_reset_postdata(); ?>

	<script type="text/javascript">
		jQuery('body').addClass('woocommerce woocommerce-page');
	</script>
	
	<?php
	return '<div class="woocommerce">' . ob_get_clean() . '</div>';
}
//add_shortcode('wd_single_post', 'wd_single_post_shortcode');


// **********************************************************************// 
// ! Font Awesome Icon
// **********************************************************************// 

if(!function_exists('wd_icon_shortcode')) {
    function wd_icon_shortcode($atts, $content = null) {
        $default_atts = array(
            "title"                => "", 
            "size"                 => "", 
            "custom_size"          => "", 
            "icon"                 => "", 
            "type"                 => "", 
            //"position"             => "",
            "border"               => "", 
            "border_color"         => "", 
            "border_color"         => "", 
            "icon_color"           => "", 
            "background_color"     => "",
            "margin"               => "",
            "css_animation"        => "",
            "link"                 => "",
            "target"               => "",
            "distance"             => "",
            "enable_tooltip"       => "",
            "tooltip_title"        => "",
            "tooltip_direction"    => "",
            "class"                => ""
        );
        
        extract(shortcode_atts($default_atts, $atts));
        
        $html = "";
        if($icon != "") {
        
            //generate inline icon styles
            $style = '';
            $style_normal = '';
            //$icon_stack_classes = '';
            $animation_delay_style = '';
            
            //generate icon stack styles
            $icon_stack_style = '';
            $icon_stack_base_style = '';
            $icon_stack_circle_styles = '';
            $icon_stack_square_styles = '';
            $icon_stack_normal_style  = '';

            if($custom_size != "") {
                $style .= 'font-size: '.$custom_size;
                $icon_stack_circle_styles .= 'font-size: '. ( $custom_size + intval($distance) );
                $icon_stack_square_styles .= 'font-size: '.$custom_size;
                
                if(!strstr($custom_size, 'px')) {
                    $style .= 'px;';
                    $icon_stack_circle_styles .= 'px;';
                    $icon_stack_square_styles .= 'px;';
                }
            }

            if($icon_color != "") {
                $style .= 'color: '.$icon_color.';';
            }

            //if($position != "") {
            //    $icon_stack_classes .= 'pull-'.$position;
            //}   

            if($background_color != "") {
                $icon_stack_base_style .= 'color: '.$background_color.';';
                $icon_stack_style .= 'background-color: '.$background_color.';';
                $icon_stack_square_styles .= 'background-color: '.$background_color.';';
            }

            if($border == 'yes' && $border_color != "") {
                $icon_stack_style .= 'border: 1px solid '.$border_color.';';
            }
            
            if($margin != "") {
                $icon_stack_style .= 'margin: '.$margin.';';
                $icon_stack_circle_styles .= 'margin: '.$margin.';';
                $icon_stack_normal_style .= 'margin: '.$margin.';';
            }
			
			//$css_animation = WPBakeryShortCode_Settings::getCSSAnimation($css_animation);
			
			$tooltip_class = '';
			$tooltip_output = '';
			if ($enable_tooltip != "" && $tooltip_title != ""){
				$tooltip_class .= ' wd-tooltip';
				$tooltip_output .= ' title="'. $tooltip_title .'" data-placement="'. $tooltip_direction .'"';
			}

            switch ($type) {
                case 'circle':
                    $html = '<span class="fa-stack wd_font_awsome_icon_stack '.$size.' '.$css_animation.$tooltip_class.'"'.$tooltip_output.' style="'.$icon_stack_circle_styles.'">';
                    if($link != ""){
                        $html .= '<a href="'.esc_url($link).'" target="'.esc_attr($target).'">';
                    }
                    $html .= '<i class="fa fa-circle fa-stack-base fa-stack-2x" style="'.$icon_stack_base_style.'"></i>';
                    $html .= '<i class="fa '.esc_attr($icon).' fa-stack-1x" style="'.$style.'"></i>';
                    break;
                case 'square':
                    $html = '<span class="fa-stack wd_font_awsome_icon_square '.$size.' '.$css_animation.'" style="'.$icon_stack_style.$icon_stack_square_styles.'">';
                    if($link != ""){
                        $html .= '<a href="'.esc_url($link).'" target="'.esc_attr($target).'">';
                    }
                    $html .= '<i class="fa '.esc_attr($icon).' fa-stack-1x" style="'.$style.'"></i>';
                    break;
                default:
                    $html = '<span class="wd_font_awsome_icon '.$size.' '.$css_animation.'" style="'.$icon_stack_normal_style.'">';
                    if($link != ""){
                        $html .= '<a href="'.esc_url($link).'" target="'.esc_attr($target).'">';
                    }
                    $html .= '<i class="fa '.esc_attr($icon).' fa-stack-1x" style="'.$style.'"></i>';
                    break;
            }

            if($link != ""){
                $html .= '</a>';
            }

            $html.= '</span>';
        }
		
		//if($class != '' || $icon_stack_classes)
			//$html = '<span class="'. $class .' '.$icon_stack_classes.'">' . $html . '</span>';

		if($class != '')
			$html = '<span class="'. $class .'">' . $html . '</span>';
		
		if($title != "") {
			
			$html = '<div class="icon-wrapper"><span class="icon-item">' . $html . '</span><span class="h4 icon-item">'.$title.'</span></div>';
		}
		
        return $html;
    }
}
//add_shortcode('wd_icon', 'wd_icon_shortcode');


// **********************************************************************// 
// ! Register New Element: Button
// **********************************************************************//


// **********************************************************************// 
// ! Register New Element: Gap
// **********************************************************************//

if(!function_exists('wd_gap_shortcode')) {
    function wd_gap_shortcode($atts, $content = null) {
		extract( shortcode_atts( array(
		'height' => 10,
		), $atts ) );
		
		$output = '<div class="gap" style="line-height: ' . absint($height) . 'px; height: ' . absint($height) . 'px;"></div>';
		
		return $output;
    }
}
//add_shortcode('wd_gap', 'wd_gap_shortcode');


// **********************************************************************// 
// ! Register New Element: Static Block
// **********************************************************************//

if(!function_exists('wd_staticblocks_shortcode')) {
    function wd_staticblocks_shortcode($atts, $content = null) {
        $default_atts = array(
			'type'          => '',
			'navigation'    => '',
			'category'      => '',
			'limit'  		=> 5,
			'autoslide'     => '0',
			'interval'     	=> '10000',
			'class'     	=> '',
			'color'     	=> ''
		);
        
        extract(shortcode_atts($default_atts, $atts));

        $args = array(
            'no_found_rows'         => 1,
            'ignore_sticky_posts'   => '1',
            'posts_per_page'        => isset( $limit ) ? $limit : -1,
            'post_type'             => 'wd_staticblocks',
            'post_status'           => 'publish',
            'orderby'               => 'date',
            'order'                 => 'DESC',
            'tax_query'             => array( array(
                'taxonomy'          => 'wd_staticblocks_category',
                'field'             => 'slug',
                'terms'             => $category
            ) ),
        );
		
		$the_query = new WP_Query( $args );

		$output = '';
		if ( $the_query->have_posts() ) {
		
			$classes = '';
			if( '' != $class)
				$classes = ' ' . $class;
			
			$styles = '';
			if ( '' != $color )
				$styles = ' style=color:'. $color .';';

			$rand_id = rand();
		
			if ($type == 'slider' )
				$output .= '<div class="statickblocks" data-type="' . $type . '"' . ($autoslide ? ' data-autoslide="' . $autoslide . '"' : '') . ' data-interval="'. $interval .'">';
			else
				$output .= '<div class="statickblocks" data-type="' . $type . '">';

			foreach ( $the_query->posts as $wd_post ) {
			
				$_link = get_post_meta( $wd_post->ID, 'wd_static_link', true );
			
				$output .= '<div class="sb-item row">';
				
				if ( isset( $_link ) && '' != $_link ) {
					$output .= '<div class="sb-title col-sm-12"><a href="'. esc_url($_link) .'"'. $styles .'>'. $wd_post->post_title .'</a></div>';
				}
				else {
					$output .= '<div class="sb-title col-sm-12"'. $styles .'>'. $wd_post->post_title .'</div>';
				}
				
				$output .= '<div class="sb-content col-sm-12">'. $wd_post->post_content .'</div>';
				$output .= '</div>';

			}

			$output .= '</div>';
			
			if ($navigation) {
				$output .= '<div class="thumbs_control">';
				$output .= '<a class="prev hide" href="javascript:;"><i class="fa fa-angle-left"'. $styles .'></i></a>';
				$output .= '<a class="next hide" href="javascript:;"><i class="fa fa-angle-right"'. $styles .'></i></a>';
				$output .= '</div>';
			}

			$output = '<section id="'. $rand_id .'" class="statickblocks-wrapper'. $classes .'">' . $output . '</section>';
		} // if have posts
		
		return $output;
    }
}
//add_shortcode('wd_staticblocks', 'wd_staticblocks_shortcode');


// **********************************************************************// 
// ! Register New Element: Recent Blog
// **********************************************************************//

if(!function_exists('wd_recent_blog_shortcode')) {
    function wd_recent_blog_shortcode($atts, $content = null) {
        $default_atts = array(
			'title'          => '',
			'type'          => '',
			'navigation'    => 1,
			'category'      => '',
			'limit'  		=> 5,
			'word_limit'  	=> 10,
			'autoslide'     => '0',
			'interval'     	=> '10000',
			'class'     	=> ''
		);
        
        extract(shortcode_atts($default_atts, $atts));

        $args = array(
            'no_found_rows'         => 1,
            'ignore_sticky_posts'   => '1',
            'posts_per_page'        => isset( $limit ) ? $limit : -1,
            'post_status'           => 'publish',
            'orderby'               => 'date',
            'order'                 => 'DESC',
            'category'              => ''
        );
		
		$the_query = new WP_Query( $args );

		$output = '<h1 class="secondary heading-title">'.$title.'</h1>';
		if ( $the_query->have_posts() ) {
		
			$classes = '';
			if( '' != $class)
				$classes = ' ' . $class;
			
			$styles = '';

			$rand_id = rand();
			
			if ($type == 'slider' )
				$output .= '<div class="recent_blog_slider widget_featured_post" data-type="' . $type . '"' . ($autoslide ? ' data-autoslide="' . $autoslide . '"' : '') . ' data-interval="'. $interval .'">';
			else
				$output .= '<div class="recent_blog_grid widget_featured_post" data-type="' . $type . '">';

			$output .= '<div class="recent_blog">';
			foreach ( $the_query->posts as $wd_post ) {
			
				$the_query->the_post();
				global $post;
				
				$num_comments = get_comments_number();
				if ( comments_open() ) {
					if ( $num_comments == 0 ) {
						$comments = __('No comments', 'wpdance');
					} elseif ( $num_comments > 1 ) {
						$comments = $num_comments . __(' comments', 'wpdance');
					} else {
						$comments = __('1 comment', 'wpdance');
					}
					$write_comments = '<a href="' . get_comments_link() .'">'. $comments.'</a>';
				}
				
				$feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
				
				ob_start();
				?>
				<div class="detail">
					<ul class="entry-meta list-inline">
						<li class="entry-date"><i class="fa fa-clock-o"></i><?php echo get_the_date(); ?></li>
						
						<?php if( comments_open() ): ?>
						<li class="entry-comment"><i class="fa fa-comment-o"></i><?php echo $write_comments; ?></li>
						<?php endif; ?>
					</ul>
					
					<div class="entry-title">
						<?php if(strlen($feat_image)): ?>
						<a class="wrapper_img" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wpdance' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
							<img src="<?php echo esc_url($feat_image); ?>" alt="<?php printf( esc_attr__( 'Permalink to %s', 'wpdance' ), the_title_attribute( 'echo=0' ) ); ?>" />
						</a>
						<?php endif; ?>
						
						<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wpdance' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">						
							<span><?php echo get_the_title(); ?></span>
						</a>
					</div>
					
					<p class="entry-desc">
						<?php echo the_excerpt_max_words($word_limit, $post);?>
					</p>
					
					<a class="btn btn-1" href="<?php the_permalink(); ?>" rel="bookmark">
						<?php _e('Read More', 'wpdance'); ?>
					</a>
				</div>
				<?php
				$output .= ob_get_contents();
				ob_end_clean();
			}

			$output .= '</div>';
			
			//if ($navigation) {
				$output .= '<div class="slider_control at_top">
				<a class="cbp-prev prev" href="javascript:;"><i class="fa fa-angle-left wd-tooltip" title="'.__('Previous','wpdance').'"></i></a>
				<a class="cbp-next next" href="javascript:;"><i class="fa fa-angle-right wd-tooltip" title="'. __('Next','wpdance').'"></i></a>
			</div>';
			//}
			
			$output .= '</div>';

			$output = '<section id="'. esc_attr($rand_id) .'" class="recent-wrapper'. esc_attr($classes) .'">' . $output . '</section>';
		} // if have posts
		
		return $output;
    }
}
//add_shortcode('wd_recent_blog', 'wd_recent_blog_shortcode');



// **********************************************************************// 
// ! Register New Element: Custom Text
// **********************************************************************//

if(!function_exists('wd_custom_text_shortcode')) {
    function wd_custom_text_shortcode($atts, $content = null) {
		
        extract(shortcode_atts(array(
								"font_family" => "",
								"font_size" => "",
								"line_height" => "",
								"font_style" => "",
								"font_weight" => "",
								"color" => "",
								"text_decoration" => "",
								"background_color" => "",
								"padding" => "",
								"margin" => "",
								"text_align" => "left"
								), 
							$atts));
		$output = '';
		
		$output .= '<div class="custom_font_holder" style="';
		if($font_family != ""){
			$output .= 'font-family: '.$font_family.';';
		}
		if($font_size != ""){
			$output .= ' font-size: '.$font_size.'px;';
		}
		if($line_height != ""){
			$output .= ' line-height: '.$line_height.'px;';
		}
		if($font_style != ""){
			$output .= ' font-style: '.$font_style.';';
		}
		if($font_weight != ""){
			$output .= ' font-weight: '.$font_weight.';';
		}
		if($color != ""){
			$output .= ' color: '.$color.';';
		}
		if($text_decoration != ""){
			$output .= ' text-decoration: '.$text_decoration.';';
		}
		if($background_color != ""){
			$output .= ' background-color: '.$background_color.';';
		}
		if($padding != ""){
			$output .= ' padding: '.$padding.';';
		}
		if($margin != ""){
			$output .= ' margin: '.$margin.';';
		}
		$output .= ' text-align: ' . $text_align . ';';
		$output .= '">'.$content.'</div>';
		
		return $output;
    }
}
//add_shortcode('wd_custom_text', 'wd_custom_text_shortcode');



// **********************************************************************// 
// ! Register New Element: Pricing Table
// **********************************************************************//
if (!function_exists('wd_ptable_shortcode')) {
	function wd_ptable_shortcode($atts, $content = null) {
        $args = array(
            "title"         => "",
            "price"         => "0",
            "currency"      => "$",
            "price_period"  => "/mo",
            "link"          => "",
            "target"        => "",
            "button_text"   => "Buy Now",
            "active"        => ""
        );
	        
		extract(shortcode_atts($args, $atts));
	        
	    $html = ""; 
	        
        if($target == ""){
                $target = "_self";
        }
        $html .= "<div class='wd_price_table'>";
        
        if($active == "yes"){
            $html .= "<div class='price_table_inner acitve_price'>";
        } else {
            $html .= "<div class='price_table_inner'>";
        }

        $html .= "<ul>";
		$html .= "<li class='cell table_title'><h4>".$title."</h4></li>";
        $html .= "<li class='prices'>";
        $html .= "<span class='price_in_table'>";
        $html .= "<sup class='value'>".$currency."</sup>";
        $html .= "<span class='pricing'>".$price."</span>";
        $html .= "<sub class='mark'>".$price_period."</sub>";
        $html .= "</span>";
        $html .= "</li>"; //close price li wrapper
	    
	    $html .= "<li>". $content. "</li>"; //append pricing table content 
	    
	    $html .="<li class='price_button'>";
	    $html .= "<a class='btn normal' href='".esc_url($link)."' target='".esc_attr($target)."'>".esc_html($button_text)."</a>";
	    $html .= "</li>"; //close button li wrapper
	    
	    $html .= "</ul>";
	    $html .= "</div>"; //close price_table_inner
	    $html .="</div>"; //close price_table
	    
	    return $html;
	}
}
//add_shortcode('wd_ptable', 'wd_ptable_shortcode');

// **********************************************************************// 
// ! Register New Element: Audio
// **********************************************************************//
if (!function_exists('wd_soundcloud_shortcode')) {
	function wd_soundcloud_shortcode($atts, $content = null) {
		
		$atts = shortcode_atts(
			array(
				'title' => '',
				'url' => '',
				'width' => '100%',
				'height' => 81,
				'comments' => 'true',
				'auto_play' => 'true',
				'color' => '#ff7700',
				'class' => ''
			), $atts);
			
		$atts['color'] = str_replace('#', '', $atts['color']);
	        
	    $html = "";

		if($atts['title'])
			$html .= '<h4>'.$atts['title'].'</h4>';
		
        $html .= '<object height="' . $atts['height'] . '" width="' . $atts['width'] . '"><param name="movie" value="http://player.soundcloud.com/player.swf?url=' . urlencode($atts['url']) . '&amp;show_comments=' . $atts['comments'] . '&amp;auto_play=' . $atts['auto_play'] . '&amp;color=' . $atts['color'] . '"></param><param name="allowscriptaccess" value="always"></param><embed allowscriptaccess="always" height="' . $atts['height'] . '" src="http://player.soundcloud.com/player.swf?url=' . urlencode($atts['url']) . '&amp;show_comments=' . $atts['comments'] . '&amp;auto_play=' . $atts['auto_play'] . '&amp;color=' . $atts['color'] . '" type="application/x-shockwave-flash" width="' . $atts['width'] . '"></embed></object>';
	    
	    return $html;
	}
}
//add_shortcode('wd_soundcloud', 'wd_soundcloud_shortcode');



// **********************************************************************// 
// ! Register New Element: Progress bar horizontal shortcode
// **********************************************************************//
if (!function_exists('wd_progress_bar_shortcode')) {

    function wd_progress_bar_shortcode($atts, $content = null) {
        $args = array(
            "title" => "",
            "title_color" => "",
            "title_tag" => "h5",
            "percent" => "",
            "percent_color" => "",
            "active_background_color" => "",
            "noactive_background_color" => "",
            "height" => ""
        );

        extract(shortcode_atts($args, $atts));
        
        $headings_array = array('h2', 'h3', 'h4', 'h5', 'h6');
                
        //get correct heading value. If provided heading isn't valid get the default one
        $title_tag = (in_array($title_tag, $headings_array)) ? $title_tag : $args['title_tag'];

        //init variables
        $html = "";
        $title_styles = "";
        $number_styles = "";
        $outer_progress_styles = "";
        $percentage_styles = "";

        //generate styles
        if ($title_color != "") {
            $title_styles .= "color: " . $title_color . ";";
        }

        if ($percent_color != "") {
            $number_styles .= "color: " . $percent_color . ";";
        }

        if ($height != "") {
            $valid_height = (strstr($height, 'px', true)) ? $height : $height . "px";
            $outer_progress_styles .= "height: " . $valid_height . ";";
            $percentage_styles .= "height: " . $valid_height . ";";
        }

        if ($noactive_background_color != "") {
            $outer_progress_styles .= "background-color: " . $noactive_background_color . ";";
        }

        if ($active_background_color != "") {
            $percentage_styles .= "background-color: " . $active_background_color . ";";
        }

        $html .= "<div class='wd_progress_bar'>";
        $html .= "<div class='progress_title_holder clearfix'>";
        $html .= "<span class='progress_title'>";
        $html .= "<{$title_tag} style='{$title_styles}'>$title</{$title_tag}>";
        $html .= "</span>"; //close progress_title

        $html .= "<span class='progress_number_wrapper'>";
        $html .= "<span class='progress_number' style='{$number_styles}'>";
        $html .= "<span>" . $percent . "</span>%</span>";
        $html .= "</span>"; //close progress_number_wrapper
        $html .= "</div>"; //close progress_title_holder
        
        $html .= "<div class='progress_content_outer' style='{$outer_progress_styles}'>";
        $html .= "<div data-percentage='" . $percent . "' class='progress_content' style='{$percentage_styles}'>";
        $html .="</div>"; //close progress_content
        $html .= "</div>"; //close progress_content_outer

        $html .= "</div>"; //close progress_bar
        return $html;
    }
}
//add_shortcode('wd_progress_bar', 'wd_progress_bar_shortcode');


// **********************************************************************// 
// ! Register New Element: Progress bar vertical shortcode
// **********************************************************************//
if (!function_exists('wd_progress_bar_vertical_shortcode')) {

    function wd_progress_bar_vertical_shortcode($atts, $content = null) {
        $args = array(
            "title"                     => "",
            "title_color"               => "",
            "title_tag"                 => "h4",
            "title_size"                => "",
            "percent"                   => "100",
            "percentage_text_size"      => "",
            "percentage_color"          => "",
            "active_background_color"   => "",
            "noactive_background_color" => "",
            "width"                      => "",
            "text"                      => ""
        );
        
        extract(shortcode_atts($args, $atts));
        
        $headings_array = array('h2', 'h3', 'h4', 'h5', 'h6');
                
        //get correct heading value. If provided heading isn't valid get the default one
        $title_tag = (in_array($title_tag, $headings_array)) ? $title_tag : $args['title_tag'];
                        
        //init variables
        $html               = "";
        $title_styles       = "";
        $bar_styles         = "";
        $percentage_styles  = "";
		$outer_progress_styles = "";
        
        //generate styles
        if($title_color != "") {
            $title_styles .= "color:".$title_color.";";
        }
        
        if($title_size != "") {
            $title_styles .= "font-size:".$title_size."px;";
        }
        
        if($active_background_color != "") {
            $bar_styles .= "background-color: ".$active_background_color.";";
        }
        
        if($percentage_color != "") {
            $percentage_styles .= "color: ".$percentage_color.";";
        }
        
        if($percentage_text_size != "") {
            $percentage_styles .= "font-size: ".$percentage_text_size."px;";
        }
		
		if ($width != "") {
			if(strpos($width, '%')){
				$outer_progress_styles .= "width: " . $width . ";";
			}
			else {
				$valid_width = (strstr($width, 'px', true)) ? $width : $width . "px";
				$outer_progress_styles .= "width: " . $valid_width . ";";
			}
        }
		
        if ($noactive_background_color != "") {
            $outer_progress_styles .= "background-color: " . $noactive_background_color . ";";
        }

        $html .= "<div class='wd_progress_bars_vertical'>";
        $html .= "<div class='progress_content_outer' style='{$outer_progress_styles}'>";
        $html .= "<div data-percentage='$percent' class='progress_content' style='".$bar_styles."'></div>";
        $html .= "</div>"; //close progress_content_outer
        $html .= "<span class='progress_number' style='".$percentage_styles."'>";
        $html .= "<span>$percent</span>%";
        $html .= "</span>"; //close progress_number
        $html .= "<{$title_tag} class='progress_title' style='".$title_styles."'>$title</{$title_tag}>";
        $html .= "<span class='progress_text'>" . $text . "</span>";
        $html .= "</div>"; //close progress_bars_vertical

        return $html;
    }

}
//add_shortcode('wd_progress_bar_vertical', 'wd_progress_bar_vertical_shortcode');


// **********************************************************************// 
// ! Register New Element: Bar Chart shortcode
// **********************************************************************//
if (!function_exists('wd_bar_chart_shortcode')) {
	function wd_bar_chart_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array("custom_color" => "", "labels" => "", "width" => "750", "height" => "350", "scale_steps" => "6", "scale_step_width" => "20", "chart" => ""), $atts));
			$id = mt_rand(1000, 9999);
			
			$id = mt_rand(1000, 9999);
			$html = "<div class='wd_line_graf_holder'><div class='wd_line_graf'><canvas id='barChart".$id."' height='".$height."' width='".$width."'></canvas></div><div class='wd_line_graf_legend'><ul>";
			$line_graph_array = explode(",", $chart);
			for ($i = 0 ; $i < count($line_graph_array) ; $i = $i + 1){
				$line_graph_el = explode("|", $line_graph_array[$i]);
				$html .=  "<li><div class='color_holder' style='background-color: ".trim($line_graph_el[0]).";'></div><p style='color: ".$custom_color.";'>".trim($line_graph_el[1])."</p></li>";   
			}
			
			$html .=  "</ul></div></div><script>var barChart".$id." = {labels : [";
			$line_graph_labels_array = explode("|", $labels);
			for ($i = 0 ; $i < count($line_graph_labels_array) ; $i = $i + 1){
				if ($i > 0) $html .= ",";
				$html .=  '"'.$line_graph_labels_array[$i].'"';
			}
			$html .= "],";
			$html .= "datasets : [";
			$line_graph_array = explode(",", $chart);
			for ($i = 0 ; $i < count($line_graph_array) ; $i = $i + 1){
				$line_graph_el = explode("|", $line_graph_array[$i]);
				if ($i > 0) $html .= ",";
				$values = "";
				for ($j = 2 ; $j < count($line_graph_el) ; $j = $j + 1){
					if ($j > 2) $values .= ",";
					$values .= $line_graph_el[$j];
				}
				
				$color = wd_hex2rgb(trim($line_graph_el[0]));
				$html .=  "{fillColor: 'rgba(".$color[0].",".$color[1].",".$color[2].",0.7)',data:[".$values."]}";   
			}
			
			$text_fontsize = 15;
			
			if($custom_color != ""){
				$text_color = $custom_color;
			}else{
				$text_color = '#626262';
			}
			$html .= "]};
					jQuery(document).ready(function() {
						if(jQuery('.touch .no_delay').length){
							new Chart(document.getElementById('barChart".$id."').getContext('2d')).Bar(barChart".$id.",{scaleOverride : true,
							scaleStepWidth : ".$scale_step_width.",
							scaleSteps : ".$scale_steps.",
							pointDot : false,
							scaleLineColor: '#000000',
							scaleFontColor : '".$text_color."',
							scaleFontSize : ".$text_fontsize.",
							scaleGridLineColor : '#e1e1e1',
							datasetStroke : false,
							datasetStrokeWidth : 0,
							animationSteps : 120,});
						}else{
							jQuery('#barChart".$id."').appear(function() {
								new Chart(document.getElementById('barChart".$id."').getContext('2d')).Bar(barChart".$id.",{scaleOverride : true,
								scaleStepWidth : ".$scale_step_width.",
								scaleSteps : ".$scale_steps.",
								pointDot : false,
								scaleLineColor: '#000000',
								scaleFontColor : '".$text_color."',
								scaleFontSize : ".$text_fontsize.",
								scaleGridLineColor : '#e1e1e1',
								datasetStroke : false,
								datasetStrokeWidth : 0,
								animationSteps : 120,});
							},{accX: 0, accY: -200});
						}						
					});
				</script>";
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
	}
}
//add_shortcode('wd_bar_chart', 'wd_bar_chart_shortcode');


// **********************************************************************// 
// ! Register New Element: Line graph shortcode
// **********************************************************************//
if (!function_exists('wd_line_graph_shortcode')) {
	function wd_line_graph_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array("type" => "rounded", "custom_color" => "", "labels" => "", "width" => "750", "height" => "350", "scale_steps" => "6", "scale_step_width" => "20", "graph" => ""), $atts));
			$id = mt_rand(1000, 9999);
			if($type == "rounded"){
				$bezierCurve = "true";
			}else{
				$bezierCurve = "false";
			}
			
			$id = mt_rand(1000, 9999);
			$html = "<div class='wd_line_graf_holder'><div class='wd_line_graf'><canvas id='lineGraph".$id."' height='".$height."' width='".$width."'></canvas></div><div class='wd_line_graf_legend'><ul>";
			$line_graph_array = explode(",", $graph);
			for ($i = 0 ; $i < count($line_graph_array) ; $i = $i + 1){
				$line_graph_el = explode("|", $line_graph_array[$i]);
				$html .=  "<li><div class='color_holder' style='background-color: ".trim($line_graph_el[0]).";'></div><p style='color: ".$custom_color.";'>".trim($line_graph_el[1])."</p></li>";   
			}
			
			$html .=  "</ul></div></div><script>var lineGraph".$id." = {labels : [";
			$line_graph_labels_array = explode("|", $labels);
			for ($i = 0 ; $i < count($line_graph_labels_array) ; $i = $i + 1){
				if ($i > 0) $html .= ",";
				$html .=  '"'.$line_graph_labels_array[$i].'"';
			}
			$html .= "],";
			$html .= "datasets : [";
			$line_graph_array = explode(",", $graph);
			for ($i = 0 ; $i < count($line_graph_array) ; $i = $i + 1){
				$line_graph_el = explode("|", $line_graph_array[$i]);
				if ($i > 0) $html .= ",";
				$values = "";
				for ($j = 2 ; $j < count($line_graph_el) ; $j = $j + 1){
					if ($j > 2) $values .= ",";
					$values .= $line_graph_el[$j];
				}
				
				$color = wd_hex2rgb(trim($line_graph_el[0]));
				$html .=  "{fillColor: 'rgba(".$color[0].",".$color[1].",".$color[2].",0.7)',data:[".$values."]}";   
			}
			
			$text_fontsize = 15;
			
			if($custom_color != ""){
				$text_color = $custom_color;
			}else{
				$text_color = '#626262';
			}
			$html .= "]};
					jQuery(document).ready(function() {
						if(jQuery('.touch .no_delay').length){
							new Chart(document.getElementById('lineGraph".$id."').getContext('2d')).Line(lineGraph".$id.",{scaleOverride : true,
							scaleStepWidth : ".$scale_step_width.",
							scaleSteps : ".$scale_steps.",
							bezierCurve : ".$bezierCurve.",
							pointDot : false,
							scaleLineColor: '#000000',
							scaleFontColor : '".$text_color."',
							scaleFontSize : ".$text_fontsize.",
							scaleGridLineColor : '#e1e1e1',
							datasetStroke : false,
							datasetStrokeWidth : 0,
							animationSteps : 120,});
						}else{
							jQuery('#lineGraph".$id."').appear(function() {
								new Chart(document.getElementById('lineGraph".$id."').getContext('2d')).Line(lineGraph".$id.",{scaleOverride : true,
								scaleStepWidth : ".$scale_step_width.",
								scaleSteps : ".$scale_steps.",
								bezierCurve : ".$bezierCurve.",
								pointDot : false,
								scaleLineColor: '#000000',
								scaleFontColor : '".$text_color."',
								scaleFontSize : ".$text_fontsize.",
								scaleGridLineColor : '#e1e1e1',
								datasetStroke : false,
								datasetStrokeWidth : 0,
								animationSteps : 120,});
							},{accX: 0, accY: -200});
						}						
					});
				</script>";
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
	}
}
//add_shortcode('wd_line_graph', 'wd_line_graph_shortcode');



// **********************************************************************// 
// ! Register New Element: Pie Chart Pie Full shortcode
// **********************************************************************//
if (!function_exists('wd_pie_chart2_shortcode')) {
	function wd_pie_chart2_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array("width" => "120", "height" => "120", "color" => "", "pie" => "", "align" => ""), $atts));
			
			$class = '';
			if($align != '')
				$class = ' text-'.$align;
				
			$id = mt_rand(1000, 9999);
			$html = "<div class='wd_pie_graf_holder".$class."'><div class='wd_pie_graf'><canvas id='pie".$id."' height='".$height."' width='".$width."'></canvas></div><div class='wd_pie_graf_legend'><ul>";
			$pie_chart_array = explode(",", $pie);
			for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
				$pie_chart_el = explode("|", $pie_chart_array[$i]);
				$html .= "<li><div class='color_holder' style='background-color: ".trim($pie_chart_el[1]).";'></div><p style='color: ".$color.";'>".trim($pie_chart_el[2])."</p></li>";   
			}
			$html .= "</ul></div></div><script>var pie".$id." = [";
			$pie_chart_array = explode(",", $pie);
			for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
				$pie_chart_el = explode("|", $pie_chart_array[$i]);
				if ($i > 0) $html .= ",";
				$html .= "{value: ".trim($pie_chart_el[0]).",color:'".trim($pie_chart_el[1])."'}";   
			}
			$html .= "];
				jQuery(document).ready(function() {
					if(jQuery('.touch .no_delay').length){
						new Chart(document.getElementById('pie".$id."').getContext('2d')).Pie(pie".$id.",{segmentStrokeColor : 'transparent',});
					}else{
						jQuery('#pie".$id."').appear(function() {
							new Chart(document.getElementById('pie".$id."').getContext('2d')).Pie(pie".$id.",{segmentStrokeColor : 'transparent',});
						},{accX: 0, accY: -200});
					}
				});
			</script>";
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
	}
}
//add_shortcode('wd_pie_chart2', 'wd_pie_chart2_shortcode');


// **********************************************************************// 
// ! Register New Element: Pie Chart Doughnut shortcode
// **********************************************************************//
if (!function_exists('wd_pie_chart3_shortcode')) {
	function wd_pie_chart3_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array("width" => "120", "height" => "120", "color" => "", "pie" => "", "align" => ""), $atts));
			
			$class = '';
			if($align != '')
				$class = ' text-'.$align;
			
			$id = mt_rand(1000, 9999);
			$html = "<div class='wd_pie_graf_holder".$class."'><div class='wd_pie_graf'><canvas id='pie".$id."' height='".$height."' width='".$width."'></canvas></div><div class='wd_pie_graf_legend'><ul>";
			$pie_chart_array = explode(",", $pie);
			for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
				$pie_chart_el = explode("|", $pie_chart_array[$i]);
				$html .= "<li><div class='color_holder' style='background-color: ".trim($pie_chart_el[1]).";'></div><p style='color: ".$color.";'>".trim($pie_chart_el[2])."</p></li>";   
			}
			$html .= "</ul></div></div><script>var pie".$id." = [";
			$pie_chart_array = explode(",", $pie);
			for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
				$pie_chart_el = explode("|", $pie_chart_array[$i]);
				if ($i > 0) $html .= ",";
					$html .= "{value: ".trim($pie_chart_el[0]).",color:'".trim($pie_chart_el[1])."'}";   
			}
			$html .= "];
				jQuery(document).ready(function() {
					if(jQuery('.touch .no_delay').length){
						new Chart(document.getElementById('pie".$id."').getContext('2d')).Doughnut(pie".$id.",{segmentStrokeColor : 'transparent',});
					}else{
						jQuery('#pie".$id."').appear(function() {
							new Chart(document.getElementById('pie".$id."').getContext('2d')).Doughnut(pie".$id.",{segmentStrokeColor : 'transparent',});
						},{accX: 0, accY: -200});
					}							
				});
			</script>";
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
	}
}
//add_shortcode('wd_pie_chart3', 'wd_pie_chart3_shortcode');


// **********************************************************************// 
// ! Register New Element: Feedburner Subscription shortcode
// **********************************************************************//
if (!function_exists('wd_feedburner_shortcode')) {
	function wd_feedburner_shortcode($atts, $content = null) {
		
		$args = array(
            "feedburner"                => "wpdance",
            "intro"                     => "",
            "text"              		=> "",
            "box_border"                => "h4",
            "show_button"               => "",
            "button_text"               => "100",
            "button_size"      			=> "",
            "button_fluid"          	=> "",
            "button_style"   			=> "",
            "isbackground" 				=> "",
            "custom_color"              => "",
            "custom_background_color"   => "",
            "custom_border_color"   	=> ""
        );
        
        extract(shortcode_atts($args, $atts));
		
		$box_out = '';
		if($box_border){
			$box_out .= ' style="border-color:'.$box_border.';"';
		}
		
		$html = '';
		
		$html .='<div class="subscribe_widget"'.$box_out.'>
				<div class="newsletter">'.$intro.'</div>
				<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri='.$feedburner.'\', \'popupwindow\', \'scrollbars=yes,width=550,height=520\');return true">
					<p class="subscribe-email"><input type="text" name="email" class="subscribe_email" value="" placeholder="'.$text.'" /></p>
					<input type="hidden" value="'.$feedburner.'" name="uri"/>
					<input type="hidden" value="'.get_bloginfo( 'name' ).'" name="title"/>
					<input type="hidden" name="loc" value="en_US"/>';
				
		if($show_button){
			$button_out = 'style="';
			
			if($button_fluid)
				$button_out .= 'width:100%;';
			
			if($button_style == 'custom'){
				$button_out .= 'color:'.$custom_color.';background-color:'.$custom_background_color.';border-color:'.$custom_border_color.';';
			}

			$button_out .= '"';
		
			$html .= '<button class="btn btn-'.$button_size.' btn-over-'.$button_style.' btn-background-'.$isbackground.'" '.$button_out.' type="submit" title="'.$button_text.'">'.$button_text.'</button>';
		}
				
		$html .='</form></div>';
		
		return $html;
	}
}
//add_shortcode('wd_feedburner', 'wd_feedburner_shortcode');


// **********************************************************************// 
// ! Register New Element: Team
// **********************************************************************//
if (!function_exists('wd_team_shortcode')) {
	function wd_team_shortcode($atts, $content = null) {
		$args = array(
            "category"          => "",
            "type"              => "",
            "padding"           => 20,
            "column_width"      => 370,
            "full_width"        => "",
            "number"            => 12,
            "orderby"      		=> "date",
            "order"          	=> "desc"
        );
        
        extract(shortcode_atts($args, $atts));
		
		// sanitize attributes
		$attributes = array(
            'no_found_rows'         => 1,
            'ignore_sticky_posts'   => '1',
            'posts_per_page'        => isset( $number ) ? $number : -1,
            'post_type'             => 'wd_team',
            'post_status'           => 'publish',
            'orderby'               => isset( $orderby ) ? $orderby : 'date',
            'order'                 => isset( $order ) ? $order : 'DESC',
            'tax_query'             => array( array(
                'taxonomy'          => 'wd_team_category',
                'field'             => 'slug',
                'terms'             => $category
            ) ),
        );
		
		$wd_query = new WP_Query( $attributes );
		
		$output = '';
		if ( $wd_query->have_posts() ) {
			while ( $wd_query->have_posts() ) { $wd_query->the_post();
				
				$post_id = get_the_ID();
				
				$_team_options = unserialize(get_post_meta($post_id, 'wd_team_options',true));
				
				$content = get_the_content( $post_id );
				if ( $content ) $content = '<div class="team-content">' . wpautop( $content ) . '</div>';
				
				// get featured image
				$image = '';
				if ( has_post_thumbnail( $post_id ) ) {

					$thumb_id = get_post_thumbnail_id( $post_id );

					$teammate_thumb_args = array(
						'img_meta'      => wp_get_attachment_image_src( $thumb_id, 'full' ),
						'img_id'		=> $thumb_id,
						'options'       => false,
						'echo'			=> false,
						'img_class'		=> 'img-circle preload-me',
						'wrap'			=> '<img %IMG_CLASS% %SRC% %SIZE% %IMG_TITLE% %ALT% />',
					);

					/**
					 * Applied filters:
					 * presscore_set_image_width_based_on_column_width() in template-tags.php
					*/
					$teammate_thumb_args = apply_filters('teammate_thumbnail_args', $teammate_thumb_args);

					$image = wd_get_thumb_img( $teammate_thumb_args );

				}
				
				
				// get links
				$links = array();
				$_link = '';
				if ( function_exists('presscore_get_team_links_array') ) {

					foreach ( presscore_get_team_links_array() as $id=>$data ) {
						
						$link = $_team_options[ $id ];
						
						if($id == 'link'){
							$_link = $link;
							continue;
						}

						if ( $link ) {
							$links[] = presscore_get_social_icon( $id, $link, $data['desc'] );
						}
					}

				}

				if ( empty($links) ) {
					$links = '';
				} else {
					$links = '<div class="social-ico">' . implode('', $links) . '</div>';
				}
				
				// get zoom and link
				$a_teammate_thumb_args = array(
					'img_meta'      => wp_get_attachment_image_src( $thumb_id, 'full' ),
					'custom'		=> 'data-rel="prettyPhoto"',
					'echo'			=> false,
					'class'			=> 'zoom',
					'wrap'			=> '<a %HREF% %CLASS% %CUSTOM%><i class="fa fa-search-plus"></i></a>',
				);
				$more_link = '';
				$more_link = wd_get_thumb_img( $a_teammate_thumb_args );
				
				if( $_link ){
					$more_link .= '<a href="'.esc_url($_link).'" class="link"><i class="fa fa-link"></i></a>';
				}
				$more_link = '<div class="more-ico"><div class="more-ico-bkg">' . $more_link . '</div></div>';
				
				// get position
				$position = $_team_options['position'];
				if ( $position ) {
					$position = '<p>' . $position . '</p>';
				} else {
					$position = '';
				}
				
				// get title
				$title = get_the_title( $post_id );
				if ( $title ) {
					$title = '<div class="team-author-name">' . $title . '</div>';
				} else {
					$title = '';
				}

				$author_block = $title . $position;
				if ( $author_block ) {
					$author_block = '<div class="team-author">' . $author_block . '</div>';
				}

				// get it all togeather
				$output .= sprintf(
					'<div class="team-container iso-item"><div class="team-img">' . "\n\t" . '%1$s' . "\n\t" . '%3$s</div><div class="team-desc">%2$s</div>' . "\n\t" . '</div>' . "\n",
					$image, $author_block . $content . $links, $more_link
				);
			}
		}
		
		// Restore original Post Data
		wp_reset_postdata();
		
		return '<div class="iso-container isotope" data-padding="'.$padding.'" data-width="'.$column_width.'">' . $output . '</div>';
	}
}
//add_shortcode('wd_team', 'wd_team_shortcode');



if(function_exists("is_woocommerce")){

	// **********************************************************************// 
	// ! Register New Element: WooCommerce Products
	// **********************************************************************//

	
	if(!function_exists('wd_woo_category_products_shortcode')) {
		function wd_woo_category_products_shortcode($atts, $content = null) {
			
			extract(shortcode_atts(array(
									"title" => "",
									"show" => "",
									"orderby" => "date",
									"order" => "desc",
									"hide_free" => "0",
									'slug' => 'pc',
									"show_hidden" => "0",
									"tempale" => "default"),
								$atts));
								
			ob_start();
			
			$orderby     = sanitize_title( $orderby );
			$order       = sanitize_title( $order );
			$slug        = sanitize_title( $slug);
			$show_rating = false;
			
			$query_args = array(
				'posts_per_page' => 5,
				'post_status' 	 => 'publish',
				'post_type' 	 => 'product',
				'tax_query' => array( 
							array(
							'taxonomy' => 'product_cat'
							,'terms' => $slug
							,'include_children' => false
							,'field' => 'slug'
						)
				),
				'order'          => $order == 'asc' ? 'asc' : 'desc'
			);
			$query_args['meta_query'] = array();
			
			if ( empty( $show_hidden ) ) {
				$query_args['meta_query'][] = WC()->query->visibility_meta_query();
				$query_args['post_parent']  = 0;
			}

			if ( ! empty( $hide_free ) ) {
				$query_args['meta_query'][] = array(
					'key'     => '_price',
					'value'   => 0,
                    comment_form_left			'compare' => '>',
					'type'    => 'DECIMAL',
				);
			}

			$query_args['meta_query'][] = WC()->query->stock_status_meta_query();
			$query_args['meta_query']   = array_filter( $query_args['meta_query'] );
			
			
			
			switch ( $orderby ) {
				case 'price' :
					$query_args['meta_key'] = '_price';
					$query_args['orderby']  = 'meta_value_num';
					break;
				case 'rand' :
					$query_args['orderby']  = 'rand';
					break;
				case 'sales' :
					$query_args['meta_key'] = 'total_sales';
					$query_args['orderby']  = 'meta_value_num';
					break;
				default :
					$query_args['orderby']  = 'date';
			}
			
			$r = new WP_Query( $query_args );

			if ( $r->have_posts() ) :
			
			?>
				
				<div id="main_content" class="<?php echo esc_attr($_main_class);?>">
				
					<div>				
									
						<?php
							/**
							 * woocommerce_before_main_content hook
							 *
							 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
							 * @hooked woocommerce_breadcrumb - 20
							 */
							do_action('woocommerce_before_main_content');
						?>
							
							
							<?php if ( $r->have_posts() ) : ?>
								<div class="wd_meta_loop">
								<?php
									/**
									 * woocommerce_before_shop_loop hook
									 *
									 * @hooked woocommerce_result_count - 20
									 * @hooked woocommerce_catalog_ordering - 30
									 */
									
									do_action( 'woocommerce_before_shop_loop' );
								?>
								</div>
								<?php woocommerce_product_loop_start(); ?>
								
									<?php while ( $r->have_posts() ) : $r->the_post(); ?>

										<?php wc_get_template_part( 'content', 'product' ); ?>

									<?php endwhile; // end of the loop. ?>

								<?php woocommerce_product_loop_end(); ?>

								<?php
									/**
									 * woocommerce_after_shop_loop hook
									 *
									 * @hooked woocommerce_pagination - 10
									 */
									do_action( 'woocommerce_after_shop_loop' );
								?>

							<?php elseif ( ! $show_sub_cat ) : ?>

								<?php wc_get_template( 'loop/no-products-found.php' ); ?>

							<?php endif; ?>

						<?php
							/**
							 * woocommerce_after_main_content hook
							 *
							 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
							 */
							do_action('woocommerce_after_main_content');
						?>
							<?php wp_pagenavi(); ?>
					</div>

				</div>	
				

							<?php
			endif;
			wp_reset_postdata();

			$output = ob_get_clean();
			
			return $output;
		}
	}
	//add_shortcode('wd_woo_category_products', 'wd_woo_category_products_shortcode');
	
	
	
	
	
	
	
	if(!function_exists('wd_woo_products_shortcode')) {
		function wd_woo_products_shortcode($atts, $content = null) {
			
			extract(shortcode_atts(array(
									"title" => "",
									"number" => "5",
									"show" => "",
									"orderby" => "date",
									"order" => "desc",
									"hide_free" => "0",
									"show_hidden" => "0"
									), 
								$atts));
								
			ob_start();
			
			$number      = absint( $number );
			$show        = sanitize_title( $show );
			$orderby     = sanitize_title( $orderby );
			$order       = sanitize_title( $order );
			$show_rating = false;
			
			$query_args = array(
				'posts_per_page' => $number,
				'post_status' 	 => 'publish',
				'post_type' 	 => 'product',
				'no_found_rows'  => 1,
				'order'          => $order == 'asc' ? 'asc' : 'desc'
			);
			$query_args['meta_query'] = array();
			
			if ( empty( $show_hidden ) ) {
				$query_args['meta_query'][] = WC()->query->visibility_meta_query();
				$query_args['post_parent']  = 0;
			}

			if ( ! empty( $hide_free ) ) {
				$query_args['meta_query'][] = array(
					'key'     => '_price',
					'value'   => 0,
					'compare' => '>',
					'type'    => 'DECIMAL',
				);
			}

			$query_args['meta_query'][] = WC()->query->stock_status_meta_query();
			$query_args['meta_query']   = array_filter( $query_args['meta_query'] );
			
			switch ( $show ) {
				case 'featured' :
					$query_args['meta_query'][] = array(
						'key'   => '_featured',
						'value' => 'yes'
					);
					break;
				case 'onsale' :
					$product_ids_on_sale = wc_get_product_ids_on_sale();
					var_dump($product_ids_on_sale);
					$product_ids_on_sale[] = 0;
					$query_args['post__in'] = $product_ids_on_sale;
					break;
			}
			
			switch ( $orderby ) {
				case 'price' :
					$query_args['meta_key'] = '_price';
					$query_args['orderby']  = 'meta_value_num';
					break;
				case 'rand' :
					$query_args['orderby']  = 'rand';
					break;
				case 'sales' :
					$query_args['meta_key'] = 'total_sales';
					$query_args['orderby']  = 'meta_value_num';
					break;
				default :
					$query_args['orderby']  = 'date';
			}
			
			$r = new WP_Query( $query_args );

			if ( $r->have_posts() ) {

				echo $before_widget;

				if ( $title )
					echo '<h3 class="widget-title heading-title">' . $title . '</h3>';

				echo '<ul class="product_list_widget">';

				while ( $r->have_posts()) {
					$r->the_post();
					wc_get_template( 'content-widget-product.php', array( 'show_rating' => $show_rating ) );
				}

				echo '</ul>';

				echo $after_widget;
			}
			
			wp_reset_postdata();

			$output = ob_get_clean();
			
			return $output;
		}
	}
	//add_shortcode('wd_woo_products', 'wd_woo_products_shortcode');


}


?>