<?php 
$_template_path = get_template_directory();
require_once $_template_path."/framework/abstract.php";
class Theme extends EWAbstractTheme
{
	public function __construct($options){
		$this->options = $options;
		parent::__construct($options);
		$this->constant($options);
		$this->extendVC();
	}
	
	public function init(){
		parent::init();
		//$this->loadOtherJSCSS($this->options);
		add_action('wp_enqueue_scripts',array($this,'loadOtherJSCSS'));
		add_action( 'init' , array($this, 'loadImageSize'));
		//echo get_template_directory_uri(); exit;
		add_action( 'wp_enqueue_scripts', array($this, 'regis_style_elements' ));
		add_action( 'init' , array($this, 'update_date_format'));
	}
	
	function update_date_format(){
		global $smof_data;
		$str_format = (isset($smof_data['wd_date_format']) && $smof_data['wd_date_format'] !== '')? $smof_data['wd_date_format'] : "l, M d Y g:iA";
		$this->wp_update_option('date_format', $str_format);
		
		$str_format_blog = (isset($smof_data['wd_blog_time_format']) && $smof_data['wd_blog_time_format'] !== '')? $smof_data['wd_blog_time_format'] : "l, M d Y g:iA";
		$this->wp_update_option('date_format_blog', $str_format_blog);
	}
	
	function wp_update_option($key, $var){
		if(!get_option($key) || get_option($key) !== '') add_option( $key, $var, '', 'yes' );
		update_option($key, $var);
	}
	
	function regis_style_elements(){
		wp_register_style('wd_elements', get_template_directory_uri().'/css/wd_elements.css');
		wp_enqueue_style('wd_elements');
	}
	
	protected function initArrIncludes(){
		parent::initArrIncludes();
		$this->arrIncludes = array_merge($this->arrIncludes,array('class-tgm-plugin-activation'));
	}

	//overwrite widget	
	protected function initArrWidgets(){
		$this->arrWidgets = array('flickr','hot_product','best_selling_product','sale_product','wd_recent_post','ew_video','emads','twitterupdate','recent_comments_custom','ew_social','productaz','ew_subscriptions','product_categories','recent_product_slider','related_upsell_product','popular_product_by_categories','testimonial','wd_tag_cloud', 'wd_featured_post', 'wd_blog_categories', 'wd_sidebar_effect');
	}
	
	
	protected function extendVC(){
		
		// Initialising Shortcodes
		if (class_exists('WPBakeryVisualComposerAbstract')) {
			global $vc_manager;
			
			$dir = THEME_DIR . '/theme/extendvc/templates/shortcodes/';
			$vc_manager->setCustomUserShortcodesTemplateDir($dir);
			
			require_once THEME_EXTENDS_EXTENDVC. '/vc_includes/vc_functions.php';
			require_once THEME_EXTENDS_EXTENDVC. '/vc_includes/vc_images.php';
			//require_once THEME_EXTENDS_EXTENDVC. '/vc_includes/vc_shortcodes.php';
			
			function requireVcExtend(){				
				require_once THEME_EXTENDS_EXTENDVC. '/extend-vc.php';
			}
			add_action('admin_init', 'requireVcExtend',2);
		}
		
	}
	
	
	protected function changing_rows_columns_classes(){
		function custom_css_classes_for_vc_row_and_vc_column($class_string, $tag) {
			if ($tag=='vc_row' || $tag=='vc_row_inner') {
				$class_string = str_replace('vc_row-fluid', 'row vc_row-fluid', $class_string);
			}

			if ($tag=='vc_column' || $tag=='vc_column_inner') {
				$class_string = preg_replace('/vc_span(\d{1,2})/', '$1', $class_string);
				$class_string = 'wpb_column column_container col-sm-' . intval($class_string) * 2;
			}

			return $class_string;
		}
		add_filter('vc_shortcodes_css_class', 'custom_css_classes_for_vc_row_and_vc_column', 10, 2);
	}
	
	protected function constant($options){
		parent::constant($options);
		define('THEME_EXTENDS', THEME_DIR.'/theme');
		define('THEME_EXTENDS_FUNCTIONS', THEME_EXTENDS.'/functions');
		define('THEME_EXTENDS_SHORTCODES', THEME_EXTENDS.'/shortcodes');
		define('THEME_EXTENDS_INCLUDES', THEME_EXTENDS.'/includes');
		define('THEME_EXTENDS_WIDGETS', THEME_EXTENDS.'/widgets');
		define('THEME_EXTENDS_ADMIN', THEME_EXTENDS.'/admin');
		define('THEME_EXTENDS_ADMIN_TPL', THEME_EXTENDS_ADMIN.'/template');
		define('THEME_EXTENDS_ADMIN_URI', THEME_URI . '/theme/admin');
		define('THEME_EXTENDS_ADMIN_JS', THEME_EXTENDS_ADMIN_URI . '/js');
		define('THEME_EXTENDS_EXTENDVC', THEME_EXTENDS.'/extendvc');
		define('THEME_EXTENDS_EXTENDVC_URI', THEME_URI.'/theme/extendvc');
		define('THEME_EXTENDS_ADMIN_CSS', THEME_EXTENDS_ADMIN_URI . '/css');
	}
	
	function loadImageSize(){
		global $pagenow;
		if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ){
			return;
		}
		if ( function_exists( 'add_image_size' ) ) {
			global $smof_data;
			$wd_blog_thumb_width = absint($smof_data['wd_blog_thumb_width']);
			$wd_blog_thumb_height = absint($smof_data['wd_blog_thumb_height']);
			
			$wd_related_post_thumb_width = absint($smof_data['wd_related_post_thumb_width']);
			$wd_related_post_thumb_height = absint($smof_data['wd_related_post_thumb_height']);
			
			$wd_custom_product_thumb_width = absint($smof_data['wd_custom_product_thumb_width']);
			$wd_custom_product_thumb_height = absint($smof_data['wd_custom_product_thumb_height']);
			
			$wd_product_tini_thumb_width = absint($smof_data['wd_product_tini_thumb_width']);
			$wd_product_tini_thumb_height = absint($smof_data['wd_product_tini_thumb_height']);
			
			$wd_shortcode_blog_thumb_width = absint($smof_data['wd_shortcode_blog_thumb_width']);
			$wd_shortcode_blog_thumb_height = absint($smof_data['wd_shortcode_blog_thumb_height']);
			
			$wd_testimonial_thumb_width = absint($smof_data['wd_testimonial_thumb_width']);
			$wd_testimonial_thumb_height = absint($smof_data['wd_testimonial_thumb_height']);
			
			/*$wd_feature_thumb_width = absint($smof_data['wd_feature_thumb_width']);
			$wd_feature_thumb_height = absint($smof_data['wd_feature_thumb_height']);*/
			
			$wd_menu_thumb_width = absint($smof_data['wd_menu_thumb_width']);
			$wd_menu_thumb_height = absint($smof_data['wd_menu_thumb_height']);
			
			add_image_size('blog_thumb',$wd_blog_thumb_width,$wd_blog_thumb_height,true); /* image for blog thumbnail */	
			add_image_size('related_post_thumb',$wd_related_post_thumb_width,$wd_related_post_thumb_height,true); /* image for related post thumbnail */				
			add_image_size('custom_prod_thumb',$wd_custom_product_thumb_width,$wd_custom_product_thumb_height,true); /* image for product - woo-hook.php */
			add_image_size('prod_tini_thumb',$wd_product_tini_thumb_width,$wd_product_tini_thumb_height,true); /* image for product thumbnail - widget */
			add_image_size('blog_shortcode',$wd_shortcode_blog_thumb_width,$wd_shortcode_blog_thumb_height,true); /* using for recent blog shortcode */
			add_image_size('woo_shortcode',$wd_testimonial_thumb_width,$wd_testimonial_thumb_height,true); /* image for testimonial */
			/*add_image_size('woo_feature',$wd_feature_thumb_width,$wd_feature_thumb_height,true);  image for feature */
			add_image_size('wd_menu_thumb',$wd_menu_thumb_width,$wd_menu_thumb_height,true);
		}
	}
	
	public function is_chrome(){
		$u = $_SERVER['HTTP_USER_AGENT'];
		$chrome  = (bool)preg_match('/Chrome/i', $u );
		return $chrome;
	}
	
	public function is_IE8(){
		$u = $_SERVER['HTTP_USER_AGENT'];
		$isIE8  = (bool)preg_match('/msie 8./i', $u );
		return $isIE8;
	}
	
	
	public function loadOtherJSCSS(){
		/// Load Custom JS for theme
		global $is_IE, $smof_data;
		if(!is_admin()){
			if(!wp_is_mobile()){
				wp_register_script( 'jquery_appear', THEME_JS.'/jquery.appear.js',false,false,true);
				wp_enqueue_script('jquery_appear');
			}
			if(!$smof_data['wd_nicescroll']){
					wp_register_script( 'smooth-scroll', THEME_JS.'/jquery.smooth-scroll.js',false,false,true);
					wp_enqueue_script('smooth-scroll');
			}
			if($this->is_IE8()) {
				wp_register_style( 'wd-ie8', THEME_CSS.'/ie8.css');
				wp_enqueue_style('wd-ie8');
			}
			wp_register_script( 'google-jsapi', '//www.google.com/jsapi',false,false,false);
			wp_enqueue_script('google-jsapi');
			wp_register_script( 'gameworld', THEME_JS.'/gameworld.js',false,false,true);
			wp_enqueue_script('gameworld');
			wp_register_style( 'cs-animate', THEME_CSS.'/cs-animate.css');
			wp_enqueue_style('cs-animate');
			
		}
	}
}
?>