<?php 
// Create widget tabs post
if(!class_exists('WP_Widget_Best_Selling_Product')){
	class WP_Widget_Best_Selling_Product extends WP_Widget {
		
		function __construct() {
		   	$widget_ops = array( 'classname' => 'widget_best_selling_product woocommerce', 'description' => __( "Show Best Selling Products",'wpdance' ) );
		   	parent::__construct('best_selling_product', __('WD - Best Selling Products','wpdance'), $widget_ops);
		}

		function widget( $args, $instance ) {
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			
			extract( $args );
			$title = apply_filters('widget_title', empty($instance['title_best_selling']) ? __('Best Selling Products','wpdance') : $instance['title_best_selling']);
			$num_best_selling = empty( $instance['num_best_selling'] ) ? 5 : absint($instance['num_best_selling']);
			
			$post_type = "product";
			
			$thumbnail_width = 60;
			$thumbnail_height = 60;

			$output = $before_widget;
			if ( $title )
				$output .= $before_title . $title . $after_title;
			
			echo $output;
			wp_reset_query();
			global $post;
			$args_query = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $num_best_selling,
				'order' => 'desc',		
				'meta_key' 		 => 'total_sales',
				'orderby' 		 => 'meta_value_num',				
				'meta_query' => array(
					array(
						'key' => '_visibility',
						'value' => array('catalog', 'visible'),
						'compare' => 'IN'
					)
				)
			);
		
			$best_selling=new wp_query($args_query);
	?>
			<?php if($best_selling->post_count>0){$i = 0;
			?>
			<ul class="product_list_widget">
				<?php while ($best_selling->have_posts()) : $best_selling->the_post();?>
				<?php wc_get_template( 'content-widget-product.php', array( 'show_rating' => 1 ) );?>
				<?php $i++; endwhile;?>
			</ul>
			<?php }?>
			<?php wp_reset_query(); ?>
			
	<?php
			echo $after_widget;
		}

		function update( $new_instance, $old_instance ) {
				$instance = $old_instance;
				$instance['title_best_selling'] = strip_tags($new_instance['title_best_selling']);
				$instance['num_best_selling'] = absint($new_instance['num_best_selling']);
				return $instance;
		}

		function form( $instance ) {
				//Defaults
				$instance = wp_parse_args( (array) $instance, array( 'title_best_selling' => 'Best Selling' , 'num_best_selling' => 5 ) );
				
	?>
				<p><label for="<?php echo $this->get_field_id('title_best_selling'); ?>"><?php _e( 'Title for best selling tab:','wpdance' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id('title_best_selling'); ?>" name="<?php echo $this->get_field_name('title_best_selling'); ?>" type="text" value="<?php echo esc_attr( $instance['title_best_selling'] ); ?>" /></p>

				<p><label for="<?php echo $this->get_field_id('num_best_selling'); ?>"><?php _e( 'The number of best selling post','wpdance' ); ?>:</label>
				<input class="widefat" id="<?php echo $this->get_field_id('num_best_selling'); ?>" name="<?php echo $this->get_field_name('num_best_selling'); ?>" type="text" value="<?php echo absint( $instance['num_best_selling'] ); ?>" /></p>
				

	<?php
		}
	}
}
?>