<?php
/**
 * EW Social Widget
 */
if(!class_exists('WP_Widget_Ew_social')){
	class WP_Widget_Ew_social extends WP_Widget {

		function __construct() {
			$widgetOps = array('classname' => 'widget_social', 'description' => __('Display Social Profiles','wpdance'));
			$controlOps = array('width' => 400, 'height' => 350);
		   	parent::__construct('ew_social', __('WD - Social Profiles','wpdance'), $widgetOps, $controlOps);
		}

		function widget( $args, $instance ) {
			extract($args);
			$title = esc_attr(apply_filters( 'widget_title', $instance['title'] ));
			$rss_id = esc_attr($instance['rss_id']);
			$twitter_id = esc_attr($instance['twitter_id']);
			$facebook_id = esc_attr($instance['facebook_id']);
			$flickr_id = esc_attr($instance['flickr_id']);
			$vimeo_id = esc_attr($instance['vimeo_id']);
			
			?>
			<?php echo $before_widget;?>
			<?php echo $before_title . $title . $after_title;?>
			<div class="social-icons">
				<ul>
					<?php if($facebook_id): ?>
					<li class="icon-facebook"><a class="wd-tooltip swing" data-toggle="tooltip" data-placement="top" href="<?php echo esc_url( "http://www.facebook.com/" . $facebook_id ); ?>" target="_blank" title="<?php esc_attr_e('Become our fan', 'wpdance'); ?>" >facebook</a></li>
					<?php endif; ?>
					
					<?php if($twitter_id): ?>
					<li class="icon-twitter"><a class="wd-tooltip swing" data-toggle="tooltip" data-placement="top" href="<?php echo esc_url( "http://twitter.com/" . $twitter_id ); ?>" target="_blank" title="<?php esc_attr_e('Follow us', 'wpdance'); ?>" >twitter</a></li>
					<?php endif; ?>
					
					<?php if($flickr_id): ?>
					<li class="icon-flickr"><a class="wd-tooltip swing" data-toggle="tooltip" data-placement="top" href="<?php echo esc_url( "https://www.flickr.com/" . $flickr_id );?>" target="_blank" title="<?php esc_attr_e('Follow Us', 'wpdance'); ?>" >flickr</a></li>
					<?php endif; ?>
					
					<?php if($rss_id): ?>
					<li class="icon-rss"><a class="wd-tooltip swing" data-toggle="tooltip" data-placement="top" href="<?php echo esc_url( "http://feeds.feedburner.com/" . $rss_id );?>" target="_blank" title="<?php esc_attr_e('Get updates', 'wpdance'); ?>" >rss</a></li>
					<?php endif; ?>
					
					<?php if($vimeo_id): ?>
					<li class="icon-vimeo"><a class="wd-tooltip swing" data-toggle="tooltip" data-placement="top" href="<?php echo esc_url( "https://vimeo.com/" . $vimeo_id );?>" target="_blank" title="<?php esc_attr_e('Join our vimeo', 'wpdance'); ?>" >Vimeo</a></li>
					<?php endif; ?>
					
				</ul>
				<div class="clear"></div>
			</div>

			<?php
			echo $after_widget;
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['rss_id'] = esc_attr($new_instance['rss_id']);
			$instance['twitter_id'] =  esc_attr($new_instance['twitter_id']);
			$instance['facebook_id'] =  esc_attr($new_instance['facebook_id']);
			$instance['flickr_id'] =  esc_attr($new_instance['flickr_id']);		
			$instance['vimeo_id'] =  esc_attr($new_instance['vimeo_id']);		
			$instance['title'] =  esc_attr($new_instance['title']);			
			
			return $instance;
		}

		function form( $instance ) { 
			$instance = wp_parse_args( (array) $instance, array( 'title' => 'Find Us On','rss_id' => 'Rss ID', 'twitter_id' => 'Twitter ID', 'facebook_id' => 'Facebook ID', 'vimeo_id' => 'Vimeo ID', 'flickr_id' => 'Flickr ID' ) );
				
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Enter your title','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" /></p>

			<p><label for="<?php echo $this->get_field_id('rss_id'); ?>"><?php _e('Enter your Rss','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('rss_id'); ?>" name="<?php echo $this->get_field_name('rss_id'); ?>" type="text" value="<?php echo esc_attr($instance['rss_id']); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('twitter_id'); ?>"><?php _e('Enter your Twitter ID','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo esc_attr(format_to_edit($instance['twitter_id'])); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('facebook_id'); ?>"><?php _e('Enter your Facebook ID','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('image'); ?>" name="<?php echo $this->get_field_name('facebook_id'); ?>" value="<?php echo esc_attr(format_to_edit($instance['facebook_id'])); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('flickr_id'); ?>"><?php _e('Enter your Flickr ID','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('image'); ?>" name="<?php echo $this->get_field_name('flickr_id'); ?>" value="<?php echo esc_attr(format_to_edit($instance['flickr_id'])); ?>" /></p>

			<p><label for="<?php echo $this->get_field_id('vimeo_id'); ?>"><?php _e('Enter your Vimeo ID','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('image'); ?>" name="<?php echo $this->get_field_name('vimeo_id'); ?>" value="<?php echo esc_attr(format_to_edit($instance['vimeo_id'])); ?>" /></p>		
			
			<?php }
	}
}

