<?php
/**
 * EW Social Widget
 */
if(!class_exists('WP_Widget_Ew_subscriptions')){
	class WP_Widget_Ew_subscriptions extends WP_Widget {

		function __construct() {
			$widgetOps = array('classname' => 'widget_subscriptions', 'description' => __('Display Subscriptions Form','wpdance'));
			$controlOps = array('width' => 400, 'height' => 550);
		   	parent::__construct('ew_subscriptions', __('WD - Feedburner Subscriptions','wpdance'), $widgetOps, $controlOps);
		}

		function widget( $args, $instance ) {
			extract($args);
			$title = esc_attr($instance['title']);
			$title = (strlen($title) <= 0 ? 'Sign up for Our Newsletter' : $title);
			$intro_text = esc_attr($instance['intro_text']);
			$intro_text = (strlen($intro_text) <= 0 ? 'Enter your email' : $intro_text);
			
			$button_text = isset($instance['button_text']) ? esc_attr($instance['button_text']) : "";
			$button_text = (strlen($button_text) <= 0 ? 'Subscribe' : $button_text);
			
			$feedburner_id = $instance['feedburner_id'];
			$feedburner_id = (strlen($feedburner_id) <= 0 ? 'wpdance' : $feedburner_id);
			
			echo $before_widget;
			echo $before_title . $title . $after_title;
			?>
			
			<div class="subscribe_widget">
				<div class="newsletter">
					<div class="newsletter-image"></div>
					<span><?php echo esc_attr( $instance['intro_text'] );?></span>
				</div>
				<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedburner_id;?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
					<!--div class="subscribe-input-box"-->
						<!--<p class="subscribe-email"></p>-->
						<input type="text" name="email" class="subscribe_email" placeholder="<?php _e('enter your email address','wpdance');?>" value="" />
						<input type="hidden" value="<?php echo esc_attr($feedburner_id);?>" name="uri"/>
						<input type="hidden" value="<?php echo esc_attr(get_bloginfo( 'name' ));?>" name="title"/>
						<input type="hidden" name="loc" value="en_US"/>
						<button class="btn btn-1 btn-subscribe" type="submit" title="Subscribe"><?php echo esc_attr($button_text);?></button>
					<!--/div-->
					<p style="display:none;">Delivered by <a href="<?php echo "http://www.feedburner.com"; ?>" target="_blank">FeedBurner</a></p>
				</form>
			</div>

			<?php
			echo $after_widget;
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;		
			$instance['title'] = esc_attr($new_instance['title']);
			$instance['intro_text'] =  esc_attr($new_instance['intro_text']);
			$instance['button_text'] =  esc_attr($new_instance['button_text']);
			$instance['feedburner_id'] =  format_to_edit($new_instance['feedburner_id']);
			return $instance;
		}

		function form( $instance ) { 
			$instance = wp_parse_args( (array) $instance, array( 'title' => 'Sign up for Our Newsletter', 
																 'intro_text' => 'A newsletter is a regularly distributed publication generally', 
																 'button_text' => 'Subscribe',
																 'feedburner_id' => 'WpComic-Manga' ) );
			
			$feedburner_id = format_to_edit($instance['feedburner_id']);		
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Enter your title','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('intro_text'); ?>"><?php _e('Enter your Intro Text','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('intro_text'); ?>" name="<?php echo $this->get_field_name('intro_text'); ?>" value="<?php echo esc_attr($instance['intro_text']); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('button_text'); ?>"><?php _e('Enter your Button','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('button_text'); ?>" name="<?php echo $this->get_field_name('button_text'); ?>" value="<?php echo esc_attr($instance['button_text']); ?>" /></p>
			<p><label for="<?php echo $this->get_field_id('feedburner_id'); ?>"><?php _e('Enter your Feedburner ID','wpdance'); ?> : </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('feedburner_id'); ?>" name="<?php echo $this->get_field_name('feedburner_id'); ?>" value="<?php echo esc_attr($feedburner_id); ?>" /></p>
			<?php }
	}
}

