<?php 
// Create widget tabs post
if(!class_exists('WP_Widget_Hot_Product')){
	class WP_Widget_Hot_Product extends WP_Widget {

		function __construct() {
		   	$widget_ops = array( 'classname' => 'widget_hot_product woocommerce', 'description' => __( "Show Hot Products",'wpdance' ) );
		   	parent::__construct('hot_product', __('WD - Hot Products','wpdance'), $widget_ops);
		}

		function widget( $args, $instance ) {
			extract( $args );
			$title = apply_filters('widget_title', empty($instance['title_popular']) ? __('Hot Products','wpdance') : $instance['title_popular']);
			$num_popular = empty( $instance['num_popular'] ) ? 5 : absint($instance['num_popular']);
			//$show_addToCart = $instance['show_addToCart'];
			
			$post_type = "product";
			
			$thumbnail_width = 60;
			$thumbnail_height = 60;

			$output = $before_widget;
			if ( $title )
				$output .= $before_title . $title . $after_title;
			
			echo $output;
			wp_reset_query();
			global $post;
			$popular=new wp_query(array('post_type' => 'product','posts_per_page' => $num_popular,'post_status'=>'publish','ignore_sticky_posts'=> 1, 'order' => 'DESC'));
	?>
			<?php if($popular->post_count>0){$i = 0;
			?>
			<ul class="product_list_widget">
				
				<?php while ($popular->have_posts()) : $popular->the_post();?>
					<?php wc_get_template( 'content-widget-product.php', array( 'show_rating' => 1 ) );?>
				<?php $i++; endwhile;?>
			</ul>
			<?php }?>
			<?php wp_reset_query(); ?>
			
	<?php
			echo $after_widget;
		}

		function update( $new_instance, $old_instance ) {
				$instance = $old_instance;
				$instance['title_popular'] = strip_tags($new_instance['title_popular']);
				$instance['num_popular'] = absint($new_instance['num_popular']);
				//$instance['show_addToCart'] = $new_instance['show_addToCart'];
				return $instance;
		}

		function form( $instance ) {
				//Defaults
				$instance = wp_parse_args( (array) $instance, array( 'title_popular' => 'Popular','num_popular' => 5) );
				

	?>
				<p><label for="<?php echo $this->get_field_id('title_popular'); ?>"><?php _e( 'Title for popular tab:','wpdance' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id('title_popular'); ?>" name="<?php echo $this->get_field_name('title_popular'); ?>" type="text" value="<?php echo esc_attr( $instance['title_popular'] ); ?>" /></p>

				<p><label for="<?php echo $this->get_field_id('num_popular'); ?>"><?php _e( 'The number of popular post','wpdance' ); ?>:</label>
				<input class="widefat" id="<?php echo $this->get_field_id('num_popular'); ?>" name="<?php echo $this->get_field_name('num_popular'); ?>" type="text" value="<?php echo absint( $instance['num_popular'] ); ?>" /></p>
				
				
			</p>
				

	<?php
		}
	}
}
?>