<?php
/**
 * EW Social Widget
 */
if(!class_exists('WP_Widget_Product_Categories')){
	class WP_Widget_Product_Categories extends WP_Widget {

		function __construct() {
		   	$widgetOps = array('classname' => 'wd_widget_product_categories', 'description' => __('Display Woocommerce Product Categories','wpdance'));
		   	parent::__construct('wd_product_categories', __('WD - Product Categories','wpdance'), $widgetOps);
		}

		function widget( $args, $instance ) {
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			extract($args);
			$title = esc_attr(apply_filters( 'widget_title', $instance['title'] ));		
			$show_post_count = $instance['show_post_count'];		
			$show_sub_cat = true;// $instance['show_sub_cat'];		
			$is_dropdown = $instance['is_dropdown'];		
			$orderby = $instance['orderby'];		
			$order = $instance['order'];		
			$number = empty($instance['number'])?0:absint($instance['number']);		
			?>
			<?php 
			if($is_dropdown == 'inline'){
				$before_widget = str_replace('class="', 'class="footer-inline ', $before_widget);
				$before_widget = str_replace("class='", "class='footer-inline ", $before_widget);
				
			}
			$icon = (isset($instance['icon']))? esc_attr($instance['icon']) : "";
			$icon_html = (strlen($icon) <= 0 ? '' : '<span class="wd_wg_icon '.$icon.'"></span>');
			
			echo $before_widget;
			?>
			<?php echo $before_title . $icon_html . $title . $after_title;?>
			<div class="wd_product_categories">
				
				<?php 
				if($is_dropdown == 'dropdown'){
					$args = array(
						'taxonomy'     => 'product_cat',
						'orderby'      => $orderby,
						'order'        => $order,
						'hierarchical' => 0,
						'parent'       => 0,
						'title_li'     => '',
						'hide_empty'   => 0,
						'number'   	   => $number
					);
					$all_categories = get_categories( $args );
					
					if( $all_categories ){
						if($orderby == 'rand'){
							shuffle($all_categories);
						}
						echo '<ul class="'.(($is_dropdown==="dropdown" || wp_is_mobile())?'dropdown_mode is_dropdown':'hover_mode').'">';
						foreach ($all_categories as $cat) {
							$args2 = array(
							   'taxonomy'     => 'product_cat',
							   'child_of'     => 0,
							   'parent'       => $cat->term_id,
							   'hierarchical' => 0,
							   'title_li'     => '',
							   'hide_empty'   => 0
							);
							$count_sub_cats = count(get_categories( $args2 ));
							$act= ($count_sub_cats > 0)? 'parent' : ''; 
							echo '<li class="cat_item '. esc_attr($act).'">';
							$category_id = $cat->term_id;
							echo '<a href="'. esc_url(get_term_link($cat->slug, 'product_cat')) .'">'. $cat->name;
							if($show_post_count){
								echo '<span class="num_product">' . $cat->count . '</span>';
							}
							echo "</a>";
							if($count_sub_cats > 0) echo '<span class="icon_toggle"><span class="glyphicon glyphicon-chevron-down"></span></span>';
							if($show_sub_cat){
								$this->get_sub_categories($category_id,$instance);
							}
							echo '</li>';
						}
						echo '</ul>';
					}

				} else{
					$args = array(
						'taxonomy'     => 'product_cat',
						'orderby'      => $orderby,
						'order'        => $order,
						'title_li'     => '',
						'hide_empty'   => 0,
						'number'   	   => $number
					);
					$all_categories = get_categories( $args );
					?>
						<ul>
							<?php
							foreach($all_categories as $category){
							?>
							<li>
								<a title="<?php echo esc_attr($category->term_id); ?>" href="<?php echo esc_url(get_term_link($category, 'product_cat'));?>"><?php echo esc_attr($category->name);?></a>
								<?php $this->get_sub_categories($category->term_id,$instance); ?>
							</li>
							<?php
							}
							?>
						</ul>
					<?php
				}
				?>
				<div class="clear"></div>
				
			</div>

			<?php
			echo $after_widget;
			?>
			<script type="text/javascript">
				jQuery(document).ready(function(){
					//wd_widget_product_categories();
					//wd_widget_product_categories_dropdown();
					
					if( !jQuery('.wd_widget_product_categories ul:first').hasClass( 'is_dropdown' ) ){
						jQuery(window).bind('resize',jQuery.debounce( 250, function(){
							//wd_widget_product_categories_update();
						}) );
					}
				});
				function wd_widget_product_categories_update(){
					// unbind event
					jQuery(".wd_widget_product_categories ul li").unbind("mouseenter").unbind("mouseleave");
					jQuery(".wd_widget_product_categories ul li .icon_toggle").unbind("click");
					
					var _width = jQuery(window).width();
					if( _width <= 1024 ){
						jQuery(".wd_widget_product_categories ul:first").addClass('dropdown_mode').removeClass('hover_mode');
						wd_widget_product_categories_dropdown();
						jQuery(".wd_widget_product_categories ul li ul").css({'opacity':1});
					}
					else{
						jQuery(".wd_widget_product_categories ul:first").removeClass('dropdown_mode').addClass('hover_mode');
						wd_widget_product_categories();
						jQuery(".wd_widget_product_categories ul li ul").css({'opacity':0});
					}
				}
				function wd_widget_product_categories(){
					var _widget_wrapper = jQuery(".wd_widget_product_categories");
					if( _widget_wrapper.length == 0 )
						return;
					var _parent_li = jQuery(".wd_widget_product_categories ul.hover_mode li.cat_item ul.sub_cat").parent("li");
					_parent_li.addClass("has_sub");
					
					_parent_li.hoverIntent(
					function(){
						if( jQuery(this).css('opacity') != 1 )
							return;
						var _child_ul = jQuery(this).find("ul.sub_cat:first");
						var _is_left_sidebar = jQuery(this).parents("#left-sidebar").length == 1;
						if( _is_left_sidebar ){
							_child_ul.css({'opacity':0,'left': '50%'}).show();
							_child_ul.animate({'opacity':1,'left': '100%'},200);
						}
						else{
							_child_ul.css({'opacity':0,'right': '50%','left':'auto'}).show();
							_child_ul.animate({'opacity':1,'right': '100%','left':'auto'},200);
						}
					},
					function(){
						var _child_ul = jQuery(this).find("ul.sub_cat");
						var _is_left_sidebar = jQuery(this).parents("#left-sidebar").length == 1;
						if( _is_left_sidebar ){
							_child_ul.animate({'opacity':0,'left': '50%'},200,function(){_child_ul.hide().css('left','100%');});
						}
						else{
							_child_ul.animate({'opacity':0,'right': '50%','left':'auto'},200,function(){_child_ul.hide().css({'right':'100%','left':'auto'});});
						}
					});
				}
				function wd_widget_product_categories_dropdown(){
					var _widget_wrapper = jQuery(".wd_widget_product_categories");
					if( _widget_wrapper.length == 0 )
						return;
						
					var _parent_li = jQuery(".wd_widget_product_categories ul.dropdown_mode li.cat_item ul.sub_cat").parent("li");
					_parent_li.addClass("has_sub");
					
					_parent_li.find('.icon_toggle').bind('click',function(){
						var parent_li = jQuery(this).parent('li.has_sub');
						if( !jQuery(this).hasClass('active') ){
							parent_li.find('ul.sub_cat:first').slideDown();
							jQuery(this).addClass('active');
						}
						else{
							parent_li.find('ul.sub_cat').slideUp();
							jQuery(this).removeClass('active');
							parent_li.find('.icon_toggle').removeClass('active');
						}
					});
				}
				
			</script>
			
			<?php
		}
		function get_sub_categories($category_id,$instance){
			$args = array(
			   'taxonomy'     => 'product_cat',
			   'child_of'     => 0,
			   'parent'       => $category_id,
			   'orderby'      => $instance['orderby'],
			   'order'        => $instance['order'],
			   'hierarchical' => 0,
			   'title_li'     => '',
			   'hide_empty'   => 0
			);
			$sub_cats = get_categories( $args );
			
			if($sub_cats) {
				if($instance['orderby'] == 'rand'){
					shuffle($sub_cats);
				}
				echo '<ul class="sub_cat">';
				foreach($sub_cats as $sub_category) {
					$args2 = array(
					   'taxonomy'     => 'product_cat',
					   'child_of'     => 0,
					   'parent'       => $sub_category->term_id,
					   'hierarchical' => 0,
					   'title_li'     => '',
					   'hide_empty'   => 0
					);
					$count_sub_cats = count(get_categories( $args2 ));
					$act= ($count_sub_cats > 0)? 'parent' : ''; 
					echo '<li class="cat_item '.esc_attr($act).'">';
					echo '<a href="'. esc_url(get_term_link($sub_category->slug, 'product_cat')) .'">'. esc_attr($sub_category->name);
					if( $instance['show_post_count'] ){
						echo '<span class="num_product">' . absint($sub_category->count) . '</span>';
					}
					echo "</a>";
					if($count_sub_cats > 0) 
					echo '<span class="icon_toggle"><span class="glyphicon glyphicon-chevron-down"></span></span>';
					
					$this->get_sub_categories($sub_category->term_id,$instance);
					echo '</li>';
				}
				echo '</ul>';

			}
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;	
			$instance['title'] 				= esc_attr($new_instance['title']);			
			$instance['show_post_count']	= $new_instance['show_post_count'];			
			$instance['show_sub_cat']		= $new_instance['show_sub_cat'];			
			$instance['is_dropdown']		= $new_instance['is_dropdown'];			
			$instance['orderby'] 			= esc_attr($new_instance['orderby']);			
			$instance['order'] 				= esc_attr($new_instance['order']);
			$instance['number'] 			= absint($new_instance['number']);			
			$instance['icon'] 				= $new_instance['icon'];
			return $instance;
		}

		function form( $instance ) { 
			$instance = wp_parse_args( (array) $instance, array( 'title' => 'Categories','show_post_count'=>true,'show_sub_cat'=>true,'is_dropdown'=> 'none','orderby'=>'name','order'=>'asc','number' => 0) );
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Enter your title','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('icon'); ?>"><?php _e('Enter your icon class','wpdance'); ?> : </label>
				<input class="widefat" id="<?php echo $this->get_field_id('icon'); ?>" name="<?php echo $this->get_field_name('icon'); ?>" type="text" value="<?php echo (isset($instance['icon']))? esc_attr($instance['icon']): ''; ?>" />
				<label style="color: #a0a0a0">Get icon class in <i><a title="bootstrap components page" href="http://getbootstrap.com/components/" target="_blank">Bootstrap components</a></i></label>
			</p>
			
			<p>
				<input type="checkbox" id="<?php echo $this->get_field_id('show_post_count'); ?>" name="<?php echo $this->get_field_name('show_post_count'); ?>" <?php echo ($instance['show_post_count'])?'checked':''; ?> />
				<label for="<?php echo $this->get_field_id('show_post_count'); ?>"><?php _e('Show post count','wpdance'); ?></label>
			</p>
			<p>
				<input type="checkbox" id="<?php echo $this->get_field_id('show_sub_cat'); ?>" name="<?php echo $this->get_field_name('show_sub_cat'); ?>" <?php echo ($instance['show_sub_cat'])?'checked':''; ?> />
				<label for="<?php echo $this->get_field_id('show_sub_cat'); ?>"><?php _e('Show sub categories','wpdance'); ?></label>
			</p>
			<div style="border-top: 1px dashed #cccccc; border-bottom: 1px dashed #cccccc;">
				<p>
					<input type="radio" value="none" id="<?php echo $this->get_field_id('is_dropdown'); ?>_none" name="<?php echo $this->get_field_name('is_dropdown'); ?>" checked />
					<label for="<?php echo $this->get_field_id('is_dropdown'); ?>_none"><?php _e('Default','wpdance'); ?></label>
				</p>
				<p>
					<input type="radio" value="dropdown" id="<?php echo $this->get_field_id('is_dropdown'); ?>_dropdown" name="<?php echo $this->get_field_name('is_dropdown'); ?>" <?php echo ($instance['is_dropdown'] === 'dropdown')?'checked':''; ?> />
					<label for="<?php echo $this->get_field_id('is_dropdown'); ?>_dropdown"><?php _e('Dropdown mode','wpdance'); ?></label>
				</p>
				<p>
					<input type="radio" value="inline" id="<?php echo $this->get_field_id('is_dropdown'); ?>_inline" name="<?php echo $this->get_field_name('is_dropdown'); ?>" <?php echo ($instance['is_dropdown']=='inline')?'checked':''; ?> />
					<label for="<?php echo $this->get_field_id('is_dropdown'); ?>_inline"><?php _e('Footer inline','wpdance'); ?></label>
				</p>
			</div>
			
			<p>
				<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of highest parent categories to show','wpdance'); ?></label>
				<input class="widefat" type="number" min="0" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo esc_attr($instance['number']); ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('orderby'); ?>"><?php _e('Order by','wpdance'); ?></label>
				<select class="widefat" id="<?php echo $this->get_field_id('orderby'); ?>" name="<?php echo $this->get_field_name('orderby'); ?>" >
					<option value="name" <?php echo ($instance['orderby']=="name")?'selected':''; ?> ><?php _e('Name','wpdance'); ?></option>
					<option value="slug" <?php echo ($instance['orderby']=="slug")?'selected':''; ?> ><?php _e('Slug','wpdance'); ?></option>
					<option value="count" <?php echo ($instance['orderby']=="count")?'selected':''; ?> ><?php _e('Number product','wpdance'); ?></option>
					<option value="rand" <?php echo ($instance['orderby']=="rand")?'selected':''; ?> ><?php _e('Random','wpdance'); ?></option>
					<option value="none" <?php echo ($instance['orderby']=="none")?'selected':''; ?> ><?php _e('None','wpdance'); ?></option>
				</select>
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('order'); ?>"><?php _e('Order','wpdance'); ?></label>
				<select class="widefat" id="<?php echo $this->get_field_id('order'); ?>" name="<?php echo $this->get_field_name('order'); ?>" >
					<option value="asc" <?php echo ($instance['order']=="asc")?'selected':''; ?> ><?php _e('Ascending','wpdance'); ?></option>
					<option value="desc" <?php echo ($instance['order']=="desc")?'selected':''; ?> ><?php _e('Descending','wpdance'); ?></option>
				</select>
			</p>
			<?php }
	}
}

