<?php
/**
 * Related Upsell Product Widget
 */
if(!class_exists('WP_Widget_Related_Upsell_Product')){
	class WP_Widget_Related_Upsell_Product extends WP_Widget {

		function __construct() {
		   	$widgetOps = array('classname' => 'wd_widget_related_upsell_product', 'description' => __('Display WooCommerce Related or Upsell product. It only is shown in Single Product page','wpdance'));
		   	parent::__construct('wd_related_upsell_product', __('WD - Related Upsell Product','wpdance'), $widgetOps);
		}

		function widget( $args, $instance ) {
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			
			if( !is_singular('product') )
				return;
			
			extract($args);
			$title = esc_attr(apply_filters( 'widget_title', $instance['title'] ));	
			$product_type = esc_attr($instance['product_type']);
			$row = empty($instance['row'])?4:absint($instance['row']);		
			$number = empty($instance['number'])?8:absint($instance['number']);		
			$show_nav = ($instance['show_nav'] == 'on')?1:0;	
			$auto_play = ($instance['auto_play'] == 'on')?1:0;	
			
			?>
			<?php echo $before_widget;?>
			<?php echo $before_title . $title . $after_title;?>
			<?php 
				global $product, $post;
				$post_in = array();
				if( $product_type == 'related' ){
					$related = wc_get_related_products ($product->get_id());
					$post_in = $related;
					if( sizeof( $related ) == 0 ) return;
				}
				else{
					$upsells = $product->get_upsells();
					$post_in = $upsells;
					if ( sizeof( $upsells ) == 0 ) return;
				}
				
				$args = array(
					'post_type'	=> 'product',
					'post_status' => 'publish',
					'no_found_rows'	=> 1,
					'ignore_sticky_posts'	=> 1,
					'posts_per_page' => $number,
					'orderby' => 'rand',
					'order' => 'desc',				
					'post__in' => $post_in,				
					'post__not_in' => array($product->get_id()),				
					'meta_query' => array(
						array(
							'key' => '_visibility',
							'value' => array('catalog', 'visible'),
							'compare' => 'IN'
						)
					)
				);
				wp_reset_query();
				$related_upsell_products = new WP_Query( $args );

			?>
			<?php if($related_upsell_products->post_count>0){$i = 0; 
			$random_id = 'wd_widget_product_slider_wrapper_'.rand();
			?>
			<div class="wd_widget_product_slider_wrapper woocommerce loading <?php echo ($show_nav)?'has_navi':''; ?>" id="<?php echo $random_id; ?>" >
				<div class="widget_product_list_inner">
					<?php while ($related_upsell_products->have_posts()) : $related_upsell_products->the_post();?>
					<?php if( $i == 0 || $i % $row == 0 ){ ?>
					<div class="product_per_slide">
						<ul class="product_list_widget">
						<?php } ?>
							<?php wc_get_template( 'content-widget-product.php', array( 'show_rating' => 1 ) );?>
							<?php $i++;
							if ( $i % $row == 0 || $i == $related_upsell_products->post_count){ ?>
						</ul>
					</div>
					<?php } ?>
					<?php endwhile;?>
				</div>
				<?php if( $show_nav ): ?>
				<div class="slider_control">
					<a title="prev" class="prev" href="#">&lt;</a>
					<a title="next" class="next" href="#">&gt;</a>
				</div>
				<?php endif; ?>
			</div>
			<?php } ?>
			<?php wp_reset_query(); ?>
			<div class="clear"></div>

			<?php
			echo $after_widget;
			
			?>
			<script type="text/javascript">
				jQuery(document).ready(function(){
					$_this = jQuery('#<?php echo $random_id; ?>');
					var _auto_play = <?php echo $auto_play; ?> == 1;
					var owl = $_this.find('.widget_product_list_inner').owlCarousel({
								loop : true
								,items : 1
								,nav : false
								,dots : false
								,navSpeed : 1000
								,slideBy: 1
								,navRewind: false
								,autoplay: _auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: true
								,autoplaySpeed: false // or number
								,mouseDrag: true
								,touchDrag: true
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: 1000
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
				});
			</script>
			<?php
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;	
			$instance['title'] =  $new_instance['title'];	
			$instance['product_type'] =  $new_instance['product_type'];				
			$instance['row'] =  $new_instance['row'];
			$instance['number'] =  $new_instance['number'];									
			$instance['show_nav'] =  $new_instance['show_nav'];									
			$instance['auto_play'] =  $new_instance['auto_play'];
			return $instance;
		}

		function form( $instance ) {
			$array_default = array(
							'title' => 'Related Products'
							,'row' => 4
							,'product_type'=> 'related'
							,'number' => 8
							,'show_nav' => 1
							,'auto_play' => 0
							);
			$instance = wp_parse_args( (array) $instance, $array_default );
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Enter your title','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" /></p>
			<p>
				<label for="<?php $this->get_field_name('product_type'); ?>"><?php _e('Product type','wpdance'); ?></label>
				<select class="widefat" name="<?php echo $this->get_field_name('product_type'); ?>" id="<?php echo $this->get_field_id('product_type'); ?>">
					<option value="related" <?php echo ($instance['product_type']=='related')?'selected':''; ?> ><?php _e('Related Product','wpdance'); ?></option>
					<option value="upsell" <?php echo ($instance['product_type']=='upsell')?'selected':''; ?> ><?php _e('Upsell Product','wpdance'); ?></option>
				</select>
			</p>
			
			<p>
				<label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('A number of products','wpdance'); ?></label>
				<input class="widefat" type="text" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo esc_attr($instance['number']); ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('row'); ?>"><?php _e('A number of products per slide','wpdance'); ?></label>
				<input class="widefat" type="text" id="<?php echo $this->get_field_id('row'); ?>" name="<?php echo $this->get_field_name('row'); ?>" value="<?php echo esc_attr($instance['row']); ?>" />
			</p>
			<p>
				<input class="" type="checkbox" id="<?php echo $this->get_field_id('show_nav'); ?>" name="<?php echo $this->get_field_name('show_nav'); ?>" <?php echo ($instance['show_nav'])?'checked':''; ?> />
				<label for="<?php echo $this->get_field_id('show_nav'); ?>"><?php _e('Show navigation button','wpdance'); ?></label>
			</p>
			<p>
				<input class="" type="checkbox" id="<?php echo $this->get_field_id('auto_play'); ?>" name="<?php echo $this->get_field_name('auto_play'); ?>" <?php echo ($instance['auto_play'])?'checked':''; ?> />
				<label for="<?php echo $this->get_field_id('auto_play'); ?>"><?php _e('Auto play','wpdance'); ?></label>
			</p>
			<?php }
	}
}

