<?php
/**
 * EW Social Widget
 */
if(!class_exists('WP_Widget_WD_Blog_Categories')){
	class WP_Widget_WD_Blog_Categories extends WP_Widget {

		function __construct() {
			$widgetOps = array('classname' => 'widget_blog_categories', 'description' => __('Display Blog Categories','wpdance'));
			$controlOps = array('width' => 400, 'height' => 550);
		   	parent::__construct('widget_blog_categories', __('WD - Blog Categories','wpdance'), $widgetOps, $controlOps);
		}

		function widget( $args, $instance ) {
			extract($args);
			$title = esc_attr($instance['title']);
			$title = (strlen($title) <= 0 ? 'Categories' : $title);
			$icon = esc_attr($instance['icon']);
			$icon_html = (strlen($icon) <= 0 ? '' : '<span class="'.$icon.'"></span>');

			echo $before_widget;
			echo $before_title . $icon_html .' '.$title . $after_title;
			?>
			<div class="wd_product_categories">
				<?php 
					$args = array(
						'taxonomy'     => 'category',
						'orderby'      => "name",
						'order'        => 'ASC',
						'hierarchical' => 0,
						'parent'       => 0,
						'title_li'     => '',
						'hide_empty'   => 0,
					);
					$all_categories = get_categories( $args );
					if( $all_categories ){
						
						echo '<ul class="'.((wp_is_mobile())?'dropdown_mode is_dropdown':'hover_mode').'">';
						$i = 0;
						foreach ($all_categories as $cat) {
							$args2 = array(
							   'taxonomy'     => 'category',
							   'child_of'     => 0,
							   'parent'       => $cat->term_id,
							   'hierarchical' => 0,
							   'title_li'     => '',
							   'hide_empty'   => 0
							);
							$count_cats = count(get_categories( $args2 ));
							
							$act = '';
							if($cat->cat_ID == get_query_var('cat')) $act = "active";
							if($count_cats > 0) $act = "parent";
							echo '<li class="cat_item '. esc_attr($act).'">';
							//echo ($i==0)? '<li class="cat_item active">': '<li class="cat_item">';
							$category_id = $cat->term_id;
							echo '<a href="'. esc_url( get_term_link($cat->slug, 'category') ) .'">'. esc_attr($cat->name);
							echo "</a>";
							if($count_cats > 0) 
							echo '<span class="icon_toggle"><span class="glyphicon glyphicon-chevron-down"></span></span>';
							$this->get_sub_categories($category_id,$instance);
							echo '</li>';
							$i++;
						}
						echo '</ul>';
					}

				?>
				<div class="clear"></div>
			</div><?php
			echo $after_widget;
		}
		
		function get_sub_categories($category_id,$instance){
			$args = array(
			   'taxonomy'     => 'category',
			   'child_of'     => 0,
			   'parent'       => $category_id,
			   'orderby'      => 'name',
			   'order'        => 'ASC',
			   'hierarchical' => 0,
			   'title_li'     => '',
			   'hide_empty'   => 0
			);
			$sub_cats = get_categories( $args );
			
			if($sub_cats) {
				
				echo '<ul class="sub_cat">';
				$i = 0;
				foreach($sub_cats as $sub_category) {
					$args2 = array(
					   'taxonomy'     => 'category',
					   'child_of'     => 0,
					   'parent'       => $sub_category->term_id,
					   'hierarchical' => 0,
					   'title_li'     => '',
					   'hide_empty'   => 0
					);
					$count_sub_cats = count(get_categories( $args2 ));
					$act = '';
					if($sub_category->cat_ID == get_query_var('cat')) $act = "active";
					if($count_sub_cats > 0) $act = "parent";
					echo '<li class="cat_item '.$act.'">';
					echo '<a href="'. esc_url(get_term_link($sub_category->slug, 'category')) .'">'. esc_attr($sub_category->name);
					
					echo "</a>";
					if($count_sub_cats > 0) 
					echo '<span class="icon_toggle"><span class="glyphicon glyphicon-chevron-down"></span></span>';
					
					$this->get_sub_categories($sub_category->term_id,$instance);
					echo '</li>';
					$i++;
				}
				echo '</ul>';
				
			}
		}
		
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;		
			$instance['title'] = $new_instance['title'];
			$instance['icon'] = $new_instance['icon'];
			return $instance;
		}

		function form( $instance ) { 
			$instance = wp_parse_args( (array) $instance, array( 'title' => 'Categories', 'icon' => '') ); 
		?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Enter your title','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($instance['title']); ?>" /></p>
			
			<p><label for="<?php echo $this->get_field_id('icon'); ?>"><?php _e('Enter your icon class','wpdance'); ?> : </label>
			<input class="widefat" id="<?php echo $this->get_field_id('icon'); ?>" name="<?php echo $this->get_field_name('icon'); ?>" type="text" value="<?php echo esc_attr($instance['icon']); ?>" />
			<label style="color: #a0a0a0">Get icon class in <i><a title="bootstrap components page" href="http://getbootstrap.com/components/">Bootstrap components</a></i></label>
			</p>
			
			<?php 
		}
	}
}

