<?php
/**
 * EW Social Widget
 */
if(!class_exists('WP_Widget_WD_sidebar_effect')){
	class WP_Widget_WD_sidebar_effect extends WP_Widget {

		function __construct() {
		   	$widgetOps = array('classname' => 'widget_sidebar_effect', 'description' => __('Display Featured Post','wpdance'));
			$controlOps = array();
		   	parent::__construct('widget_sidebar_effect', __('WD - Sidebar Effect','wpdance'), $widgetOps, $controlOps);
		}

		function widget( $args, $instance ) {
			extract($args);
			$wg_effect = ($instance['wg_effect'])?esc_attr( $instance['wg_effect'] ):'';
			$wg_delay = ($instance['wg_delay'])?esc_attr( $instance['wg_delay'] ):'';
			if($wg_effect !== '') {
			$is_ = 'wg_sb_effect_' . rand(100000000,9999999999);
			echo $before_widget;
			?>
			<span style="display:none" id="<?php echo $is_;?>"><?php echo $is_?></span>
			<script type="text/javascript">
				jQuery(document).ready(function(){
					"use strict";
					jQuery('#<?php echo $is_?>').parents('ul.xoxo').addClass('not-animated').attr('data-animate', '<?php echo $wg_effect;?>').attr('data-delay', '<?php echo $wg_delay?>');
				});
			</script>
			<?php
			echo $after_widget;
			}
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;		
			$instance['wg_effect'] = $new_instance['wg_effect'];
			$instance['wg_delay'] =  $new_instance['wg_delay'];
			return $instance;
		}

		function form( $instance ) { 
			$instance = wp_parse_args( (array) $instance, array( 'wg_effect' => '', 'wg_delay' => '600' ) );
			$wg_effect = esc_attr($instance['wg_effect']);
			$wg_delay = esc_attr($instance['wg_delay']);
			
			global $gameworld_effect_arr;
			$effect_options = '<option value="">'.__('--- None ---','wpdance').'</option>';
			foreach($gameworld_effect_arr as $k => $effect) {
				if( $effect != $wg_effect ){
					$effect_options .= '<option value="'. $k .'">'. $effect .'</option>';
				}
				else {
					$effect_options .= '<option value="'. $k .'" selected="selected">'. $effect .'</option>';
				}
			}
			
		?>
			
			<table>
				<tr>
					<td style="width: 65%">
						<p><label for="<?php echo $this->get_field_id('wg_effect'); ?>"><?php _e('Type','wpdance'); ?> : </label>
						<select class="widefat" id="<?php echo $this->get_field_id('wg_effect'); ?>" name="<?php echo $this->get_field_name('wg_effect'); ?>">
							<?php echo $effect_options; ?>
						</select>
						</p>
					</td>
					<td style="width: 35%">
						<p><label for="<?php echo $this->get_field_id('wg_delay'); ?>"><?php _e('Delay(ms)','wpdance'); ?> : </label>
						<input class="widefat" id="<?php echo $this->get_field_id('wg_delay'); ?>" name="<?php echo $this->get_field_name('wg_delay'); ?>" type="text" value="<?php echo esc_attr($wg_delay); ?>" /></p>
					</td>
				</tr>
			</table>
			
			<?php }
	}
}



