<?php
/**
 * Cart Page
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.5
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce;

wc_print_notices();
?>

<?php do_action( 'woocommerce_before_cart' ); ?>

<form action="<?php echo esc_url( wc_get_cart_url() ); ?>" method="post">

<?php do_action( 'woocommerce_before_cart_table' ); ?>
<div class="shop_table-box">
<table class="shop_table cart" cellspacing="0" border="1">
	<thead>
		<tr>
			<th class="product-thumbnail first"></th>
			<th class="product-name"><?php _e( 'Product name', 'wpdance' ); ?></th>
			<th class="product-price"><?php _e( 'Unit Price', 'wpdance' ); ?></th>
			<th class="product-quantity"><?php _e( 'QTY', 'wpdance' ); ?></th>
			<th class="product-subtotal"><?php _e( 'Subtotal', 'wpdance' ); ?></th>
			<th class="product-remove last"></th>
		</tr>
	</thead>
	<tbody>
		<?php do_action( 'woocommerce_before_cart_contents' ); ?>

		<?php
		if ( sizeof( WC()->cart->get_cart() ) > 0 ) {
		
			$showed_item = 0;
			$number_item = count(WC()->cart->get_cart());
		
			foreach ( WC()->cart->get_cart() as $cart_item_key => $values ) {
				$_product = $values['data'];
				$showed_item++;
				if($number_item>1){
					$class_row = ($showed_item==1)?" first":(($showed_item==$number_item)?" last":"");
				}
				else{
					$class_row = " first last";
				}
				
				if ( $_product->exists() && $values['quantity'] > 0 ) {
					?>
					<tr class = "<?php echo esc_attr( apply_filters('woocommerce_cart_table_item_class', 'cart_item', $values, $cart_item_key ) ); echo $class_row ?>">

						<!-- The thumbnail -->
						<td class="product-thumbnail" width="80">
							<?php
								$thumbnail = apply_filters( 'woocommerce_in_cart_product_thumbnail', $_product->get_image(), $values, $cart_item_key );
								if ( ! $_product->is_visible() )
									echo $thumbnail;
								else
									printf('<a class="image" href="%s">%s</a>', esc_url( get_permalink( apply_filters('woocommerce_in_cart_product_id', $values['product_id'] ) ) ), $thumbnail );
							?>
						</td>
						<td class="product-title"><?php
								if ( ! $_product->is_visible() )
									echo apply_filters( 'woocommerce_in_cart_product_title', $_product->get_title(), $values, $cart_item_key );
								else
									printf('<a class="product-title-link" href="%s">%s</a>', esc_url( get_permalink( apply_filters('woocommerce_in_cart_product_id', $values['product_id'] ) ) ), apply_filters('woocommerce_in_cart_product_title', $_product->get_title(), $values, $cart_item_key ) );
								
								// Meta data
								echo wc_get_formatted_cart_item_data($values);

                   				// Backorder notification
                   				if ( $_product->backorders_require_notification() && $_product->is_on_backorder( $values['quantity'] ) )
                   					echo '<p class="backorder_notification">' . __( 'Available on backorder', 'wpdance' ) . '</p>';
							
								
								/*echo $_product->wc_get_product_category_list( ', ', '<div class="wd_product_categories">' . _n( ' ', ' ', sizeof( get_the_terms( $_product->get_id(), 'product_cat' ) ), 'woocommerce' ) . ' ', '.</div>' );
								
                              echo ((strlen($_product->post->post_excerpt)>0)?'<p class="wd_product_excerpt">'.wp_trim_words(strip_tags($_product->post->post_excerpt), 8).'...</p>':' ');
								
								$manofactureres = wp_get_post_terms( $_product->post->ID, 'manufacturer', array('orderby' => 'name', 'order' => 'ASC', 'fields' => 'all') );
								$listmano = '';
								foreach($manofactureres as $manofacturer) {
									$listmano .= $manofacturer->name.' ';
								}
								if(trim($listmano) !== '')
									printf('<div class="wd_product_manofacturer">%s: %s</div>', __("Manufacturer", 'wpdance'),$listmano);*/
							?>
						

						<!-- Product Name -->
								
						</td>

						<!-- Product price -->
						<td class="product-price">
							<div class="price">
							<?php
								$product_price = get_option('woocommerce_tax_display_cart') == 'excl' ? wc_get_price_excluding_tax($_product) : wc_get_price_including_tax($_product);

								echo apply_filters('woocommerce_cart_item_price_html', wc_price( $product_price ), $values, $cart_item_key );
							?>
							</div>
						</td>

						<!-- Quantity inputs -->
						<td class="product-quantity">
							<?php
								if ( $_product->is_sold_individually() ) {
									$product_quantity = sprintf( '1 <input type="hidden" name="cart[%s][qty]" value="1" />', $cart_item_key );
								} else {

									$product_quantity = woocommerce_quantity_input( array(
										'input_name'  => "cart[{$cart_item_key}][qty]",
										'input_value' => $values['quantity'],
										'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),
									), $_product, false );
								}

								echo apply_filters( 'woocommerce_cart_item_quantity', $product_quantity, $cart_item_key );
							?>
						</td>

						<!-- Product subtotal -->
						<td class="product-subtotal">
							<div class="price">
							<?php
								echo apply_filters( 'woocommerce_cart_item_subtotal', WC()->cart->get_product_subtotal( $_product, $values['quantity'] ), $values, $cart_item_key );
							?>
							</div>
						</td>
						
						<td class="remove-product" align="center">
						<?php 
							//Remove from cart link
							echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf('<a href="%s" class="remove" title="%s">%s</a>', esc_url( wc_get_cart_remove_url($cart_item_key) ), __( 'Remove this item', 'wpdance' ), '<span class="glyphicon glyphicon-remove"></span>' ), $cart_item_key );
							
						?>
						
						</td>			
						
					</tr>
					<?php
				}
			}
		}
		
		do_action( 'woocommerce_cart_contents' );
		?>
		
		<tr>
			<td colspan="2" align="left" class="actions">
				<a class="btn type-1  bt_back_to_shop" href="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>"><?php _e( 'Continue Shopping', 'wpdance' ) ?></a>
			</td>
			<td colspan="4" class="actions" align="right">
				<input type="submit" class="btn type-2" name="update_cart" value="<?php _e( 'Update Shopping Cart', 'wpdance' ); ?>" /> 
				
			<?php do_action( 'woocommerce_cart_actions' ); ?>

			<?php wp_nonce_field( 'woocommerce-cart' ); ?>	
			</td>
		</tr>
		
		<?php do_action( 'woocommerce_after_cart_contents' ); ?>
	</tbody>
</table>

</div>
<?php do_action( 'woocommerce_after_cart_table' ); ?>

</form>

<div class="cart-collaterals">
	<?php woocommerce_shipping_calculator(); ?>	
	
	<form action="<?php echo esc_url( wc_get_cart_url() ); ?>" method="post">	
		<div class="coupon_wrapper">
		
				<?php if ( WC()->cart->coupons_enabled() ) { ?>
					<div class="coupon">
						<div class="wd_title_cart"><h2 for="coupon_code" class="heading-title"><?php _e( 'Discount code', 'wpdance' ); ?></h2></div>
						<div class="content_coupon">
							<p><?php _e( 'Enter your coupon code if your have one', 'wpdance' ); ?></p>
							<input name="coupon_code" class="input-text" id="coupon_code" value="" /> 
							<input type="submit" class="btn" style="margin-top: 15px;" name="apply_coupon" value="<?php _e( 'Apply Coupon', 'wpdance' ); ?>" />
						</div>

						<?php do_action('woocommerce_cart_coupon'); ?>

					</div>
				<?php } ?>

		</div>
	</form>
	
	<?php woocommerce_cart_totals(); ?>

</div>
<div class="cart-related-box">
	<?php remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cart_totals', 10 );?>
	<?php do_action('woocommerce_cart_collaterals');?>
</div>
<?php do_action( 'woocommerce_after_cart' ); ?>