<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.5
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop,$smof_data;

do_action('wd_before_single_product_related');
if( !isset($posts_per_page) || $posts_per_page < 10 ){
	$posts_per_page = 5;
}

$_wd_products = WC()->cart->get_cart();
foreach($_wd_products as $pro_key => $pro_val) {
	$kinh = new WC_Product($pro_val['product_id']);
	$args = wc_get_related_products ($kinh->get_id(), 5);
	foreach($args as $arr) {
		$related[] = $arr;
	}
}

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters('woocommerce_related_products_args', array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'no_found_rows' 		=> 1,
	'posts_per_page'        => 15,
	'orderby' 				=> $orderby,
	'post__in' 				=> $related,
	'post__not_in'			=> array($kinh->get_id())
) );
	

$products = new WP_Query( $args );

$woocommerce_loop['columns'] 	= $columns;


if ( $products->have_posts() ) : ?>


			
	<div class="related products">
		
		<?php $_random_id = 'related_product_wrapper_'.rand(); ?>
		<div class="related_wrapper loading" id="<?php echo $_random_id; ?>">
			<div class="related_control">
				<a id="product_related_prev" title="<?php _e('Previous','wpdance');?>" class="prev" href="#">
					<span class="glyphicon glyphicon-chevron-left"></span>
				</a>
				<a id="product_related_next" title="<?php _e('Next','wpdance');?>" class="next" href="#">
					<span class="glyphicon glyphicon-chevron-right"></span>
				</a>
			</div>
			<?php wd_woocommerce_product_loop_start_slide(); ?>

				<?php while ( $products->have_posts() ) : $products->the_post(); ?>

					<?php wc_get_template_part( 'content', 'product-slide' ); ?>
					<?php //wc_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php wd_woocommerce_product_loop_end_slide(); ?>
		
		</div>
	
		
		<script type="text/javascript" language="javascript">
		(function($) {
			"use strict";			
			jQuery(document).ready(function() {
				var $_this = jQuery('#<?php echo $_random_id ?>');
				var slide_speed = <?php echo (wp_is_mobile())?200:800; ?>;
				var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
				if( navigator.platform === 'iPod' ){
					slide_speed = 0;
					responsive_refresh_rate = 1000;
				}
				var owl = $_this.find('.products').owlCarousel({
							loop : true
							,nav : false
							,dots : false
							,navSpeed : slide_speed
							,slideBy: 1
							,margin:10
							,navRewind: false
							,autoplay: false
							,autoplayTimeout: 5000
							,autoplayHoverPause: false
							,autoplaySpeed: false
							,mouseDrag: true
							,touchDrag: true
							,responsiveBaseElement: $_this
							,responsiveRefreshRate: responsive_refresh_rate
							,responsive:{
								0:{
									items : 2
								},
								361:{
									items : 3
								},
								579:{
									items : 4
								},
								767:{
									items : 5
								},
								1100:{
									items : 6
								}
							}
							,onInitialized: function(){
								$_this.addClass('loaded').removeClass('loading');
							}
						});
						$_this.on('click', '.next', function(e){
							e.preventDefault();
							owl.trigger('next.owl.carousel');
						});

						$_this.on('click', '.prev', function(e){
							e.preventDefault();
							owl.trigger('prev.owl.carousel');
						});
			});
		})(jQuery);		
		
		
		</script>			
		
	</div>


	
<?php endif;

do_action('wd_after_single_product_related');
wp_reset_postdata();
