<?php
/**
 * Thankyou page
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.5
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( $order ) : ?>

	<?php if ( $order->has_status( 'failed' ) ) : ?>

		<p><?php _e( 'Unfortunately your order cannot be processed as the originating bank/merchant has declined your transaction.', 'wpdance' ); ?></p>

		<p><?php
			if ( is_user_logged_in() )
				_e( 'Please attempt your purchase again or go to your account page.', 'wpdance' );
			else
				_e( 'Please attempt your purchase again.', 'wpdance' );
		?></p>

		<p>
			<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" class="button pay"><?php _e( 'Pay', 'wpdance' ) ?></a>
			<?php if ( is_user_logged_in() ) : ?>
			<a href="<?php echo esc_url( get_permalink( wc_get_page_id( 'myaccount' ) ) ); ?>" class="button pay"><?php _e( 'My Account', 'wpdance' ); ?></a>
			<?php endif; ?>
		</p>

	<?php else : ?>
		<div class="top-page" style="margin: 0 -26px; margin-bottom: 35px;">
			<div class="container">
				<div class="wd-alert" id="crumbs" style="padding:10px 20px; font-size: 14px; color:#476c20; font-weight:bold;">
					<span class="glyphicon glyphicon-ok"></span> 
					<span><?php _e( 'Thank you. Your order has been received.', 'wpdance' ); ?></span>
				</div>
			</div>
		</div>
		<div class="padd-10">
			<p><?php _e( 'Your order # is:', 'wpdance' ); ?><strong><?php echo ' '.$order->get_order_number(); ?></strong></p>
			<p><?php _e( 'You will receive an order comfirmation email with details of your order and link to track it\'s progress', 'wpdance' ); ?></p>
			<p><a href="javascript:void(0);" onclick="PrintElem('#print_elem');"><?php _e('Click here', 'wpdance')?></a> <?php _e( 'to print a copy of your order comfirmation', 'wpdance' ); ?></p>
			
			<?php do_action( 'woocommerce_thankyou_' . $order->get_payment_method(), $order->get_id() ); ?>
			
			<a href="<?php echo esc_url(get_permalink( wc_get_page_id( 'shop' ) ));?>" class="btn type-1"><?php _e( 'Continue shopping', 'wpdance' ); ?></a>
			<div id="print_elem" style="display:none;">
				<ul class="order_details" >
					<li class="order">
						<?php _e( 'Your order # is:', 'wpdance' ); ?>
						<strong><?php echo $order->get_order_number(); ?></strong>
					</li>
					<li class="date">
						<?php _e( 'Date:', 'wpdance' ); ?>
						<strong><?php echo date_i18n( get_option( 'date_format' ), strtotime( $order->order_date ) ); ?></strong>
					</li>
					<li class="total">
						<?php _e( 'Total:', 'wpdance' ); ?>
						<strong><?php echo $order->get_formatted_order_total(); ?></strong>
					</li>
					<?php if ( $order->payment_method_title ) : ?>
					<li class="method">
						<?php _e( 'Payment method:', 'wpdance' ); ?>
						<strong><?php echo $order->payment_method_title; ?></strong>
					</li>
					<?php endif; ?>
				</ul>
				<div class="clear"></div>

				<?php endif; ?>

				<?php do_action( 'woocommerce_thankyou_' . $order->get_payment_method(), $order->get_id() ); ?>
				<?php do_action( 'woocommerce_thankyou', $order->get_id() ); ?>

			<?php else : ?>

				<p><?php _e( 'Thank you. Your order has been received.', 'wpdance' ); ?></p>

			<?php endif; ?>
			</div>
			<script type="text/javascript">
				function PrintElem(elem)
				{
					Popup(jQuery(elem).html());
				}

				function Popup(data) 
				{
					var mywindow = window.open('', 'my div', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Print order</title>');
					/*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
					mywindow.document.write('</head><body >');
					mywindow.document.write(data);
					mywindow.document.write('</body></html>');

					mywindow.print();
					mywindow.close();

					return true;
				}
			</script>
			
		</div>
