<?php
/**
 * Loop Add to Cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/add-to-cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.5
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product;
if(!empty($style) && $style == 'text') {
	$class_ = 'add_to_cart_button_text btn';
} else {
	$class_ = 'add_to_cart_button';
}
echo apply_filters( 'woocommerce_loop_add_to_cart_link',
	sprintf( '<a href="%s" title="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="%s product_type_%s">%s</a>',
		esc_url( $product->add_to_cart_url() ),
		esc_html( $product->add_to_cart_text() ),
		esc_attr( $product->get_id() ),
		esc_attr( $product->get_sku() ),
		$product->is_purchasable() ? $class_ : $class_,
		esc_attr( $product->get_type() ),
		esc_html( $product->add_to_cart_text() )
	),
$product );
