<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.5
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce, $woocommerce_loop;

do_action('wd_before_single_product_up_sell');
$upsells = $product->get_upsell_ids();

if ( sizeof( $upsells ) == 0 ) return;

$meta_query = $woocommerce->query->get_meta_query();

$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => $posts_per_page,
	'orderby'             => $orderby,
	'post__in'            => $upsells,
	'post__not_in'        => array( $product->get_id() ),
	'meta_query'          => $meta_query
);


$products = new WP_Query( $args );

$woocommerce_loop['columns'] 	= $columns;

if ( $products->have_posts() ) : ?>

	<?php
			$_post_count = count($products->posts);
			//$_post_count = $_post_count > 5 ? 5 : $_post_count;
			$_post_count_over = $_post_count > 5 ? true : false;
		?>

	<div class="related products">
		<?php $_random_id = 'related_product_wrapper_'.rand(); ?>
		<div class="related_wrapper loading" id="<?php echo $_random_id; ?>">
			<?php if($_post_count>0):?>
			<?php if($_post_count_over):?>
			<div class="related_control">
				<a id="product_related_prev" title="<?php _e('Previous','wpdance');?>" class="prev" href="#">
					<span class="glyphicon glyphicon-chevron-left"></span>
				</a>
				<a id="product_related_next" title="<?php _e('Next','wpdance');?>" class="next" href="#">
					<span class="glyphicon glyphicon-chevron-right"></span>
				</a>
			</div>
			<?php endif;?>
			<?php wd_woocommerce_product_loop_start_slide(); ?>

				<?php while ( $products->have_posts() ) : $products->the_post(); ?>

					<?php wc_get_template_part( 'content', 'product-slide' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php wd_woocommerce_product_loop_end_slide(); ?><!--kinhdon-->
			<?php else:
				_e('Not found!','wpdance');
				endif;
			?>
		</div>

		
		<script type="text/javascript" language="javascript">
		(function($) {
			"use strict";			
			jQuery(document).ready(function() {
				var $_this = jQuery('#<?php echo $_random_id ?>');
				var slide_speed = <?php echo (wp_is_mobile())?200:800; ?>;
				var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
				if( navigator.platform === 'iPod' ){
					slide_speed = 0;
					responsive_refresh_rate = 1000;
				}
				var owl = $_this.find('.products').owlCarousel({
							loop : false
							,nav : false
							,dots : false
							,navSpeed : slide_speed
							,slideBy: 1
							,margin:40
							,navRewind: false
							,autoplay: false
							,autoplayTimeout: 5000
							,autoplayHoverPause: false
							,autoplaySpeed: false
							,mouseDrag: true
							,touchDrag: true
							,responsiveBaseElement: $_this
							,responsiveRefreshRate: responsive_refresh_rate
							,responsive:{
								0:{
									items : 2
								},
								361:{
									items : 3
								},
								579:{
									items : 4
								},
								767:{
									items : 5
								},
								1100:{
									items : 6
								}
							}
							,onInitialized: function(){
								$_this.addClass('loaded').removeClass('loading');
							}
						});
						$_this.on('click', '.next', function(e){
							e.preventDefault();
							owl.trigger('next.owl.carousel');
						});

						$_this.on('click', '.prev', function(e){
							e.preventDefault();
							owl.trigger('prev.owl.carousel');
						});
			});
		})(jQuery);		
		
		
		</script>			
		
	</div>

<?php endif;

do_action('wd_after_single_product_up_sell');
wp_reset_postdata();