<?php
/**
 *	Template Name: Maps Template
 */	
?>
<!DOCTYPE html>
<html>
  <head>
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>
	<!--<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyAyoYgNE1-Ip0m6GHeQW9YDfr8yCxrbWhY&sensor=true"></script>-->
    <script type="text/javascript">
	var geocoder;
  	var map;
  	var marker;
	
	var lat = -34.397;
	var lng =  150.644;
	var latlng = new google.maps.LatLng(lat, lng);
    function initialize() {
		geocoder = new google.maps.Geocoder();
		
		var mapOptions = {
			zoom: 8,
			center: latlng
		}
		map = new google.maps.Map(document.getElementById("map-canvas"), mapOptions);
		
		codeLatLng();
		marker = new google.maps.Marker({
				  		position: latlng,
				  		map: map,
				  		draggable:true,
          				animation: google.maps.Animation.DROP,
		});
		google.maps.event.addListener(marker, 'click', toggleBounce);
		google.maps.event.addListener(marker, 'mouseup', setposition);
		google.maps.event.addListener(map, 'zoom_changed', getZoomEvent);
  	}
	
	function getZoomEvent(){
		var zoom_ = map.getZoom();
		document.getElementById('maps_z').value = zoom_;
	}
	
	function codeLatLng() {
		var input = document.getElementById("latlng").value;
		var latlngStr = input.split(",",2);
		lat = parseFloat(latlngStr[0]);
		lng = parseFloat(latlngStr[1]);
		latlng = new google.maps.LatLng(lat, lng);
		map.setCenter(latlng);
		geocoder.geocode({'latLng': latlng}, function(results, status) {
			if (status == google.maps.GeocoderStatus.OK) {
				if (results[1]) {
			  		map.setZoom(15);
				}
		  	} else {
				alert("Geocoder failed due to: " + status);
		  	}
		});
		
	}
	
	function codeAddress() {
		var address = document.getElementById("address").value;
		geocoder.geocode( { 'address': address}, function(results, status) {
		  if (status == google.maps.GeocoderStatus.OK) {
			map.setCenter(results[0].geometry.location);
			marker.setPosition(results[0].geometry.location);
			setposition();
		  } else {
			alert("Geocode was not successful for the following reason: " + status);
		  }
		});
		
	  }
	
	function updateMapcolor_map(map_color){
		var road_color = document.getElementById('road_color').value;
		if(!road_color || road_color =='#000000') road_color = '';
		var water_color = document.getElementById('water_color').value;
		if(!water_color || water_color =='#000000') water_color = '';
		var styles = [
			{
			  stylers: [
				{ hue: map_color }
			  ]
			},
			{
				featureType: "road",
				elementType: "geometry",
				stylers: [
				  { hue: road_color },
				]
			},
			{
				featureType: "water",
				stylers: [
				  { hue: water_color },
				]
			}
		];
		map.setOptions({styles: styles});
	}
	
	function updateMapcolor_road(road_color){
		var map_color = document.getElementById('map_color').value;
		if(!map_color || map_color =='#000000') map_color = '';
		var water_color = document.getElementById('water_color').value;
		if(!water_color || water_color =='#000000') water_color = '';
		var styles = [
			{
			  stylers: [
				{ hue: map_color }
			  ]
			},
			{
				featureType: "road",
				elementType: "geometry",
				stylers: [
				  { hue: road_color },
				]
			},
			{
				featureType: "water",
				stylers: [
				  { hue: water_color },
				]
			}
		];

		map.setOptions({styles: styles});
	}
	function updateMapcolor_water(water_color){
		var road_color = document.getElementById('road_color').value;
		if(!road_color || road_color =='#000000') road_color = '';
		var map_color = document.getElementById('map_color').value;
		if(!map_color || map_color =='#000000') map_color = '';
		var styles = [
			{
			  stylers: [
				{ hue: map_color }
			  ]
			},
			{
				featureType: "road",
				elementType: "geometry",
				stylers: [
				  { hue: road_color },
				]
			},
			{
				featureType: "water",
				stylers: [
				  { hue: water_color },
				]
			}
		];
		map.setOptions({styles: styles});
	}
	
	function setposition(){
		var temp = marker.getPosition();
		document.getElementById('latlng').value = temp.lat()+ ','+temp.lng();
	}
	
	function toggleBounce() {
    	if (marker.getAnimation() != null) {
        	marker.setAnimation(null);
        } else {
          marker.setAnimation(google.maps.Animation.BOUNCE);
        }
	}
	
	google.maps.event.addDomListener(window, 'load', initialize);
    </script>
  </head>
  <body style="padding:0; margin:0px;">
    <div id="map-canvas" style="height: 550px;">maps</div>
	<div style="position:absolute; top:0; background: rgba(255,255,255,0.8); text-align:center; width: 100%;">
		<form action="#">
		Address: <input type="text" style="width: 250px;" id="address" name="address" value="" />
		<button id="search" type="submit" onClick="codeAddress(); return false;">Search</button>
		</form>
	</div>
	<div style="position:absolute; bottom:0; background: rgba(255,255,255,0.8); text-align:center; width: 100%;">
		<input type="hidden" id="latlng" style="width: 270px;" value="10.804172705656523, 106.72207636260987" />
		Map color: <input type="color" id="map_color" name="map_color" onChange="updateMapcolor_map(this.value);" />
		Water color: <input type="color" id="water_color" name="water_color" onChange="updateMapcolor_water(this.value);" />
		Road color: <input type="color" id="road_color" name="road_color" onChange="updateMapcolor_road(this.value);" />
		Height: <input type="text" style="width: 50px;" id="height" name="height" value="400" />
		Zoom: <input type="text" style="width: 50px;" id="maps_z" />
		<button id="send">Apply</button>
	</div>
	<script type="text/javascript">
		document.getElementById('send').addEventListener('click', function(){
			var road_color = document.getElementById('road_color').value;
			if(road_color == '#000000' )road_color='';
			var map_color = document.getElementById('map_color').value;
			if(map_color == '#000000' )map_color='';
			var water_color = document.getElementById('water_color').value;
			if(water_color == '#000000' )water_color='';
			var height = document.getElementById('height').value;
			var maps_z = document.getElementById('maps_z').value;
			var rand_ = Math.round(Math.random()*1000000000000);
			var latlng_ = '[google_map address="" latLng="' +document.getElementById('latlng').value + '" title="" height="'+height+'" zoom="'+maps_z+'" map_type="TERRAIN" rand="'+rand_+'" map_color="' +map_color+ '" water_color="' +water_color+ '" road_color="' +road_color+ '" showinfowindow="true"]Your infomation[/google_map]';
			window.opener['popup_editor'].insertContent(latlng_);
			window.close();
		})
	</script>
  </body>
</html>