<?php
/**
 * @package WordPress
 * @since WD_GoMarket
 */

if(!function_exists('wd_recent_product_by_categories_slider_function')){
		function wd_recent_product_by_categories_slider_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce,$wd_data;
			$atts['columns'] = absint($atts['columns']);
			$atts['per_page'] = absint($atts['per_page']);			
			extract(shortcode_atts(array(
				'columns' 			=> 6
				,'per_page' 		=> 8
				,'cat_slug'			=> ''
				,'title' 			=> ''
				,'show_type' 		=> 'grid'
				,'show_nav' 		=> 1
				,'show_icon_nav' 	=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 1
				,'show_price' 		=> 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1
                ,'show_categories' 	=> 1
				,'show_short_content' => 1
						
			),$atts));
			
			if($columns > 8){
				$columns = 8;
			}
			if($per_page < 1) { $per_page = 8; }
			if($columns < 1) { $columns = 2; }
			if($columns > 8) { $columns = 8; }
			
			/*if(strlen(trim($big_product)) > 0){
				$_big_prod = wd_product_by_id_function($big_product);
				if(isset($_big_prod) && $_big_prod->is_visible() ){
					$temp_add_to_cart_data = do_shortcode('[add_to_cart style="" show_price="false" id="'.$_big_prod->id.'"]');
				}
			}*/
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'orderby' => 'date',
				'order' => 'desc',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
		
			if(isset($_big_prod) && $_big_prod->is_visible() && strlen(trim($_big_prod->id)) > 0){
				$args['post__not_in'] = array($_big_prod->id);
			} 	
			
			if(trim($cat_slug) != ''){
				$args['tax_query'][] = array(
							'taxonomy' 		=> 'product_cat',
							'terms' 		=> array( esc_attr($cat_slug) ),
							'field' 		=> 'slug',
							'operator' 		=> 'IN'
						);
			}
			
			//if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
			//	$args = array_merge($args, array('product_tag' => $product_tag));
			//}
			wp_reset_query(); 
			ob_start();

			if(isset($wd_data['wd_prod_cat_column']) && absint($wd_data['wd_prod_cat_column']) > 0 ){
				$_old_wd_prod_cat_column = $wd_data['wd_prod_cat_column'];
				$wd_data['wd_prod_cat_column'] = $columns;
			} 
			
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );

			$woocommerce_loop['columns'] = $columns;
			
			$extra_class = '';
			
			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'recent_product_by_category_slider_wrapper_'.rand(); ?>
		
		
		<div class="products-tabs-wrapper" id="products-tabs-wrapper">

			<ul class="nav nav-tabs">
				<li class="active">
					<a href="#related_products" data-toggle="tab">
						<h2 class="heading-title"><?php echo esc_html($title);?></h2>
					</a>
				</li>
			</ul>	
			
			<div class="tab-content">
				<div class="tab-pane active" id="related_products">
					<div class="related products">
					<?php $_random_id = 'related_product_wrapper_'.rand(); ?>
						<div class="related_wrapper loading" id="<?php echo esc_attr($_random_id); ?>">
							<div class="related_control">
								<a id="product_related_prev" title="<?php esc_attr_e('Previous','wpdance');?>" class="prev" href="#">
									<span class="glyphicon glyphicon-chevron-left"></span>
								</a>
								<a id="product_related_next" title="<?php esc_attr_e('Next','wpdance');?>" class="next" href="#">
									<span class="glyphicon glyphicon-chevron-right"></span>
								</a>
							</div>
							<?php wd_woocommerce_product_loop_start_slide(); ?>

								<?php while ( $products->have_posts() ) : $products->the_post(); ?>

									<?php woocommerce_get_template_part( 'content', 'product' ); ?>

								<?php endwhile; // end of the loop. ?>

							<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						</div>
				
					<?php
						$_post_count = count($products->posts);
						$_post_count = $_post_count > $columns ? $columns : $_post_count;
					?>
					
					<script type="text/javascript" language="javascript">
					(function($) {
						"use strict";			
						jQuery(document).ready(function() {
							var $_this = jQuery('#<?php echo $_random_id ?>');
							var slide_speed = <?php echo (wp_is_mobile())?200:800; ?>;
							var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
							if( navigator.platform === 'iPod' ){
								slide_speed = 0;
								responsive_refresh_rate = 1000;
							}
							var owl = $_this.find('.products').owlCarousel({
										loop : true
										,nav : false
										,dots : false
										,navSpeed : slide_speed
										,slideBy: 1
										,margin:10
										,navRewind: false
										,autoplay: false
										,autoplayTimeout: 5000
										,autoplayHoverPause: false
										,autoplaySpeed: false
										,mouseDrag: true
										,touchDrag: true
										,responsiveBaseElement: $_this
										,responsiveRefreshRate: responsive_refresh_rate
										,responsive:{
											0:{
												items : 2
											},
											361:{
												items : 3
											},
											579:{
												items : 5
											},
											767:{
												items : 5
											},
											1100:{
												items : <?php echo $_post_count;?>
											}
										}
										,onInitialized: function(){
											$_this.addClass('loaded').removeClass('loading');
										}
									});
									$_this.on('click', '.next', function(e){
										e.preventDefault();
										owl.trigger('next.owl.carousel');
									});

									$_this.on('click', '.prev', function(e){
										e.preventDefault();
										owl.trigger('prev.owl.carousel');
									});
						});
					})(jQuery);		
					
					
					</script>			
					
					</div>
					
				</div>
			</div>	
		</div>
		
		
						
			<?php endif;

			wp_reset_postdata();

			
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			if(isset($_old_wd_prod_cat_column) && absint($_old_wd_prod_cat_column > 0 )){
				$wd_data['wd_prod_cat_column'] = $_old_wd_prod_cat_column  ;
			}
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';	
			
		}
	}		
	add_shortcode('recent_product_by_categories_slider','wd_recent_product_by_categories_slider_function');	
?>