<?php 
// **********************************************************************// 
// ! Register New Element: Pie Chart Pie Full shortcode
// **********************************************************************//
if (!function_exists('wd_pie_chart2_shortcode')) {
	function wd_pie_chart2_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array( "title" => "Chart title","style" => "","width" => "400px", "height" => "400px", "background" => "", "pie" => "", "pos_legend" => "hide"), $atts));
			
				
			$id = mt_rand(1000, 9999);
			$pie_chart_array = explode(",", $pie);
			ob_start();
			?>
			
			<script type="text/javascript">
				google.load("visualization", "1", {packages:["corechart"]});
				google.setOnLoadCallback(drawChart);
				function drawChart() {

					var data = google.visualization.arrayToDataTable([
						['Task', 'Hours per Day'],
					<?php
					for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
						$pie_chart_el = explode("|", $pie_chart_array[$i]);
						echo "['".$pie_chart_el[2]."',     ".$pie_chart_el[0]."],";
					}
					?>
					]);

					var options = {
						title: '<?php echo $title;?>',
						<?php 
						switch ($style) {
							case '3d': echo 'is3D: true,'; break;
							case 'donut': echo 'pieHole: 0.4,'; break;
							default: ''; break;
						} ?>
						<?php  echo ($background !=='')? 'backgroundColor: ' . "'".$background."'," : "backgroundColor: 'transparent',";?>
						<?php echo ($pos_legend!='hide')? "legend: { position: '".$pos_legend."' },": "legend: 'none',";?>
						slices: {
						<?php
							for ($i = 0 ; $i < count($pie_chart_array) ; $i = $i + 1){
								$pie_chart_el = explode("|", $pie_chart_array[$i]);
								if($pie_chart_el[1] !== '0' ) echo $i . ': {offset: '.$pie_chart_el[1].'},';
							}
						?>
						},
					};

					var chart = new google.visualization.PieChart(document.getElementById('piechart-<?php echo $id;?>'));

					chart.draw(data, options);
				}
			</script>
			<div id="piechart-<?php echo $id;?>" style="width: <?php echo $width?>; height: <?php echo $height?>;"></div>
			
			<?php
			$html = ob_get_contents();
			ob_end_clean();
			
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
		
		
	}
}
add_shortcode('wd_pie_chart2', 'wd_pie_chart2_shortcode');



// **********************************************************************// 
// ! Register New Element: Pie Chart Pie Full shortcode
// **********************************************************************//
if (!function_exists('wd_line_chart_shortcode')) {
	function wd_line_chart_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array( "title" => "Chart title","style" => "","width" => "400px", "height" => "400px", "background" => "", "pie" => "", "pos_legend" => ""), $atts));
			
				
			$id = mt_rand(1000, 9999);
			$line_chart_array = explode(",", $pie);
			ob_start();
			?>
			
			<script type="text/javascript">
				google.load("visualization", "1", {packages:["corechart"]});
				google.setOnLoadCallback(drawChart_<?php echo $id;?>);
				function drawChart_<?php echo $id;?>() {

					var data = google.visualization.arrayToDataTable([
					<?php
					for ($i = 0 ; $i < count($line_chart_array) ; $i = $i + 1){
						$line_chart_el = explode("|", $line_chart_array[$i]);
						echo "[";
						for ($e = 0 ; $e < count($line_chart_el) ; $e++){
							echo $line_chart_el[$e].',';
						}
						echo "],";
					}
					?>
					]);

					var options = {
						title: '<?php echo $title;?>',
						<?php echo ($style=='curving')? "curveType: 'function',":'';?>
						<?php echo ($pos_legend!='hide')? "legend: { position: '".$pos_legend."' },": "legend: 'none',";?>
						<?php  echo ($background !=='')? 'backgroundColor: ' . "'".$background."'," : "backgroundColor: 'transparent',";?>
					};

					var chart = new google.visualization.LineChart(document.getElementById('line_chart-<?php echo $id;?>'));

					chart.draw(data, options);
				}
			</script>
			<div id="line_chart-<?php echo $id;?>" style="width: <?php echo $width?>; height: <?php echo $height?>;"></div>
			
			<?php
			$html = ob_get_contents();
			ob_end_clean();
			
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
		
		
	}
}
add_shortcode('wd_line_chart', 'wd_line_chart_shortcode');





// **********************************************************************// 
// ! Register New Element: Collumn chart shortcode
// **********************************************************************//
if (!function_exists('wd_column_chart_shortcode')) {
	function wd_column_chart_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array( "title" => "Chart title","style" => "","width" => "400px", "height" => "400px", "background" => "", "pie" => "", "pos_legend" => "", 'chart_type'=>''), $atts));
			
				
			$id = mt_rand(1000, 9999);
			$line_chart_array = explode(",", $pie);
			ob_start();
			?>
			
			<script type="text/javascript">
				google.load("visualization", "1", {packages:["corechart"]});
				google.setOnLoadCallback(drawChart_<?php echo $id;?>);
				function drawChart_<?php echo $id;?>() {

					var data = google.visualization.arrayToDataTable([
					<?php
					for ($i = 0 ; $i < count($line_chart_array) ; $i = $i + 1){
						$line_chart_el = explode("|", $line_chart_array[$i]);
						echo "[";
						for ($e = 0 ; $e < count($line_chart_el) ; $e++){
							echo $line_chart_el[$e].',';
						}
						echo "],";
					}
					?>
					]);

					var options = {
						title: '<?php echo $title;?>',
						<?php  echo ($background !=='')? 'backgroundColor: ' . "'".$background."',\n" : "backgroundColor: 'transparent',\n";?>
						<?php echo ($pos_legend!='hide')? "legend: { position: '".$pos_legend."' },": "legend: 'none',";?>
					};
					
					<?php if($chart_type =='true') {?>
						var chart = new google.visualization.BarChart(document.getElementById('column_chart-<?php echo $id;?>'));
					<?php /**/}else { ?>
						var chart = new google.visualization.ColumnChart(document.getElementById('column_chart-<?php echo $id;?>'));
					<?php /**/}?>
					chart.draw(data, options);
				}
			</script>
			<div id="column_chart-<?php echo $id;?>" style="width: <?php echo $width?>; height: <?php echo $height?>;"></div>
			
			<?php
			$html = ob_get_contents();
			ob_end_clean();
			
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
		
		
	}
}
add_shortcode('wd_column_chart', 'wd_column_chart_shortcode');


// **********************************************************************// 
// ! Register New Element: Collumn chart shortcode
// **********************************************************************//
if (!function_exists('wd_geo_chart_shortcode')) {
	function wd_geo_chart_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array("width" => "400px", "height" => "400px", 'background' => "", "data" => "", 'countrie' => 'IT', "type"=> 'region', "colors"=>''), $atts));
			
				
			$id = mt_rand(1000, 9999);
			$geo_chart_array = explode(",", $data);
			ob_start();
			?>
			
			<script type="text/javascript">
				google.load("visualization", "1", {packages:["geochart"]});
				google.setOnLoadCallback(drawChart_<?php echo $id;?>);
				function drawChart_<?php echo $id;?>() {

					var data = google.visualization.arrayToDataTable([
					<?php
					for ($i = 0 ; $i < count($geo_chart_array) ; $i = $i + 1){
						$geo_chart_el = explode("|", $geo_chart_array[$i]);
						echo "[";
						foreach($geo_chart_el as $value) {
						 echo $value . ',';
						}
						echo "],\n";
					}
					?>
					]);

					var options = {
						<?php
							if ($type=="marker" && isset($countrie)) {
								echo "region: '".$countrie."',\n";
								echo "displayMode: 'markers',\n";
							}
							if ($colors!==""){
								$colors = str_replace(' ', '',$colors);
								echo "colorAxis: {colors: [";
								$colors_array = explode(",", $colors);
								foreach($colors_array as $color) {
									echo "'".$color."',";
								}
								echo "]},\n";
							}
						?>
						
						<?php  echo ($background !=='')? 'backgroundColor: ' . "'".$background."',\n" : "backgroundColor: 'transparent',\n";?>
					};
					
					var chart = new google.visualization.GeoChart(document.getElementById('geo_chart-<?php echo $id;?>'));
					chart.draw(data, options);
				}
			</script>
			<div id="geo_chart-<?php echo $id;?>" style="width: <?php echo $width?>; height: <?php echo $height?>;"></div>
			
			<?php
			$html = ob_get_contents();
			ob_end_clean();
			
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
		
		
	}
}
add_shortcode('wd_geo_chart', 'wd_geo_chart_shortcode');


// **********************************************************************// 
// ! Register New Element: table chart shortcode
// **********************************************************************//
if (!function_exists('wd_table_chart_shortcode')) {
	function wd_table_chart_shortcode($atts, $content = null) {
		if( !is_IE8() ){
			extract(shortcode_atts(array( "title" => "Chart title", 'show_rownumber'=> '', "data" => ""), $atts));
			
				
			$id = mt_rand(1000, 9999);
			$table_chart_array = explode(",", $data);
			ob_start();
			?>
			
			<script type="text/javascript">
				google.load("visualization", "1", {packages:["table"]});
				google.setOnLoadCallback(drawTable_<?php echo $id;?>);
				function drawTable_<?php echo $id;?>() {
					var data = new google.visualization.DataTable();
					
					<?php
					$data_value = "";
					for ($i = 0 ; $i < count($table_chart_array) ; $i = $i + 1){
						$table_chart_el = explode("|", $table_chart_array[$i]);
						if($table_chart_el[0] == 'addColumn') {
							echo "data.addColumn('".$table_chart_el[2]."', '".$table_chart_el[1]."');";
						}else {
							$data_value .= "[";
							for ($e = 0 ; $e < count($table_chart_el) ; $e = $e + 1){
								$data_value .= $table_chart_el[$e].',';
							}
							$data_value .= "],\n";
							
						}
					}
					$data_value = str_replace(';', ',', $data_value);
					?>
					data.addRows([
						<?php echo $data_value?>
					]);
					var table = new google.visualization.Table(document.getElementById('table_chart-<?php echo $id;?>'));
					table.draw(data<?php echo ($show_rownumber=='true')? ", {showRowNumber: true}":'';?>);
				}
			</script>
			<div id="table_chart-<?php echo $id;?>"></div>
			
			<?php
			$html = ob_get_contents();
			ob_end_clean();
			
			return $html;
		}
		else{
			return do_shortcode('[vc_message color="alert-danger" el_class="unsupported_browser" style="rounded"]You are running an unsupported browser, some features may not work.[/vc_message]');
		}
		
		
	}
}
add_shortcode('wd_table_chart', 'wd_table_chart_shortcode');

?>