<?php 

if(class_exists('Vc_Manager')) {

if(!function_exists('vc_icon_form_field')) {
    function vc_icon_form_field($settings, $value) {
        $settings_line = '';
        $selected = '';
		
		$fa_icons = getFontAwesomeIconArray();
		$array = array();
		foreach ($fa_icons as $key => $val) { 
			$array[$key] = $key;
		}
		
        if($value != '') {
            $array = array_diff($array, array($value));
            array_unshift($array,$value);
        }
        
        $settings_line .= '<div class="wd-icon-selector">';
        $settings_line .= '<input type="hidden" value="'.$value.'" name="'.$settings['param_name'].'" class="wd-hidden-icon wpb_vc_param_value wpb-icon-select '.$settings['param_name'].' '.$settings['type'] . '"/>';
            foreach ($array as $icon) {
                if ($value == $icon) {
                    $selected = 'selected';
                }
                $settings_line .= '<span class="wd-select-icon '.$selected.'" data-icon-name='.$icon.'><i class="fa '.$icon.'"></i></span>';
                $selected = '';
            }

        $settings_line .= '<script>';
        $settings_line .= 'jQuery(".wd-select-icon").click(function(){';
        $settings_line .= 'var iconName = jQuery(this).data("icon-name");';
        $settings_line .= 'console.log(iconName);';
        $settings_line .= 'if(!jQuery(this).hasClass("selected")) {';
        $settings_line .= 'jQuery(".wd-select-icon").removeClass("selected");';
        $settings_line .= 'jQuery(this).addClass("selected");';
        $settings_line .= 'jQuery(this).parent().find(".wd-hidden-icon").val(iconName);';
        $settings_line .= '}';
        $settings_line .= '});';
        $settings_line .= '</script>';

        $settings_line .= '</div>';
        return $settings_line;
    }
}

vc_add_shortcode_param('wd_icon', 'vc_icon_form_field');


function vc_taxonomy_form_field($settings, $value) {
	$dependency = vc_generate_dependencies_attributes($settings);

	$terms_fields = array();
	$terms_slugs = array();

	$value_arr = $value;
	if ( !is_array($value_arr) ) {
		$value_arr = array_map( 'trim', explode(',', $value_arr) );
	}

	if ( !empty($settings['taxonomy']) ) {

		$terms = get_terms( $settings['taxonomy'] );
		if ( $terms && !is_wp_error($terms) ) {

			foreach( $terms as $term ) {
				$terms_slugs[] = $term->slug;

				$terms_fields[] = sprintf(
					'<option id="%s" class="%s" value="%s" %s>%s</option>',
					$settings['param_name'] . '-' . $term->slug,
					$settings['param_name'].' '.$settings['type'],
					$term->slug,
					selected( in_array( $term->slug, $value_arr ), true, false ),
					$term->name
				);
			}
		}
	}

	return 	'<select name="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-input wpb-select dropdown">'
			. '<option value=""></option>'
			. implode( $terms_fields ) 
			. '</select>';
}

vc_add_shortcode_param('wd_taxonomy', 'vc_taxonomy_form_field');

function vc_slider_form_field($settings, $value) {
	$dependency = vc_generate_dependencies_attributes($settings);

	$terms_fields = array();
	$terms_slugs = array();

	$value_arr = $value;
	if ( !is_array($value_arr) ) {
		$value_arr = array_map( 'trim', explode(',', $value_arr) );
	}

	if ( !empty($settings['taxonomy']) ) {

		$taxonomy =  $settings['taxonomy'];
		switch($taxonomy){
			case 'revolution':
				$slider = new RevSlider();
				$arrSliders = $slider->getArrSlidersShort();
				$sliderID = $datas['page_revolution'];
				$select = UniteFunctionsRev::getHTMLSelect($arrSliders, $sliderID,' name="revolution" class="wpb_vc_param_value wpb-input wpb-select dropdown"', true);
			break;
		}
	}

	return 	'<select name="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-input wpb-select dropdown">'
			. '<option value=""></option>'
			. implode( $terms_fields ) 
			. '</select>';
}

vc_add_shortcode_param('vc_slider', 'vc_slider_form_field');

}

?>