<?php
if(!function_exists('wd_woo_category_products_shortcode')) {
		function wd_woo_category_products_shortcode($atts, $content = null) {
			
			extract(shortcode_atts(array(
									"title" => "",
									"number" => "6",
									"show" => "",
									"orderby" => "date",
									"order" => "desc",
									"hide_free" => "0",
									'slug' => '',
									"show_hidden" => "0",
									"template" => "default",
									"bg_style" => ""
									), $atts));
								
			ob_start();
			
			$number      = absint( $number );
			$orderby     = sanitize_title( $orderby );
			$order       = sanitize_title( $order );
			//$slug        = sanitize_title( $slug);
			$template    = sanitize_title( $template);
			$bg_style       = sanitize_title( $bg_style);
			$show_rating = false;
			
			if($slug!== '') $slug = explode( ',',trim($slug) );
			
			$query_args = array();
			if($slug && $slug != '') {
				$query_args = array(
					'posts_per_page' => $number,
					'post_status' 	 => 'publish',
					'post_type' 	 => 'product',
					'tax_query' => array( 
								array(
								'taxonomy' => 'product_cat'
								,'terms' => $slug
								,'include_children' => false
								,'field' => 'slug'
							)
					),
					'order'          => $order == 'asc' ? 'asc' : 'desc'
				);
			} else {
				$query_args = array(
					'posts_per_page' => $number,
					'post_status' 	 => 'publish',
					'post_type' 	 => 'product',
					'order'          => $order == 'asc' ? 'asc' : 'desc'
				);
			}
			
			$query_args['meta_query'] = array();
			
			if ( empty( $show_hidden ) ) {
				$query_args['meta_query'][] = WC()->query->visibility_meta_query();
				$query_args['post_parent']  = 0;
			}

			if ( ! empty( $hide_free ) ) {
				$query_args['meta_query'][] = array(
					'key'     => '_price',
					'value'   => 0,
					'compare' => '>',
					'type'    => 'DECIMAL',
				);
			}

			$query_args['meta_query'][] = WC()->query->stock_status_meta_query();
			$query_args['meta_query']   = array_filter( $query_args['meta_query'] );
			
			
			
			switch ( $orderby ) {
				case 'price' :
					$query_args['meta_key'] = '_price';
					$query_args['orderby']  = 'meta_value_num';
					break;
				case 'rand' :
					$query_args['orderby']  = 'rand';
					break;
				case 'sales' :
					$query_args['meta_key'] = 'total_sales';
					$query_args['orderby']  = 'meta_value_num';
					break;
				case 'rate':
					add_filter( 'posts_clauses',  array( WC()->query, 'order_by_rating_post_clauses' ) );
					break;
				default :
					$query_args['orderby']  = 'date';
			}
			
			$r = new WP_Query( $query_args );
			remove_filter( 'posts_clauses', array( WC()->query, 'order_by_rating_post_clauses' ) );
			if ( $r->have_posts() ) : 
				if($template != 'widget'){
			?>
				
								<?php woocommerce_product_loop_start(); ?>
								
									<?php while ( $r->have_posts() ) : $r->the_post(); 

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;
 
// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ){
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}


$_sub_class = "col-sm-6";
if( absint($number) > 0 ){
	$_columns = absint($number);
	$_sub_class = "col-sm-".round(24/$_columns);
	$wid_ = 100/$_columns;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';

//add on column class on cat page	
$classes[] = $_sub_class ;

?>
									
<li <?php post_class( $classes ); ?> style="width: <?php echo $wid_;?>%">
	
	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
	<div class="wd_product_wrapper <?php echo $_columns?>">
		<div class="product_thumbnail_wrapper product_thumbnail_icon">

			<a href="<?php the_permalink(); ?>">
			
				<?php
					/**
					 * woocommerce_before_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_show_product_loop_sale_flash - 10
					 * @hooked woocommerce_template_loop_product_thumbnail - 10
					 */
					 
					do_action( 'woocommerce_before_shop_loop_item_title' );
				?>
			</a>
				
				<?php
					/**
					 * woocommerce_after_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_template_loop_price - 10
					 */
					do_action( 'woocommerce_after_shop_loop_item_title' );
				?>
				
			
			
		</div>
		
		<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
	</div>

</li>
									<?php endwhile; // end of the loop. ?>
									
								<?php woocommerce_product_loop_end(); ?>
								
								


							<?php
				} else{
				echo '<ul class="product_list_widget '.$bg_style.'">';

				while ( $r->have_posts()) {
					$r->the_post();
					wc_get_template( 'content-widget-product.php', array( 'show_rating' => $show_rating ) );
				}

				echo '</ul>';
				}
			else: echo '<p class="product-not-found">'.__("NOT FOUND...") . '</p>';
			endif;
			wp_reset_postdata();

			$output = ob_get_clean();
			
			return $output;
		}
	}
	add_shortcode('wd_woo_category_products', 'wd_woo_category_products_shortcode');
?>