<?php
add_action( 'init', 'create_woo_product_taxonomies', 0 );

// create two taxonomies, genres and writers for the post type "book"
function create_woo_product_taxonomies() {
	// Add new taxonomy, make it hierarchical (like categories)
	$labels = array(
		'name'              => _x( 'Manufactureres', 'Manufactureres', 'wpdance' ),
		'singular_name'     => _x( 'Manufacturer', 'taxonomy singular name', 'wpdance' ),
		'search_items'      => __( 'Search Manufactureres', 'wpdance' ),
		'all_items'         => __( 'All Manufactureres', 'wpdance' ),
		'parent_item'       => __( 'Parent Manufacturer', 'wpdance' ),
		'parent_item_colon' => __( 'Parent Manufacturer:', 'wpdance' ),
		'edit_item'         => __( 'Edit Manufacturer', 'wpdance' ),
		'update_item'       => __( 'Update Manufacturer', 'wpdance' ),
		'add_new_item'      => __( 'Add New Manufacturer', 'wpdance' ),
		'new_item_name'     => __( 'New Manufacturer Name', 'wpdance' ),
		'menu_name'         => __( 'Manufacturer', 'wpdance' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'manufacturer' ),
	);

	register_taxonomy( 'manufacturer', array( 'product' ), $args );

}

if(!function_exists('wd_woo_products_shortcode')) {
		function wd_woo_products_shortcode($atts, $content = null) {
			global $woocommerce_loop,$woocommerce;

		if ( empty( $atts ) ) return '';

		extract( shortcode_atts( array(
			'columns' 	=> '4',
			'orderby'   => 'title',
			'order'     => 'asc'
		), $atts ) );
		$meta_query = $woocommerce->query->get_meta_query();
		$args = array(
			'post_type'				=> 'product',
			'post_status' 			=> 'publish',
			'ignore_sticky_posts'	=> 1,
			'orderby' 				=> $orderby,
			'order' 				=> $order,
			'posts_per_page' 		=> -1,
			'meta_query' 			=> $meta_query
		);

		if ( isset( $atts['skus'] ) ) {
			$skus = explode( ',', $atts['skus'] );
			$skus = array_map( 'trim', $skus );
			$args['meta_query'][] = array(
				'key' 		=> '_sku',
				'value' 	=> $skus,
				'compare' 	=> 'IN'
			);
		}

		if ( isset( $atts['ids'] ) ) {
			$ids = explode( ',', $atts['ids'] );
			$ids = array_map( 'trim', $ids );
			$args['post__in'] = $ids;
		}

		ob_start();

		$products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $args, $atts ) );

		$woocommerce_loop['columns'] = $columns;

		if ( $products->have_posts() ) : ?>

			<ul class="product_list_widget">
				<?php
				while ( $products->have_posts()) {
					$products->the_post();
					wc_get_template( 'content-widget-product.php', array( 'show_rating' => false ) );
				}
				?>
			</ul>

		<?php endif;

		wp_reset_postdata();

		return '<div class="woocommerce columns-' . $columns . '">' . ob_get_clean() . '</div>';
		}
	}
	add_shortcode('wd_woo_products', 'wd_woo_products_shortcode');
?>