<?php
/**
 * @package WordPress
 * @subpackage Oswad Market
 * @since WD_Responsive
 */
 
	if( !function_exists('wd_woocommerce_product_loop_start_slide') ){
		function wd_woocommerce_product_loop_start_slide($echo = true){
			ob_start();
			wc_get_template( 'loop/loop-start-slide.php' );
			if ( $echo )
				echo ob_get_clean();
			else
				return ob_get_clean();
		}
	}
	
	if( !function_exists('wd_woocommerce_product_loop_end_slide') ){
		function wd_woocommerce_product_loop_end_slide($echo = true){
			ob_start();
			wc_get_template( 'loop/loop-end-slide.php' );
			if ( $echo )
				echo ob_get_clean();
			else
				return ob_get_clean();
		}
	}
	
	if( !function_exists('wd_get_sub_categories') ){
		function wd_get_sub_categories($category_id,$show_all=true){
			$args = array(
			   'taxonomy'     => 'product_cat'
			   ,'orderby'      => 'name'
			   ,'order'        => 'asc'
			   ,'hierarchical' => 0
			   ,'title_li'     => ''
			   ,'hide_empty'   => 0
			);
			if($show_all){
				$args['child_of'] = $category_id;
			}
			else{
				$args['parent'] = $category_id;
			}
			return get_categories( $args );
		}
	}
	
	if(!function_exists('site_url_function')){
		function site_url_function($atts,$content){
			extract(shortcode_atts(array(
				'method' => 'return'
			),$atts));
			switch($method){
				case 'echo': echo site_url(); break;
				case 'return': return site_url(); break;
				default: return site_url(); break;
			}
			
		}
	}
	add_shortcode('site_url','site_url_function');
	
	if(!function_exists('theme_url_function')){
		function theme_url_function($atts,$content){
			extract(shortcode_atts(array(
				'method' => 'return'
			),$atts));
			switch($method){
				case 'echo': echo get_template_directory_uri(); break;
				case 'return': return get_template_directory_uri(); break;
				default: return get_template_directory_uri(); break;
			}
			
		}
	}
	add_shortcode('theme_url','theme_url_function');
	

	if(!function_exists('wd_custom_product_function')){
		function wd_custom_product_function($atts,$content){
			extract(shortcode_atts(array(
				'id' => 0
				,'sku' => ''
				,'title' => ''
				,'show_add_to_cart' => '1'
				,'show_sku' => '1'
				,'width' => '4'
				,'show_rating' => '1'
				,'show_label' => '1'
			),$atts));
			
			if (empty($atts)) return;
				
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
		
			wp_reset_query(); 
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
				
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_list_template_loop_add_to_cart', 15 );
			global $woocommerce,$product, $woocommerce_loop;
			$meta_query = $woocommerce->query->get_meta_query();
			$args = array(
				'post_type' => 'product',
				'posts_per_page' => 1,
				'no_found_rows' => 1,
				'post_status' => 'publish',
				'meta_query' => $meta_query
			);

			if(isset($atts['sku'])){
				$args['meta_query'][] = array(
					'key' => '_sku',
					'value' => $atts['sku'],
					'compare' => '='
				);
			}

			if(isset($atts['id'])){
				$args['p'] = $atts['id'];
			}

			ob_start();	
			$products = new WP_Query( $args );
			if ( $products->have_posts() ) : 
				if(strlen(trim($title)) >0)
					echo "<div class='wp_title_shortcode_products'><h3 class='heading-title'>{$title}</h3></div>";
			?>	
				<div class="custom-product-shortcode col-sm-<?php echo $width;?> <?php echo ((int)$show_rating)?'has_rating':''; ?>">
				<?php woocommerce_product_loop_start(); ?>

					<?php while ( $products->have_posts() ) : $products->the_post(); ?>
						
						<?php		
						//start product-content.Copy from core code
							
						$old_loop = $woocommerce_loop;
						// Store loop count we're currently on
						if ( empty( $woocommerce_loop['loop'] ) )
							$woocommerce_loop['loop'] = 0;

						// Store column count for displaying the grid
						if ( empty( $woocommerce_loop['columns'] ) )
							$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

						// Ensure visibility
						if ( ! $product->is_visible() )
							return;

						// Increase loop count
						$woocommerce_loop['loop']++;

						// Extra post classes
						$classes = array();
						if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
							$classes[] = 'first';
						if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
							$classes[] = 'last';
						$_columns = absint($woocommerce_loop['columns']);	
						?>
						
						<li <?php post_class( $classes ); ?>>
	
							<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
							<div class="wd_product_wrapper <?php echo $_columns?>">
								<div class="product_thumbnail_wrapper product_thumbnail_icon">

									<a href="<?php the_permalink(); ?>">
									
										<?php
											 
											do_action( 'woocommerce_before_shop_loop_item_title' );
										?>
									</a>
										<?php
											do_action( 'woocommerce_after_shop_loop_item_title' );
										?>
								</div>
								<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
							</div>

						</li>
						
						<?php //end of copy ?>
						
					<?php endwhile; // end of the loop. ?>

				<?php woocommerce_product_loop_end(); ?>
				</div>
			<?php endif;
			?>
			<script type="text/javascript">
				jQuery(document).ready(function() {
					jQuery('.custom-product-shortcode .products').addClass('no_quickshop');
				});
			</script>
			<?php
			$woocommerce_loop = $old_loop;
			wp_reset_postdata();
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			//add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';
		}
	}
	add_shortcode('custom_product','wd_custom_product_function');
	
	
	
	if(!function_exists('wd_custom_products_function')){
		function wd_custom_products_function($atts,$content){
			extract(shortcode_atts(array(
				'ids' => 0
				,'skus' => ''
				,'show_sku' => 0
				,'show_rating' => 1
				,'show_title' => 1
				,'show_price' => 1
				,'show_short_desc' => 0
				,'show_label' => 1
				,'show_label_title' => 0
				,'show_categories' => 0
				,'show_add_to_cart' => 1
			),$atts));
			
			if (empty($atts)) return;
			
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			
			global $woocommerce_loop,$woocommerce;
			wp_reset_query(); 
			
			add_action( 'woocommerce_after_shop_loop_item', 'wd_woocommerce_template_loop_rating', 5 );
			
			if(!(int)$show_add_to_cart) 
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_list_template_loop_add_to_cart', 15 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories',4);
			extract(shortcode_atts(array(
				'columns' 	=> '5',
				'orderby'   => 'title',
				'order'     => 'asc'
				), $atts));
			$meta_query = $woocommerce->query->get_meta_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'orderby' => $orderby,
				'order' => $order,
				'posts_per_page' => -1,
				'meta_query' => $meta_query
			);

			if( isset($atts['skus']) ){
				$skus = explode(',', $atts['skus']);
				$skus = array_map('trim', $skus);
				$args['meta_query'][] = array(
					'key' 		=> '_sku',
					'value' 	=> $skus,
					'compare' 	=> 'IN'
				);
			}

			if(isset($atts['ids']) && trim($atts['ids'])!=""){
				$ids = explode(',', $atts['ids']);
				$ids = array_map('trim', $ids);
				$args['post__in'] = $ids;
			}

			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );
			
			$woocommerce_loop['columns'] = $columns;
			if ( $products->have_posts() ) : ?>
				<div class="custom-products-shortcode <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?> <?php echo ((int)$show_short_desc)?'has_short_desc':''; ?>">
				<?php woocommerce_product_loop_start(); ?>
					<?php while ( $products->have_posts() ) : $products->the_post(); ?>

						<?php woocommerce_get_template_part( 'content', 'product' ); ?>

					<?php endwhile; // end of the loop. ?>

				<?php woocommerce_product_loop_end(); ?>
				</div>
			<?php endif;
			
			if(!(int)$show_add_to_cart) {
			?>
			<script type="text/javascript">
				jQuery(document).ready(function() {
					jQuery('.custom-products-shortcode .products').addClass('no_quickshop');
				});
			</script>
			<?php
			}
			wp_reset_postdata();
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			add_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
			add_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );	
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';			
			
		}
	}	
	
	
	add_shortcode('custom_products','wd_custom_products_function');

	
	/*
	*	columns : 3 or 4
	*	style : 1 or 2 or 3
	*	per_page : 4 to 12
	*	title : ""
	*	desc : ""
	*	show nav thumb : 1
	* 	show thumb : 1
	*	show title : 1
	* 	show sku : 1
	*	show price
	*	show label
	* 	item slide : 1
	*/
	

	
	if(!function_exists('wd_featured_product_slider_function')){
		function wd_featured_product_slider_function($atts,$content){
			wp_reset_query(); 
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats' 	=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1	
				,'show_label_title' => 0	
				,'show_categories'	=> 0	
				,'show_add_to_cart' => 1
			),$atts));
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
		
			global $woocommerce_loop,$woocommerce;
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );	
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$tax_query[] = array(
				'taxonomy' => 'product_visibility',
				'field'    => 'name',
				'terms'    => 'featured',
				'operator' => 'IN',
			);
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'meta_query' => $meta_query,
				'tax_query' => $tax_query,
			);
			
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
											'taxonomy' => 'product_cat',
											'terms' => explode(',',$product_cats),
											'field' => 'slug',
											'include_children' => false
									);
									
			}

			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );

			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						jQuery('.slideshow-wrapper #<?php echo $_random_id; ?> div.products').addClass('no_quickshop');
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									620:{
										items : 3
									},
									780:{
										items : <?php echo $columns;?>
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('featured_product_slider','wd_featured_product_slider_function');
	
	
	/* featured product no slider*/
		if(!function_exists('wd_featured_product_function')){
		function wd_featured_product_function($atts,$content){
			wp_reset_query(); 
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1	
				,'show_label_title' => 0	
				,'show_categories'	=> 1	
				,'show_short_content' => 1
				,'show_add_to_cart' => 1
				,'show_load_more' => 1
			),$atts));
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop,$woocommerce;
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
				
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );					
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$tax_query[] = array(
				'taxonomy' => 'product_visibility',
				'field'    => 'name',
				'terms'    => 'featured',
				'operator' => 'IN',
			);
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'meta_query' => $meta_query,
				'tax_query' => $tax_query,
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
					'taxonomy' => 'product_cat',
					'terms' => explode(',',$product_cats),
					'field' => 'slug',
					'include_children' => false
				);
			}

			
			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );

			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_wrapper_'.rand(); ?>
				<div class="featured_product_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_wrapper_inner <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
					
						<?php woocommerce_product_loop_start(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php woocommerce_product_loop_end(); ?>
						
						
					</div>
					<?php if( (int)$show_load_more ){ ?>
					<div class="wd_button_loadmore_wrapper">
						<input class="btn_load_more" type="button" value="<?php _e("Load more"); ?>" data-paged="2" >
					</div>
					<?php } ?>
				</div>
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action ( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action ( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action ( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			?>
				<script type="text/javascript">
					jQuery(document).ready(function(){
						var random_id = "<?php echo $_random_id; ?>";
						var columns = "<?php echo $columns; ?>";
						var li_class = "col-sm-6";
						if(columns!=""){
							li_class = "col-sm-"+(24/parseInt(columns));
						}
						jQuery("#"+random_id).find("ul.products li").removeClass("col-sm-24 col-sm-12 col-sm-8 col-sm-6 col-sm-4");
						jQuery("#"+random_id).find("ul.products li").addClass(li_class);
						
						jQuery('#<?php echo $_random_id; ?> .btn_load_more').bind('click',function(){
							if( !jQuery(this).hasClass("loading") ){
								var atts = {'columns':<?php echo $columns; ?>
									,'per_page':<?php echo $per_page; ?>
									,'show_image':<?php echo $show_image; ?>
									,'show_title':<?php echo $show_title; ?>
									,'show_sku':<?php echo $show_sku; ?>
									,'show_price':<?php echo $show_price; ?>
									,'show_short_desc':<?php echo $show_short_desc; ?>
									,'show_rating':<?php echo $show_rating; ?>
									,'show_label':<?php echo $show_label; ?>
									,'show_categories':<?php echo $show_categories; ?>
									,'show_short_content':<?php echo $show_short_content; ?>
									,'show_add_to_cart':'<?php echo $show_add_to_cart; ?>'
									,'paged':jQuery('#<?php echo $_random_id; ?> .btn_load_more').attr('data-paged')
									};
								wd_featured_product_regis_load_more(atts, random_id, columns);
							}
						});
					});
					if( typeof wd_featured_product_update_first_last_class !== 'function')
					function wd_featured_product_update_first_last_class(random_id, columns){
						var count = 0;
						var class_name = "";
						jQuery("#"+random_id+" ul.products li").removeClass("first last");
						jQuery("#"+random_id+" ul.products li").each(function(index,element){
							count++;
							if (count==1){
								class_name = "first";
							}
							else{
								if(count==columns){
									class_name = "last";
									count = 0;
								}
								else{
									class_name = "";
								}
							}
							jQuery(element).addClass(class_name);
							
						});
					}
					if( typeof wd_featured_product_regis_load_more !== 'function')
					function wd_featured_product_regis_load_more(atts, random_id, columns){
						var ajax_url = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
						jQuery('#'+random_id+' .btn_load_more').addClass('loading');
						jQuery.ajax({
							 type : "post",
							 dataType : "html",
							 url : ajax_url,
							 data : {action: "wd_load_more_featured_product",atts:atts},
							 error: function(xhr,err){
								
							 },
							 success: function(response) {
								jQuery('#'+random_id+' .featured_product_wrapper_inner ul.products .products.tab-product-content').append(response);
								jQuery('#'+random_id+' .featured_product_wrapper_inner ul.products li').addClass('product');
								jQuery('#'+random_id+' .btn_load_more').attr('data-paged',++atts.paged);
								var is_end_page = jQuery('#'+random_id+' span.wd_flag_end_page').length > 0?true:false;
								if(is_end_page){
									jQuery('#'+random_id+' .btn_load_more').remove();
									jQuery('#'+random_id+' span.wd_flag_end_page').remove();
								}
								else{
									jQuery('#'+random_id+' .btn_load_more').removeClass('loading');
								}
								if( typeof qs == "function"){
									qs({
										itemClass		: '.products li.product.type-product.status-publish  .product_thumbnail_wrapper' 
										,inputClass		: 'input.hidden_product_id' 
									});
								}
								if( typeof wd_bind_added_to_cart == 'function' )
									wd_bind_added_to_cart();
								wd_featured_product_update_first_last_class(random_id, columns);
							 }
						  }); 
					}
				</script>
			<?php
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('featured_product','wd_featured_product_function');
	/* featured product no slider*/
	
	
	
	if(!function_exists('wd_load_more_featured_product')){
		function wd_load_more_featured_product(){
			if( isset($_POST, $_POST['atts']) ){
				
				wp_reset_query(); 
				extract($_POST['atts']);
				global $woocommerce_loop,$woocommerce;
				if(!(int)$show_image)
					remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
				
				if(!(int)$show_categories)
					remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
				if(!(int)$show_title)
					remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
				if(!(int)$show_sku)
					remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
					
				if(!(int)$show_price)
					remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
				if(!(int)$show_short_desc)
					remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
				if(!(int)$show_rating)
					remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );					
				if(!(int)$show_label)
					remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
				if(!(int)$show_add_to_cart)
					remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
				$meta_query = $woocommerce->query->get_meta_query();
				$tax_query   = $woocommerce->query->get_tax_query();
				$tax_query[] = array(
					'taxonomy' => 'product_visibility',
					'field'    => 'name',
					'terms'    => 'featured',
					'operator' => 'IN',
				);
				$args = array(
					'post_type'	=> 'product',
					'post_status' => 'publish',
					'ignore_sticky_posts'	=> 1,
					'posts_per_page' => $per_page,
					'paged' => $paged,
					'meta_query' => $meta_query,
					'tax_query' => $tax_query,
				);

				//ob_start();
				$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
				$products = new WP_Query( $args );

				$woocommerce_loop['columns'] = $columns;
				
				if ( $products->have_posts() ): ?>

						<?php while ( $products->have_posts() ) : $products->the_post(); ?>

							<?php woocommerce_get_template_part( 'content', 'product' ); ?>

						<?php endwhile; ?>
					
				<?php endif;
				if($products->max_num_pages == $paged || !$products->have_posts()){
					?>
						<span class="hidden wd_flag_end_page" ></span>
					<?php
				}
				wp_reset_postdata();
				
				add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
				add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
				add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
				add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
				add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
				add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
				add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
				
				add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
				
				add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
				add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
				$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
				echo ob_get_clean();
				die();
			}
			else{
				echo "";
				die();
			}
			
		}
	}
	
	add_action("wp_ajax_wd_load_more_featured_product", "wd_load_more_featured_product");
	add_action("wp_ajax_nopriv_wd_load_more_featured_product", "wd_load_more_featured_product");


	if(!function_exists('wd_featured_by_category_function')){
		function wd_featured_by_category_function($cat_slug = '',$per_page = 1){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			wp_reset_query(); 
			global $woocommerce;
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$tax_query[] = array(
				'taxonomy' => 'product_visibility',
				'field'    => 'name',
				'terms'    => 'featured',
				'operator' => 'IN',
			);
			$tax_query[] = array(
				'taxonomy' 		=> 'product_cat',
				'terms' 		=> array( esc_attr($cat_slug) ),
				'field' 		=> 'slug',
				'operator' 		=> 'IN'
			);
			
			$args = array(
				'post_type'	=> 'product'
				,'post_status' => 'publish'
				,'ignore_sticky_posts'	=> 1
				,'posts_per_page' => $per_page
				,'meta_query' => $meta_query
				,'tax_query' 			=> $tax_query
			);
			wp_reset_query(); 
			$products = new WP_Query( $args );
			if( $products->have_posts() ){
				global $post;
				$products->the_post();
				$product = get_product( $post->ID );
				return $product;
			}
			return NULL;
		}
	}
			
	
	function wd_order_by_rating_post_clauses( $args ) {

		global $wpdb;

		$args['where'] .= " AND $wpdb->commentmeta.meta_key = 'rating' ";

		$args['join'] .= "
			LEFT JOIN $wpdb->comments ON($wpdb->posts.ID = $wpdb->comments.comment_post_ID)
			LEFT JOIN $wpdb->commentmeta ON($wpdb->comments.comment_ID = $wpdb->commentmeta.comment_id)
		";

		$args['orderby'] = "$wpdb->commentmeta.meta_value DESC";

		$args['groupby'] = "$wpdb->posts.ID";

		return $args;
	}	
	

	/*
	*	columns : 3 or 4
	*	style : 1 or 2 or 3
	*	per_page : 4 to 12
	*	title : ""
	*	desc : ""
	*	product_tag : tag of prods
	*	show nav thumb : 1
	* 	show thumb : 1
	*	show title : 1
	* 	show sku : 1
	*	show price
	*	show label
	* 	item slide : 1
	*/
	

	
	if(!function_exists('wd_popular_product_slider_function')){
		function wd_popular_product_slider_functionwd_popular_product_slider_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'title' 			=> ''
				,'desc' 			=> ''
				,'product_tag' 		=> ''
				,'product_cats' 	=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1
				,'show_label_title' => 0
                ,'show_categories' 	=> 0		
				,'show_add_to_cart' => 1				
			),$atts));
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );						
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );				
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
				
			wp_reset_query(); 
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'orderby' => 'date',
				'order' => 'desc',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
										'taxonomy' => 'product_cat',
										'terms' => explode(',',$product_cats),
										'field' => 'slug',
										'include_children' => false
										
									);
			}
			
			if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
				$args = array_merge($args, array('product_tag' => $product_tag));
			}
			
			ob_start();

	  	add_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

		$products = new WP_Query( $args );

		remove_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									579:{
										items : 3
									},
									767:{
										items : 4
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns ;
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('popular_product_slider','wd_popular_product_slider_function');
	
	
	
	if(!function_exists('wd_top_rated_products')){
		function wd_top_rated_products( $atts ) {
			global $woocommerce_loop, $wp_query,$woocommerce;

			extract( shortcode_atts( array(
				'per_page'      => '5',
				'columns'       => '4',
				'orderby'       => 'title',
				'order'         => 'asc',
				'style'			=> 'list'
				), $atts ) );
			$meta_query = $woocommerce->query->get_meta_query();
			$args = array(
				'post_type' 			=> 'product',
				'post_status' 			=> 'publish',
				'ignore_sticky_posts'   => 1,
				'orderby' 				=> $orderby,
				'order'					=> $order,
				'posts_per_page' 		=> $per_page,
				'meta_query' 			=> $meta_query
			);

			ob_start();
			$random_id = 'woocommerce_top_rated_'.rand();
			add_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

			$products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $args, $atts ) );

			remove_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : 
				//echo count($products->get_post());
			?>
				

				<?php 
					wc_get_template( 'loop/loop-start.php',array( 'style' => $style ) );
				?>
					
					<?php while ( $products->have_posts() ) : $products->the_post(); ?>

						<?php wc_get_template_part( 'content', 'product' );
						?>

					<?php endwhile; // end of the loop. ?>

				<?php woocommerce_product_loop_end(); ?>
			<div class="wd_button_loadmore_wrapper">
				<span class=""><?php printf(__("%s of %s items"), $per_page*($products->query_vars['paged']?$products->query_vars['paged']:1), $products->found_posts);?></span>
				<input class="btn_load_more btn type-2" type="button" value="<?php printf(__("View next %s products"), $per_page); ?>" data-paged="2" >
				
			</div>
			<?php endif;
			?>
			<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						jQuery('#<?php echo $random_id;?> .btn_load_more').click(function(){
							
							var atts = {
								'orderby' 				: '<?php echo $orderby;?>',
								'order'					: '<?php echo $order;?>',
								'per_page' 				: '<?php echo $per_page;?>',
								'page'					: jQuery(this).attr('data-paged'),
								'style'					: '<?php echo $style;?>'
							};
							
							wd_top_rated_products_regis_load_more(atts, '<?php echo $random_id;?>');
						});
						
						//if( typeof wd_top_rated_products_regis_load_more !== 'function')
						function wd_top_rated_products_regis_load_more(atts, random_id){
							var ajax_url = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
							var val = jQuery('#'+random_id+' .btn_load_more').val();
							jQuery('#'+random_id+' .btn_load_more').addClass('loading').val('Loading...');
							jQuery.ajax({
								 type : "post",
								 dataType : "html",
								 url : ajax_url,
								 data : {action: "wd_load_more_top_rate_product",atts:atts},
								 error: function(xhr,err){
									
								 },

								 success: function(response) {
									jQuery('#'+random_id+' .btn_load_more').removeClass('loading').val(val);
									jQuery('#'+random_id+' ul.products').append(response);
									jQuery('#'+random_id+' ul.products li').addClass('product');
									jQuery('#'+random_id+' .btn_load_more').attr('data-paged',++atts.page);
									var is_end_page = jQuery('#'+random_id+' span.wd_flag_end_page').length > 0?true:false;
									if(is_end_page){
										jQuery('#'+random_id+' .btn_load_more').remove();
										jQuery('#'+random_id+' span.wd_flag_end_page').remove();
									}
									else{
										jQuery('#'+random_id+' .btn_load_more').removeClass('loading');
									}
									if( typeof qs == "function"){
										qs({
											itemClass		: '.products li.product.type-product.status-publish  .product_thumbnail_wrapper' 
											,inputClass		: 'input.hidden_product_id' 
										});
									}
									if( typeof wd_bind_added_to_cart == 'function' )
										wd_bind_added_to_cart();
									wd_featured_product_update_first_last_class(random_id);
								 }
							  }); 
						}
					});
				//]]>	
				</script>
			<?php
			
			wp_reset_postdata();

			return '<div class="woocommerce columns-' . $columns . '" id="'.$random_id.'">' . ob_get_clean() . '</div>';
			
		}
		add_shortcode('wd_top_rated_products','wd_top_rated_products');
	}
	
	
	if(!function_exists('wd_load_more_top_rate_product')){
		function wd_load_more_top_rate_product(){
			if( isset($_POST, $_POST['atts']) ){
				
				wp_reset_query(); 
				extract($_POST['atts']);
				global $woocommerce_loop,$woocommerce;
				$meta_query = $woocommerce->query->get_meta_query();
				$args = array(
					'post_type' 			=> 'product',
					'post_status' 			=> 'publish',
					'ignore_sticky_posts'   => 1,
					'orderby' 				=> $orderby,
					'order'					=> $order,
					'posts_per_page' 		=> $per_page,
					'paged'					=> $page,
					'meta_query' 			=> $meta_query
				);

				ob_start();
			add_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

			$products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $args ) );

			remove_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

			if ( $products->have_posts() ) : 
				//echo count($products->get_post());
			?>
				

				<?php 
					wc_get_template( 'loop/loop-start.php',array( 'style' => $style ) );
				?>
					
					<?php while ( $products->have_posts() ) : $products->the_post(); ?>

						<?php wc_get_template_part( 'content', 'product' );
						?>

					<?php endwhile; // end of the loop. ?>

				<?php woocommerce_product_loop_end(); ?>
			<?php endif;
				if($products->max_num_pages == $page || !$products->have_posts()){
					?>
						<span class="hidden wd_flag_end_page" ></span>
					<?php
				}
				wp_reset_postdata();
				
				echo ob_get_clean();
				die();
			}
			else{
				echo "";
				die();
			}
			
		}
	}
	
	add_action("wp_ajax_wd_load_more_top_rate_product", "wd_load_more_top_rate_product");
	add_action("wp_ajax_nopriv_wd_load_more_top_rate_product", "wd_load_more_top_rate_product");
	
	/*
	*	columns : 3 or 4
	*	style : 1 or 2 or 3
	*	per_page : 4 to 12
	*	title : ""
	*	desc : ""
	*	product_tag : tag of prods
	*	show_image : 1
	* 	show thumb : 1
	*	show_title : 1
	* 	show_sku : 0
	*	show_price: 1
	*	show_rating: 1
	* 	show_label : 1
	* 	show_categories : 0
	* 	show_add_to_cart : 1
	*/
	

	
	if(!function_exists('wd_popular_product_function')){
		function wd_popular_product_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'product_tag' 		=> ''
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1
				,'show_label_title' => 0
                ,'show_categories' 	=> 0		
				,'show_add_to_cart' => 1				
			),$atts));
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );						
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );				
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
				
			wp_reset_query(); 
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'orderby' => 'date',
				'order' => 'desc',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
			
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
										'taxonomy' => 'product_cat',
										'terms' => explode(',',$product_cats),
										'field' => 'slug',
										'include_children' => false
									);
			}
		
			
			if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
				$args = array_merge($args, array('product_tag' => $product_tag));
			}
			
			ob_start();

	  	add_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );

		$products = new WP_Query( $args );

		remove_filter( 'posts_clauses', 'wd_order_by_rating_post_clauses' );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_wrapper_inner <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php woocommerce_product_loop_start(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php woocommerce_product_loop_end(); ?>
						
					</div>
				</div>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns ;
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('popular_product','wd_popular_product_function');


	/*
	*	columns : 3 or 4
	*	style : 1 or 2 or 3
	*	per_page : 4 to 12
	*	title : ""
	*	desc : ""
	*	product_tag : tag of prods
	*	show nav thumb : 1
	* 	show thumb : 1
	*	show title : 1
	* 	show sku : 1
	*	show price
	*	show label
	* 	item slide : 1
	*/
	

	
	if(!function_exists('wd_recent_product_slider_function')){
		function wd_recent_product_slider_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'title' 			=> ''
				,'desc' 			=> ''
				,'product_tag' 		=> ''
				,'product_cats' 	=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1
				,'show_label_title' => 0
                ,'show_categories' 	=> 0
				,'show_add_to_cart' => 1
			),$atts));
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
				
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );					
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );				
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'orderby' => 'date',
				'order' => 'desc',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
		
			wp_reset_query(); 
			
			if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
				$args = array_merge($args, array('product_tag' => $product_tag));
			}
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
										'taxonomy' => 'product_cat',
										'terms' => explode(',',$product_cats),
										'field' => 'slug',
										'include_children' => false
									);
			}
			
			ob_start();

			$products = new WP_Query( $args );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$woocommerce_loop['columns'] = $columns;
			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									579:{
										items : 3
									},
									767:{
										items : 4
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );	
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns ;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('recent_product_slider','wd_recent_product_slider_function');




		/*
	*	columns : 3 or 4
	*	style : 1 or 2 or 3
	*	per_page : 4 to 12
	*	title : ""
	*	desc : ""
	*	product_tag : tag of prods
	*	show nav thumb : 1
	* 	show thumb : 1
	*	show title : 1
	* 	show sku : 1
	*	show price
	*	show label
	* 	item slide : 1
	*/
	

	
	if(!function_exists('wd_best_selling_product_slider_function')){
		function wd_best_selling_product_slider_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1		
				,'show_label_title' => 0		
				,'show_categories' 	=> 0		
				,'show_add_to_cart' => 1				
			),$atts));
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );				
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );

			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();	
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'order' => 'desc',		
				'meta_key' 		 => 'total_sales',
				'orderby' 		 => 'meta_value_num',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query,
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
										'taxonomy' => 'product_cat',
										'terms' => explode(',',$product_cats),
										'field' => 'slug',
										'include_children' => false
									);
			}
		
			wp_reset_query(); 
			
			/*if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
				$args = array_merge($args, array('product_tag' => $product_tag));
			}*/
			
			ob_start();
			
			$products = new WP_Query( $args );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];	
			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									620:{
										items : 3
									},
									780:{
										items : 4
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );	
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('best_selling_product_slider','wd_best_selling_product_slider_function');
	
	if(!function_exists('wd_best_selling_product_function')){
		function wd_best_selling_product_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1		
				,'show_label_title'	=> 0		
				,'show_categories' 	=> 0		
				,'show_add_to_cart' => 1				
			),$atts));
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );				
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'order' => 'desc',		
				'meta_key' 		 => 'total_sales',
				'orderby' 		 => 'meta_value_num',				
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
										'taxonomy' => 'product_cat',
										'terms' => explode(',',$product_cats),
										'field' => 'slug',
										'include_children' => false
									);
			}
		
			wp_reset_query(); 
			
			
			ob_start();
			
			$products = new WP_Query( $args );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];	
			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_wrapper_'.rand(); ?>
				<div class="featured_product_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_wrapper_inner <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php woocommerce_product_loop_start(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php woocommerce_product_loop_end(); ?>
						
					</div>
				</div>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );	
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('best_selling_product','wd_best_selling_product_function');
	
	
	
	if(!function_exists('wd_best_selling_product_by_category_slider_function')){
		function wd_best_selling_product_by_category_slider_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop, $woocommerce;
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'title' 			=> ''
				,'desc' 			=> ''
				,'product_tag' 		=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1		
				,'show_categories' 	=> 0
				,'cat_slug'			=> ''			
			),$atts));
			
			if($cat_slug=='' && has_term( $cat_slug, 'product_cat', 'product' )){
				echo 'cxc';
				return;
			}
			
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );					
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );
			
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$tax_query[] = array(
						'taxonomy' 		=> 'product_cat',
						'terms' 		=> array( esc_attr($cat_slug) ),
						'field' 		=> 'slug',
						'operator' 		=> 'IN'
			);
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'order' => 'desc',		
				'meta_key' 		 => 'total_sales',
				'orderby' 		 => 'meta_value_num',				
				'meta_query' => $meta_query
				,'tax_query' => $tax_query
			);
		
			wp_reset_query(); 
			
			if( strlen($product_tag) > 0 && strcmp('all-product-tags',$product_tag) != 0 ){
				$args = array_merge($args, array('product_tag' => $product_tag));
			}
			
			ob_start();

			$products = new WP_Query( $args );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];	
			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									579:{
										items : 3
									},
									767:{
										items : 4
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );			
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('best_selling_product_by_category_slider','wd_best_selling_product_by_category_slider_function');
	
	
	if(!function_exists('wd_custom_categories_function')){
		function wd_custom_categories_function($atts,$content){
			extract(shortcode_atts(array(
				'number' => 0
				,'columns' 			=> 4
				,'parent' 			=> ''
				,'ids'	 			=> ''
				,'hide_empty'		=> '0'
				,'show_nav' 		=> 1
				,'show_item_title'	=> 0
				,'title'			=> ''
				,'desc'				=> ''
			),$atts));
			
			if (empty($atts)) return;
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			$hide_empty = ($hide_empty == '0')? false : true;
			global $woocommerce_loop;
			$args = array(
				'orderby'     => 'name'
				,'order'      => 'ASC'
				,'hide_empty' => $hide_empty
				,'include'    => explode(',',$ids)
				,'pad_counts' => true
				,'child_of'   => ''
				,'parent'     => $parent
			);
			
			$product_categories = get_terms( 'product_cat', $args );
			foreach ( $product_categories as $key => $category ) {
				if ( $category->count == 0 ) {
					unset( $product_categories[ $key ] );
				}
			}
			if( $number != 0 && $number !=""){
				$product_categories = array_slice( $product_categories, 0, $number );
			}
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$woocommerce_loop['columns'] = $columns;
			
			ob_start();
			$woocommerce_loop['loop'] = $woocommerce_loop['column'] = '';
			?>
			
			<?php $_random_id = 'featured_categories_slider_wrapper_'.rand(); ?>
				<div class="featured_categories_slider_wrapper" id="<?php echo $_random_id; ?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading">
						<?php //echo do_shortcode('[product_categories number="'.$number.'"]'); 
							if ( $product_categories ) {
								wd_woocommerce_product_loop_start_slide();
								foreach ( $product_categories as $category ) {
									wc_get_template( 'content-product_cat_slide.php', array(
										'category' => $category
									) );
								}
								wd_woocommerce_product_loop_end_slide();
							}
							woocommerce_reset_loop();
						?>
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif; ?>
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					var _columns = <?php echo $columns; ?>;
					var _random_id = '#<?php echo $_random_id; ?>';
					
					/* Config show_item_title option */
					var _show_item_title = <?php echo $show_item_title; ?>;
					if(!_show_item_title){
						jQuery(_random_id + " div.products div.product h3").remove();
					}
					
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									579:{
										items : 3
									},
									767:{
										items : 3
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
			<?php
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';			
			
		}
	}	
	
	
	add_shortcode('product_categories_slider','wd_custom_categories_function');
	
	
	if(!function_exists('wd_sale_product_slider_function')){
		function wd_sale_product_slider_function($atts,$content){
			wp_reset_query(); 
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_nav' 		=> 1
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1	
				,'show_label_title' => 0	
				,'show_categories'	=> 0	
				,'show_add_to_cart' => 1
			),$atts));
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop,$woocommerce;
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );						
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			$meta_query[] = array(
						'key' => '_sale_price',
						'value' =>  0,
						'compare'   => '>',
						'type'      => 'NUMERIC'
			);
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'meta_query' => $meta_query,
				'tax_query' => $tax_query,
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
											'taxonomy' => 'product_cat',
											'terms' => explode(',',$product_cats),
											'field' => 'slug',
											'include_children' => false
									);
			}

			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );

			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_slider_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_slider_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title slider-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='slider-desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_slider_wrapper_inner loading <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php wd_woocommerce_product_loop_start_slide(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product-slide' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php wd_woocommerce_product_loop_end_slide(); ?>
						
						<?php if($show_nav):?>
						<div class="slider_control">
							<a title="prev" id="<?php echo $_random_id;?>_prev" class="prev" href="#">&lt;</a>
							<a title="next" id="<?php echo $_random_id;?>_next" class="next" href="#">&gt;</a>
						</div>
						<?php endif;?>
						
					</div>
				</div>
				<?php global $smof_data; ?>
				<script type='text/javascript'>
				//<![CDATA[
					jQuery(document).ready(function() {
						"use strict";
						// Using custom configuration
						jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner').imagesLoaded(function(){
						var $_this = jQuery('#<?php echo $_random_id?> > .featured_product_slider_wrapper_inner');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_mobile'])?(int)$smof_data['wd_shop_slider_slide_speed_mobile']:200; ?>;
						<?php } else { ?>
							var slide_speed = <?php echo isset($smof_data['wd_shop_slider_slide_speed_pc'])?(int)$smof_data['wd_shop_slider_slide_speed_pc']:800; ?>;
						<?php } ?>
						var scroll_per_page = <?php echo isset($smof_data['wd_shop_slider_scroll_per_page'])?$smof_data['wd_shop_slider_scroll_per_page']:0; ?>;
						scroll_per_page = ( scroll_per_page == 1 )?'page':1;
						var rewind_nav = <?php echo isset($smof_data['wd_shop_slider_rewind_nav'])?$smof_data['wd_shop_slider_rewind_nav']:1; ?>;
						rewind_nav = ( rewind_nav == 1 );
						var rewind_speed = <?php echo isset($smof_data['wd_shop_slider_rewind_speed'])?(int)$smof_data['wd_shop_slider_rewind_speed']:800; ?>;
						var auto_play = <?php echo isset($smof_data['wd_shop_slider_auto_play'])?$smof_data['wd_shop_slider_auto_play']:0; ?>;
						auto_play = ( auto_play == 1 );
						var stop_on_hover = <?php echo isset($smof_data['wd_shop_slider_stop_on_hover'])?$smof_data['wd_shop_slider_stop_on_hover']:0; ?>;
						stop_on_hover = ( stop_on_hover == 1 );
						var mouse_drag = <?php echo isset($smof_data['wd_shop_slider_mouse_drag'])?$smof_data['wd_shop_slider_mouse_drag']:0; ?>;
						mouse_drag = ( mouse_drag == 1 );
						var touch_drag = <?php echo isset($smof_data['wd_shop_slider_touch_drag'])?$smof_data['wd_shop_slider_touch_drag']:1; ?>;
						touch_drag = ( touch_drag == 1 );
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('.products').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: scroll_per_page
								,navRewind: rewind_nav
								,autoplay: auto_play
								,autoplayTimeout: 5000
								,autoplayHoverPause: stop_on_hover
								,autoplaySpeed: false // or number
								,mouseDrag: mouse_drag
								,touchDrag: touch_drag
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									361:{
										items : 2
									},
									620:{
										items : 3
									},
									780:{
										items : 4
									},
									930:{
										items : <?php echo $columns;?>
									}
								}
								,onInitialized: function(){
									$_this.addClass('loaded').removeClass('loading');
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
						});
					});
				//]]>	
				</script>
				
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('sale_product_slider','wd_sale_product_slider_function');
	
	if(!function_exists('wd_sale_product_function')){
		function wd_sale_product_function($atts,$content){
			wp_reset_query(); 
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'product_cats'		=> ''
				,'title' 			=> ''
				,'desc' 			=> ''
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1	
				,'show_label_title' => 0	
				,'show_categories'	=> 0	
				,'show_add_to_cart' => 1
			),$atts));
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce_loop,$woocommerce;
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );						
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query  = $woocommerce->query->get_tax_query();
			$meta_query[] = array(
						'key' => '_sale_price',
						'value' =>  0,
						'compare'   => '>',
						'type'      => 'NUMERIC'
			);
			$args = array(
				'post_type'	=> 'product',
				'post_status' => 'publish',
				'ignore_sticky_posts'	=> 1,
				'posts_per_page' => $per_page,
				'meta_query' => $meta_query,
				'tax_query' => $tax_query
			);
			$product_cats = str_replace(' ','',$product_cats);
			if( strlen($product_cats) > 0){
				$args['tax_query'][] = array(
											'taxonomy' => 'product_cat',
											'terms' => explode(',',$product_cats),
											'field' => 'slug',
											'include_children' => false
									);
			}

			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$products = new WP_Query( $args );

			$woocommerce_loop['columns'] = $columns;

			if ( $products->have_posts() ) : ?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_wrapper_meta"> 
						<?php
							if(strlen(trim($title)) >0)
								echo "<div class='wp_title_shortcode_products'><h3 class='heading-title'>{$title}</h3></div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<div class="featured_product_wrapper_inner <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
						
						<?php woocommerce_product_loop_start(); ?>

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php woocommerce_get_template_part( 'content', 'product' ); ?>

							<?php endwhile; // end of the loop. ?>
						<?php woocommerce_product_loop_end(); ?>
						
					</div>
				</div>
			<?php endif;

			wp_reset_postdata();

			
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('sale_product','wd_sale_product_function');
	
	
	
	if(!function_exists('wd_product_filter_by_sub_category_function')){
		function wd_product_filter_by_sub_category_function($atts,$content){
			wp_reset_query(); 
			extract(shortcode_atts(array(
				'columns' 			=> 4
				,'style' 			=> 1
				,'per_page' 		=> 8
				,'title' 			=> ''
				,'desc' 			=> ''
				,'product_cat' 		=> ''
				,'show_image' 		=> 1
				,'show_title' 		=> 1
				,'show_sku' 		=> 0
				,'show_price' 		=> 1
				,'show_short_desc'  => 1
				,'show_rating' 		=> 1
				,'show_label' 		=> 1	
				,'show_label_title' => 0	
				,'show_categories'	=> 0	
				,'show_add_to_cart' => 1
			),$atts));
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			
			$product_cat = trim($product_cat);
			if( strlen($product_cat) == 0)
				return;
			
			$_prod_cat = get_term_by('slug', esc_attr($product_cat), 'product_cat');
			$_sub_prod_cat = wd_get_sub_categories($_prod_cat->term_id);
			if( count($_sub_prod_cat) == 0 )
				return;
			
			global $woocommerce_loop,$woocommerce;
			if(!(int)$show_image)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );						
			if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );		
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			
			ob_start();
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			?>
				<?php $_random_id = 'featured_product_slider_wrapper_'.rand(); ?>
				<div class="featured_product_wrapper <?php echo 'style-'.$style; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id;?>">
					<div class="featured_product_wrapper_meta"> 
						<?php
							echo "<div class='wp_title_shortcode_products'><h3 class='heading-title'>{$title}</h3>";
							?>
							<div class="wd_list_categories">
								<ul>
								<?php foreach($_sub_prod_cat as $key => $sub_cat){ ?>
									<li>
										<a class="link_cat" href="javascript:void(0)" rel="<?php echo $sub_cat->slug; ?>" class="<?php echo ($key==0)?'current':''; ?>"><?php echo esc_html($sub_cat->name); ?></a>
									</li>
								<?php } ?>
								</ul>
								<div class="slider_control">
									<a href="#" class="prev">&lt;</a>
									<a href="#" class="next">&gt;</a>
								</div>
							</div>
							<?php
							echo "</div>";
							if(strlen(trim($desc)) >0)	
								echo "<p class='desc-wrapper'>{$desc}</p>";
						?>
					</div>
					<?php 
						$meta_query = $woocommerce->query->get_meta_query();
						$tax_query   = $woocommerce->query->get_tax_query();
						foreach($_sub_prod_cat as $sub_cat){
							
							$tax_query[] = array(
										'taxonomy' => 'product_cat',
										'terms' => array( esc_attr($sub_cat->slug) ),
										'field' => 'slug',
										'include_children' => false
									);
							$args = array(
								'post_type'	=> 'product',
								'post_status' => 'publish',
								'ignore_sticky_posts'	=> 1,
								'posts_per_page' => $per_page,
								'order' => 'date',
								'orderby' => 'desc',
								'meta_query' => $meta_query,
								'tax_query' => $tax_query
							);
							$woocommerce_loop['columns'] = $columns;
							$products = new WP_Query( $args );
							if ( $products->have_posts() ){
								?>
								<div style="display: none" data-slug="<?php echo $sub_cat->slug; ?>" class="featured_product_wrapper_inner  <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?>">
					
									<?php woocommerce_product_loop_start(); ?>

										<?php while ( $products->have_posts() ) : $products->the_post(); ?>

											<?php woocommerce_get_template_part( 'content', 'product' ); ?>

										<?php endwhile; // end of the loop. ?>
									<?php woocommerce_product_loop_end(); ?>
									
								</div>
									
								<?php
							}
						}
					
					?>
				</div>
				
				<script type="text/javascript">
					jQuery(document).ready(function(){
						var _random_id = jQuery('#<?php echo $_random_id; ?>');
						//Remove empty category
						_random_id.find('.wd_list_categories ul li a.link_cat').each(function(index,element){
							var _rel = jQuery(this).attr('rel');
							if( _random_id.find('.featured_product_wrapper_inner[data-slug='+_rel+']').length == 0 )
								jQuery(element).parents('li').remove();
						});
						
						//Show product for first category
						var _rel = _random_id.find('.wd_list_categories ul li a.link_cat:first').attr('rel');
						if( typeof _rel != "undefined" ){
							_random_id.find('.wd_list_categories ul li a.link_cat:first').addClass('current');
							_random_id.find('.featured_product_wrapper_inner[data-slug='+_rel+']').show().addClass('current');
						}
						
						_random_id.find('.wd_list_categories ul li a.link_cat').bind('click', function(){
							if( jQuery(this).hasClass('current') )
								return;
							_random_id.find('.wd_list_categories ul li a.link_cat').removeClass('current');
							jQuery(this).addClass('current');
							var _rel = jQuery(this).attr('rel');
							_random_id.find('.featured_product_wrapper_inner').fadeOut().removeClass('current');
							_random_id.find('.featured_product_wrapper_inner[data-slug='+_rel+']').fadeIn().addClass('current');		
						});
						
						//Add slider for list category
						var $_this = jQuery('#<?php echo $_random_id?> .wd_list_categories');
						<?php if( wp_is_mobile() ){ ?>
							var slide_speed = 200;
						<?php } else { ?>
							var slide_speed = 800;
						<?php } ?>
						var responsive_refresh_rate = <?php echo (wp_is_mobile())?400:200; ?>;
						if( navigator.platform === 'iPod' ){
							slide_speed = 0;
							responsive_refresh_rate = 1000;
						}
						var owl = $_this.find('ul').owlCarousel({
								loop : true
								,nav : false
								,dots : false
								,navSpeed : slide_speed
								,slideBy: 1
								,navRewind: false
								,autoplay: false
								,autoplayTimeout: 5000
								,autoplayHoverPause: false
								,autoplaySpeed: false
								,mouseDrag: true
								,touchDrag: true
								,responsiveBaseElement: $_this
								,responsiveRefreshRate: responsive_refresh_rate
								,responsive:{
									0:{
										items : 1
									},
									240:{
										items : 2
									},
									360:{
										items : 3
									},
									480:{
										items : 4
									},
									600:{
										items : 5
									},
									720:{
										items : 6
									}
								}
							});
							$_this.on('click', '.next', function(e){
								e.preventDefault();
								owl.trigger('next.owl.carousel');
							});

							$_this.on('click', '.prev', function(e){
								e.preventDefault();
								owl.trigger('prev.owl.carousel');
							});
					});
				</script>
			<?php

			wp_reset_postdata();
			
			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );		
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns;
			
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
			
		}
	}		
	add_shortcode('product_filter_by_sub_category','wd_product_filter_by_sub_category_function');
	
	
	
	/********* Custom Product By Multi Categories *******/
	if(!function_exists('wd_custom_products_category_function')){
		function wd_custom_products_category_function($atts,$content){
			$_actived = apply_filters( 'active_plugins', get_option( 'active_plugins' )  );
			if ( !in_array( "woocommerce/woocommerce.php", $_actived ) ) {
				return;
			}
			global $woocommerce, $woocommerce_loop;
			if ( empty( $atts ) ) return;
			extract( shortcode_atts( array(
				'per_page' 		=> 4
				,'columns'		=> 3
				,'title'		=> ''
				,'orderby'   	=> 'title'
				,'order'     	=> 'desc'
				,'product_cats'	=> ''
				,'show_upsell' 	=> 1
				,'show_image' 	=> 1
				,'show_title' 	=> 1
				,'show_sku' 	=> 1
				,'show_price'	=> 1
				,'show_short_desc' => 1
				,'show_rating' 	=> 1
				,'show_label' 	=> 1
				,'show_label_title' => 0
				,'show_categories' 	=> 1
				,'show_add_to_cart' => 1
				), $atts ) );
			if( absint($columns) == 0 )
				$columns = 1;
			//if(!(int)$show_image)
				//remove_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );
			if(!(int)$show_categories)
				remove_action( 'woocommerce_after_shop_loop_item', 'get_product_categories', 2 );
			if(!(int)$show_title)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_product_title', 3 );
			if(!(int)$show_sku)
				remove_action( 'woocommerce_after_shop_loop_item', 'add_sku_to_product_list', 4 );
				
			if(!(int)$show_price)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			if(!(int)$show_short_desc)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			if(!(int)$show_rating)
				remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );		
			//if(!(int)$show_label)
				remove_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );	
			if(!(int)$show_add_to_cart)
				remove_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
				
		
			if ( ! $product_cats ) return;
			wp_reset_query(); 
			$ar_prod_cat = explode(',',str_replace(' ','',$product_cats));
			// Default ordering args
			$ordering_args = $woocommerce->query->get_catalog_ordering_args( $orderby, $order );
			$_old_woocommerce_loop_columns = $woocommerce_loop['columns'];
			$_random_id = 'custom_category_shortcode_'.rand(0,1000);
			ob_start();
			?>
			<div class="wd_custom_category_shortcode <?php echo (!(int)$show_label_title)?'wd_hide_label_title':''; ?> <?php echo ((int)$show_rating)?'has_rating':''; ?>" id="<?php echo $_random_id; ?>">
				<div class="wp_title_shortcode_products">
					<h3 class="heading-title"><?php echo $title; ?></h3>
					<div class="wd_list_categories">
						<ul>
						<?php foreach($ar_prod_cat as $key => $prod_cat){ 
							$_prod_cat = get_term_by('slug', esc_attr($prod_cat), 'product_cat');
							if( !(isset($_prod_cat) && is_object($_prod_cat)) ){
								unset($ar_prod_cat[$key]);
								continue;
							}
						?>
							<li>
								<a class="link_cat" href="javascript:void(0)" rel="<?php echo $_prod_cat->slug; ?>" class="<?php echo ($key==0)?'current':''; ?>"><?php echo esc_html($_prod_cat->name); ?></a>
							</li>
						<?php } ?>
						</ul>
					</div>
				</div>
			<?php
			$meta_query = $woocommerce->query->get_meta_query();
			$tax_query   = $woocommerce->query->get_tax_query();
			foreach( $ar_prod_cat as $key=>$prod_cat ){
				$tax_query[] = array(
							'taxonomy' 			=> 'product_cat'
							,'terms' 			=> array( esc_attr($prod_cat) )
							,'field' 			=> 'slug'
							,'operator' 		=> 'IN'
							,'include_children' => false
						);
				$args = array(
					'post_type'				=> 'product'
					,'post_status' 			=> 'publish'
					,'ignore_sticky_posts'	=> 1
					,'orderby' 				=> 'meta_value_num'
					,'order' 				=> 'desc'
					,'meta_key' 			=> 'total_sales'
					,'posts_per_page' 		=> $per_page
					,'meta_query' 			=> $meta_query
					,'tax_query' 			=> $tax_query
					
				);

				$products = new WP_Query( $args );
				$woocommerce_loop['columns'] = $columns;
				$_count = 0;
				$_post_count = isset($products->post_count)?$products->post_count:$per_page;
				$is_first_cat = true;
				
				$gallery_id = 'product-gallery-'.$prod_cat.'-'.rand(0,100);
				if ( $products->have_posts() ) : ?>

					<ul class="products no_quickshop" data-slug="<?php echo $prod_cat; ?>" style="<?php echo ($key != 0)?'display: none;':''; ?>" >

						<?php while ( $products->have_posts() ) : ?>

						<?php
							global $product, $post;
							$products->the_post();
							
							if( $is_first_cat ){ $is_first_cat = false;
							?>
							<li class="left-wrapper">
								<div class="wd-custom-category-left-wrapper">
									<ul>
										<li <?php post_class(); ?>>
											<div class="product_item_wrapper">
												<div class="product_thumbnail_wrapper">
											<?php 
												$image_title 		= esc_attr( get_the_title( get_post_thumbnail_id() ) );
												$image_link  		= wp_get_attachment_url( get_post_thumbnail_id() );
												$image       		= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
													'title' => $image_title
													) );
												$product = get_product($post->ID);
												$attachment_count   = count( $product->get_gallery_image_ids() );

												if ( $attachment_count > 0 ) {
													$gallery = '['.$gallery_id.']';
												} else {
													$gallery = '';
												}
												$product_label = '<span class="product_label"><span class="text">'.__('Best','wpdance').'</span>1</span>';

												echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a href="%s" itemprop="image" class="" title="%s"  rel="prettyPhoto' . $gallery . '">%s %s</a>', $image_link, $image_title,$product_label, $image ), $post->ID );
											?>
												</div>
												<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
											</div>
										</li>
									</ul>
									<input type="hidden" value="<?php echo $gallery_id; ?>" class="gallery_id" />
									<?php echo wd_custom_products_category_get_thumbnail($gallery_id); ?>
								</div>
							</li>
							<?php
							}
							else{
								if( $_count == 0){
									echo "<li>
											<div class='wd-custom-category-right-wrapper'>
												<ul>";
								}
								$_count++;
								///////////////////////////
								$_columns = absint($woocommerce_loop['columns']);
								$_sub_class = "col-sm-".(24/($_columns));
								if ( empty( $woocommerce_loop['loop'] ) )
									$woocommerce_loop['loop'] = 0;
								$woocommerce_loop['loop']++;

								$classes = array();
								if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $_columns || 1 == $_columns )
									$classes[] = 'first';
								if ( 0 == $woocommerce_loop['loop'] % $_columns )
									$classes[] = 'last';

								$classes[] = $_sub_class ;
								?>
								<li <?php post_class( $classes ); ?>>
									<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
									<div class="product_item_wrapper">
										<div class="product_thumbnail_wrapper">
											<?php
											$image_title 		= esc_attr( get_the_title( get_post_thumbnail_id() ) );
											$image_link  		= wp_get_attachment_url( get_post_thumbnail_id() );
											$image       		= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
												'title' => $image_title
												) );
											
											$product_label = '<span class="product_label">'.($_count+1).'</span>';

											echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a href="%s" itemprop="image" class="" title="%s" >%s %s</a>', $image_link, $image_title,$product_label, $image ), $post->ID );
											?>
											</a>
										</div>
										<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
									</div>
								</li>
								<?php
								///////////////////////////
								
								
								
								if( $_count >= $_post_count - 1 ){
									echo "</ul>
											</div>
												</li>";
								}
							}
						?>
							
						<?php endwhile; // end of the loop. ?>
					</ul>
				<?php endif;
			}
			?>
			</div>
			<script type="text/javascript">
				var _random_id = jQuery('#<?php echo $_random_id; ?>');
				var _column = <?php echo $columns; ?>;
				var _class_column = 'col-sm-'+(24/parseInt(_column));
				var _ajax_url = '<?php echo admin_url( 'admin-ajax.php' ); ?>';
				var _wd_is_loading_thumbnail = 0;
				jQuery(document).ready(function(){
					//Remove empty category
					_random_id.find('.wd_list_categories ul li a.link_cat').each(function(index,element){
						var _rel = jQuery(this).attr('rel');
						if( _random_id.find('ul.products[data-slug='+_rel+'] li').length == 0 )
							jQuery(element).parents('li').remove();
					});
					
					//Show product for first category
					var _rel = _random_id.find('.wd_list_categories ul li a.link_cat:first').attr('rel');
					if( typeof _rel != "undefined" ){
						_random_id.find('.wd_list_categories ul li a.link_cat:first').addClass('current');
						_random_id.find('ul.products[data-slug='+_rel+']').show().addClass('current');
					}
					
					_random_id.find('.wd_list_categories ul li a.link_cat').bind('click', function(){
						if( jQuery(this).hasClass('current') )
							return;
						_random_id.find('.wd_list_categories ul li a.link_cat').removeClass('current');
						jQuery(this).addClass('current');
						var _rel = jQuery(this).attr('rel');
						_random_id.find('ul.products').fadeOut().removeClass('current');
						_random_id.find('ul.products[data-slug='+_rel+']').fadeIn().addClass('current');		
					});
					
					//Change product
					_random_id.find('.wd-custom-category-right-wrapper ul li').wd_custom_product_shortcode_change_product();
					  
				});
				jQuery.fn.wd_custom_product_shortcode_change_product = function(){
					jQuery(this).find('.product_thumbnail_wrapper a').bind('click',function(event){
						event.preventDefault();
						var ul_left = _random_id.find('ul.current .wd-custom-category-left-wrapper ul');
						var ul_right = _random_id.find('ul.current .wd-custom-category-right-wrapper ul');
						// Product on right content
						var li_product = jQuery(this).parents('li.product');
						var index = li_product.index();
						li_product = li_product.detach();
						//Add rel attribute
						var a_rel_left = ul_left.find('li a').attr('rel');
						li_product.find('.product_thumbnail_wrapper a').attr('rel',a_rel_left);
						//Update first last class, rel attr and event
						var first_last = ((li_product.hasClass('first'))?'first':((li_product.hasClass('last'))?'last':''))+' '+_class_column;
						li_product.removeClass('first last');
						var li_left = ul_left.find('li').clone(false);
						ul_left.find('li').remove();
						li_left.addClass(first_last).find('a').removeAttr('rel');
						li_left.wd_custom_product_shortcode_change_product();
						//append product
						ul_left.append(li_product);
						if( ul_right.find('li').eq(index).length > 0 ){
							ul_right.find('li').eq(index).before(li_left);
						}
						else{
							ul_right.append(li_left);
						}
						
						// Load thumbnail
						var post_id = _random_id.find('ul.current .wd-custom-category-left-wrapper .hidden_product_id').val();
						var gallery_id = _random_id.find('ul.current .wd-custom-category-left-wrapper .gallery_id').val();
						wd_custom_product_shortcode_load_thumbnail(post_id,gallery_id);
					});
				}
				function wd_custom_product_shortcode_register_prettyphoto(){
					_random_id.find('ul.current .wd-custom-category-left-wrapper a[rel^=prettyPhoto]').prettyPhoto({
						social_tools: false,
						theme: 'pp_woocommerce',
						horizontal_padding: 40,
						opacity: 0.9,
						deeplinking: false
					});
				}
				function wd_custom_product_shortcode_load_thumbnail(post_id,gallery_id){
					_wd_is_loading_thumbnail++;
					_random_id.find('ul.current .wd-custom-category-left-wrapper .product_thumbnails').addClass('loading');
					jQuery.ajax({
						type : "POST",
						timeout : 10000,
						url : _ajax_url,
						data : {action: "wd_custom_products_category_get_thumbnail", post_id : post_id, gallery_id: gallery_id},
						error: function(xhr,err){
							_wd_is_loading_thumbnail--;
						},
						success: function(response) {
						   _random_id.find('ul.current .wd-custom-category-left-wrapper .product_thumbnails').remove();
						   _random_id.find('ul.current .wd-custom-category-left-wrapper').append(response);
						   wd_custom_product_shortcode_register_prettyphoto();
						   _wd_is_loading_thumbnail--;
						   if( _wd_is_loading_thumbnail > 0 )
								_random_id.find('ul.current .wd-custom-category-left-wrapper .product_thumbnails').addClass('loading');
						}
					}); 
				}
			</script>
			<?php
			wp_reset_postdata();

			//add all the hook removed
			add_action ('woocommerce_after_shop_loop_item','open_div_style',1);
			add_action ('woocommerce_after_shop_loop_item','get_product_categories',2);
			add_action ('woocommerce_after_shop_loop_item','add_product_title',3);
			add_action ('woocommerce_after_shop_loop_item','add_sku_to_product_list',4);
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_price', 7 );
			add_action( 'woocommerce_after_shop_loop_item', 'wd_template_loop_excerpt', 8 );
			add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 10002 );			
			
			add_action( 'woocommerce_before_shop_loop_item_title', 'add_label_to_product_list', 5 );			
			add_action( 'woocommerce_before_shop_loop_item_title', 'wd_template_loop_product_thumbnail', 10 );	
			add_action( 'woocommerce_after_shop_loop_item', 'wd_list_template_loop_add_to_cart',9999 );
			//end			
			$woocommerce_loop['columns'] = $_old_woocommerce_loop_columns ;
			return '<div class="woocommerce">' . ob_get_clean() . '</div>';		
		
		}
	}	
	add_shortcode('custom_products_category','wd_custom_products_category_function');
	
	add_action('wp_ajax_nopriv_wd_custom_products_category_get_thumbnail','wd_custom_products_category_get_thumbnail');
	add_action('wp_ajax_wd_custom_products_category_get_thumbnail','wd_custom_products_category_get_thumbnail');
	if( !function_exists('wd_custom_products_category_get_thumbnail') ){
		function wd_custom_products_category_get_thumbnail($gallery_id="product-gellery"){
			global $post, $product;
			if( isset($_POST['post_id']) ){
				$post_id = $_POST['post_id'];
				$post = get_post($post_id);
				$product = get_product($post_id);
			}
			
			if( isset($_POST['gallery_id']) )
				$gallery_id = $_POST['gallery_id'];
			if( !(is_object($post) && is_object($product)) )
				return '';
			
			ob_start();
			
			$attachment_ids = $product->get_gallery_image_ids();
			$attachment_ids = array_slice($attachment_ids,0,4);
			if ( $attachment_ids ) {
			?>
			<div class="product_thumbnails">
			<?php
				foreach ( $attachment_ids as $key => $attachment_id ) {
					$image_class = "";
					$image_link = wp_get_attachment_url( $attachment_id );
					if ( !$image_link )
						continue;
					$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );
					$image_title = esc_attr( get_the_title( $attachment_id ) );
					echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<div class="col-sm-6"><a href="%s" class="%s" title="%s"  rel="prettyPhoto[%s]">%s</a></div>', $image_link, $image_class, $image_title, $gallery_id,$image ), $attachment_id, $post->ID, $image_class );
				} ?> 
			</div>
			<?php
			}
			$thumbnail_html = ob_get_clean();
			if( is_ajax() )
				die($thumbnail_html);
			return $thumbnail_html;
			
		}
	}
	
?>