<?php
/*
Plugin Name: WD Woo Search
Plugin URI: http://www.wpdance.com/
Description: Search product and blog by Ajax.
Author: Wpdance
Version: 1.1
Author URI: http://www.wpdance.com/
*/

class WD_Woo_Search {
	public function __construct(){
		$this->constant();
		add_action('wp_enqueue_scripts',array($this,'init_wp_script'));
		add_shortcode('wd_woo_search',array($this, 'wd_woo_search_shortcode'));
	}
	function constant(){
		define('WDWS_BASE'		,  	plugins_url( '', __FILE__ )		);
		define('WDWS_JS'		,   WDWS_BASE . '/js'		);
		define('WDWS_CSS'		, 	WDWS_BASE . '/css'		);
		define('WDWS_AJAX'		, 	WDWS_BASE . '/ajax_php'		);
	}
	
	function init_wp_script(){
		wp_enqueue_script('jquery');
		
		wp_register_script('wdws_wd_woo_search', WDWS_JS . '/wd_woo_search.js', 'jquery', '1.1',false);
		wp_enqueue_script('wdws_wd_woo_search');
		wp_register_style( 'wdws_wd_woo_search_style', WDWS_CSS.'/wd_woo_search.css');
		wp_enqueue_style('wdws_wd_woo_search_style');
	}
	
	function wd_woo_search_shortcode($atts,$content){
		extract(shortcode_atts(array(
			"limit" 	=> '3',
			"b_limit" 	=> '5',
			"type"		=> 'all',
			"style"		=> 'dark'
		), $atts));
		ob_start();
		?>
		<div class="wd_woo_search_box">
			<form role="search" method="get" autocomplete="off" id="searchform" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
				<input type="text" name="s" id="s" <?php if(isset($_GET['s'])) echo "value=\"".esc_attr($_GET['s']) . "\""; ?> />
				<div class="loading"><i class="fa fa-spinner fa-spin"></i></div>
				<div class="button_search"><input type="submit" title="<?php echo esc_attr__( 'Search', 'wpdance' ); ?>" id="searchsubmit" value="#xf002;" /></div>
				<input type="hidden" data-type="<?php echo esc_attr($type);?>" data-result-limit="<?php echo esc_attr($limit);?>" data-blog-limit="<?php echo esc_attr($b_limit);?>" data-trl-show-all-txt="<?php esc_attr_e("SHOW ALL", 'wpdance')?>" data-site-url="<?php echo get_site_url();?>/" name="url" data-ajax-url="<?php echo esc_url(WDWS_AJAX)?>" value="ajax_search" />
				<?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); ?>
				<input type="hidden" name="post_type" value="<?php echo is_plugin_active('woocommerce/woocommerce.php')? 'product': 'post'?>">
			</form>
			<nav class="list_result <?php echo esc_attr($style);?>"></nav>
		</div>
		<?php
		$out_ = ob_get_contents();
		ob_end_clean();
		return $out_;
	}
	
}

new WD_Woo_Search();